var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-F2C080B4-23FC-4229-8F7E-5C0A50F093B9\">\n      <meta name=\"indexterm\" content=\"dynamic objects\">\n      <meta name=\"indexterm\" content=\"initial state\">\n      <meta name=\"indexterm\" content=\"MultiStreak render type: keyed motion\">\n      <meta name=\"indexterm\" content=\"Streak render type: keyed motion\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Set the initial state of dynamic objects</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-F2C080B4-23FC-4229-8F7E-5C0A50F093B9\"></a><div class=\"head\">\n            <h1>Set the initial state of dynamic objects</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A9E\"></a>  When you play an animation, Maya calculates dynamics each frame for all dynamic objects\n            in the scene. The <em class=\"mild\">state</em> of a dynamic object is the collection of its current attribute settings—the settings\n            that specify its location and display characteristics. The state of a dynamic object\n            in any frame other than the first is based on its state in the prior frame. Maya calculates\n            dynamic effects sequentially starting at the first frame.\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A9B\"></a>A dynamic object’s <em class=\"mild\">initial state</em> is the state of its attributes at the first frame of the animation. You can play\n            an animation up to some frame, then use its current state as its initial state. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A9A\"></a>For example, suppose you have an emitter and you want the scene to start when the\n            emitter has already emitted a certain amount of particles. You can play and stop the\n            scene at the frame where you see the particles emitted, then set the current attribute\n            values for use at the initial state. When you rewind and play, the scene starts with\n            the particles already emitted.\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A99\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A98\"></a>To use a dynamic object’s current attribute values at the initial state\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Play and stop the animation at the desired frame.</li>\n            <li>Select the dynamic object.</li>\n            <li>Select <span class=\"MenuCascade\" id=\"GUID-B001630D-292A-4C1F-AECF-518D6203E287\">Solvers &gt; Initial State &gt; Set for Selected</span>. \n            </li>\n         </ol><a name=\"WS17956D7ADBC6E736-6AD06CB3117AE311154-7FFD\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A94\"></a>To use all dynamic objects’ current attribute values at the initial state\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Play and stop the animation at the desired frame.</li>\n            <li>Select <span class=\"MenuCascade\" id=\"GUID-8F40C4BA-E0A7-4385-A7AD-A0BF3E4D5FEA\">Solvers &gt; Initial State &gt; Set for all Dynamic</span>. \n               <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A91\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n                     <p>If you key the motion of <span class=\"MenuCascade\" id=\"GUID-BA84F687-57C0-4EF4-9422-A29EA073A360\">Streak</span> or <span class=\"MenuCascade\" id=\"GUID-D1D1C3A1-2CDA-4640-8CFA-C193928487A6\">MultiStreak</span> particles, you can’t use their current state as the initial state.\n                     </p> \n                  </div>\n               </div>\n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";