var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-9767934E-A753-414F-9FFD-D6DF66E59227\">\n      <meta name=\"indexterm\" content=\"run-up: dynamics\">\n      <meta name=\"indexterm\" content=\"animation: run-up for dynamics\">\n      <meta name=\"indexterm\" content=\"run-up: turning on for dynamic objects\">\n      <meta name=\"indexterm\" content=\"Run Up To Current Time\">\n      <meta name=\"indexterm\" content=\"Run Up From\">\n      <meta name=\"indexterm\" content=\"Previous Time: run-up\">\n      <meta name=\"indexterm\" content=\"run-up: Previous Time\">\n      <meta name=\"indexterm\" content=\"Start Time: run-up\">\n      <meta name=\"indexterm\" content=\"run-up: Start Time\">\n      <meta name=\"indexterm\" content=\"run-up: stopping\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Work with dynamic animation run-up</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-9767934E-A753-414F-9FFD-D6DF66E59227\"></a><div class=\"head\">\n            <h1>Work with dynamic animation run-up</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A8E\"></a>  If you click a frame in the Time Slider, the correct state of all dynamic objects\n            in the scene is displayed only if Maya performs run-up to calculate each frame prior\n            to that frame. Maya doesn’t perform run-up by default, so you need to turn it on if\n            you want to click frames in the Time Slider. Note that run-up also occurs for hidden\n            objects.\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A8B\"></a>Leave run-up turned off if you want to prevent Maya from calculating dynamics when\n            you click a frame in the Time Slider. This is useful in a scene that has both nondynamic\n            objects and complex dynamic objects, where you want the state of nondynamic objects\n            to appear promptly after you click the Time Slider. If you are keying dynamic objects,\n            it’s also useful leave run-up turned off to avoid waiting for calculations that are\n            irrelevant to your keying activities. \n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A8A\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A89\"></a> To turn on run-up for all dynamic objects\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select <span class=\"char_link\"><a href=\"\">Window &gt; Settings/Preferences &gt; Preferences</a></span> to display the <span class=\"MenuCascade\" id=\"GUID-9EC60F70-81FF-4B4A-B4B6-21382C7E579B\">Preferences</span> window.\n            </li>\n            <li>Click <span class=\"MenuCascade\" id=\"GUID-0B937FD0-8B4B-4502-8FC0-598FFB0BCBB2\">Dynamics</span> in the <span class=\"MenuCascade\" id=\"GUID-8BF780A9-7D2F-4F0C-A4D0-85C545177BEA\">Categories</span> list. \n            </li>\n            <li> Turn on <span class=\"MenuCascade\" id=\"GUID-8CA89C2B-EBBF-429B-ACDA-7458319805CF\">Run Up To Current Time</span>.\n            </li>\n            <li> You can select either of the following <span class=\"MenuCascade\" id=\"GUID-FEDFA398-1482-472D-8787-EB561B50CEA8\">Run Up From</span> options:<a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2AAD-79\"></a><dl>\n                  <dt><a name=\"WS1A9193826455F5FF-4F542F6211C79DEA861-11E0\"></a><span class=\"term\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A81\"></a> <span class=\"MenuCascade\" id=\"GUID-3EAAF3C0-41BD-4F4D-B870-A99338F24C1D\">Previous Time</span> </span></dt>\n                  <dd>\n                     <div class=\"definition\"><a name=\"WS1A9193826455F5FF-4855151011E4FD543C6-3D6E\"></a> \n                        <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A80\"></a>If you click a frame higher than the current frame, run-up starts from the prior current\n                           time and ends at the frame you click. Turn this option on if you won’t be changing\n                           any attributes of a dynamic object in the scene. This setting lessens the time you’ll\n                           spend waiting for run-up. If you click a frame lower than the current frame, run-up\n                           starts from the beginning of the animation.\n                        </p> \n                     </div>\n                  </dd>\n                  <dt><a name=\"WS1A9193826455F5FF-4F542F6211C79DEA861-11DF\"></a><span class=\"term\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A7E\"></a> <span class=\"MenuCascade\" id=\"GUID-8E9D50B9-9F13-4CD3-BD1E-66A8272729E0\">Start Time</span> </span></dt>\n                  <dd>\n                     <div class=\"definition\"><a name=\"WS1A9193826455F5FF-4855151011E4FD543C6-3D6D\"></a> \n                        <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A7D\"></a>Run-up starts from the start frame regardless of where you click in the Time Slider.\n                           Turn this option on if you plan to change any attributes of a dynamic object in the\n                           scene. This ensures that you see the correct object states when you click in the Time\n                           Slider after modifying an object’s dynamics.\n                        </p> \n                        <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A7B\"></a>Run-up always occurs in batch rendering. For instance, if you batch render frames\n                           20 through 50, all particle effects will render correctly even if <span class=\"MenuCascade\" id=\"GUID-5486078D-81F1-438C-8C95-9017DB268AF8\">Run Up To Current Time</span> is turned off.\n                        </p> \n                        <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A7A\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                              <p>Press the Esc key if you want to stop a lengthy particle run-up.</p> \n                           </div>\n                        </div> \n                     </div>\n                  </dd>\n               </dl>\n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";