var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-9B1AAB68-CF48-4F45-BF04-EB4F4F2965BE\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>dynGlobals</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-9B1AAB68-CF48-4F45-BF04-EB4F4F2965BE\"></a><div class=\"head\">\n            <h1> dynGlobals </h1>\n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3EA4\"></a> \n            <h2><a name=\"GUID-ED56FDEB-2926-4453-B19D-6591E92777D2\"></a> <span class=\"MenuCascade\" id=\"GUID-C9C0E8A1-3296-423D-A83A-FF613D9843D0\">Oversampling</span> \n            </h2> <a name=\"WS17956D7ADBC6E7366AFCBC43117AE312086-7FEB\"></a><dl>\n               <dt><a name=\"WS1A9193826455F5FF4E421D7D11BF108001D-B72\"></a><span class=\"term\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3EA3\"></a> <span class=\"MenuCascade\" id=\"GUID-40D77DAD-7A91-4970-89B5-CE8D1971FA07\">Over Samples</span> </span></dt>\n               <dd>\n                  <div class=\"definition\"><a name=\"WS1A9193826455F5FF-4855151011E4FD543C6-4804\"></a> \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3EA2\"></a>Specifies the number of sub-steps for each frame of your dynamics simulation. A value\n                        of 1 sets no oversampling. A value of greater than 1 causes Maya to oversample your\n                        dynamics simulations by the specified value. You can use any arbitrary value for <span class=\"MenuCascade\" id=\"GUID-DF4A4C74-F336-4543-9D40-9D3A102694E7\">Over Samples</span>, as long as it is a positive integer. See .\n                     </p> \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3EA1\"></a>You can often fix excessive dynamics behavior by increasing the oversampling of your\n                        dynamic calculations. Increasing oversampling slows down playback but increases the\n                        stability of your dynamics.\n                     </p> \n                  </div>\n               </dd>\n            </dl> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7366AFCBC43117AE312086-7FEA\"></a> \n            <h2><a name=\"GUID-E74D008B-2847-4257-BC35-375663185977\"></a> <span class=\"MenuCascade\" id=\"GUID-84BCBAF5-9AE7-4C83-B247-41CB4B88B06F\">Particle Disk Cache</span> \n            </h2> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-43A3-3191\"></a><dl>\n               <dt><a name=\"WS1A9193826455F5FF4E421D7D11BF108001D-B71\"></a><span class=\"term\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3EA0\"></a> <span class=\"MenuCascade\" id=\"GUID-AE429283-1952-453F-ACF4-DA9BD2455A53\">Use Particle Disk Cache</span> </span></dt>\n               <dd>\n                  <div class=\"definition\"><a name=\"WS1A9193826455F5FF-4855151011E4FD543C6-4803\"></a> \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3E9F\"></a>This determines whether Maya uses the cache. When you create a cache, this attribute\n                        is turned on automatically. Turn off <span class=\"MenuCascade\" id=\"GUID-1E6DE658-EAD3-4B59-8FF9-AC857396F0D5\">Use Particle Disk Cache</span> if you don’t want Maya to use the cache. For example, if you have made changes to\n                        certain emitter attributes that affect playback, such as speed or emitter type, turn\n                        off this attribute to see the effect of your changes. You can also recreate the cache.\n                     </p> \n                  </div>\n               </dd>\n               <dt><a name=\"WS1A9193826455F5FF4E421D7D11BF108001D-B70\"></a><span class=\"term\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3E9E\"></a> <span class=\"MenuCascade\" id=\"GUID-C6F4DED1-4BCD-4BC3-8828-6D73CC86139C\">Cache Directory</span> </span></dt>\n               <dd>\n                  <div class=\"definition\"><a name=\"WS1A9193826455F5FF-4855151011E4FD543C6-4802\"></a> \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3E9D\"></a>This attribute lets you specify the directory where Maya looks for the cache. You\n                        can use this to choose which of several saved caches you want to use (see <span class=\"char_link\"><a href=\"Solvers_and_caching_Use_particle_disk_caching.htm#WS17956D7ADBC6E73613E60095117AE312FF7-7FF5\">Play back different caches</a></span>). \n                     </p> \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3E9C\"></a>For example, you could cache one simulation to a directory named <em class=\"mild\">cache1</em> and another to a different directory called <em class=\"mild\">cache2</em>. Enter the name of the <span class=\"MenuCascade\" id=\"GUID-F8A0CA67-E87B-4E53-8F69-277B417AFC99\">Cache Directory</span> you want Maya to use.\n                     </p> \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3E9B\"></a>This directory is always relative to the <span class=\"MenuCascade\" id=\"GUID-BF2685D1-7554-4BAD-B733-016E816FA843\">Particles</span> directory of your workspace. Don’t type an absolute path name.\n                     </p> \n                  </div>\n               </dd>\n            </dl> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3E9A\"></a>Entering a name here does not re-create the cache—you do that using <span class=\"MenuCascade\" id=\"GUID-23E2F40A-5D40-42CF-B458-6A0B710CC2EC\">Solvers &gt; Create Particle Disk Cache</span>. Entering a name here also does not change the name of your existing cache directory.\n               If you want to rename your directory, use your operating system.\n            </p> \n            <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3E99\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                  <p> <span class=\"MenuCascade\" id=\"GUID-0B316DE8-C450-418E-8795-2A368F01DE3F\">Solver &gt; Create Particle Disk Cache</span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> also has a <span class=\"MenuCascade\" id=\"GUID-58D5696A-59D9-4205-B6AF-381164107DCF\">Cache Directory</span> attribute. If you enter a value in the <span class=\"MenuCascade\" id=\"GUID-260DBB88-4A83-4354-A5EF-26B021FBA175\">dynGlobals</span><span class=\"MenuCascade\" id=\"GUID-EDDB6F8A-4DDC-4918-A699-926130EDA27A\">Attribute Editor</span>, that value becomes the default for the option box. Any different value that you\n                     enter in the option box is displayed in the <span class=\"MenuCascade\" id=\"GUID-95B4046D-94E2-41C6-99B5-BD61B63131AC\">dynGlobals</span> node.\n                  </p> \n               </div>\n            </div> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-43A3-3220\"></a><dl>\n               <dt><a name=\"WS1A9193826455F5FF4E421D7D11BF108001D-B6F\"></a><span class=\"term\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3E98\"></a> <span class=\"MenuCascade\" id=\"GUID-C4921A6F-EA7A-4BB7-8C1F-37F8679E45C2\">Min Frame Cached</span>, <span class=\"MenuCascade\" id=\"GUID-4AE3A273-3600-4BB5-A526-A6F4A039C52E\">Max Frame Cached</span></span></dt>\n               <dd>\n                  <div class=\"definition\"><a name=\"WS1A9193826455F5FF-4855151011E4FD543C6-4801\"></a> \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3E97\"></a>These attributes record the minimum and maximum frames that were stored at the most\n                        recent caching operation. You can’t enter values here—these attributes are for your\n                        information only. Because they describe the most recent caching operation, if you\n                        choose a different cache directory using <span class=\"MenuCascade\" id=\"GUID-3D533B1D-6749-45A3-8EEB-1408CF08A259\">Cache Directory</span>, the values in <span class=\"MenuCascade\" id=\"GUID-9F9AEE9B-901C-4712-87E5-29163C3D1133\">Min Frame Cached</span> and <span class=\"MenuCascade\" id=\"GUID-07CC6B52-31F5-4E9C-98A7-F229A2B64750\">Max Frame Cached</span> won’t necessarily correspond to what is stored in that directory. \n                     </p> \n                  </div>\n               </dd>\n            </dl> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";