var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-F417726F-FF5A-42CC-8437-701F97D826D0\">\n      <meta name=\"indexterm\" content=\"Create Fire\">\n      <meta name=\"indexterm\" content=\"Create Fire Effect Options\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Create Fire</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-F417726F-FF5A-42CC-8437-701F97D826D0\"></a><div class=\"head\">\n            <h1>Create Fire</h1>\n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A28\"></a> \n            <h2><a name=\"GUID-26CBC0F8-5FCE-4E25-8977-0B2A86FF7D97\"></a>Prepare to use the Fire effect\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A27\"></a>Before you use the Fire effect, be aware of these issues:\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A26\"></a><ul>\n               <li>Use the Fire effect on only one object at a time. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A24\"></a>To apply Fire to a group of NURBS surfaces, first convert each surface to polygons\n                     and combine the surfaces. From the <span class=\"MenuCascade\" id=\"GUID-77A30684-ADA3-46CA-B36D-8834685592CF\">Surfaces</span> menu set, select <span class=\"char_link\"><a href=\"\">Modify &gt; Convert &gt; NURBS to Polygons</a></span>, then from the <span class=\"MenuCascade\" id=\"GUID-0735D966-9A11-407E-8F66-19B38FA33CA7\">Polygons</span> menu set choose <span class=\"char_link\"><a href=\"\">Mesh &gt; Combine</a></span>. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A23\"></a>To apply Fire to a group of polygonal surfaces, simply combine the surfaces with <span class=\"char_link\"><a href=\"\">Mesh &gt; Combine</a></span>. \n                  </p>\n               </li>\n               <li>If you emit from a NURBS or polygonal object, the size and shape of the object affects\n                  the quality of the fire. You’ll need to use an object large enough to generate an\n                  adequate flame area. If you emit fire from a curve, avoid using a curve with abrupt\n                  changes in direction.\n               </li>\n               <li>It’s often useful to use the Fire effect on the same geometry more than once. By setting\n                  options differently with each usage, you can create a complex look not possible with\n                  a single usage.\n               </li>\n               <li>If you want to animate the movement of the fire around the workspace, consider using\n                  the Fire effect on a particle object. You can work with per particle expressions on\n                  particle objects, so you have more flexibility in altering the fire’s motion.\n               </li>\n               <li>You’ll often need to emit flames from part of an object rather than from its entire\n                  geometry. In some instances, the part of the object where you want the fire won’t\n                  have geometry present. A common technique in such cases is to emit from an invisible\n                  geometric object in that area. \n               </li>\n            </ul> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A1E\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A1D\"></a>To use the Fire effect\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Do one of the following:<a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A1B\"></a><ul>\n                     <li>Select the object or CVs, edit points, vertices, or particles that you want to emit\n                        fire.\n                     </li>\n                     <li>To create a positional emitter, deselect all objects.</li>\n                  </ul>\n               </li>\n               <li>Select <span class=\"char_link\"><a href=\"Effects__Create_Fire.htm\">Effects &gt; Create Fire</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\">.\n               </li>\n               <li> Set attributes in the <span class=\"MenuCascade\" id=\"GUID-2ED89987-AAF9-40C4-B2BE-F3D7FFA18CB6\">Create Fire Effect Options</span> window (see <span class=\"char_link\"><a href=\"Effects_Create_Fire.htm#WS17956D7ADBC6E736512CD048117AE311422-7FF9\">Edit attributes of the Fire effect</a></span>) and click Create. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A15\"></a>The Fire effect creates an emitter, emitted particle object, expressions, ramps, textures,\n                     and several fields.\n                  </p>\n               </li>\n               <li>Play the animation.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A13\"></a>Emitted particles appear as circles in the workspace because the particles are displayed\n                     as the <span class=\"MenuCascade\" id=\"GUID-1339DB88-67E0-4879-A77B-555FF7699C8D\">Cloud</span> render type. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A12\"></a>Here’s an example with <span class=\"MenuCascade\" id=\"GUID-7030F9CC-6098-4DAA-A8C2-F39386492BE4\">Shading &gt; Smooth Shade All</span> turned on.\n                  </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A11\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-11629BF9-D481-4674-9705-5652829F69AD-low.png\"></div>\n               </li>\n               <li>Add a light to the scene and software render to see the fire.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A0F\"></a>From the <span class=\"MenuCascade\" id=\"GUID-DBC7FFA7-6483-4327-AA22-6CD1C6D790B3\">Rendering</span> menu set, for example, select <span class=\"char_link\"><a href=\"\">Render &gt; Render Current Frame</a></span>. \n                  </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A0E\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-8D955B0F-0110-4CF5-A948-0097822CA5F9-low.png\"></div>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E736512CD048117AE311422-7FF9\"></a> \n            <h2><a name=\"GUID-8DED76B9-1E28-4B31-B0B0-FFA2C842A949\"></a>Edit attributes of the Fire effect\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A0D\"></a>The following pages explain attributes you can set to tune the Fire effect. The Fire\n               effect creates several custom attributes in the emitted particle object it creates.\n               The custom attributes control a combination of field or emitter attributes to lessen\n               the settings you would otherwise need to make to tune the fire.\n            </p> \n            <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A0C\"></a> \n               <h3><a name=\"GUID-31B1581A-A612-44E4-9D70-1294FD568DA0\"></a>Attributes in the <span class=\"MenuCascade\" id=\"GUID-55E772F6-C092-456A-8BC3-878E9CEAF835\">Create Fire Effect Options</span> window\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A0B\"></a> These attributes appear in the <span class=\"MenuCascade\" id=\"GUID-77326557-0A91-4149-A088-ADCD3A50A506\">Create Fire Effect Options</span> window when you select <span class=\"char_link\"><a href=\"Effects__Create_Fire.htm\">Effects &gt; Create Fire</a></span>&gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\">. Changes you make to the options window affect only fire you create after you make\n                  the changes.\n               </p> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A09\"></a>You can edit most of these attributes after you use the Fire effect by selecting the\n                  emitted particle object and opening the <span class=\"MenuCascade\" id=\"GUID-B7ED996D-5FB1-499B-AA0E-83F4FE24E84C\">Extra Attributes</span> section of the <span class=\"MenuCascade\" id=\"GUID-2DB5FC18-CA0C-41DC-9C32-95D587AD5816\">Attribute Editor</span>. Exceptions are noted in the text.\n               </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A08\"></a><ul>\n                  <li> <span class=\"char_link\"><a href=\"Effects__Create_Fire.htm\">Effects &gt; Create Fire</a></span> \n                  </li>\n               </ul> \n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A06\"></a> \n            <h2><a name=\"GUID-E040CF6A-94FC-4FAE-B729-C739A7E6DAE2\"></a>Tune the fire\'s appearance\n            </h2> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A05\"></a><ul>\n               <li>Adjust any other attributes that are controlled by expressions, ramps, and textures\n                  to tune the effect. To learn which expressions, ramps, and textures are created by\n                  the Fire effect, apply Fire to an object in an otherwise empty scene. Use the <span class=\"MenuCascade\" id=\"GUID-29C59138-A645-4185-9E58-2BB498B5CED2\">Attribute Editor</span>, <span class=\"MenuCascade\" id=\"GUID-061B7E09-CBFB-4A75-8ADA-5B3A57CC3AEE\">Expression Editor</span>, and <span class=\"MenuCascade\" id=\"GUID-C0BD01B6-F01E-4C19-9B53-6C733F844D84\">Hypershade</span> to see the additions.\n               </li>\n               <li>Edit attributes of the <span class=\"MenuCascade\" id=\"GUID-DE23548B-CE15-43CE-8EC8-4FDA5058A89D\">Cloud</span> particle render type. \n               </li>\n               <li>Turn off the <span class=\"MenuCascade\" id=\"GUID-AE086490-CA47-4D6C-B18A-A97C44D03C8E\">turbulence </span>field by disconnecting it using the <span class=\"MenuCascade\" id=\"GUID-B792543E-87D1-4949-A77B-85233CF26BD6\">Dynamics Relationship</span> Editor. \n               </li>\n               <li>Animate the emitter to move the fire in your scene.</li>\n            </ul> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";