var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-910E0EF8-875D-4EEF-BB2A-3EC9F5D02453\">\n      <meta name=\"indexterm\" content=\"Create Smoke\">\n      <meta name=\"indexterm\" content=\"Create Smoke Effect Options\">\n      <meta name=\"indexterm\" content=\"Create Smoke Effect Options\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Create Smoke</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-910E0EF8-875D-4EEF-BB2A-3EC9F5D02453\"></a><div class=\"head\">\n            <h1> Create Smoke  </h1>\n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2A00\"></a> \n            <h2><a name=\"GUID-F988B3C7-C33D-47B3-BCAE-659282F03D1A\"></a>Prepare to use the Smoke effect\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29FF\"></a>Before you use the Smoke effect, be aware of these issues:\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29FE\"></a><ul>\n               <li>Use the Smoke effect on at most one object at a time. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29FC\"></a>To apply Smoke to a group of NURBS surfaces, first convert each surface to polygons\n                     and combine the surfaces. From the <span class=\"MenuCascade\" id=\"GUID-E240C6CA-3FF5-43B8-9177-5234504860B3\">Polygons</span> menu set, select <span class=\"char_link\"><a href=\"\">Modify &gt; Convert &gt; NURBS to Polygons</a></span>, then choose <span class=\"char_link\"><a href=\"\">Mesh &gt; Combine</a></span>. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29FB\"></a>To apply Smoke to a group of polygonal surfaces, simply combine the surfaces with\n                     <span class=\"char_link\"><a href=\"\">Mesh &gt; Combine</a></span>. \n                  </p>\n               </li>\n               <li>If you emit from a NURBS or polygonal object, the size and shape of the object affects\n                  the quality of the smoke. You’ll need to use an object large enough to generate an\n                  adequate smoke area. If you emit smoke from a curve, avoid using a curve with abrupt\n                  changes in direction.\n               </li>\n               <li>It’s often useful to use the Smoke effect on the same geometry more than once. By\n                  setting options differently with each usage, you can create a complex look not possible\n                  with a single usage. For instance, by using two emitters with different emission rates\n                  and different sprite sequences, you can create a combination of burning smoke and\n                  steaming smoke.\n               </li>\n               <li>If you want to animate the movement of the smoke around the workspace, consider using\n                  the Smoke effect on a particle object. You can work with per particle expressions\n                  on particle objects, so you have more flexibility in altering the smoke’s motion.\n               </li>\n               <li>You’ll often need to emit smoke from part of an object rather than from its entire\n                  geometry. In some instances, the part of the object where you want the smoke won’t\n                  have geometry present. A common technique in such cases is to emit from an invisible\n                  geometric object in that area.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29F6\"></a>For example, suppose you want to blow smoke out of the end of a hollow exhaust pipe,\n                     but the pipe has no object where you can conveniently emit the smoke. You can create\n                     a disk of the correct size and shape, position it inside the pipe, and apply an emitter\n                     to the disk. Make the disk invisible by selecting <span class=\"MenuCascade\" id=\"GUID-F50D470E-6BC3-4A9E-8062-8B1C2CDE88D6\">Display &gt; Hide &gt; Hide Selection</span>. \n                  </p>\n               </li>\n               <li>If you create your own smoke images, for instance, with paint software such as VizPaint\n                  or StudioPaint, remember to save the alpha channel (transparency data) when you create\n                  the images.\n               </li>\n            </ul> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29F4\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29F3\"></a>To use the Smoke effect\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>To use smoke images supplied with Maya, copy the images <span class=\"code\">Smoke.0</span> through <span class=\"code\">Smoke.50</span> from the following directory on the Maya DVD to the <span class=\"code\">/sourceimages</span> directory of your current project:\n                  <div class=\"codeBlock\"><pre>\nExploreMe/particles/\n</pre></div>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29F1\"></a>To use your own images, put them in the <span class=\"code\">/sourceimages</span> directory of your current project.\n                  </p>\n               </li>\n               <li>Do one of the following:<a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29EF\"></a><ul>\n                     <li>Select the object or CVs, edit points, vertices, or particles that you want to emit\n                        smoke.\n                     </li>\n                     <li>To create a positional emitter, deselect all objects.</li>\n                  </ul>\n               </li>\n               <li>Select <span class=\"char_link\"><a href=\"Effects__Create_Smoke.htm\">Effects &gt; Create Smoke</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\">.\n               </li>\n               <li> Set attributes in the <span class=\"MenuCascade\" id=\"GUID-E627A2D4-2111-476D-A5A6-55CADB587503\">Create Smoke Effect Options</span> window (see <span class=\"char_link\"><a href=\"Effects_Create_Smoke_.htm#WS17956D7ADBC6E736512CD048117AE311422-7FF7\">Edit attributes of the Smoke effect</a></span>) and click Create. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29E9\"></a>The Smoke effect creates an emitter, emitted particle object, expressions, turbulence\n                     field, and other fields needed to make the smoke. \n                  </p>\n               </li>\n               <li>Play the animation.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29E7\"></a>Emitted particles appear as squares in the workspace because the particles are displayed\n                     as the Sprite render type. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29E6\"></a>Here’s an example with <span class=\"char_link\"><a href=\"\">Shading &gt; Smooth Shade All</a></span> turned on.\n                  </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29E5\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-2E51F4FE-34FD-4624-A39C-87C97D7C9C78-low.png\"></div>\n               </li>\n               <li>Hardware render the scene to see the smoke.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29E3\"></a>See Rendering for details.\n                  </p>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E736512CD048117AE311422-7FF7\"></a> \n            <h2><a name=\"GUID-1974618C-43F0-4EC4-9F7F-00F20A9406DD\"></a>Edit attributes of the Smoke effect\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29E2\"></a>The following pages explain attributes for tuning the Smoke effect. The Smoke effect\n               creates several custom attributes in the emitted particle object it creates. The custom\n               attributes control a combination of field and emitter attributes to lessen the settings\n               you would otherwise need to make to tune the smoke.\n            </p> \n            <div class=\"section\"><a name=\"WS17956D7ADBC6E736512CD048117AE311422-7FF6\"></a> \n               <h3><a name=\"GUID-24757FA8-01A6-4657-81FA-D784351134CD\"></a>Attributes in the <span class=\"MenuCascade\" id=\"GUID-6556C129-7E36-4396-A2F6-2C427B3493B7\">Create Smoke Effect Options</span> window\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29E1\"></a>  The following attributes appear in the <span class=\"MenuCascade\" id=\"GUID-0009AD8A-7679-4147-AFD2-096B1D3E9572\">Create Smoke Effect Options</span> window when you select <span class=\"char_link\"><a href=\"Effects__Create_Smoke.htm\">Effects &gt; Create Smoke</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\">. Changes you make to the options window affect smoke you create after you make the\n                  changes.\n               </p> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29DE\"></a>You can edit most of these attributes after you use the Smoke effect by selecting\n                  the emitted particle object and opening the <span class=\"MenuCascade\" id=\"GUID-DA5B7516-B223-4698-9581-8056AD759227\">Extra Attributes</span> section of the <span class=\"MenuCascade\" id=\"GUID-71BDAF8F-DA08-42BE-8844-2E9131E84F25\">Attribute Editor</span>.\n               </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29DD\"></a><ul>\n                  <li> <span class=\"char_link\"><a href=\"Effects__Create_Smoke.htm\">Effects &gt; Create Smoke</a></span> \n                  </li>\n               </ul> \n            </div> \n            <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29DB\"></a> \n               <h3><a name=\"GUID-586CA0A8-4F99-47FF-B4B6-BB468123D25D\"></a>Additional tips\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29DA\"></a>You can do the following additional steps to tune the smoke’s appearance:\n               </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-29D9\"></a><ul>\n                  <li>Change the size and orientation of the smoke by altering the <span class=\"MenuCascade\" id=\"GUID-E54296E0-F91D-44D5-AB61-B8AAB7D1B14F\">Scale </span>and <span class=\"MenuCascade\" id=\"GUID-BAE65E72-70D2-4B70-B3F5-F5ACC9FBF67F\">Rotate</span> values of the emitted particle object. \n                  </li>\n                  <li>Key a change in the value of <span class=\"MenuCascade\" id=\"GUID-DB9255B8-68AC-4913-9F27-7CB97EAFE80F\">Scale Y</span> to make the particles appear to move faster or slower. \n                  </li>\n                  <li>Edit attributes of the sprites. See <span class=\"char_link\"><a href=\"Particles_Choose_how_particles_render.htm#WS17956D7ADBC6E7361A342C07117AE3124CC-7FE0\">Sprites</a></span>.\n                  </li>\n                  <li>Edit any expressions created by the Smoke effect. To learn which expressions are created\n                     by the effect, apply Smoke to an object in an otherwise empty scene. Use the <span class=\"MenuCascade\" id=\"GUID-87241236-8E0A-4E2E-8FD8-4C46E4F2E786\">Expression Editor</span> to see the additions.\n                  </li>\n                  <li>Turn off the<span class=\"MenuCascade\" id=\"GUID-E4B744F1-FAB1-45BB-83A9-E5D9442F0824\"> turbulence</span> field by disconnecting it using the <span class=\"MenuCascade\" id=\"GUID-1CE43153-CF61-4738-8204-B9B024A5641D\">Dynamics Relationship</span> Editor. \n                  </li>\n                  <li>Animate the emitter to move the smoke in your scene.</li>\n               </ul> \n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";