var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-F557164A-1A0B-4A23-8A50-C454FA9AAE72\">\n      <meta name=\"indexterm\" content=\"Surface Flow effect: procedures\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Surface Flow procedures</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-F557164A-1A0B-4A23-8A50-C454FA9AAE72\"></a><div class=\"head\">\n            <h1>Surface Flow procedures</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27C0\"></a> There are several global procedures provided with the Surface Flow effect that allow\n            you to query information about the surface flows in your scene. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27BE\"></a>int isSurfaceFlow( string $flow )\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27BD\"></a>Returns 1 if the flow object you specify is the root object of a surface flow effect.\n            Otherwise, it returns 0.\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27BC\"></a>string[] surfaceFlowParticles( string $flow )\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27BB\"></a>Returns the names of all of the particle objects that are affected by the surface\n            flow you specify. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27BA\"></a>int isParticleInSurfaceFlow( string $flow, string $particle )\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27B9\"></a>Returns 1 if the particle object you specify is affected by the surface flow you specify.\n            Otherwise, it returns 0. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27B8\"></a>string[] surfaceFlowsDrivingParticle( string $particle )\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27B7\"></a>Returns a string array containing the list of all surface flows in your scene that\n            affect the particle object you specify. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27B6\"></a>string[] selectedSurfaceFlows()\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27B5\"></a>Returns all of the surface flow objects from the selection list in the order they\n            were selected. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27B4\"></a>string[] selectedSurfaceFlowsAndSurfaces()\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27B3\"></a>Returns all of the surface flow objects and NURBS surfaces from the selection list\n            in the order they were selected. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27B2\"></a>string surfaceFlowActualSurface( string $flow )\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27B1\"></a>Returns the name of the NURBS surface associated with the surface flow you specify.\n            This is the surface selected at the time the surface flow was created. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27B0\"></a>string surfaceFlowReferenceSurface( string $flow )\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27AF\"></a>Returns the name of the reference NURBS surface associated with the surface flow you\n            specify. At the time of creation, the surface flow effect makes an exact copy of the\n            selected surface to use as a reference. All objects created for the effect fall under\n            the reference object rather than cluttering the actual surface node. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27AE\"></a>string[] surfaceFlowLofts( string $flow )\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27AD\"></a>Returns the names of the edge, min, and max lofts used to define the boundary for\n            the surface flow you specify. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27AC\"></a>string[] surfaceFlowEdgeCurves( string $flow )\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27AB\"></a>Returns all of the curves used to calculate the edge loft for the surface flow you\n            specify. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27AA\"></a>string[] surfaceFlowMaxCurves( string $flow )\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27A9\"></a>Returns all of the curves used to calculate the max loft for the surface flow you\n            specify. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27A8\"></a>string[] surfaceFlowMinCurves( string $flow )\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27A7\"></a>Returns all of the curves used to calculate the min loft for the surface flow you\n            specify. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27A6\"></a>string[] surfaceFlowCurves( string $flow )\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27A5\"></a>Returns all of the curves used to calculate all of the lofts for the surface flow\n            you specify. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27A4\"></a>string surfaceFlowEmitter( string $flow )\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27A3\"></a>Returns the name of the emitter that is attached to the first manipulator of the surface\n            flow you specify. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27A2\"></a>string surfaceFlowGoal( string $flow )\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27A1\"></a>Returns the name of the goal object being used to control the motion of the particles\n            associated with the surface flow you specify. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-27A0\"></a>string[] surfaceFlowManips( string $flow )\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-279F\"></a>Returns the names of all of the manipulators for the surface flow you specify. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-279E\"></a>string[] surfaceFlowRamps( string $flow )\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-279D\"></a>The surface flow effect is achieved through the manipulation of ramp textures and\n            goal objects. This procedure returns the names of all of the ramp textures used by\n            the surface flow you specify. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-279C\"></a>The number of ramps created depends on the values of the three resolution options\n            used to create the effect.The ramps are used as a part of the construction history\n            for the animation of the effect not as a part of a rendering network. The ramps don’t\n            appear in the <span class=\"MenuCascade\" id=\"GUID-91267C75-2769-4A20-B52A-6FE926F8AD99\">Texture</span> sections in the <span class=\"MenuCascade\" id=\"GUID-C9701496-A7D4-48B1-A941-DB822EE9ED7B\">Visor</span> or <span class=\"MenuCascade\" id=\"GUID-81265463-D3E9-44F2-A898-0BDE0C0BC095\">HyperShade</span><span class=\"MenuCascade\" id=\"GUID-ED0CED8A-2ED5-4130-89E6-0F812F765587\"></span> because they can easily outnumber the rendering textures in the scene. The ramps\n            do appear in the networks drawn in the main windows of the <span class=\"MenuCascade\" id=\"GUID-1ABC3CB4-7D6E-4C37-AA3C-F4D5E1EA91F3\">HyperGraph</span> and <span class=\"MenuCascade\" id=\"GUID-8E22BA1F-177E-4D91-AE06-EE38650BB6BE\">HyperShade</span> because they are useful parts of those networks.\n         </p>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";