var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-E4E5F451-9E58-4DCD-8EB4-CEC738764178\">\n      <meta name=\"indexterm\" content=\"fields: creating\">\n      <meta name=\"indexterm\" content=\"fields: connecting objects to\">\n      <meta name=\"indexterm\" content=\"fields: adding to object\">\n      <meta name=\"indexterm\" content=\"Use Selected as Source of Field\">\n      <meta name=\"indexterm\" content=\"Affect Selected Object\">\n      <meta name=\"indexterm\" content=\"volume field: creating\">\n      <meta name=\"indexterm\" content=\"fields: adding to selected points\">\n      <meta name=\"indexterm\" content=\"Use Selected as Source of Field\">\n      <meta name=\"indexterm\" content=\"Affect Selected Object\">\n      <meta name=\"indexterm\" content=\"fields: deleting from object\">\n      <meta name=\"indexterm\" content=\"fields: adding to object\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Create fields and connect objects to them</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-E4E5F451-9E58-4DCD-8EB4-CEC738764178\"></a><div class=\"head\">\n            <h1>Create fields and connect objects to them</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38C7\"></a> When you create a field, you typically also connect it to the objects you want the\n            field to influence. You can alternatively connect objects to the field’s influence\n            after creation (see <span class=\"char_link\"><a href=\"Dynamic_Relationships_Editor_Dynamic_relationship_editor.htm\">Dynamic relationship editor</a></span>). As long as a connected object lies within the influence of the field, it will be\n            affected by the field. You can add a field to selected CVs, edit points, vertices,\n            or lattice points of an object in the scene (not a referenced scene). \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38C5\"></a>Although each field has a different effect, the technique for creating all fields\n            is similar. For information on the effect of each field and how to adjust those effects,\n            see <span class=\"char_link\"><a href=\"Fields__Edit_field_attributes.htm\">Edit field attributes</a></span>. \n         </p>\n         <p><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C80\"></a>You can create an volume field along a curve by creating a volume axis curve. See\n            <span class=\"char_link\"><a href=\"GUID-3D220999-685D-4BC9-B4EA-E632383166AF.htm\">Work with volume axis curves</a></span>. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38C4\"></a>The following applies to all fields: \n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38C3\"></a><ul>\n            <li>You can select more than one field at once. </li>\n            <li>Selection order is not important. </li>\n            <li>All selected objects are affected by all selected fields. </li>\n         </ul><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38BF\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38BE\"></a>To create a stand-alone field and connect objects to the field\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the objects you want the field to affect. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38BC\"></a>You can select geometry, particles, nParticles, rigid bodies, or soft bodies. \n               </p> \n               <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38BB\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                     <p><a name=\"GUID-C4EC9E92-F733-44C7-81D8-6C1E8313DD14\"></a>By default, Maya converts a <span class=\"MenuCascade\" id=\"GUID-36604A6F-6451-4ACA-81AD-1CFE49B68E36\">NURBS</span> or <span class=\"MenuCascade\" id=\"GUID-82D8A6C4-563D-4D72-AC10-E1EB6F842500\">polygonal surface</span> to an active rigid body when you connect it to a field’s influence. The option that\n                        controls this feature is <span class=\"MenuCascade\" id=\"GUID-8CAB07FF-6CD6-4C7C-BEB3-68D820852A75\">Auto Create Rigid Body</span>, located in the <span class=\"MenuCascade\" id=\"GUID-4E373260-657B-4DCF-9CCA-D75196234B03\">Dynamics</span> section of the <span class=\"char_link\"><a href=\"\">Window &gt; Settings/Preferences &gt; Preferences</a></span> window. \n                     </p> \n                  </div>\n               </div> \n            </li>\n            <li>From the <span class=\"MenuCascade\" id=\"GUID-02544896-3EA3-4F3B-9DC9-848F7874C1A8\">Dynamics</span> or <span class=\"MenuCascade\" id=\"GUID-AB4A4379-FCBA-4177-BE73-1BED17907610\">nDynamics</span> menu set, select <span class=\"MenuCascade\" id=\"GUID-5506F1FF-D398-4F77-9AD1-967470EBDA29\">Fields</span> &gt; <em class=\"mild\">fieldname</em>. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38B9\"></a>The field is created at the origin and everything you’ve selected is connected to\n                  it. You can move the field icon away from the origin to change the range and direction\n                  of influence. To change the field settings, see <span class=\"char_link\"><a href=\"Fields__Edit_field_attributes.htm\">Edit field attributes</a></span>. \n               </p> \n            </li>\n            <li>Click the play button to see the field affect the connected objects. </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38B7\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38B6\"></a> To add a field to an object and connect objects to the field\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>From the <span class=\"MenuCascade\" id=\"GUID-38CD7A17-1A6D-4139-B06F-6E419EAE59C8\">Dynamics</span> or <span class=\"MenuCascade\" id=\"GUID-0CA3CD17-DC2E-4B57-9B71-01C02DF4E90C\">nDynamics</span> menu set, select <span class=\"MenuCascade\" id=\"GUID-01DCBC9C-4B89-4731-BD92-12D636D2AD44\">Fields</span> &gt; <em class=\"mild\">fieldname</em> to create the field. If it’s already created, select the field. \n            </li>\n            <li>Shift-select the object (or objects) to which you want to add the field. </li>\n            <li>Select <span class=\"char_link\"><a href=\"Fields__Use_Selected_as_Source_of_Field.htm\">Fields &gt; Use Selected as Source of Field</a></span> to add the field to the object. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38B1\"></a>By default, most fields are added to all CVs or vertices of the object. The field\n                  emanates from each point with equal strength. See the field’s <span class=\"MenuCascade\" id=\"GUID-1783AF87-3AFB-41F7-8E94-9C0008137031\">Apply Per Vertex</span> attribute description for more details. \n               </p> \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-A047703B-ED6A-4E9D-9B41-8E8CE4DE7309\">Outliner</span>, select the objects you want the field to influence and -select (Windows and Linux)\n               or -select (Mac OS X) the field itself. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38AE\"></a>The field is indented under the owning object. \n               </p> \n            </li>\n            <li>Select <span class=\"MenuCascade\" id=\"GUID-0FA31CFB-361B-44D0-B779-126F2E4D62F9\">Fields</span> &gt; <span class=\"MenuCascade\" id=\"GUID-CD9AC0F9-FD65-4981-B89E-DC8EF685EFD5\">Affect Selected Object(s)</span>. \n            </li>\n            <li> Click the play button to see the field influence the connected objects. \n               <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38AA\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span>If you create a field before selecting the objects to be influenced, no objects will\n                     be connected to the field. To connect the objects to the field, use the <span class=\"MenuCascade\" id=\"GUID-2FB4AFED-678A-4BCA-B7B2-71C3CDB198F2\">Dynamic Relationships </span>Editor (see <span class=\"char_link\"><a href=\"Dynamic_Relationships_Editor_Dynamic_relationship_editor.htm\">Dynamic relationship editor</a></span>). \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38A9\"></a>The <span class=\"MenuCascade\" id=\"GUID-6A35BA70-EFD4-4407-BF41-466A81669877\">Dynamic Relationships </span>Editor is also useful if you’ve added multiple fields to an object and want to connect\n                        (or disconnect) objects to a selected field or fields. \n                     </p> \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38A8\"></a>To connect to all fields owned by an object, you can simply select the objects to\n                        be influenced, move the pointer over the owning object, then right-click and select\n                        <span class=\"MenuCascade\" id=\"GUID-21A84BF8-2977-4BFB-BE47-DD488E87E045\">Connect Field</span> from the pop-up menu. \n                     </p> \n                  </div>\n               </div> \n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38A7\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38A6\"></a> To create a volume field\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the objects you want the field to affect. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38A3\"></a>You can select particles, nParticles, rigid bodies, or soft bodies. \n               </p> \n            </li>\n            <li>From the <span class=\"MenuCascade\" id=\"GUID-B88A7611-CCBF-4766-8991-B44E75A98A24\">Dynamics</span> or <span class=\"MenuCascade\" id=\"GUID-B62E646D-2564-46AA-A60A-C4A111BB5C1D\">nDynamics</span> menu set, select <span class=\"MenuCascade\" id=\"GUID-E34603A4-5777-4F8C-8291-EEA607371E2C\">Fields</span><em class=\"mild\"> fieldname</em> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\">. \n            </li>\n            <li>In the field’s options window, from the <span class=\"MenuCascade\" id=\"GUID-3A5DB8C6-B26A-45E4-B7B7-50A26E781ECC\">Volume Shape</span> drop-down list, select a shape (other than None). \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38A0\"></a>None means the field affects all the particles to which is connected. \n               </p> \n            </li>\n            <li>Set the volume field attributes as desired. See <span class=\"char_link\"><a href=\"Fields__Edit_field_attributes.htm#WS17956D7ADBC6E73626214027117AE3116F1-7FFB\">Edit field attributes</a></span>. \n            </li>\n            <li>Click <span class=\"MenuCascade\" id=\"GUID-00BEA4D5-D16A-407F-BB20-C18BFF19DDD0\">Create</span>. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-389D\"></a>The implicit shape of the volume field is displayed on the screen. You can move, rotate,\n                  scale, or shear the field. \n               </p> \n               <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-389C\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n                     <p><a name=\"GUID-8332E324-9D3A-4A93-8E59-F9AEF4B1DA4D\"></a>You can’t deform the volume or use an arbitrary volume. \n                     </p> \n                  </div>\n               </div> \n            </li>\n         </ol>\n         <p><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C7F\"></a>You can create an volume field along a curve by creating a volume axis curve. See\n            <span class=\"char_link\"><a href=\"GUID-3D220999-685D-4BC9-B4EA-E632383166AF.htm\">Work with volume axis curves</a></span>. \n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-389B\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-389A\"></a> To add a field to selected points and connect objects to the field\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>From the <span class=\"MenuCascade\" id=\"GUID-E583C022-8406-40F0-B18E-03151B85ADCD\">Dynamics</span> or <span class=\"MenuCascade\" id=\"GUID-71CAA4D8-2D04-402D-9839-ECDC74278EEA\">nDynamics</span> menu set, select <span class=\"MenuCascade\" id=\"GUID-D22CF6F4-BC06-4E8C-BB25-D11EC100CA74\">Fields</span> &gt; <em class=\"mild\">fieldname</em> to create the field. If it’s already created, select the field. \n            </li>\n            <li>Shift-select the desired points on the object. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3896\"></a>For example, select several CVs of the object. See Basics for details on selecting\n                  components. \n               </p> \n            </li>\n            <li>Select <span class=\"char_link\"><a href=\"Fields__Use_Selected_as_Source_of_Field.htm\">Fields &gt; Use Selected as Source of Field</a></span>. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3894\"></a>This adds the field to the selected points of the object. It also creates a set of\n                  the points named <em class=\"mild\">fieldname</em>Set. You can edit set membership to change the field points. See Basics. \n               </p> \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-F5405247-8043-4857-AE1F-5308E017F8D3\">Outliner</span>, select the objects you want the field to influence and -select (Windows and Linux)\n               or -select (Mac OS X) the field. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3891\"></a>The field is indented under the owning object. \n               </p> \n            </li>\n            <li>Select <span class=\"MenuCascade\" id=\"GUID-EEADD548-E6E9-4036-99F7-67492498F240\">Fields</span> &gt; <span class=\"MenuCascade\" id=\"GUID-ACB94921-6D5D-438F-8482-63AB2566393B\">Affect Selected Object(s)</span>. \n            </li>\n            <li> Click the play button to see the field influence the connected objects. </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-388D\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-388C\"></a> To delete a field\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the field in the <span class=\"MenuCascade\" id=\"GUID-191D0368-30BF-4037-B820-93C04BAF3FF9\">Outliner</span> or workspace. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3889\"></a>In the <span class=\"MenuCascade\" id=\"GUID-8C99497D-39CC-406A-9A80-C8A36EE7EB46\">Outliner</span>, an object field is indented under the owning object. \n               </p> \n            </li>\n            <li>Press the  (Windows and Linux) or  (Mac OS X) key. </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3887\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3886\"></a> To add additional fields to an object\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>From the <span class=\"MenuCascade\" id=\"GUID-F2D747AE-DEEC-4883-8863-BB8E292AFB3C\">Dynamics</span> or <span class=\"MenuCascade\" id=\"GUID-741E2D83-A3F0-4668-9514-09557E05EF32\">nDynamics</span> menu set, select <span class=\"MenuCascade\" id=\"GUID-03608E2D-F00B-46AE-A14F-6992E100416D\">Fields </span>&gt; <em class=\"mild\">fieldname</em> to create the field. If it’s already created, select the field. \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-301CC67E-C757-4E0E-A5E3-6D84E9D5A81E\">Outliner</span>, -select (Windows and Linux) or -select (Mac OS X) the object to which you want to\n               add the field. \n            </li>\n            <li>Select <span class=\"char_link\"><a href=\"Fields__Use_Selected_as_Source_of_Field.htm\">Fields &gt; Use Selected as Source of Field</a></span>. \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";