var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-DB4E1AC8-8C94-431F-9EEF-A33204A754C4\">\n      <meta name=\"indexterm\" content=\"fields\">\n      <meta name=\"indexterm\" content=\"fields: animating polygons, NURBS, and deformers\">\n      <meta name=\"indexterm\" content=\"fields: stand-alone\">\n      <meta name=\"indexterm\" content=\"fields: adding to object\">\n      <meta name=\"indexterm\" content=\"curve on surface: adding fields to\">\n      <meta name=\"indexterm\" content=\"fields: adding to curve on surface\">\n      <meta name=\"indexterm\" content=\"volume fields\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Overview of fields</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-DB4E1AC8-8C94-431F-9EEF-A33204A754C4\"></a><div class=\"head\">\n            <h1>Overview of fields</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38DE\"></a> You can simulate the motion of natural forces with dynamic fields. For example, you\n            can connect a vortex field to emitted particles to create swirling motion.\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38DC\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_voxel2d.png\"></div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38DB\"></a> Fields are forces that you use to animate the motion of particles, nParticles, nCloth,\n            soft bodies, rigid bodies, fluids, and hair. A soft body is a polygonal surface, NURBS\n            surface, NURBS curve, lattice, wire, or wrap deformer that you convert as described\n            in <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Soft_bodies.htm\">Soft bodies</a></span>. A rigid body is a polygonal or NURBS surface that you convert as described in <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Rigid_bodies.htm\">Rigid bodies</a></span>. You can create a field on an object or as a stand-alone force. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38D9\"></a>To combine the influence of fields with the keyed translation of particles, nParticles,\n            or soft bodies, see <span class=\"char_link\"><a href=\"Particles_Control_complex_motion_and_forces.htm\">Control complex motion and forces</a></span> in the Particles book. To combine the influence of fields with the keyed translation\n            of rigid bodies, see <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Control_complex_motion_and_forces.htm\">Control complex motion and forces</a></span> in the Soft and Rigid Bodies book. \n         </p>\n         <div><a name=\"WS73099CC142F48755-42A8108711A530FF1D3-699\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n               <p>nParticles and Maya classic particles work with fields in the same way. Sections that\n                  describe how to use fields with particles are also applicable to nParticles. \n               </p> \n            </div>\n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38D8\"></a> \n            <h2><a name=\"GUID-169E1898-FE71-4994-B0D8-DEBB11AEA2A9\"></a>Stand-alone fields\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38D7\"></a> Stand-alone fields influence objects from a stationary or moving position in the workspace.\n               A stand-alone field is not owned by geometry. It is represented by an icon in the\n               workspace and by an independent node in the <span class=\"MenuCascade\" id=\"GUID-4FE8E2D2-1240-4D35-BF82-23A95DA36E1C\">Outliner</span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38D5\"></a> \n            <h2><a name=\"GUID-FB5C214A-D08C-4F6F-93A3-7692302CADC1\"></a>Object fields\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38D4\"></a> Object fields are owned by an object and exert influence from the object. An object\n               field is represented by an icon on or near the object in the workspace, and by an\n               entry under the owning object in the <span class=\"MenuCascade\" id=\"GUID-B502B400-2CAD-4519-9452-A8A52B6E836F\">Outliner</span>. An object can own multiple fields.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38D2\"></a>You can add fields to polygons, NURBS curves or surfaces, particle objects, lattices,\n               or curves on surfaces. You can make the field have influence from some or all CVs,\n               edit points, vertices, or lattice points. Alternatively, you can make the influence\n               occur from the average position of the points.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38D1\"></a> You can add a field to all particles of a particle object, not just to some of the\n               particles. For a curve on surface, you can add fields to the entire curve or to specific\n               edit points, not to specific CVs. If you use edit points, add a field only to the\n               end edit points for best results. \n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38CF\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_fieldCurveOnSurf.png\"></div> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E73626214027117AE3116F1-7FFE\"></a> \n            <h2><a name=\"GUID-1FA9685D-184F-4A00-8A31-81E579E72D39\"></a>Volume fields\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38CE\"></a> You can select a volume to define the region in space in which particles or rigid\n               bodies are affected by any field in Maya. The volume shapes you can use are cube,\n               sphere, cylinder, cone, and torus. \n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38CC\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_volumeFields.png\"></div> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-38CB\"></a>For example, if you create a Turbulence field and set its volume shape to cube, only\n               particles or rigid bodies within the region of the cube are affected by the turbulence.\n               Volume fields work with all fields in Maya, including volume axis fields. See <span class=\"char_link\"><a href=\"Fields__Work_with_volume_axis_fields.htm\">Work with volume axis fields</a></span>.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-6602\"></a> \n            <h2><a name=\"GUID-B801517A-E8B1-4837-87C3-2002AC0E3753\"></a>Volume axis curve\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-6601\"></a>You can use volume axis curves to define an axis field region around a NURBS curve.\n               Volume axis curves let you move objects, including particles and nParticles, in various\n               directions along the curve, as well as define a radius around the curve in which the\n               axis field is active. See <span class=\"char_link\"><a href=\"GUID-3D220999-685D-4BC9-B4EA-E632383166AF.htm\">Work with volume axis curves</a></span>.\n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";