var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-D2453612-8B37-4B37-97B2-C450F5C67F98\">\n      <meta name=\"indexterm\" content=\"tethered balls\">\n      <meta name=\"indexterm\" content=\"orbiting objects\">\n      <meta name=\"indexterm\" content=\"newton field\">\n      <meta name=\"indexterm\" content=\"mass: objects with newton field\">\n      <meta name=\"indexterm\" content=\"orbiting objects\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Work with newton fields</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-D2453612-8B37-4B37-97B2-C450F5C67F98\"></a><div class=\"head\">\n            <h1>Work with newton fields</h1>\n         </div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37FF\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C831DFE7-C945-48F6-8185-073E16D9D91E-low.png\"></div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37FE\"></a>   A newton field pulls objects towards it. This lets you create effects such as orbiting\n            planets or tethered, colliding balls. This field is based on the principle that a\n            mutual attractive force exists between any two objects in the universe, proportional\n            to the product of their masses. As the distance between the objects increases, the\n            force of the pull decreases. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37FA\"></a>You can use a newton field to:\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37F9\"></a><ul>\n            <li>attract objects to a stand-alone newton field.</li>\n            <li>attract objects to a NURBS, polygonal, or particle object that owns a newton field.</li>\n         </ul>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37F6\"></a>The newton field is influenced by the mass value of the connected objects. See <span class=\"char_link\"><a href=\"Fields__Work_with_newton_fields.htm#WS17956D7ADBC6E73626214027117AE3116F1-7FEF\">Mass values of objects</a></span>. Also, see <span class=\"char_link\"><a href=\"Fields__Newton.htm\">Fields &gt; Newton</a></span>.\n         </p>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E73626214027117AE3116F1-7FEF\"></a> \n            <h2><a name=\"GUID-2084FC9F-D795-4006-B812-853DE70E056F\"></a>Mass values of objects\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37F5\"></a> All objects that own or are connected to a newton field have a default mass value.\n               A rigid body has a mass attribute of 1 by default. You can alter the value by displaying\n               the rigid body in the <span class=\"MenuCascade\" id=\"GUID-6150CB2B-0C69-4741-8820-8556A68409F1\">Attribute Editor</span>. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37F3\"></a>If you add a newton field to a NURBS or polygonal object and the object is not a rigid\n               body, the object has a non-attribute mass equal to its total number of CVs or vertices.\n               For example, a 10-CV object has a mass of 10. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37F2\"></a>A particle object’s per particle mass attribute controls its mass value. Each particle\n               of the object has a mass value of 1, by default. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37F1\"></a>A stand-alone newton field lacks a mass attribute but has a default mass value of\n               1. You cannot alter this value.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37F0\"></a> \n            <h2><a name=\"GUID-1BD376AF-7450-49A4-B252-48424E14696D\"></a>Example: Creating an orbiting object\n            </h2> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37EF\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37EE\"></a> To create an orbiting object\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select <span class=\"char_link\"><a href=\"\">Window &gt; Settings/Preferences &gt; Preferences</a></span> and click <span class=\"MenuCascade\" id=\"GUID-8083EE33-C2F2-40D3-82EE-C10038F009FB\">Dynamics</span> in the <span class=\"MenuCascade\" id=\"GUID-65BA25AA-B1D4-4A14-9DF5-E78B5CD41E66\">Categories</span> list. Make sure <span class=\"MenuCascade\" id=\"GUID-D4A87F4A-772D-47ED-8F98-CD773E48C6E6\">Auto Create Rigid Body</span> is turned on. \n               </li>\n               <li>Create a sphere and position it away from the origin as follows.<a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37EA\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-6BA398FD-7625-4C8B-B075-146723AB5AD9-low.png\"></div>\n               </li>\n               <li>With the sphere selected, from the <span class=\"MenuCascade\" id=\"GUID-ECADE8FC-121F-456A-868E-D0A3F2503C25\">Dynamics</span> or <span class=\"MenuCascade\" id=\"GUID-14EE2153-E334-4BF4-A1CA-ABBB76D57651\">nDynamics</span> menus set, choose <span class=\"char_link\"><a href=\"Fields__Newton.htm\">Fields &gt; Newton</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\">. \n               </li>\n               <li>Select <span class=\"MenuCascade\" id=\"GUID-42EF2DAE-9E50-4AC4-9AC6-11385A26EB23\">Edit &gt; Reset Settings</span> to use default values, then click <span class=\"MenuCascade\" id=\"GUID-C0A046DD-A89F-46B6-95E8-142F65653375\">Create</span>.\n               </li>\n               <li>In the <span class=\"MenuCascade\" id=\"GUID-CB121049-E9DB-40D4-AB8C-864CF1FE652F\">Attribute Editor</span>, set the <span class=\"MenuCascade\" id=\"GUID-30D42B36-5827-4B73-9D5D-C10EC8EBFB35\">Attenuation</span> to 0.\n               </li>\n               <li>Select the sphere, then click the rigid body tab in the <span class=\"MenuCascade\" id=\"GUID-D7B2E03D-8073-4B6A-BBF1-7863B9C46705\">Attribute Editor</span>. In the <span class=\"MenuCascade\" id=\"GUID-8B738E90-736C-46DF-9939-6AE746FC38BC\">Initial Settings</span> section, set <span class=\"MenuCascade\" id=\"GUID-EAF34711-2A50-4385-9999-1A03713507A6\">Initial Velocity</span> Z to 5.\n               </li>\n            </ol> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";