var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-CFEFD7A0-0236-4CE9-8C71-B7A94C7C1E7D\">\n      <meta name=\"indexterm\" content=\"per-particle field attributes\">\n      <meta name=\"indexterm\" content=\"field attributes: per particle\">\n      <meta name=\"indexterm\" content=\"per-particle goalU/goalV attributes\">\n      <meta name=\"indexterm\" content=\"polymesh goal objects: per-particle attributes\">\n      <meta name=\"indexterm\" content=\"goalU\">\n      <meta name=\"indexterm\" content=\"goalV\">\n      <meta name=\"indexterm\" content=\"per-particle field attributes: applying\">\n      <meta name=\"indexterm\" content=\"applying: per particle field attributes\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Work with per-particle field attributes</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-CFEFD7A0-0236-4CE9-8C71-B7A94C7C1E7D\"></a><div class=\"head\">\n            <h1>Work with per-particle field attributes</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3860\"></a> You can manipulate field attributes on a per-particle level. This functionality works\n            for the case where <span class=\"MenuCascade\" id=\"GUID-2E4A6C17-364C-4282-BE32-E9CCFEB1984F\">particleShape</span> or <span class=\"MenuCascade\" id=\"GUID-CE7F54AA-24B5-417F-A7D7-C36D447467D2\">nParticleShape </span>is used as the source of the field, as well as the case where the <span class=\"MenuCascade\" id=\"GUID-F5271D6B-132E-4209-88FC-CC048AFD9805\">particleShape</span> or <span class=\"MenuCascade\" id=\"GUID-513E6742-297B-4EB1-B62E-77874C7D3AF4\">nParticleShape </span>is affected by a field. In the case where the attribute is affected by both, the value\n            from the <span class=\"MenuCascade\" id=\"GUID-B17AE4FD-A731-4BE6-A182-D6445A515B16\">particleShape</span> or <span class=\"MenuCascade\" id=\"GUID-4EC8D168-8B38-4548-8F5D-A9998BC18956\">nParticleShape</span> acting as the source of the field will take precedence.\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-385E\"></a>If the <span class=\"MenuCascade\" id=\"GUID-5145C238-BCDF-40B7-95EA-53328C9E28CD\">particleShape</span> or <span class=\"MenuCascade\" id=\"GUID-268A5F3D-42C6-471F-BEF8-C6E11969925C\">nParticleShape </span>is acting as the source of the field, this feature allows each field to behave its\n            own way. If the <span class=\"MenuCascade\" id=\"GUID-307B90F5-801B-4CA9-950A-191199FFAE2F\">particleShape</span> or <span class=\"MenuCascade\" id=\"GUID-A4066A75-3996-4CC9-9A9B-377CD9B00388\">nParticleShape</span> is simply affected by a field, this feature allows each particle to be affected by\n            a unique set of field attributes.\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-385D\"></a>For more information, see <span class=\"char_link\"><a href=\"Dynamics_Nodes_particleShape_node.htm\">particleShape node</a></span>.\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-385C\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-385B\"></a>  To apply per-particle field attributes\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Apply a field to a set of particles.</li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-8BC29207-9D9D-4236-9FE4-E59065B2306B\">particleShape </span>Attribute Editor expand the <span class=\"MenuCascade\" id=\"GUID-1F3D610E-EBE8-45C7-BA9D-9186DA897A69\">Add Dynamic Attributes</span> section, if necessary.\n            </li>\n            <li>Click the <span class=\"MenuCascade\" id=\"GUID-DF0E6958-62EF-43A3-9E47-F03BE88E9A8D\">General</span> button. The <span class=\"MenuCascade\" id=\"GUID-AA5141ED-2FF9-4C76-A317-8BB1E0D31250\">Add Attribute</span> dialog box is displayed.\n            </li>\n            <li>Create a per-particle attribute of float or vector type on the particleShape or nParticleShape\n               with the name <em class=\"mild\">fieldName_attributeLongNameOnTheField </em>or <em class=\"mild\">fieldName_attributeShortNameOnTheField</em>. The type for the per-particle attribute you use must match the attribute type on\n               the field. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3854\"></a>For example, create airField1_magnitude to control the magnitude on airField1.\n               </p>\n            </li>\n            <li>Write an expression to control this attribute.</li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";