var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-3D220999-685D-4BC9-B4EA-E632383166AF\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Work with volume axis curves</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-3D220999-685D-4BC9-B4EA-E632383166AF\"></a><div class=\"head\">\n            <h1>Work with volume axis curves</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C7C\"></a>Volume axis curves let you move objects, including particles and nParticles, in various\n            directions along the curve, as well as define a radius around that curve in which\n            the axis field is active. You can select an existing NURBS curve (in addition to the\n            object to which you want to apply the field) when creating a volume curve field. Otherwise,\n            a default curve is created for the volume axis field.\n         </p>\n         <p><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C7B\"></a>The overall radius of the volume axis field on a curve is set using <span class=\"MenuCascade\" id=\"GUID-BED73F07-86D6-4F18-9340-9C1AC0BFC29A\">Section Radius</span>. Using the <span class=\"MenuCascade\" id=\"GUID-BAEEDB56-9B63-455C-AB5B-A03B09661CD7\">Curve Radius</span> ramp, you can vary <span class=\"MenuCascade\" id=\"GUID-57CCB89A-6831-460A-B71D-3FE9218E948F\">Section Radius</span> along the length of your volume axis curve. When a position marker is added to the\n            <span class=\"MenuCascade\" id=\"GUID-60097F74-3E07-401C-9FE6-63FB64C2AF9F\">Curve Radius</span> ramp, a <span class=\"MenuCascade\" id=\"GUID-649BB763-58C7-4B06-84EB-CDFB93A51C92\">Radius Scale</span> indicator is placed on the curve in the scene view. These indicators show the points\n            on your NURBS curve where <span class=\"MenuCascade\" id=\"GUID-5524B806-15A8-4309-AFD5-1AF19D475FFE\">Curve Radius</span> is scaled to specific values. See <span class=\"char_link\"><a href=\"GUID-E1685117-F8F3-4092-804C-2BBF524C7982.htm#WS1A9193826455F5FF-6507591011913E8F4B813B2\">Curve Radius</a></span></p><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C7A\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C79\"></a>To create a volume axis curve\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>From the <span class=\"MenuCascade\" id=\"GUID-74FEF447-DC9E-466A-9E52-DCCBF05D3F1D\">Dynamics </span>or <span class=\"MenuCascade\" id=\"GUID-798E67D0-C8CF-41B0-B26B-E697CF9D70DC\">nDynamics </span>menu set, select <span class=\"char_link\"><a href=\"GUID-EEB4D14B-8627-4DB3-A0BA-34E610CA8FAA.htm\">Fields &gt; Volume Curve</a></span>.<a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C77\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_fieldsDefaultVolumeAxis.png\"></div>\n            </li>\n            <li>In the Attribute Editor, click the <span class=\"MenuCascade\" id=\"GUID-39DF36CC-21CF-4745-9D01-D8975A51D48E\">volumeAxisField</span> tab, and then modify the settings. See the following:<a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C75\"></a><ul>\n                  <li>To set <span class=\"MenuCascade\" id=\"GUID-6A314A04-CC41-4F25-B8A7-1625F42ACAA2\">Volume Control Attributes</span></li>\n                  <li>To set <span class=\"MenuCascade\" id=\"GUID-C93CA5D6-3283-47BA-9B84-54177B9188A3\">Volume Speed Attributes</span></li>\n               </ul>\n            </li>\n         </ol><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C72\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C71\"></a>To create volume axis curve from an existing NURBS curve\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the NURBS curve you want to use as a volume axis curve, and then -select the\n               objects, such as particle, nParticle, or nCloth objects, you want the field to influence\n               with the volume axis curve.\n            </li>\n            <li>From the <span class=\"MenuCascade\" id=\"GUID-092804C7-3AFE-492D-A1F6-4CF0A2777555\">Dynamics </span>or <span class=\"MenuCascade\" id=\"GUID-A09408E4-3F98-441C-B4DC-DB236D99A345\">nDynamics </span>menu set, select <span class=\"char_link\"><a href=\"GUID-EEB4D14B-8627-4DB3-A0BA-34E610CA8FAA.htm\">Fields &gt; Volume Curve</a></span>.\n               <p><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C6E\"></a>In the scene view, dotted rings appear around the NURBS curve to indicate that the\n                  curve is now a volume axis curve. \n               </p><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C6D\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_fieldsNurbsVolumeAxis.png\"></div>\n            </li>\n            <li>In the Attribute Editor, click the <span class=\"MenuCascade\" id=\"GUID-8D26B469-C493-4591-83D3-4420C8525571\">volumeAxisField</span> tab, and then modify the settings. See the following:<a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C6B\"></a><ul>\n                  <li>To set <span class=\"MenuCascade\" id=\"GUID-F419EAF4-CA4A-404D-9D8E-F2223881DDB0\">Volume Control Attributes</span></li>\n                  <li>To set <span class=\"MenuCascade\" id=\"GUID-4E08B622-19B5-4883-874A-829DEAEE1A68\">Volume Speed Attributes</span></li>\n               </ul>\n            </li>\n         </ol><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C68\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C67\"></a>To connect a volume axis curve to particle and nParticle objects\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>In the scene view, select a volume axis curve.</li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-13D3B497-4375-402D-9A00-EEB98AE3B2EA\">Outliner</span>, select the objects, such as particle, nParticle, or nCloth objects you want the\n               field to influence with the volume axis curve, and then -select (Windows and Linux)\n               or -select (Mac OS X) the volume axis field. \n            </li>\n            <li>Select <span class=\"MenuCascade\" id=\"GUID-9D03E73F-D5CF-450B-BB52-83852848C0E9\">Fields &gt; Affect Selected Object(s)</span>. \n            </li>\n         </ol><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C63\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C62\"></a>To set <span class=\"MenuCascade\" id=\"GUID-B40F550C-2EA8-4523-9222-A157071ED02B\">Volume Control Attributes</span></p>\n         <ol type=\"1\" start=\"1\">\n            <li>In the scene view, select the volume axis curve you want to edit.</li>\n            <li>In the<span class=\"MenuCascade\" id=\"GUID-93BC3AB2-F01D-4121-A250-205BCFFCA1EE\"> Attribute Editor</span>, click the <span class=\"MenuCascade\" id=\"GUID-E55A1B86-881B-477B-A3C3-ED2DE38A6E9C\">VolumeAxisfield</span> tab.\n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-7A8EE6AE-1ACC-4ED8-81C1-BFA3784BF8F0\">Volume Control Attributes </span>section, set<span class=\"MenuCascade\" id=\"GUID-F65D9AD9-6CB3-4912-B51E-6BB5D3E252C6\"> Section Radius</span> to define the radius of the volume field. \n            </li>\n            <li>To set volume trapping properties to keep objects from exiting the volume field, do\n               the following:<a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C5D\"></a><ul>\n                  <li>Set <span class=\"MenuCascade\" id=\"GUID-2120648D-F51C-4AB5-AE5A-69D00F3B4AD6\">Trap Inside</span> to apply a force to the volume field that keeps objects inside the volume. \n                  </li>\n                  <li>Set <span class=\"MenuCascade\" id=\"GUID-062606D0-9641-4DDD-BB84-1DF77A8199BE\">Trap Radius</span> to specify the radius (as a local space distance) from the volume boundary within\n                     which the <span class=\"MenuCascade\" id=\"GUID-3DDB73AC-BD42-43A8-B025-681669FF7B12\">Trap Inside</span> force is applied. \n                  </li>\n                  <li>To create ends on volume curves, turn on <span class=\"MenuCascade\" id=\"GUID-654F5F39-A28A-4A2D-B84A-9BBBBA8B4646\">Trap Ends</span>.\n                  </li>\n               </ul>\n            </li>\n         </ol>\n         <p><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C59\"></a>For information about other<span class=\"MenuCascade\" id=\"GUID-FB5BFB7B-CC5E-4E42-A421-C4865BFCDB2A\"> Volume Control Attributes</span>, see <span class=\"char_link\"><a href=\"Fields__Volume_Axis.htm#WS1A9193826455F5FF-6D855556117FACF922E-3B99\">Volume Control Attributes</a></span>.\n         </p><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C58\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C57\"></a>To set a <span class=\"MenuCascade\" id=\"GUID-EBD7A596-1EC2-4CA5-8023-193D5BED061C\">Curve Radius </span>ramp\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>In the scene view, select the volume axis curve for which you want to set a <span class=\"MenuCascade\" id=\"GUID-BE6250CE-80EA-406F-BA40-435197C55ECE\">Curve Radius</span> ramp.\n            </li>\n            <li>In the Attribute Editor, click the <span class=\"MenuCascade\" id=\"GUID-BE3BF422-AD1B-4196-A2DA-00421CCD23FA\">volumeAxisField</span> tab.\n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-045707B1-21BF-41CC-B040-9E1457AEFAC9\">Volume Control Attributes </span>section, under <span class=\"MenuCascade\" id=\"GUID-CE9DDB4A-84C9-4AAD-9951-61874D6B025F\">Curve Radius</span>, set the ramp options by doing the following:<a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C53\"></a><ul>\n                  <li>Click the ramp to create a <span class=\"MenuCascade\" id=\"GUID-6B9D5638-F7E7-4366-B9B6-223A8D5D8E7F\">Selected Position </span>for a <span class=\"MenuCascade\" id=\"GUID-6062E81D-4256-4ABF-A453-EF98A6A4F658\">Section Radius</span> value. The left position on the ramp represents <span class=\"MenuCascade\" id=\"GUID-CC287048-9DB3-49A0-9CBD-C5AC67884050\">Section Radius</span> at the base of the curve, while the right position on the ramp represents a <span class=\"MenuCascade\" id=\"GUID-F14BDD09-C202-40BD-BDAB-56F98E446EFB\">Section Radius</span> at the tip of the curve. <a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C51\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_fieldsCurveRadiusRamp.png\"></div>\n                     <p><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C50\"></a>When a position marker is added to the <span class=\"MenuCascade\" id=\"GUID-2FC04ED1-9A3F-4610-BFDB-5B4D372B9689\">Curve Radius</span> ramp, a <span class=\"MenuCascade\" id=\"GUID-D8F62E5E-3398-4A3B-9673-26945B927754\">Radius Scale</span> indicator is placed on the curve in the scene view. These indicators show the points\n                        on your NURBS curve where <span class=\"MenuCascade\" id=\"GUID-46EDEB11-921D-47E7-9FCA-3DCE9D6EBA40\">Curve Radius</span> is scaled to specific values. For more information, see <span class=\"char_link\"><a href=\"GUID-E1685117-F8F3-4092-804C-2BBF524C7982.htm#WS1A9193826455F5FF-6507591011913E8F4B813B2\">Curve Radius</a></span>.\n                     </p><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C4F\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_fieldSectionRadius.png\"></div>\n                  </li>\n                  <li>Set an <span class=\"MenuCascade\" id=\"GUID-830308F5-4CB9-4562-BD83-64390290E2F3\">Interpolation </span>method to determine how <span class=\"MenuCascade\" id=\"GUID-E16AAE59-1D34-4CA0-A952-A4A29729E0CE\">Section Radius</span> blends between the positions on the ramp. See <span class=\"char_link\"><a href=\"GUID-E1685117-F8F3-4092-804C-2BBF524C7982.htm#WS1A9193826455F5FF-6507591011913E8F4B813B9\">Interpolation</a></span>.\n                  </li>\n               </ul>\n            </li>\n         </ol><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C4D\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C4C\"></a>To set <span class=\"MenuCascade\" id=\"GUID-6FD0330F-5CE3-41D1-B78C-A1AE288429FC\">Volume Speed Attributes</span></p>\n         <ol type=\"1\" start=\"1\">\n            <li>In the scene view, select the volume axis curve you want to edit.</li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-7E00210C-E2B6-4A9F-8C19-530F9306F5DE\">Attribute Editor</span>, click the <span class=\"MenuCascade\" id=\"GUID-F020D2F5-B258-4327-8BE2-5AC9F470299F\">VolumeAxisfield</span> tab.\n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-5E558CF2-739D-4193-9627-6EA7E0B26843\">Volume Speed Attributes </span>section, set the following:<a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C48\"></a><ul>\n                  <li><span class=\"MenuCascade\" id=\"GUID-A2307395-06B1-46B2-8B73-F4DF845850CA\">Away From Axis </span>to specify the speed at which particles or other objects move away from the central\n                     axis of the curve. \n                  </li>\n                  <li><span class=\"MenuCascade\" id=\"GUID-9EAFAC4D-E8C5-442D-AC08-C0307FEC61F4\">Along Axis</span> to specify the speed at which particles or other objects move along the central axis\n                     of the curve. \n                  </li>\n                  <li><span class=\"MenuCascade\" id=\"GUID-725C7293-448A-4565-971E-3F9220EC457A\">Around Axis</span> to specify the speed at which particles or other objects move along the central axis\n                     of all volumes. \n                  </li>\n               </ul>\n            </li>\n         </ol>\n         <p><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6C44\"></a>For information about other<span class=\"MenuCascade\" id=\"GUID-0C09AB6C-4CCB-45FC-95F7-BACDB401EEC1\"> Volume Speed Attributes</span>, see <span class=\"char_link\"><a href=\"Fields__Volume_Axis.htm#WS1A9193826455F5FF-6D855556117FACF922E-3B89\">Volume Speed Attributes</a></span>.\n         </p>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";