var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-AF7452B6-4996-4012-8974-7C39A9186377\">\n      <meta name=\"indexterm\" content=\"particle sampler info node: examples\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Examples of using the Particle Sampler Info node</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-AF7452B6-4996-4012-8974-7C39A9186377\"></a><div class=\"head\">\n            <h1>Examples of using the Particle Sampler Info node</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2FAF\"></a> To help you use the <span class=\"MenuCascade\" id=\"GUID-33E76355-A0AC-4CC6-AB0B-B57BF07ED7B4\">Particle Sampler Info</span> node: we’ve included the following examples to help you learn how to use the <span class=\"MenuCascade\" id=\"GUID-694F612A-2B47-40AC-8A5D-CC2552C3D847\">Particle Sampler Info</span> node to achieve some commonly used effects. Refer to <span class=\"char_link\"><a href=\"Particles_Set_Particle_Sampler_Info_node_attributes.htm\">Set Particle Sampler Info node attributes</a></span> for complete information on <span class=\"MenuCascade\" id=\"GUID-A318526A-8587-4256-82FD-A8C600FCD470\">Particle Sampler Info</span> node attributes.\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2FAD\"></a><ul>\n            <li> <span class=\"char_link\"><a href=\"GUID-AF7452B6-4996-4012-8974-7C39A9186377.htm#WS1A9193826455F5FF-6D855556117FACF922E-2F85\">Example: Using the Particle Sampler Info node with rgbPP</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"GUID-AF7452B6-4996-4012-8974-7C39A9186377.htm#WS1A9193826455F5FF-6D855556117FACF922E-2F6C\">Example: Creating fading particle</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"GUID-AF7452B6-4996-4012-8974-7C39A9186377.htm#WS1A9193826455F5FF-6D855556117FACF922E-2F5B\">Example: Creating smoke</a></span> \n            </li>\n         </ul>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2FA8\"></a> \n            <h2><a name=\"GUID-E7488D9E-4DDC-4F14-965D-96B000C52F26\"></a>Use the <span class=\"MenuCascade\" id=\"GUID-A861069F-BCA0-48CE-B85C-1E6714F4A911\">Particle Sampler Info</span> node to drive a texture placement node\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2FA7\"></a>Here is an example of the first strategy—using the <span class=\"MenuCascade\" id=\"GUID-56E3B1E1-9335-4EC3-B38A-D4F07ACBC4CE\">Particle Sampler Info</span> node to drive a texture placement node, which textures the shader color. In this\n               example, we’ll use the particles’ age to color the particles. \n            </p> <a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7F87\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2FA6\"></a>Example: Using particle age to color particles\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Make a cone emitter emitting upwards with a speed of 8, set the particles’ <span class=\"MenuCascade\" id=\"GUID-0EF1FE0A-F088-4D62-9394-D824DF8E0BB9\">Lifespan Mode</span> to <span class=\"MenuCascade\" id=\"GUID-A4584C62-5C96-4197-8BA6-42E79DC26244\">Constant</span> with a <span class=\"MenuCascade\" id=\"GUID-A942DA61-31BC-4F30-9679-F60A931FF095\">Lifespan</span> of 2, and set their Render Type to cloud. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2FA4\"></a>To do this, you can copy the following MEL commands from the <span class=\"MenuCascade\" id=\"GUID-BEDAB70C-A3DC-420B-9B5A-4B422DBE8E0B\">Maya Help</span> and paste them into the <span class=\"MenuCascade\" id=\"GUID-4256C2B0-5FB3-428E-B9B8-C61653F7771B\">Script Editor</span>:\n                  </p>\n                  <div class=\"codeBlock\"><pre>\nemitter -pos 0 0 0 -type volume -r 100 -vsh cone -alx 8; particle; connectDynamic -em emitter1 particle1; setAttr particleShape1.lifespanMode 1; setAttr particleShape1.lifespan 2.0; setAttr particleShape1.particleRenderType 8;\n</pre></div>\n               </li>\n               <li>Select the particle shape and display the <span class=\"MenuCascade\" id=\"GUID-C972074D-0E9E-4CA3-8026-25DB74C989DC\">Attribute Editor</span>.\n               </li>\n               <li>Select the <span class=\"MenuCascade\" id=\"GUID-852CC7A7-E300-4AFB-9511-E98F20464C75\">particleCloud</span> tab, and press the <img src=\"../images/GUID-F7675820-2C81-4B7F-A9D1-721839D1084B-low.png\"> button next to <span class=\"MenuCascade\" id=\"GUID-A56358E1-B395-43F9-AF43-B81740264B44\">Life Incandescence</span> to display the <span class=\"MenuCascade\" id=\"GUID-876D8897-6D4A-44B8-B38E-F55B0C3A8717\">Create Render Node</span> window. \n                  <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2FA1\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                        <p>Incandescence is the same as color but is self illuminating so you don’t need to add\n                           a light.\n                        </p> \n                     </div>\n                  </div>\n               </li>\n               <li>In the right panel, click <img src=\"../images/GUID-4EF55464-7256-463D-AE55-32B5FC220AA7-low.png\">.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F9F\"></a>This creates a new ramp, a texture placement node, and a <span class=\"MenuCascade\" id=\"GUID-4661714B-6AE5-475E-AC77-7DB76E7CDDD4\">Particle Sampler Info</span> node. <span class=\"MenuCascade\" id=\"GUID-44BFB2FD-D49F-4633-A18B-1562A646F56C\">Life Color</span> isn’t actually an attribute at all—it’s just a control in the <span class=\"MenuCascade\" id=\"GUID-00D79DB7-4466-46C9-A15B-D875AC031966\">Attribute Editor</span> that tells Maya to set up these connections to color for you. \n                  </p>\n               </li>\n               <li>Play the scene back and render. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F9D\"></a>You’ll see the particle color textured by the ramp as the particles age. \n                  </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F9C\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-CC6F1E9F-3230-40E2-BA5B-2C653A28BA3D-low.png\"></div>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F9B\"></a>Now we’ll change some of the controls in the <span class=\"MenuCascade\" id=\"GUID-893F895A-C777-49C5-8530-D6999E71A52B\">Particle Sampler Info</span> node.\n                  </p>\n               </li>\n               <li>Select the particle shape and display the <span class=\"MenuCascade\" id=\"GUID-527AA7CD-32D2-444E-9C95-AAF9A35ED2B2\">Attribute Editor</span>. Click the particleSamplerInfo1 tab.\n               </li>\n               <li>Turn on <span class=\"MenuCascade\" id=\"GUID-424B54C6-7E01-4504-B4CE-EF9CA1C18A0E\">Inverse Out Uv</span> and re-render.<a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F98\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A6CEC1BD-15A7-4963-AD27-1873B5A98CF9-low.png\"></div>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F97\"></a>The colors are reversed—instead of the particles changing from red to green to blue,\n                     they change from blue to green to red.\n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F96\"></a>Now we’ll change a control on the texture node.\n                  </p>\n               </li>\n               <li>In the particle shape <span class=\"MenuCascade\" id=\"GUID-D735D9B9-C6F6-4F9E-9756-F307B16D2A15\">Attribute Editor</span>, click the <span class=\"MenuCascade\" id=\"GUID-FA2AD7F5-23FD-43CD-842D-F574FA561A9C\">particleCloud </span>tab.\n               </li>\n               <li>Click the <span class=\"MenuCascade\" id=\"GUID-4B1C452F-8A40-4406-9D87-2E0C42774245\">Input Connection</span><img src=\"../images/GUID-4B5D3DDB-C379-4A42-991A-C469D0EEE8DB-low.png\"> button next to <span class=\"MenuCascade\" id=\"GUID-2B2728B0-8FB7-4721-ABC5-39D99E61C5D0\">Life Incandescence</span>.\n               </li>\n               <li>Click place2DTexture1.</li>\n               <li>Set <span class=\"MenuCascade\" id=\"GUID-23972890-944A-49F8-B62B-AA6A9A422EE0\">Noise UV</span> to 1.0 and 1.0 and re-render.<a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F91\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-591A61E1-8722-470F-8A2E-59A19E9E9585-low.png\"></div>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F90\"></a>Noise is applied to the placement of the ramp creating randomness in the red, green,\n                     and blue particles.\n                  </p>\n               </li>\n               <li>Change <span class=\"MenuCascade\" id=\"GUID-29F6C092-6339-40B9-8B55-C3CCC039590E\">Noise UV</span> back to 0.0 and 0.0. \n               </li>\n               <li>Click <span class=\"MenuCascade\" id=\"GUID-AE37EC53-1D07-4E8D-987D-1DD7A1D08120\">Load Attributes</span> and display the particle shape <span class=\"MenuCascade\" id=\"GUID-BD1603CF-CD74-49AB-9D7C-B6B994353B95\">Attribute Editor</span>.\n               </li>\n               <li>Change <span class=\"MenuCascade\" id=\"GUID-FCB01877-E79A-4C30-8A6A-B75FCEFD4D39\">Lifespan Mode </span>to <span class=\"MenuCascade\" id=\"GUID-CD22318A-653B-421A-8DE3-BD82BFD48DA6\">Live forever</span>. \n               </li>\n               <li>Select the tab for the <span class=\"MenuCascade\" id=\"GUID-D32E4308-2F83-457D-B1D8-6C993A07E82B\">Particle Sampler Info</span> node. \n               </li>\n               <li>Change the <span class=\"MenuCascade\" id=\"GUID-B3FE72DB-65C9-4FC4-A3C3-8E95D006D706\">Out Uv Type</span> to <span class=\"MenuCascade\" id=\"GUID-D6B8454A-C9E3-4388-8E3D-DA8B2BDE9F43\">Absolute Age</span> and set a normalization value of 1.\n               </li>\n               <li>Rewind, play about 100 frames, and render. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F89\"></a>Notice that the particles cycle through the ramp more than once as they age. \n                  </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F88\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-FDD21A13-058C-4CFB-A26C-8FE6EF3ACE7C-low.png\"></div>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F87\"></a> \n            <h2><a name=\"GUID-DB74DA15-6BE8-4800-BEC4-9122AC5F68D1\"></a>Use the <span class=\"MenuCascade\" id=\"GUID-0B244891-D31B-4E13-A4F6-6BA2A275334A\">Particle Sampler Info</span> node with per-particle attributes\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F86\"></a>Here is an example of the second general strategy—driving shader color directly with\n               rgbPP. Use this strategy when you want to use expressions or ramps driven by something\n               other than age.\n            </p> <a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7F86\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F85\"></a>Example: Using the <span class=\"MenuCascade\" id=\"GUID-19C60C72-B5AA-49CE-98E6-A50E9D1405B3\">Particle Sampler Info</span> node with rgbPP\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Make a cone emitter emitting upwards with a speed of 8, set the particles’ <span class=\"MenuCascade\" id=\"GUID-9C2B306F-513B-4362-8739-1D308D01A2E8\">Lifespan Mode</span> to <span class=\"MenuCascade\" id=\"GUID-F0AF5027-8FE3-4719-94D2-37A3504022B6\">Constant</span> with a <span class=\"MenuCascade\" id=\"GUID-19561264-133C-4351-AD37-76140CB47E9D\">Lifespan</span> of 2, and set their Render Type to cloud. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F83\"></a>To do this, you can copy the following MEL commands from the <span class=\"MenuCascade\" id=\"GUID-158BCD6A-BFED-4AC8-B11F-F259C252A985\">Maya Help</span> and paste them into the <span class=\"MenuCascade\" id=\"GUID-D46C248D-7199-4399-ACE6-0F3DF44E0FA5\">Script Editor</span>:\n                  </p>\n                  <div class=\"codeBlock\"><pre>\nemitter -pos 0 0 0 -type volume -r 100 -vsh cone -alx 8; particle; connectDynamic -em emitter1 particle1; setAttr particleShape1.lifespanMode 1; setAttr particleShape1.lifespan 2.0; setAttr particleShape1.particleRenderType 8;\n</pre></div>\n               </li>\n               <li>Select the particle shape and select <span class=\"char_link\"><a href=\"Fields__Gravity.htm\">Fields &gt; Gravity</a></span>.\n               </li>\n               <li>With the particle shape selected, display the <span class=\"MenuCascade\" id=\"GUID-EC0F69C8-001A-4D1E-BE95-61CCBCFF8A7F\">Attribute Editor</span>.\n               </li>\n               <li>Under <span class=\"MenuCascade\" id=\"GUID-0A0F384B-CFF3-4139-B3B7-69649EDB5398\">Add Dynamic Attributes</span>, click <span class=\"MenuCascade\" id=\"GUID-6AE0A838-9185-4C8C-A930-1E1630E45680\">Color</span>.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F7F\"></a>The <span class=\"MenuCascade\" id=\"GUID-9807FDD3-80DC-496D-BBA0-98257599F8BB\">Particle Color</span> window is displayed.\n                  </p>\n               </li>\n               <li>Click <span class=\"MenuCascade\" id=\"GUID-2994BDD2-04A7-4339-AE6A-D7D3322AEA3E\">Add Per Particle Attribute</span> and click <span class=\"MenuCascade\" id=\"GUID-FFBD9A23-5F25-498C-AF88-5019FA227B24\">Add Attribute</span>.\n               </li>\n               <li>In the <span class=\"MenuCascade\" id=\"GUID-347FF0E3-55E0-4032-93B2-FA8BB2DF7DA9\">Attribute Editor</span>, click the particleCloud1 tab. \n               </li>\n               <li>Next to the <span class=\"MenuCascade\" id=\"GUID-9B76EADF-4FA3-44E3-9908-991DF96D992D\">Color</span> attribute, press the <img src=\"../images/GUID-F7675820-2C81-4B7F-A9D1-721839D1084B-low.png\">map button to display the<span class=\"MenuCascade\" id=\"GUID-868922F1-19A4-4771-BEE4-FF0214E24AAF\"> Create Render Node</span> window. \n               </li>\n               <li>In the<span class=\"MenuCascade\" id=\"GUID-9EC5821D-ABD3-49E9-9E6A-8FB05B003AF5\"> Create Render Node</span> window, under <span class=\"MenuCascade\" id=\"GUID-39884BA8-8FDC-4786-BD5A-BDD9A25A2A42\">Maya</span>, click <span class=\"MenuCascade\" id=\"GUID-E8F784AD-D682-4309-AE95-2E433A917824\">Utilities</span>.\n               </li>\n               <li>In right panel, click <img src=\"../images/GUID-13A1EA6B-9072-4041-B55A-8F0A7691FF0C-low.png\">.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F7A\"></a>This automatically creates a new <span class=\"MenuCascade\" id=\"GUID-97F57C23-7783-468A-9AEB-586FF9330BBF\">Particle Sampler Info</span> node and connects its color output to the color attribute. (If you had already created\n                     a <span class=\"MenuCascade\" id=\"GUID-7E9081A8-2EF8-4758-833F-866476084D87\">Particle Sampler Info</span> node, you could use that and connect it directly, in the connection editor.) \n                  </p>\n               </li>\n               <li>Select the particle shape tab in the <span class=\"MenuCascade\" id=\"GUID-80B5B8AC-5D1F-48F6-A2BA-EA0C2D57701D\">Attribute Editor</span>. Under <span class=\"MenuCascade\" id=\"GUID-8A380FB5-1BF8-4106-B23A-5A8A91B56F05\">Per Particle (Array) Attributes</span>, right-click<span class=\"MenuCascade\" id=\"GUID-E8213861-45A7-4A89-A4A1-FA195B01462A\"> rgbPP</span> and select <span class=\"MenuCascade\" id=\"GUID-187CEC15-0D2F-47CD-9D3C-01D336E4CE9F\">Runtime Expression</span> (before or after dynamics calculation).\n               </li>\n               <li>In the <span class=\"MenuCascade\" id=\"GUID-C3C0463F-CAFD-44EC-BE24-B8CF45C81AF6\">Expression Editor</span>, enter the following expression:\n                  <div class=\"codeBlock\"><pre>\nparticleShape1.rgbPP = &lt;&lt; mag(particleShape1.velocity) /\n	10, 0.0, 1 -mag(particleShape1.velocity)/10 &gt;&gt;;\n</pre></div>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F77\"></a>This tells Maya to change the particle color from blue to red as the velocity increases.\n                  </p>\n                  <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F76\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                        <p>We used an expression in this example to achieve a specific effect. However, you don’t\n                           have to use expressions with the <span class=\"MenuCascade\" id=\"GUID-B4864EAE-6C9F-49AD-98B2-0D1A9EC2C59C\">Particle Sampler Info</span> node. You can also use a ramp, which will give you a different effect.\n                        </p> \n                     </div>\n                  </div>\n               </li>\n               <li>Add a light to the scene. We recommend a directional light.</li>\n               <li>Play about 75 frames and render.<a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F73\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-01593C88-04A7-4E6D-A7E7-A56E7C6FF7AA-low.png\"></div>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F72\"></a>Notice that the <span class=\"MenuCascade\" id=\"GUID-4B68FCFF-B52D-4356-BBAE-84A23963655A\">Particle Sampler Info</span> node outIncandescence output automatically uses <span class=\"MenuCascade\" id=\"GUID-E0C4E568-0CF6-468A-8FDD-65C5A57DD9D3\">rgbPP</span> if that attribute is present. If there is no <span class=\"MenuCascade\" id=\"GUID-C3A397E3-A624-4CB1-B470-6AAF6E7F75FD\">rgbPP</span>, it uses <span class=\"MenuCascade\" id=\"GUID-A8D8BC93-E3B2-4ACC-8B4F-5B2896541EF3\">colorRed/colorGreen/colorBlue</span>, if they are present. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F71\"></a>The advantage of using <span class=\"MenuCascade\" id=\"GUID-BE162DD5-71D8-4724-A48A-7EAD6E30A71A\">rgbPP</span> is that you can set or animate its value in any of the ways available for per-particle\n                     attributes, and see the results in software. You will also then be using the same\n                     color attribute in both hardware and software rendering. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F70\"></a>However, <span class=\"MenuCascade\" id=\"GUID-8473FB97-3065-4B35-BB00-43648FF411EB\">rgbPP</span> can be animated only with expressions and ramps (or the component editor). The advantage\n                     of using <span class=\"MenuCascade\" id=\"GUID-1D0DEB05-5C5B-4AB7-9EAF-87AC20E52CE4\">Life Color</span> is that you get a texture placement node and can make use of its additional controls.\n                     In particular, you can use any texture, not just a ramp, since you get both u and\n                     v control. You can connect any compatible <span class=\"MenuCascade\" id=\"GUID-282D7A2C-187E-4286-8D15-18888816403F\">Particle Sampler Info</span> node attribute you want.\n                  </p>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F6F\"></a> \n            <h2><a name=\"GUID-C00A5070-6D79-4C41-B81D-3970FEF459F9\"></a>Set transparency with the <span class=\"MenuCascade\" id=\"GUID-20630D01-20A3-4CD5-82E0-F4B5421B1D7C\">Particle Sampler Info</span> node\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F6E\"></a>As with color, <span class=\"MenuCascade\" id=\"GUID-24FFF837-C3D5-45D9-B061-1E6F9DA84451\">Life Transparency</span> is still available. It uses the <span class=\"MenuCascade\" id=\"GUID-9C8C81CA-2EA8-4176-8FB8-AC8B08E8EBE2\">outUvCoord</span> attribute of a <span class=\"MenuCascade\" id=\"GUID-1B03EF77-1B68-43A8-90A4-77C5154A59E4\">Particle Sampler Info</span> node in conjunction with a texture placement node, instead of a particle transparency\n               mapper and age mapper.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F6D\"></a>As with color, you can use per-particle attributes such as <span class=\"MenuCascade\" id=\"GUID-E2A5A450-10AA-410B-B990-6083355B86BB\">opacityPP</span> directly. You use the <span class=\"MenuCascade\" id=\"GUID-6E9A9ADD-AF12-4712-980A-2F0FB8B84278\">outTransparency</span> attribute of the <span class=\"MenuCascade\" id=\"GUID-102797D3-C22E-468B-9F72-80B81C5F0A51\">Particle Sampler Info</span> node.\n            </p> <a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7F85\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F6C\"></a>Example: Creating fading particle\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Make a volume emitter with the shape of a flat cylindrical disk, with <span class=\"MenuCascade\" id=\"GUID-D53B1D59-EE68-4FCF-8106-A2170D29914A\">Speed Away From Axis</span> equal to 1 and other speeds zero. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F6A\"></a>To do this, you can copy the following MEL commands from the <span class=\"MenuCascade\" id=\"GUID-F83C9E36-0636-49C0-B8F4-3C0CF824253F\">Maya Help</span> and paste them into the <span class=\"MenuCascade\" id=\"GUID-315B10B2-76CA-450E-9952-B41CD8590190\">Script Editor</span>:\n                  </p>\n                  <div class=\"codeBlock\"><pre>\nemitter -pos 0 0 0 -type volume -r 100 -sro 0 -spd 1 -vsh cylinder -afx 1; scale -r 5 0.5 5 ; particle; connectDynamic -em emitter1 particle1;\n</pre></div>\n               </li>\n               <li>Reduce Rate (Particles/Sec) to 50.</li>\n               <li>Set the particle’s render type to cloud. Click <span class=\"MenuCascade\" id=\"GUID-DF3A3454-9E6A-4F6A-8629-B641855B54AF\">Add Attributes for Current Render Type</span> and set the <span class=\"MenuCascade\" id=\"GUID-BE1F99E8-8E29-4000-A1D7-CF0777F19D51\">Radius</span> to 1.5.\n               </li>\n               <li>In the <span class=\"MenuCascade\" id=\"GUID-DA6F0446-26FF-4E21-9AF5-CF2C357AAF42\">Attribute Editor</span>, under <span class=\"MenuCascade\" id=\"GUID-617DFFF3-8737-494A-BED8-9994EE1DCEE9\">Add Dynamic Attributes</span>, click <span class=\"MenuCascade\" id=\"GUID-E1216098-48F5-49E4-B03E-CB092332A10F\">Opacity</span>. Turn on <span class=\"MenuCascade\" id=\"GUID-4BD8CF76-8999-45FA-94EE-27869836E087\">Add Per Particle Attribute</span> and click<span class=\"MenuCascade\" id=\"GUID-DADFC3D5-24F2-49CC-9E43-7A28BD5386DF\"> Add Attribute</span>.\n               </li>\n               <li>Under <span class=\"MenuCascade\" id=\"GUID-13213DAB-69EA-4B05-8858-3988F46EA0F3\">Per Particle Attributes</span>, right-click <span class=\"MenuCascade\" id=\"GUID-07D5A9D4-DAF5-4A03-B218-B48CE66EEEA6\">opacityPP</span> and select <span class=\"MenuCascade\" id=\"GUID-7B75BBE5-429A-4CED-8DD8-3F79273DF074\">Runtime Expression</span> (before or after dynamics calculation). \n               </li>\n               <li>In the <span class=\"MenuCascade\" id=\"GUID-7D574C07-DDF1-4DEF-93C4-674714A10B8F\">Expression Editor</span>, enter the following expression and click <span class=\"MenuCascade\" id=\"GUID-38C61735-FA01-47D9-A9E8-4700EC24FF1B\">Create</span>:\n                  <div class=\"codeBlock\"><pre>\nopacityPP = 1 / (0.01 + mag( position ));\n</pre></div>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F64\"></a>(We added 0.01 in the denominator to avoid dividing by zero when particle is at the\n                     origin.)\n                  </p>\n               </li>\n               <li>Select the particleCloud shader tab and click the map <img src=\"../images/GUID-F7675820-2C81-4B7F-A9D1-721839D1084B-low.png\"> button for <span class=\"MenuCascade\" id=\"GUID-D6803F20-4C41-4C09-A5B7-2B81F65AC13C\">Transparency</span> (not <span class=\"MenuCascade\" id=\"GUID-5B66165A-3213-4C73-9A92-B272B24EE606\">Life Transparency</span>). \n                  <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA81882\"></a>The <span class=\"MenuCascade\" id=\"GUID-ADBEB38A-7F92-42AC-B7FE-771125ECB73C\">Create Render Node</span> window appears.\n                  </p>\n               </li>\n               <li>In the<span class=\"MenuCascade\" id=\"GUID-ACF3590C-3963-437A-B7DD-3176CCBC0DA9\"> Create Render Node</span> window, under <span class=\"MenuCascade\" id=\"GUID-BFD60575-95BE-4F33-A762-3D585E20A362\">Maya</span>, click <span class=\"MenuCascade\" id=\"GUID-FF96A3C2-5F9D-4F3F-9114-A1CF2D2B374E\">Utilities</span>.\n               </li>\n               <li>In right panel, click <img src=\"../images/GUID-13A1EA6B-9072-4041-B55A-8F0A7691FF0C-low.png\">.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F61\"></a>This create a new <span class=\"MenuCascade\" id=\"GUID-9D956FB0-BA73-4416-A708-3929A55A9B2E\">Particle Sampler Info</span> node and connects its outTransparency to the shader transparency. As with color and\n                     incandescence, the outTransparency output automatically uses opacityPP, if that attribute\n                     is present, otherwise it uses opacity.\n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F60\"></a>Opacity and transparency have an inverse relationship: the more opaque something is,\n                     the less transparent it is. If you connect the outTransparency output of the <span class=\"MenuCascade\" id=\"GUID-EB584F00-AAC2-4ACE-B847-B2ABE7B1EF92\">Particle Sampler Info</span> node, then the node automatically converts opacity to transparency so that you get\n                     the right result. \n                  </p>\n               </li>\n               <li>Add a light, play the scene about 50 frames, and render. A camera view from the top,\n                  looking down the y-axis, is best. The particles will appear more transparent the further\n                  they are from the origin. <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F5E\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A77F6937-BF32-4E99-A9B3-4FDCCDFB38D6-low.png\"></div>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F5D\"></a> \n            <h2><a name=\"GUID-020D9564-608D-426A-88D4-DDAB2A1521DA\"></a>Control noise on a per-particle basis \n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F5C\"></a>You can connect any per-particle attribute to the attribute in the shader that you\n               want to control. You can then put an expression on the per-particle attribute to control\n               it exactly the way you want.\n            </p> <a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7F84\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F5B\"></a>Example: Creating smoke\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Make a simple curve emitter emitting particles vertically upward. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F59\"></a>To do this, you can copy the following MEL commands from the <span class=\"MenuCascade\" id=\"GUID-554D979D-D56E-4348-84A2-40256519E93C\">Maya Help</span> and paste them into the <span class=\"MenuCascade\" id=\"GUID-7790B95C-393F-4829-A386-5DF2C516A9C3\">Script Editor</span>:\n                  </p>\n                  <div class=\"codeBlock\"><pre>\ncurve -d 3 -p -6.861087 0 7.36723 -p -2.43128 0 2.685247 -p 2.685247 0 -2.43128 	-p 6.968851 0 -6.714884 -k 0 -k 0 -k 0 -k 1 -k 1 -k 1 ; emitter -type curve -r 100 -sro 0 -nuv 0 -cye none -cyi 5 -spd 6 -srn 0 -nsp 0 	-tsp 0 -mxd 0 -mnd 0 -dx 0 -dy 1 -dz 0 -sp 0 ; particle;\nconnectDynamic -em emitter1 particle1;\n</pre></div>\n               </li>\n               <li>Set the particles’ lifespan mode to random range. Set lifespan to 2 and lifespanRandom\n                  to 2.\n               </li>\n               <li>Set the particle rendering type to cloud. Click <span class=\"MenuCascade\" id=\"GUID-3A1065EC-1682-48A5-B3DC-1C456089236E\">Add Attributes for Current Render Type</span>, and set <span class=\"MenuCascade\" id=\"GUID-021EA789-6550-49A2-AEA2-65FFD1916215\">Radius</span> to 1.5.\n               </li>\n               <li>Select the <span class=\"MenuCascade\" id=\"GUID-FA16F01F-C3F8-4327-8DCB-257E183783E0\">particleCloud</span> tab, and set the color to a light gray color, or any other color you like.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F55\"></a>Now we’ll use any per-particle attribute you aren’t using. For example, we have no\n                     need of <span class=\"MenuCascade\" id=\"GUID-47C65F6D-2114-4E78-BD8D-9F4A46F2FB07\">parentU</span> and <span class=\"MenuCascade\" id=\"GUID-7CEA9801-5EA9-4FF7-A372-D89B3D1D6B80\">parentV</span> here, so we’ll use that. \n                  </p>\n                  <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F54\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n                        <p>For simplicity, we used parentU and parentV in this example because they are easily\n                           added and weren’t being used. However, you can use any dynamic attribute—even those\n                           you define yourself.\n                        </p> \n                     </div>\n                  </div>\n               </li>\n               <li>Select <span class=\"MenuCascade\" id=\"GUID-7D6A3D7E-E537-4259-93B0-365F44FB22A8\">Attributes &gt; Add Attributes</span>. Click the <span class=\"MenuCascade\" id=\"GUID-327C4C11-01BB-44B3-B514-D1170D86A210\">Particle</span> tab in the <span class=\"MenuCascade\" id=\"GUID-C392A78D-0921-4BCF-B99B-31C2FD6FF13A\">Add attribute</span> window.\n               </li>\n               <li>Select<span class=\"MenuCascade\" id=\"GUID-7A61E87C-DB7D-48ED-9099-C15726E4DC7A\"> parentU</span> and click <span class=\"MenuCascade\" id=\"GUID-B8CADB7F-201B-4100-BEAD-E6DD3B0E000C\">Add</span>. Select <span class=\"MenuCascade\" id=\"GUID-F18BDB9C-88F7-4780-A832-39C3884F2F51\">parentV</span> and click <span class=\"MenuCascade\" id=\"GUID-BBC70BAA-36B1-4EA6-A61F-1A13D2CEDBFD\">Add</span>. Click <span class=\"MenuCascade\" id=\"GUID-17CD2143-3745-4D01-965F-EBC916FCD948\">OK</span>.\n               </li>\n               <li>Right-click either <span class=\"MenuCascade\" id=\"GUID-33F67388-CEEF-4108-B502-B2A2C1B04581\">parentU</span> or<span class=\"MenuCascade\" id=\"GUID-D462F5E6-D906-4CC5-A63B-1DC290D3CA9F\"> parentV</span>, select <span class=\"MenuCascade\" id=\"GUID-252B097D-4293-4B5C-8198-4D9718652CBD\">Runtime Expression</span> (before or after dynamics calculation), and add the following expression:\n                  <div class=\"codeBlock\"><pre>\nparentU = 0.7 + 2*(age/finalLifespanPP); parentV = age /(1.5*finalLifespanPP);\n</pre></div>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F50\"></a>We want the particles to get less dense and more noisy as they age, the way smoke\n                     would. \n                  </p>\n                  <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F4F\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                        <p>We used an expression in this example to achieve a specific effect. However, you don’t\n                           have to use expressions with the <span class=\"MenuCascade\" id=\"GUID-1310FAD2-60B6-4788-A3D3-8C13793AAD6C\">Particle Sampler Info</span> node. You can also use a ramp, which will give you a different effect.\n                        </p> \n                     </div>\n                  </div>\n               </li>\n               <li>In the particleCloud <span class=\"MenuCascade\" id=\"GUID-0E0A1D73-420F-4621-8C47-E057F084F8A4\">Attribute Editor</span>, click the map <img src=\"../images/GUID-F7675820-2C81-4B7F-A9D1-721839D1084B-low.png\"> button next to noise.\n                  <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA81884\"></a>The <span class=\"MenuCascade\" id=\"GUID-142F4433-0A43-4B4E-9E83-1F156FF35CEB\">Create Render Node</span> window appears.\n                  </p>\n               </li>\n               <li>In the<span class=\"MenuCascade\" id=\"GUID-D95DA53D-2AE8-4354-9F41-0E65FE5D501F\"> Create Render Node</span> window, under <span class=\"MenuCascade\" id=\"GUID-1C2499CC-037E-493B-9706-5FC0C13D9D87\">Maya</span>, click <span class=\"MenuCascade\" id=\"GUID-B802EF84-4D14-4A3F-8BFA-7FE3DD8785FA\">Utilities</span>.\n               </li>\n               <li>In right panel, click <img src=\"../images/GUID-13A1EA6B-9072-4041-B55A-8F0A7691FF0C-low.png\">.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F4C\"></a>The <span class=\"MenuCascade\" id=\"GUID-8C7D619E-B466-493A-8A3F-3D45EEFBDC97\">Connection Editor</span> appears.\n                  </p>\n               </li>\n               <li>Connect the <span class=\"MenuCascade\" id=\"GUID-A0E06B54-6BEE-46B3-821E-03D9B094B220\">Particle Sampler Info node</span>’s <span class=\"MenuCascade\" id=\"GUID-923581CF-1D36-4CBD-A638-24B914DCD07B\">parentU </span>to <span class=\"MenuCascade\" id=\"GUID-CC2FDC36-DF3A-43B9-ADE4-470F1DB7D458\">Noise</span>, and connect <span class=\"MenuCascade\" id=\"GUID-B67A7363-8D6C-47F8-90BC-AE8E3DAED4B7\">parentV</span> to <span class=\"MenuCascade\" id=\"GUID-B01E5ACC-8C6C-4C76-BED1-9F965587E9A1\">Density</span>. \n               </li>\n               <li>Add a light. Play the scene to about frame 60 and render.<a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2F49\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-998BABDC-F18C-4EB7-BA33-B8D7DA5CF436-low.png\"></div>\n               </li>\n            </ol> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";