var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-BA18E467-55EB-437D-838A-6DDEFB120532\">\n      <meta name=\"indexterm\" content=\"particle sampler info node: creating\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Create a Particle Sampler Info node</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-BA18E467-55EB-437D-838A-6DDEFB120532\"></a><div class=\"head\">\n            <h1>Create a Particle Sampler Info node</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2FC1\"></a> This is the general procedure for creating a <span class=\"MenuCascade\" id=\"GUID-15488FFE-FFB0-42C3-9A95-E3121F1C1ADE\">Particle Sampler Info</span> node. These are general steps—we’ve included examples of specific tasks in <span class=\"char_link\"><a href=\"GUID-AF7452B6-4996-4012-8974-7C39A9186377.htm\">Examples of using the Particle Sampler Info node</a></span>. \n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2FBF\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2FBE\"></a>To create a <span class=\"MenuCascade\" id=\"GUID-492123A5-2012-4CDE-895C-11D3A74376F8\">Particle Sampler Info</span> node\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Create your particles and set the <span class=\"MenuCascade\" id=\"GUID-3754B1D5-F95D-454E-A593-A55693873B4E\">Render Type</span> to <span class=\"MenuCascade\" id=\"GUID-4C10F30E-D90E-4EE1-8BF7-896CE71A30E8\">Cloud</span>, <span class=\"MenuCascade\" id=\"GUID-8F815A61-36E7-4384-8D51-C5C8A0F86ED8\">Blobby</span>, or <span class=\"MenuCascade\" id=\"GUID-FCEE6C81-79F1-456C-872A-5CC470CA96F9\">Tube</span>.\n            </li>\n            <li>Determine which particle attribute you want to use to drive a shader attribute. </li>\n            <li>Add that attribute to the particle shape, if necessary. </li>\n            <li>Select the particles and display the <span class=\"MenuCascade\" id=\"GUID-92439EDF-1F7D-4670-A213-F0034AFD4A74\">Attribute Editor.</span> Click the <span class=\"MenuCascade\" id=\"GUID-760388D2-467E-424A-B808-8BB2D48C763C\">Attribute Editor</span> tab for the shader, and find the shader attribute you want to drive with the particle\n               attribute. \n            </li>\n            <li>Click the <img src=\"../images/GUID-F7675820-2C81-4B7F-A9D1-721839D1084B-low.png\"> (map) button next to that attribute to display the <span class=\"MenuCascade\" id=\"GUID-59A76483-524F-4868-9902-583781015280\">Create Render Node</span> window. \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-BCAEF700-0687-4774-BED2-5B237488F90F\">Create Render Node</span> window, under <span class=\"MenuCascade\" id=\"GUID-4285BE92-57C2-4BFB-ABC8-9F7418CA92CF\">Maya</span>, select <span class=\"MenuCascade\" id=\"GUID-3D76DF20-A86B-4C5A-9120-56C5896EDDBB\">Utilities</span>. <a name=\"WS73099CC142F48755-575EAB4C124F5234AA8187D\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-AE8402EB-84DC-44A4-B9F8-41F61632C080-low.png\"></div>\n            </li>\n            <li>In the right panel of the <span class=\"MenuCascade\" id=\"GUID-22AF38D5-0DA7-44C9-94BA-4B2D73A1A7C3\">Create Render Node</span> window, click <span class=\"MenuCascade\" id=\"GUID-DDD26F45-B02A-431F-B8EA-F671FE27CC24\">Particle Sampler</span>.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2FB7\"></a>Depending on the particle attribute you use to drive the shader attribute, Maya either\n                  displays the new <span class=\"MenuCascade\" id=\"GUID-43898AD8-17C7-451A-9A0B-796E2B04C240\">Particle Sampler Info</span> node in the <span class=\"MenuCascade\" id=\"GUID-68FECFD4-FC95-4ADD-80D4-717CFF21B7E8\">Attribute Editor</span> or the <span class=\"MenuCascade\" id=\"GUID-71BD5F96-ED51-401C-A7E5-1234C4BC2DC3\">Connection Editor</span>.\n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2FB6\"></a>In the case of color, transparency, and incandescence, Maya displays the node in the\n                  <span class=\"MenuCascade\" id=\"GUID-8F7DE5CC-419E-4D02-B5BB-280BB4E81207\">Attribute Editor</span> and automatically makes the following default connections: \n               </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2FB5\"></a><ul>\n                  <li>outColor -&gt; color</li>\n                  <li>outTransparency -&gt; transparency</li>\n                  <li>outIncandescence -&gt; incandescence</li>\n               </ul><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8187E\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-2811D151-E357-4F4D-8354-5E0256416B5B-low.png\"></div>\n               <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8187F\"></a>Other attributes display the <span class=\"MenuCascade\" id=\"GUID-9BB4A4EB-22DB-4487-B9A9-E522D0CF4B02\">Connection Editor</span> with the <span class=\"MenuCascade\" id=\"GUID-27D1243B-85E6-44B9-8711-C7B85218C9B9\">Particle Sampler Info</span> node on the <span class=\"MenuCascade\" id=\"GUID-59C57B0A-71FD-4351-AFCC-49D26CD55757\">From</span> side and the shader on the<span class=\"MenuCascade\" id=\"GUID-3D4CCC31-FA19-4388-9FE5-9ACC3EE3002A\"> To </span>side. \n               </p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA81880\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-705DBE65-6D24-4A6E-9324-83241344AF6F-low.png\"></div>\n            </li>\n            <li>For attributes that use the <span class=\"MenuCascade\" id=\"GUID-8CC688E4-1AC8-4C34-AC0F-3FE1654471F9\">Connection</span> editor, connect <span class=\"MenuCascade\" id=\"GUID-0B1087BE-8E17-4713-99BF-E3FBD61815AF\">Particle Sampler Info</span> node attributes to shader node attributes however you wish. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2FB0\"></a>The connection between the particle shape and the <span class=\"MenuCascade\" id=\"GUID-23239BC0-0625-495C-B21C-B72E1A2B62DF\">Particle Sampler Info</span> node is implicit— you don’t actually make it. The only connection you make is between\n                  the <span class=\"MenuCascade\" id=\"GUID-5610A0CD-FC77-4C66-9A2B-FC69729577B8\">Particle Sampler Info</span> node and the shader.\n               </p>\n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";