var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-F423BB37-7E63-4568-8928-5D54455683B2\">\n      <meta name=\"indexterm\" content=\"particle collision event: using a MEL procedure\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Create a MEL procedure for collision events</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-F423BB37-7E63-4568-8928-5D54455683B2\"></a><div class=\"head\">\n            <h1>Create a MEL procedure for collision events </h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0ECD\"></a> To use an event procedure with collision events, your MEL script containing the procedure\n            must have the following format and argument list: \n         </p>\n         <div class=\"codeBlock\"><pre>\nglobal proc <div class=\"codeBlock\"><pre> <em class=\"codeEmphasisMild\">myEventProc</em></pre></div> (string \n               	 \n               <div class=\"codeBlock\"><pre> <em class=\"codeEmphasisMild\">$particleObject</em></pre></div>, int \n               	 \n               <div class=\"codeBlock\"><pre> <em class=\"codeEmphasisMild\">$particleId</em></pre></div>, string \n               	 \n               <div class=\"codeBlock\"><pre> <em class=\"codeEmphasisMild\">$geometryObject</em></pre></div>) {\n               	 \n               <div class=\"codeBlock\"><pre> <em class=\"codeEmphasisMild\">Type MEL statements here;</em></pre></div>} \n               </pre></div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3088\"></a>Where, \n         </p><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0ECF\"></a><ul>\n            <li> <span class=\"code\">myEventProc</span> is the name of the MEL procedure and the script. \n            </li>\n            <li> <span class=\"code\">$particleObject</span> is the name of the particle object that collides with the geometry. \n            </li>\n            <li> <span class=\"code\">$particleId</span> is the particle id of the particle that collides. \n            </li>\n            <li> <span class=\"code\">$geometryObject</span> is the name of the geometry. \n            </li>\n         </ul>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3084\"></a>When you create an event procedure, be aware of following: \n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3083\"></a><ul>\n            <li>You do not need to use the contents of the arguments in your procedure, but they must\n               exist in the procedure definition. \n            </li>\n            <li>Name the MEL file the same as the procedure so that the procedure is loaded into memory\n               when you source the script. \n            </li>\n            <li>To have your script and its procedure sourced each time you start Maya, put the MEL\n               script in your Maya project’s <em class=\"mild\">scripts</em> folder. For example, <span class=\"code\">maya\\2013\\scripts\\</span>. \n            </li>\n         </ul><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-307B\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0ED4\"></a>To add the script procedure to a particle collision event\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Open the <span class=\"MenuCascade\" id=\"GUID-978ACC04-3704-435A-BC09-0EAFBD34B0CF\">Script Editor</span> by selecting <span class=\"MenuCascade\" id=\"GUID-8DC885AA-6C09-4A3A-ABDC-C055AB6AF745\">Windows &gt; General Editor &gt; Script Editor</span>. \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-8DE3E483-DB0F-4B83-B4D1-534697CFCA20\">Script Editor</span> select <span class=\"MenuCascade\" id=\"GUID-DD0490EE-B28A-427D-9B39-CF16EF9D6F11\">File &gt; Source Script</span> to source the script that contains the procedure. \n               <div><a name=\"WS73099CC142F48755-FD8AF8D1204C8F5D90-6D26\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n                     <p><a name=\"GUID-4B7E0B52-40CD-4482-B30C-26ED12DF640B\"></a>If the procedure creates objects, Maya does not delete them when you rewind your simulation.\n                        You can also source a procedure without sourcing the script that contains it. See\n                        the <em class=\"mild\">MEL and Expressions</em> guide for more details on working with scripts and procedures. \n                     </p> \n                  </div>\n               </div> \n            </li>\n            <li>Depending on the particle type, do one of the following: <a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0ED7\"></a><ul>\n                  <li>For a classic particle object, in the <span class=\"MenuCascade\" id=\"GUID-1328ADB4-D2C4-4FE4-A97F-FDD7A3BE83CF\">Dynamics </span>menu set, select <span class=\"char_link\"><a href=\"Particles__Particle_Collision_Events_Editor.htm\">Particles &gt; Particle Collision Events Editor</a></span>. \n                  </li>\n                  <li>For an nParticle object, in the <span class=\"MenuCascade\" id=\"GUID-C2F0D060-6D2E-4136-8817-9BD8D3F67BDA\">nDynamics</span> menu set, select <span class=\"char_link\"><a href=\"\">nParticles &gt; Particle Collision Event Editor</a></span>. \n                  </li>\n               </ul> \n               <p><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0EDA\"></a>The <span class=\"MenuCascade\" id=\"GUID-89CAC450-5766-48C7-BB24-34A01882842B\">Particle Collision Event Editor </span>appears. \n               </p> \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-EF3AD3F5-F08B-4359-858A-7E762432F347\">Particle Collision Event Editor</span> do the following: <a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0EDC\"></a><ul>\n                  <li>Click <span class=\"MenuCascade\" id=\"GUID-6E99C576-A509-4931-AF47-6D880B87C752\">Create Event</span>. \n                  </li>\n                  <li>(Optional) Turn on <span class=\"MenuCascade\" id=\"GUID-E1637CF5-34A9-49DA-A18A-ECE5818790FD\">Original Particles Die</span> if you want the source particle object to die after the collision. \n                  </li>\n                  <li>Type the name of your event procedure in the <span class=\"MenuCascade\" id=\"GUID-3D9F935E-B8DE-4D29-85B2-990211158A10\">Event procedure</span> field. \n                  </li>\n               </ul> \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";