var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-C6908A44-F231-4E4C-A01B-79C891FE379D\">\n      <meta name=\"indexterm\" content=\"PDC file format\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Use the PDC File Format</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-C6908A44-F231-4E4C-A01B-79C891FE379D\"></a><div class=\"head\">\n            <h1>Use the PDC File Format</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2EF4\"></a> The PDC file is used by Maya\'s particle disk caching and startup cache. It is a binary\n            file that holds one frame\'s worth of data for a single particle object. The <em class=\"mild\">readpdb</em> program cannot read this format, but we provide this information here in case you\n            want to write your own readers.\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2EF2\"></a><div class=\"table_Ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"100%\">\n               </colgroup>\n               <tr class=\"ruledOddRow\">\n                  <td class=\"table-body\"> <a name=\"WS73099CC142F48755-6AAE5668123E144A987-735B\"></a><p class=\"table-body\">4 Characters indicating that this is a PDC file. These 4 characters are: </p> <a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-7BF1\"></a><p class=\"table-body\">“P”, “D”, “C”, “ “.</p> \n                  </td>\n               </tr>\n               <tr class=\"ruledEvenRow\">\n                  <td class=\"table-body\"> <a name=\"WS73099CC142F48755-6AAE5668123E144A987-735A\"></a><p class=\"table-body\"> 1 Integer indicating the file format version number. </p> \n                  </td>\n               </tr>\n               <tr class=\"ruledOddRow\">\n                  <td class=\"table-body\"> <a name=\"WS73099CC142F48755-6AAE5668123E144A987-7359\"></a><p class=\"table-body\">1 Integer holding bit information about whether the values stored in the file are\n                        BIG_ENDIAN or LITTLE_ENDIAN.\n                     </p> \n                  </td>\n               </tr>\n               <tr class=\"ruledEvenRow\">\n                  <td class=\"table-body\"> <a name=\"WS73099CC142F48755-6AAE5668123E144A987-7358\"></a><p class=\"table-body\"> 2 Integers holding extra bit information that various file format version might decide\n                        to use.\n                     </p> \n                  </td>\n               </tr>\n               <tr class=\"ruledOddRow\">\n                  <td class=\"table-body\"> <a name=\"WS73099CC142F48755-6AAE5668123E144A987-7357\"></a><p class=\"table-body\">1 Integer indicating the number of particles represented in this file. </p> \n                  </td>\n               </tr>\n               <tr class=\"ruledEvenRow\">\n                  <td class=\"table-body\"> <a name=\"WS73099CC142F48755-6AAE5668123E144A987-7356\"></a><p class=\"table-body\">1 Integer indicating the number of attributes that have values stored in this file.\n                        \n                     </p> \n                  </td>\n               </tr>\n               <tr class=\"ruledOddRow\">\n                  <td class=\"table-body\"> <a name=\"WS73099CC142F48755-6AAE5668123E144A987-7355\"></a><p class=\"table-body\"> N records, where N is the number of attributes. Each record holds all of the particles\'\n                        data. The record is formatted as follows: \n                     </p> \n                  </td>\n               </tr>\n               <tr class=\"ruledEvenRow\">\n                  <td class=\"table-body\"> <a name=\"WS73099CC142F48755-6AAE5668123E144A987-7354\"></a><ul>\n                        <li>1 Integer indicating the length of the attribute\'s name </li>\n                        <li>M Characters indicating the name of the attribute, where M is the length of the name.\n                           \n                        </li>\n                        <li>1 Integer indicating the type of data for the current attribute. The following maps\n                           the values to the data types:<a name=\"WS73099CC142F48755-6AAE5668123E144A987-7350\"></a><ul>\n                              <li> 0 ---&gt; Integer </li>\n                              <li> 1 ---&gt; Integer Array</li>\n                              <li> 2 ---&gt; Double </li>\n                              <li> 3 ---&gt; Double Array </li>\n                              <li>4 ---&gt; Vector </li>\n                              <li> 5 ---&gt; Vector Array </li>\n                           </ul>\n                        </li>\n                        <li>P * B Bytes representing the data for this attribute, where P is the number of particles\n                           or 1 for non-array data and B is the number of bytes needed to represent the data\n                           type.\n                        </li>\n                     </ul> \n                  </td>\n               </tr>\n            </table>\n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";