var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-61085658-250C-4208-834F-714EC045F42F\">\n      <meta name=\"indexterm\" content=\"world space: field influence\">\n      <meta name=\"indexterm\" content=\"fields: influence in world space\">\n      <meta name=\"indexterm\" content=\"local space: field influence on particles\">\n      <meta name=\"indexterm\" content=\"fields: influence in local space\">\n      <meta name=\"indexterm\" content=\"world space: particle object values\">\n      <meta name=\"indexterm\" content=\"Centroid\">\n      <meta name=\"indexterm\" content=\"velocity\">\n      <meta name=\"indexterm\" content=\"position attribute\">\n      <meta name=\"indexterm\" content=\"World Position\">\n      <meta name=\"indexterm\" content=\"World Velocity\">\n      <meta name=\"indexterm\" content=\"World Centroid\">\n      <meta name=\"indexterm\" content=\"World Velocity In Object Space\">\n      <meta name=\"indexterm\" content=\"Input Force\">\n      <meta name=\"indexterm\" content=\"Input Force\">\n      <meta name=\"indexterm\" content=\"Input Force\">\n      <meta name=\"indexterm\" content=\"Input Force\">\n      <meta name=\"indexterm\" content=\"Input Force\">\n      <meta name=\"indexterm\" content=\"Input Force\">\n      <meta name=\"indexterm\" content=\"Input Force\">\n      <meta name=\"indexterm\" content=\"Input Force\">\n      <meta name=\"indexterm\" content=\"Input Force\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Apply forces in an object\'s local space</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-61085658-250C-4208-834F-714EC045F42F\"></a><div class=\"head\">\n            <h1>Apply forces in an object\'s local space</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-338B\"></a> Dynamic forces influence NURBS and polygonal objects in the world space coordinate\n            system. Regardless of how you rotate a cone, for instance, a gravity field with default\n            option settings moves the cone down along the world space Y-axis. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3389\"></a> By default, fields also influence particle objects in world space. However, you can\n            cause a field to affect a particle object in the particle object’s local space. For\n            example, you can make a gravity field pull a particle object down the particle object’s\n            local Y-axis rather than down the world space Y-axis.\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3387\"></a>See <span class=\"char_link\"><a href=\"Dynamics_Nodes_particleShape_node.htm#WS1A9193826455F5FF-6D855556117FACF922E-4375\">Forces In World</a></span>.\n         </p>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FBE\"></a> \n            <h2><a name=\"GUID-6EA099C1-A3BA-403C-BFAB-9AF6B18E4D9D\"></a>Obtain world position, velocity, and centroid\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3386\"></a>    A particle object’s position, velocity, and centroid attributes contain local space\n               values. (The centroid of a particle object is the average position of its particles.)\n               There are times when you need to know world space values for a particle object.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3381\"></a>For example, suppose you apply gravity to a particle object to make it fall through\n               a glass floor. You also key the particle object’s <span class=\"MenuCascade\" id=\"GUID-129DD18A-66AA-47EB-96F4-CA8A504B2BE4\">Rotate Y</span> attribute to make it rotate around the origin’s Y axis as it falls. Suppose you need\n               to know the exact world space position of the particles so you can change their color\n               when they pass through the floor. You cannot get this information with the position\n               attribute, because it contains the local space position. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3380\"></a>You can get this information from the three world space counterpart attributes for\n               position, velocity, and centroid:\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-337F\"></a><ul>\n               <li>  <span class=\"MenuCascade\" id=\"GUID-37A79959-A52D-49BE-8AC4-9B84B19DCD7E\">worldPosition</span> \n               </li>\n               <li>  <span class=\"MenuCascade\" id=\"GUID-80B7BDB3-4D1A-42E2-8B64-1029EE662752\">worldVelocity</span> \n               </li>\n               <li>  <span class=\"MenuCascade\" id=\"GUID-C1A0C235-0C52-407C-9E6D-60AA9AE219C8\">worldCentroid</span> \n               </li>\n            </ul> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3378\"></a>The <span class=\"MenuCascade\" id=\"GUID-7B17AAAC-6B0F-4E17-BD1D-B07D90B11540\">centroid </span>attribute is a compound attribute consisting of <span class=\"MenuCascade\" id=\"GUID-053FE250-EC90-4425-A3DD-19F8A59F0E69\">centroidX</span>, <span class=\"MenuCascade\" id=\"GUID-55E7F1B0-1EB0-4890-B5A4-C1F2A01F1062\">centroidY</span>, and<span class=\"MenuCascade\" id=\"GUID-6C46C15B-C190-4D18-A206-BA5A0E5DE86D\"> centroidZ</span> attributes. The <span class=\"MenuCascade\" id=\"GUID-2D28FE29-07B9-4552-A75E-D7689C2246F7\">worldCentroid</span> attribute is a compound attribute consisting of <span class=\"MenuCascade\" id=\"GUID-E93987D8-E769-43CB-BBE9-6464D0833398\">worldCentroidX</span>, <span class=\"MenuCascade\" id=\"GUID-F60EAF3E-276B-421A-83EB-F6AC083EB091\">worldCentroidY</span>, and <span class=\"MenuCascade\" id=\"GUID-E3B22139-58D3-401E-9CCA-70268F195A27\">worldCentroidZ</span> attributes. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3377\"></a>You can read the value of <span class=\"MenuCascade\" id=\"GUID-C95BE3C2-2F1D-41D7-B32C-55EBEE97E0FE\">worldPosition</span>, <span class=\"MenuCascade\" id=\"GUID-92500556-C288-4D0D-97A1-804CE3B14FE9\">worldVelocity</span>, and <span class=\"MenuCascade\" id=\"GUID-CB12F9FA-CF9E-45A3-9738-C666323C19AD\">worldCentroid</span> as inputs in the <span class=\"MenuCascade\" id=\"GUID-26B8A598-2548-4B13-8343-3574219214FE\">Connection Editor</span>. You can read the value of <span class=\"MenuCascade\" id=\"GUID-DEAD2AC5-8897-4812-A677-A8EF4D6DF174\">worldCentroidX</span>, <span class=\"MenuCascade\" id=\"GUID-B37540AA-5192-4328-8670-1D1B8CE483C2\">worldCentroidY</span>, and <span class=\"MenuCascade\" id=\"GUID-110D7AFA-A79B-4D7D-A4A4-84512DC5F9E4\">worldCentroidZ</span> in expressions. You cannot set the values of any of these attributes.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3376\"></a>The <span class=\"MenuCascade\" id=\"GUID-121E779A-F829-4C48-8839-DF3C4F63D6ED\">worldVelocity</span> contains the difference between the <span class=\"MenuCascade\" id=\"GUID-AB6F07E0-32FE-46ED-91F7-D5AE13B2A618\">worldPosition</span> in the current and prior frame. The <span class=\"MenuCascade\" id=\"GUID-41AB88FA-DB40-4F6C-B727-0C039F1217B7\">worldVelocity</span> is influenced by the object’s (and object parent’s) <span class=\"MenuCascade\" id=\"GUID-BA4C06B3-7835-4D80-93A3-9765D865C69F\">Translate</span>,<span class=\"MenuCascade\" id=\"GUID-9AECFDB6-061E-44C0-9D97-0389B2AA40A8\"> Rotate</span>, and <span class=\"MenuCascade\" id=\"GUID-3471A51D-1140-4E2D-8DB3-930B57E8981C\">Scale</span> values, so it includes the effect of keys you apply to them. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3375\"></a> If you need to convert a particle object’s world space velocity to local space velocity,\n               be aware that you can use the <span class=\"MenuCascade\" id=\"GUID-85470D5A-78AD-4AC6-ADD7-DA7EBBEA9F3F\">worldVelocityInObjectSpace</span> attribute of a particle object. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3373\"></a>There is no worldAcceleration attribute.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FBD\"></a> \n            <h2><a name=\"GUID-C9E2630C-6993-4D0B-B947-7AB5AF4E1790\"></a>Set input force with an attribute connection\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3372\"></a>     Each field or spring connected to a particle object writes its vector force value\n               to the <span class=\"MenuCascade\" id=\"GUID-281C5CCB-E80B-4D49-AC24-D9D0ADD721BA\">Input Force</span>[ ] attribute in the object. This attribute is an array of vectors. There is one <span class=\"MenuCascade\" id=\"GUID-8E649649-9966-48C0-B887-146E17291412\">Input Force</span> array for each field connected to an object. For example, an object connected to\n               three fields has <span class=\"MenuCascade\" id=\"GUID-6C49984C-ADAB-4684-A840-91021E649ADE\">Input Force</span>[0], <span class=\"MenuCascade\" id=\"GUID-6566F378-2198-413B-8C5B-A961FBCEF014\">Input Force</span>[1], and <span class=\"MenuCascade\" id=\"GUID-808A559F-D4D6-400A-9928-ED24FE670B24\">Input Force</span>[2]. Each vector in the array represents the force on a single particle.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-336C\"></a>You can use the <span class=\"MenuCascade\" id=\"GUID-57F97B1F-A2F9-4317-AD68-A8F45D6AB6BC\">Connection Editor</span> or API to feed one particle shape attribute into another’s <span class=\"MenuCascade\" id=\"GUID-AAE5D056-A2C3-43A6-8D79-AACDC2FF8715\">Input Force</span>[ ] attribute. The attribute must be a vector array, for example, velocity.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-336B\"></a>   When you connect an attribute to <span class=\"MenuCascade\" id=\"GUID-DE7289B8-E269-45EB-A86C-FF0059BF21A1\">Input Force</span>[0], if the two particle objects have the same number of particles, the values input\n               to <span class=\"MenuCascade\" id=\"GUID-0BA2DF21-35CB-48AE-9411-5CA04803F061\">Input Force</span>[0] match one for one. If the object containing <span class=\"MenuCascade\" id=\"GUID-E6BC0BCD-6B74-4C87-BCAB-E4653670B250\">Input Force</span>[0] has less particles than the object providing input, the remaining values are ignored.\n               If it has more, the last one is repeated. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3367\"></a>  <span class=\"MenuCascade\" id=\"GUID-CDC4A40A-1C97-4D57-96C2-2CE25162F093\">Input Force</span>[ ] also exists in the shape nodes of rigid bodies. It works on CVs or vertices the\n               same as for particles. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";