var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-322D706C-D313-4E28-A0CA-374F1A114E05\">\n      <meta name=\"indexterm\" content=\"particles: connecting to emitters\">\n      <meta name=\"indexterm\" content=\"emitters: connecting to particles\">\n      <meta name=\"indexterm\" content=\"emitters: connecting to selected\">\n      <meta name=\"indexterm\" content=\"emitters: adding to object\">\n      <meta name=\"indexterm\" content=\"particles: empty particle object\">\n      <meta name=\"indexterm\" content=\"Emit from Object\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Connect emitters and particles</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-322D706C-D313-4E28-A0CA-374F1A114E05\"></a><div class=\"head\">\n            <h1>Connect emitters and particles</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-320A\"></a>  There are several techniques for connecting emitters and particles:\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3207\"></a><ul>\n            <li>An easy way to connect an existing particle object to an emitter is with the <span class=\"MenuCascade\" id=\"GUID-04C69C8D-8F47-43BD-AA63-6511CEE669D9\">Dynamic Relationships</span> Editor (see <span class=\"char_link\"><a href=\"Dynamic_Relationships_Editor_Dynamic_relationship_editor.htm\">Dynamic relationship editor</a></span>). You <em class=\"mild\">must</em> use this method if you want to connect an existing particle object to a selected\n               emitter on an object with multiple emitters. \n            </li>\n            <li>After you finish setting the color and other attributes of emitted particles, you\n               can conveniently create a new emitter and connect it to the particles. The new emitter\n               will emit particles with the same attribute settings. The new emitter can emit at\n               a different rate or direction, or even be a different type of emitter.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3204\"></a>For example, suppose you create a fire effect and want to expand its size. You can\n                  add emitters to the original emitting object, then connect the existing emitted fire\n                  particle object to the new emitters. The particles emitted from the added emitters\n                  have the same attributes as the existing particles.\n               </p>\n            </li>\n            <li>You can create two or more empty particle objects, define unique attributes for each,\n               and connect them to one emitter. This lets you emit different particle effects, such\n               as fire and smoke, from the same emitter. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3202\"></a>If you connect multiple particle objects to an emitter, the emitter emits them all\n                  with their respective attributes. For example, if you have a red particle object and\n                  a green particle object and you connect both to an emitter, the emitter emits both\n                  green and red particles.\n               </p>\n            </li>\n            <li> You can connect emitted particles to the emitter of your choice on an object with\n               multiple emitters. \n            </li>\n            <li>To replace an existing emitted particle object with another, use the <span class=\"MenuCascade\" id=\"GUID-D6961913-550F-4DB2-8954-DDB9DE65EB9B\">Dynamic Relationships</span> Editor to disconnect the existing particle object so that only the desired particle\n               object is emitted. \n            </li>\n            <li> You can add an existing independent emitter to a single selected object. The emitter\n               must not already exist in another object. If you create an emitter with the Maya API,\n               use this technique to add the emitter to the desired object.\n            </li>\n         </ul><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FA8\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31FC\"></a>To connect a particle object to an emitter\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the particle object you want to connect to the emitter.</li>\n            <li>Shift-click the emitter (or the object that owns it). If you are selecting the emitter\n               in the <span class=\"MenuCascade\" id=\"GUID-C864921D-E8E5-40FC-AA38-4054EE46D58C\">Outliner</span>, use Ctrl-click (Windows and Linux) or Command-click (Mac OS X) to make a non-contiguous\n               selection.\n            </li>\n            <li>Select <span class=\"char_link\"><a href=\"Particles__Use_Selected_Emitter.htm\">Particles &gt; Use Selected Emitter</a></span>.\n            </li>\n         </ol><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FA7\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31F8\"></a> To create an empty particle object\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select <span class=\"char_link\"><a href=\"Particles__Particle_Tool.htm\">Particles &gt; Particle Tool</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> to display the options window.\n            </li>\n            <li>Enter 0 in the <span class=\"MenuCascade\" id=\"GUID-D0CF82E5-0E1B-46DF-AA91-E5CB8F268276\">Number of Particles</span> box and press  (Windows and Linux) or  (Mac OS X).\n            </li>\n            <li>Move the pointer to the workspace and press  or .\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31F3\"></a>This creates an empty particle object in the <span class=\"MenuCascade\" id=\"GUID-9E6F1181-3C67-4508-AF5F-4CCEDAB6368A\">Outliner</span>. \n               </p>\n            </li>\n         </ol><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FA6\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31F2\"></a>To add an existing emitter to an object\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the object and shift-select the emitter.</li>\n            <li>Select <span class=\"char_link\"><a href=\"Particles__Emit_from_Object.htm\">Particles &gt; Emit from Object</a></span>.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31EF\"></a>The emitter becomes indented under the object in the <span class=\"MenuCascade\" id=\"GUID-D50A0902-BA7A-42D7-8E39-51DC5F7E66A9\">Outliner</span>. Moving the position of the object moves the position of the emitter. \n               </p>\n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";