var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-CFBECABD-63C0-4659-BE68-04417F0451EF\">\n      <meta name=\"indexterm\" content=\"dynamic state\">\n      <meta name=\"indexterm\" content=\"Dynamics Weight\">\n      <meta name=\"indexterm\" content=\"dynamics: scaling effect using dynamics weight\">\n      <meta name=\"indexterm\" content=\"keying: transform attributes of particle objects\">\n      <meta name=\"indexterm\" content=\"dynamics: combining with keys\">\n      <meta name=\"indexterm\" content=\"particles: keying\">\n      <meta name=\"indexterm\" content=\"parenting: to dynamic motion\">\n      <meta name=\"indexterm\" content=\"dynamics: parenting to\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Control complex motion and forces</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-CFBECABD-63C0-4659-BE68-04417F0451EF\"></a><div class=\"head\">\n            <h1>Control complex motion and forces</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37A8\"></a>The following sections describe techniques for tuning dynamic animation of particles.\n            \n         </p>\n         <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37A7\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n               <p> The dynamic state of a particle object is the value of its position, velocity, acceleration,\n                  and mass attributes at any frame. Autodesk&reg; Maya&reg; uses these attributes to compute any dynamics that influence the object’s positioning\n                  in any frame. \n               </p> \n            </div>\n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FFB\"></a> \n            <h2><a name=\"GUID-83B96F00-5485-4A2D-9F57-CABA098C4B7B\"></a>Scale the effect of dynamics\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37A5\"></a>  You can scale the effect of fields, collisions, springs, and goals on particles. To\n               scale the effects of dynamics, select the particle object, display the <span class=\"MenuCascade\" id=\"GUID-D08D89B8-8CB6-4B6E-8AA9-487CAC97D6BD\">Attribute Editor</span>, and set the <span class=\"MenuCascade\" id=\"GUID-A9813134-C1EC-48CD-BDED-A413E03DE549\">Dynamics Weight</span> to a value between 0 and 1. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37A2\"></a>A value of 0 causes fields, collisions, springs, and goals connected to the particle\n               object to have no effect. A value of 1 provides the full effect. A value less than\n               1 sets a proportional effect. For example, 0.6 scales the effect to 60% of full strength.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37A1\"></a>Expressions are unaffected by <span class=\"MenuCascade\" id=\"GUID-515BDAE6-25BD-4C61-B49C-5B9E3EE54ED6\">Dynamics Weight</span>.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FFA\"></a> \n            <h2><a name=\"GUID-54CDA127-7DE2-491D-8CC2-39CE13350292\"></a>Combine keyed transform attributes and dynamics\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37A0\"></a>   You can combine dynamics with keys on particle objects or soft bodies. For instance,\n               if you make a particle object fall with gravity, you can add sideways motion by keying\n               its <span class=\"MenuCascade\" id=\"GUID-8C6458AC-6ED8-4B9C-BDB8-451062D26A00\">Translate X</span> attribute. \n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-379C\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_gravityPlusKeys.png\"></div> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-379B\"></a>Keys on transform attributes affect the <span class=\"MenuCascade\" id=\"GUID-9C3ACE33-FF88-4F7B-B2A8-6D7A1533F3D6\">worldVelocity</span>, <span class=\"MenuCascade\" id=\"GUID-15B4EA42-3979-4D43-B6DF-63D0FEF1D568\">worldPosition</span>, and <span class=\"MenuCascade\" id=\"GUID-CB7BCD4E-69A7-494E-B1AC-89A0EECFD1DC\">worldVelocityInObjectSpace</span> attributes. See <span class=\"char_link\"><a href=\"Particles_Apply_forces_in_an_objects_local_space.htm#WS17956D7ADBC6E7361A342C07117AE3124CC-7FBE\">Obtain world position, velocity, and centroid</a></span> for details.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-379A\"></a>You can also combine dynamics with motion path animation of particles.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FF9\"></a> \n            <h2><a name=\"GUID-DB5C33D1-9284-4A87-AD91-1282AF67F91E\"></a>Parent an object to dynamic motion\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3799\"></a> When you parent an object to a dynamically animated parent, the object’s transform\n               attributes control its positioning and orientation relative to the positioning and\n               orientation of its dynamic parent’s transform attributes. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3797\"></a>Dynamics do not affect the child object’s transform values. For example, a child particle\n               object won’t fall with a parent particle object if you make the parent fall with gravity.\n               The gravity changes the dynamic parent’s particle positions but not its transform\n               attributes. For this reason, the gravity doesn’t change the child’s position.\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3796\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_parentDyn1.png\"></div> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3795\"></a>There is a technique, however, to make an object move with a dynamic object’s motion.\n               \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";