var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-6ED1138F-36A5-4755-A080-A702D6B46E22\">\n      <meta name=\"indexterm\" content=\"Start Frame: particle attribute\">\n      <meta name=\"indexterm\" content=\"dynamics: delaying\">\n      <meta name=\"indexterm\" content=\"Is Dynamic\">\n      <meta name=\"indexterm\" content=\"time: changing units in dynamics\">\n      <meta name=\"indexterm\" content=\"dynamics: synchronizing with other animation\">\n      <meta name=\"indexterm\" content=\"Current Time\">\n      <meta name=\"indexterm\" content=\"clock in particle object\">\n      <meta name=\"indexterm\" content=\"scene clock\">\n      <meta name=\"indexterm\" content=\"Current Time\">\n      <meta name=\"indexterm\" content=\"emitted particles: reversing\">\n      <meta name=\"indexterm\" content=\"expressions: executing after dynamics\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Control execution time of particle dynamics</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-6ED1138F-36A5-4755-A080-A702D6B46E22\"></a><div class=\"head\">\n            <h1>Control execution time of particle dynamics</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3365\"></a>There are several ways to control when particle dynamics operate:\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3364\"></a><ul>\n            <li> <span class=\"char_link\"><a href=\"Particles_Control_execution_time_of_particle_dynamics.htm#WS17956D7ADBC6E7361A342C07117AE3124CC-7FBB\">Change the start frame for a particle object</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"Particles_Control_execution_time_of_particle_dynamics.htm#WS17956D7ADBC6E7361A342C07117AE3124CC-7FBA\">Control the timing of particle dynamics</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"Particles_Control_execution_time_of_particle_dynamics.htm#WS17956D7ADBC6E7361A342C07117AE3124CC-7FB8\">Execute expressions after particle dynamics</a></span> \n            </li>\n         </ul>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FBB\"></a> \n            <h2><a name=\"GUID-F8FA6A33-C1B3-4337-B490-A9A5B4D40540\"></a>Change the start frame for a particle object\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3360\"></a> Each particle object has a <span class=\"MenuCascade\" id=\"GUID-5159E058-2C75-44B2-A814-4AB5891700B7\">Start Frame</span> attribute that sets the time at which effects begin. For example, you can delay the\n               effect of a vortex on a particle object until the frame of your choice.\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-335E\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_StartFrameVortex.png\"></div> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-335D\"></a>As another example, suppose you create a character that walks through dust particles\n               lying on a floor. The dust is connected to gravity, a floor collision object, and\n               an air (wake) field on the character’s feet. You want the air field on the feet to\n               stir up the dust starting at frame 100. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-335C\"></a> You can set the dust’s <span class=\"MenuCascade\" id=\"GUID-0B89ECAF-D13F-4176-B2C1-1BA4B0E902DC\">Start Frame</span> to 100 to delay dynamic calculations for the dust until there’s a need for the calculations.\n               This speeds up scene play and prevents the particles from bouncing slightly from the\n               gravity and collision effect.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-335A\"></a> You could also prevent the dynamic calculations for dust by keying <span class=\"MenuCascade\" id=\"GUID-C7F9AC8A-D469-4548-A0F0-757F0ECBF86A\">Is Dynamic</span> off for the first 100 frames. However, by setting the <span class=\"MenuCascade\" id=\"GUID-EA36D887-84B1-4DB0-882D-874053790081\">Start Frame</span> to 100, you also avoid having to wait for run-up calculations for the first 100 frames\n               when you click a frame or scrub the Time Slider.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3358\"></a>Note that when you create a particle object or an emitter emits a particle object,\n               <span class=\"MenuCascade\" id=\"GUID-5A109BCB-7802-4838-826A-597848BA462B\">Start Frame</span> is set to 1.0, by default. The value is the duration of a single frame in the current\n               setting for time units.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3357\"></a>To set the <span class=\"MenuCascade\" id=\"GUID-50866B81-4C4C-4F81-BA1C-D4E06F3BA16A\">Start Frame</span> of a particle object, select the particle object and enter a value for <span class=\"MenuCascade\" id=\"GUID-37762881-D97D-46C3-89A0-F78E2EEB4373\">Start Frame</span> in the <span class=\"MenuCascade\" id=\"GUID-FCFA66B2-CEA1-47C6-9D22-B291A7B777F1\">Time Attributes</span> section of the <span class=\"MenuCascade\" id=\"GUID-48588271-078A-4CF2-9D0F-CF274DDA2D97\">Attribute Editor</span>. \n            </p> \n            <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3356\"></a><div class=\"note-important\"><span class=\"label\">IMPORTANT:</span> If you change the time units setting, you must set the <span class=\"MenuCascade\" id=\"GUID-350F75B5-59D8-445C-B255-5182FDFC8B78\">Start Frame</span> to the correct initial value so that Maya computes the start time again. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3354\"></a>An emitted particle object accepts emitted particles only at frames greater than or\n                     equal to its <span class=\"MenuCascade\" id=\"GUID-7E981E2D-9E75-460B-803A-9D10F0F3985C\">Start Frame</span>. For example, to emit particles at frame number -5, set the <span class=\"MenuCascade\" id=\"GUID-9FAB4262-0323-4B87-AF4B-B2A9AB0C6771\">Start Frame</span> of the emitted particle object to -5 or less.\n                  </p>\n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FBA\"></a> \n            <h2><a name=\"GUID-CCB91F04-B6DC-4894-8BCE-6C8AD519F221\"></a>Control the timing of particle dynamics\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3353\"></a> With dynamic animation, you specify the actions you want an object to take, then let\n               the software figure out how to animate the object. Historically, it has been challenging\n               to synchronize this animation method with other actions. For example, it has been\n               hard to increase the velocity of emitted particles in synch with a musical score coming\n               to a crescendo. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3351\"></a> Maya has a feature that overcomes such difficulties. Each particle object has a <span class=\"MenuCascade\" id=\"GUID-1700D182-6F75-4D34-8F0A-D537D1033F28\">Current Time</span> attribute that you can animate to slow or hasten a particle effect. This attribute\n               contains the value of an independent clock time. In essence, you slow or speed the\n               particle object’s clock to slow or speed the dynamics that affect it. See <span class=\"char_link\"><a href=\"Particles_Control_execution_time_of_particle_dynamics.htm#WS17956D7ADBC6E7361A342C07117AE3124CC-7FB9\">Understand the Current Time attribute</a></span> for more details.\n            </p> \n            <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-334F\"></a> \n               <h3><a name=\"GUID-1BC59610-F680-425D-80AD-2827EC07337B\"></a>Example\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-334E\"></a>An emitter shoots particles up in a 150-frame animation. The following steps show\n                  how to control the velocity of the particles by keying <span class=\"MenuCascade\" id=\"GUID-74644C8B-B09C-4B35-8218-8050960C573C\">Current Time</span>. \n               </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-334D\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-1FB116EA-8A10-4E7E-B1BA-E39E9CC11D5C-low.png\"></div> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-334C\"></a><ol type=\"1\" start=\"1\">\n                  <li>Select the emitted particle object (not the emitter).</li>\n                  <li>In the <span class=\"MenuCascade\" id=\"GUID-2B86941A-9F51-4152-ACB3-046442BBEE34\">Channel Box</span>, click the <span class=\"MenuCascade\" id=\"GUID-E1B32D50-9B4F-47E1-8E30-358DC6B45F12\">Current Time</span> attribute, then right-click and select <span class=\"MenuCascade\" id=\"GUID-3D6DE5B4-4315-4593-BFBE-BBA7D2019A62\">Break Connections</span>.\n                  </li>\n                  <li>Set keys for <span class=\"MenuCascade\" id=\"GUID-4A318787-4093-4B0C-8B62-B11C06E3A16A\">Current Time</span> at the following frames:<a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3348\"></a><div class=\"table_Ruled\">\n                        <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                           <colgroup>\n                              <col width=\"50%\">\n                              <col width=\"50%\">\n                           </colgroup>\n                           <tr class=\"ruledHeading\">\n                              <th class=\"table-heading\">Frame</th>\n                              <th class=\"table-heading\">Current Time</th>\n                           </tr>\n                           <tr class=\"ruledOddRow\">\n                              <td class=\"table-body\"> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3347\"></a><p class=\"table-body\">0</p> \n                              </td>\n                              <td class=\"table-body\"> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3346\"></a><p class=\"table-body\">0</p> \n                              </td>\n                           </tr>\n                           <tr class=\"ruledEvenRow\">\n                              <td class=\"table-body\"> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3345\"></a><p class=\"table-body\">50</p> \n                              </td>\n                              <td class=\"table-body\"> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3344\"></a><p class=\"table-body\">100</p> \n                              </td>\n                           </tr>\n                           <tr class=\"ruledOddRow\">\n                              <td class=\"table-body\"> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3343\"></a><p class=\"table-body\">100</p> \n                              </td>\n                              <td class=\"table-body\"> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3342\"></a><p class=\"table-body\">110</p> \n                              </td>\n                           </tr>\n                           <tr class=\"ruledEvenRow\">\n                              <td class=\"table-body\"> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3341\"></a><p class=\"table-body\">150</p> \n                              </td>\n                              <td class=\"table-body\"> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3340\"></a><p class=\"table-body\">200</p> \n                              </td>\n                           </tr>\n                        </table>\n                     </div>\n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-333F\"></a>At the beginning of the animation (frame 0), the <span class=\"MenuCascade\" id=\"GUID-81729E14-8385-4ECD-B271-B31478FC077D\">Current Time</span> of the emitted particles is synchronized with the scene time. Both have the value\n                        0. \n                     </p>\n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-333E\"></a>At frame 50, the <span class=\"MenuCascade\" id=\"GUID-2735A34A-A67A-42DB-902D-7F04150F7383\">Current Time</span> is keyed to 100, twice the value of the scene time. For frames 0 through 50, this\n                        adds twice as much time to the action of the emitted particles as the scene time.\n                        The emitted particles therefore move at twice the speed that would occur without the\n                        manipulation of the <span class=\"MenuCascade\" id=\"GUID-92BA9645-2032-40A7-8840-689C5F8A6579\">Current Time</span>. \n                     </p>\n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-333D\"></a>At frame 100, <span class=\"MenuCascade\" id=\"GUID-406A2967-77C9-4522-BD82-AC3850BF269C\">Current Time</span> is keyed to 110. From frames 50 to 100, this slows the progression of time for the\n                        emitted particles relative to the scene time. The emitted particles move at a slower\n                        speed than would exist without the manipulation of the <span class=\"MenuCascade\" id=\"GUID-C90B5446-F0A8-4103-A7F2-B4E5B3493DD9\">Current Time</span>.\n                     </p>\n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-333C\"></a>At frame 150, <span class=\"MenuCascade\" id=\"GUID-37ABC287-82D6-4000-8AE9-D150572C272C\">Current Time</span> is keyed to 200, once again speeding the progression of time for the emitted particles.\n                        The particles move faster again.\n                     </p>\n                     <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-333B\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                           <p>To conveniently slow or speed up dynamic effects, use the <span class=\"MenuCascade\" id=\"GUID-5754D685-BF71-4001-905F-4AF74AB08FFF\">Graph Editor </span>to tune the animation curve of <span class=\"MenuCascade\" id=\"GUID-568044C8-74B8-45DC-B4D2-A20D6C43B66C\">Current Time</span> after you key its values. See Animation.\n                           </p> \n                        </div>\n                     </div>\n                  </li>\n               </ol> \n            </div> \n            <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FB9\"></a> \n               <h3><a name=\"GUID-451CEACF-0F5D-495A-8D1F-BDE38FF4C9F2\"></a>Understand the <span class=\"MenuCascade\" id=\"GUID-81549DBC-E65B-43FB-BE5D-7A15D6FA9091\">Current Time</span> attribute\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-333A\"></a>Each animated particle object runs according to its own clock. You can make this clock\n                  independent of the scene clock that advances with the ticks in the Time Slider. \n               </p> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3339\"></a>   Each particle object has a <span class=\"MenuCascade\" id=\"GUID-005E88A5-9767-4857-8B8F-801313688FCF\">Current Time</span> attribute that contains its clock value. Unlike the scene clock’s time variable,\n                  you can set the value of the <span class=\"MenuCascade\" id=\"GUID-67CABFE4-E6E7-4B8A-AB91-1662502E52C6\">Current Time</span> attribute with keys, expressions, or other animation techniques. While the scene\n                  clock is a timekeeper with fixed length increments, a particle object’s clock has\n                  variable increments that you set through the <span class=\"MenuCascade\" id=\"GUID-2C7CBAA1-529F-45FC-82DA-CFCB927D0E5C\">Current Time</span> attribute. You can vary the increments to slow or speed dynamic effects on the particles.\n               </p> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3335\"></a>For animation to occur in the particle object, its <span class=\"MenuCascade\" id=\"GUID-9B99160B-CB65-44A1-B79D-34A2420DD071\">Current Time</span> requires an input connection that changes as the scene plays. By default, the scene’s\n                  predefined time variable provides input to <span class=\"MenuCascade\" id=\"GUID-293ED138-FB53-4C36-9257-63F6D4BF208F\">Current Time</span>. \n               </p> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3334\"></a>If you use a nonparticle shape expression to assign a value to <span class=\"MenuCascade\" id=\"GUID-2754202C-C1EA-4588-8DEF-07BE125E904F\">Current Time</span>, the value is interpreted as the type of <span class=\"MenuCascade\" id=\"GUID-08771C06-D47C-4065-89B3-0D8E67CFD73C\">Time</span> units specified in the <span class=\"MenuCascade\" id=\"GUID-945684DE-020F-420F-9022-22821AB56A45\">Settings</span> category in the <span class=\"char_link\"><a href=\"\">Window &gt; Settings/Preferences &gt; Preferences</a></span> window. If an fps rate is selected, for instance, <span class=\"MenuCascade\" id=\"GUID-AAF5DA29-FB20-43F3-B0C1-527BFC5B5F9F\">Film (24 fps)</span>, the <span class=\"MenuCascade\" id=\"GUID-3D5A018F-B5C4-4FA2-B5E1-A4BE5E74BD16\">Current Time</span> value is interpreted as frames.\n               </p> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3333\"></a>For example, suppose you’ve set <span class=\"MenuCascade\" id=\"GUID-274995BC-D8F4-4EAA-9E7A-D4C51157729B\">Working Units Time</span> value to <span class=\"MenuCascade\" id=\"GUID-93C9D357-BEAB-4D15-8A7A-6CE027B6A8E9\">Film (24 fps)</span>. This means your animation uses the frame number as the time value. Suppose further\n                  you use the following expression statement:\n               </p> \n               <div class=\"codeBlock\"><pre>\ncurrentTime = 50;\n</pre></div> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3332\"></a>The 50 is considered frame 50, rather than, say, 50 milliseconds.\n               </p> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3331\"></a> Note that you can animate a decreasing <span class=\"MenuCascade\" id=\"GUID-253C92DD-A4C5-44AE-85B6-AACBC84DB691\">Current Time</span> to achieve effects such as an emitter sucking previously emitted particles back into\n                  itself. To see the results of this effect, you must turn on <span class=\"MenuCascade\" id=\"GUID-E5D35988-45A6-4E1D-877A-2449F4FFD508\">Cache Data</span> for the emitted particles and play the animation. \n               </p> \n               <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-332F\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                     <p>If you’ve broken the connection to <span class=\"MenuCascade\" id=\"GUID-7F093BD2-B46E-4D60-B46E-F9CCE8310170\">Current Time</span> and want to reconnect it to the scene time, select the particle shape node (not the\n                        transform), then select <span class=\"char_link\"><a href=\"Particles__Connect_To_Time.htm\">Particles &gt; Connect To Time</a></span>.\n                     </p> \n                  </div>\n               </div> \n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FB8\"></a> \n            <h2><a name=\"GUID-8F214349-DFB5-48B8-B900-7CE7BA43D464\"></a>Execute expressions after particle dynamics\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-332E\"></a>Runtime expressions execute before or after dynamics in each frame, depending on what\n               you selected when you created the runtime expression. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-332D\"></a> In pervious version of Maya, you had to choose whether a particle shape runtime expression\n               executed before or after its dynamics were computed. In Maya, you can specify when\n               you create the runtime expression whether it is to be executed before or after dynamics\n               calculation. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-332B\"></a>For example, suppose you use a gravity field to drop particle blobs on a character,\n               then you write a runtime expression for the blob object’s position to prevent its\n               particles from penetrating the character’s surface. If you created that expression\n               as a runtime before dynamics, you might see some surface penetration because the gravity\n               field executes after your position-constraining expression. You can create or copy\n               this expression to Runtime after dynamics so the residual effect of the dynamics doesn’t\n               interfere with your expression.\n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";