var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-7111E1A8-A68C-4CA9-A658-38EEFC99F4EB\">\n      <meta name=\"indexterm\" content=\"emitters: creating\">\n      <meta name=\"indexterm\" content=\"emitted particles: from a position\">\n      <meta name=\"indexterm\" content=\"emitters: positional\">\n      <meta name=\"indexterm\" content=\"emitted particles: from surfaces\">\n      <meta name=\"indexterm\" content=\"emitters: surface\">\n      <meta name=\"indexterm\" content=\"Add Emitter\">\n      <meta name=\"indexterm\" content=\"emitted particles: from curves\">\n      <meta name=\"indexterm\" content=\"emitters: curve\">\n      <meta name=\"indexterm\" content=\"emitters: from selected vertices, CVs or edit points\">\n      <meta name=\"indexterm\" content=\"emit MEL command\">\n      <meta name=\"indexterm\" content=\"volume emitters\">\n      <meta name=\"indexterm\" content=\"emitters: volume\">\n      <meta name=\"indexterm\" content=\"volume emitters: hiding shape\">\n      <meta name=\"indexterm\" content=\"emitters: hiding emitter icon\">\n      <meta name=\"indexterm\" content=\"emitters: deleting\">\n      <meta name=\"indexterm\" content=\"Start Frame: emitted particles\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Create emitters</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-7111E1A8-A68C-4CA9-A658-38EEFC99F4EB\"></a><div class=\"head\">\n            <h1>Create emitters</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-32BF\"></a> The following procedures describe how to create emitters with default settings. For\n            details on other settings, see <span class=\"char_link\"><a href=\"Particles_Edit_attributes_of_an_emitter.htm#WS17956D7ADBC6E7361A342C07117AE3124CC-7FB0\">Set emitter attributes by typing entries</a></span>. In the following procedures, you must play the animation as the final step to see\n            the particles emit. \n         </p>\n         <div><a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-63B5\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n               <p><a name=\"GUID-B9237DA5-FE72-4AD2-9967-447EA0F1390F\"></a>The following sections also apply to emitters created for nParticle objects. \n               </p> \n            </div>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-32BD\"></a>You cannot add an emitter to an object if the emitter already has some other technique\n            controlling its translate attributes. Furthermore, after you add an emitter to an\n            object, you cannot control the emitter’s translate attributes with another technique,\n            for example, an expression. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-32BC\"></a>If you select only some of an object’s CVs, vertices, or particles, the emitter applies\n            only to those selected. \n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-32BB\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-32BA\"></a> To emit from a position\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Make sure nothing is selected. </li>\n            <li>Select <span class=\"char_link\"><a href=\"Particles__Create_Emitter.htm\">Particles &gt; Create Emitter</a></span>. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-32B6\"></a>This creates a point emitter at the origin. \n               </p> \n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-32B5\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-32B4\"></a> To emit particles from points on a surface\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the NURBS or polygonal surface. </li>\n            <li>Select <span class=\"char_link\"><a href=\"Particles__Emit_from_Object.htm\">Particles &gt; Emit from Object</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> to display the options window. \n            </li>\n            <li> In the options window, select <span class=\"MenuCascade\" id=\"GUID-404381D6-3D6B-48F1-9B7E-AD8173B035B1\">Surface</span> from the <span class=\"MenuCascade\" id=\"GUID-BFBC622F-2895-42BA-9187-D6878193A997\">Emitter Type</span> pop-up menu. \n            </li>\n            <li>In the options window, click <span class=\"MenuCascade\" id=\"GUID-40184DF9-2F3B-4F08-8FEA-AFD919E3D36A\">Create</span>. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-32AD\"></a>For details on emitting from entire surfaces evenly, see <span class=\"char_link\"><a href=\"Particles_Spread_emission_more_evenly_from_NURBS_surfaces.htm\">Spread emission more evenly from NURBS surfaces</a></span>. \n               </p> \n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-32AC\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-32AB\"></a> To emit particles from points on a curve\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the curve. </li>\n            <li>Select <span class=\"char_link\"><a href=\"Particles__Emit_from_Object.htm\">Particles &gt; Emit from Object</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> to display the options window. \n            </li>\n            <li>Select <span class=\"MenuCascade\" id=\"GUID-5ADB4D1E-9780-4A48-ADB3-8C1B13C9D390\">Curve</span> from the <span class=\"MenuCascade\" id=\"GUID-FEF71F17-EB22-431F-8647-8B12E6482DA9\">Emitter Type</span> pop-up menu. \n            </li>\n            <li>In the options window, click <span class=\"MenuCascade\" id=\"GUID-40C09357-BE7F-45CF-B0B8-6EF287834398\">Create</span>. \n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-32A5\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-32A4\"></a> To emit from all CVs or vertices of a selected object\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the object. </li>\n            <li>Select <span class=\"char_link\"><a href=\"Particles__Emit_from_Object.htm\">Particles &gt; Emit from Object</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> to display the options window. \n            </li>\n            <li>Select <span class=\"MenuCascade\" id=\"GUID-E63B4DF0-BD05-43BB-848A-D1520A33739B\">Omni</span> or <span class=\"MenuCascade\" id=\"GUID-88B7A1C8-7986-4AA2-A55B-3E082BE3CB72\">Directional</span> from the <span class=\"MenuCascade\" id=\"GUID-D6F42AB4-9966-4C33-9804-0CA117ABE25E\">Emitter Type</span> pop-up menu. \n            </li>\n            <li>In the options window, click <span class=\"MenuCascade\" id=\"GUID-3D019B32-2AD6-49DB-A664-8AD3AA4747F7\">Create</span>. \n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-329F\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-329E\"></a> To emit particles from selected vertices, CVs, or edit points\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the object. </li>\n            <li>Click <img src=\"../images/GUID-C317AD94-6C71-4D67-9619-42151460B7AC-low.png\"> (the <span class=\"MenuCascade\" id=\"GUID-8C8A4DF3-725D-4B43-9E5A-F561B34D7F47\">Select by Component Type</span> icon). \n            </li>\n            <li>Select the components you want to emit particles. See Basics for details. </li>\n            <li>Select <span class=\"char_link\"><a href=\"Particles__Emit_from_Object.htm\">Particles &gt; Emit from Object</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> to display the options window. \n            </li>\n            <li>Select <span class=\"MenuCascade\" id=\"GUID-A181295C-9767-4B0D-8251-87EB6126A375\">Omni</span> or <span class=\"MenuCascade\" id=\"GUID-D7ED9561-A9D5-4E1A-B662-19620668DF62\">Directional</span> from the <span class=\"MenuCascade\" id=\"GUID-F313C9E4-0502-45F6-B79F-639FE0366D95\">Emitter Type</span> pop-up menu. \n            </li>\n            <li>In the options window, click <span class=\"MenuCascade\" id=\"GUID-24BDD6F0-0B2E-4386-A6E6-9EF86478C6B8\">Create</span>. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3296\"></a>Adding an emitter to components creates a set of components named for the emitter.\n                  You can change the components that emit by editing the set membership (see the <em class=\"mild\">Basics</em> guide). Note that you cannot emit from components of an object in a referenced scene.\n                  \n               </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3295\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_EmitEP.png\"></div> \n               <div style=\"margin-top: 9pt;\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3294\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span>The MEL <em class=\"mild\">emit</em> command lets you add particles to selected positions of an existing particle object\n                     without creating an emitter. You can set the values of any per particle attributes\n                     for the created particles. This lets you create effects similar to emission but with\n                     greater control. \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3292\"></a>For example, you can make emitted particles use the attribute values of the emitting\n                        particles. You can also use the emit command in an expression to make particles emit\n                        at the point where particles die. \n                     </p> \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3291\"></a>For detailed examples of the emit command, see the online MEL Command Reference. \n                     </p> \n                  </div>\n               </div> \n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3290\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-328F\"></a>To emit particles into a volume shape\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select <span class=\"char_link\"><a href=\"Particles__Create_Emitter.htm\">Particles &gt; Create Emitter</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\">. \n            </li>\n            <li> Under <span class=\"MenuCascade\" id=\"GUID-B2406931-5451-4651-BAAF-6BB53A570A12\">Basic Emitter Attributes</span>, set the <span class=\"MenuCascade\" id=\"GUID-94DE4826-AF07-42ED-9CDC-C0E3634233E5\">Emitter Type</span> to <span class=\"MenuCascade\" id=\"GUID-67DFC2F4-10C9-4532-A7D5-8E46D5B0BDD3\">Volume</span>. \n            </li>\n            <li>Under <span class=\"MenuCascade\" id=\"GUID-2FFBEC92-7799-41B9-88D4-30CE0D0FADAB\">Volume Emitter Attributes</span>, click <span class=\"MenuCascade\" id=\"GUID-BEC43616-B758-4EEF-871B-CD873A7DFA28\">Volume Shape</span> and select a shape from the menu. <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-328A\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_volumeEmit.png\"></div> \n            </li>\n            <li>Set the <span class=\"MenuCascade\" id=\"GUID-34314044-58A1-4DFF-A054-B01057F72D1F\">Volume Emitter attributes</span> as desired. See <span class=\"char_link\"><a href=\"Particles__Create_Emitter.htm#WS17956D7ADBC6E73677C3C670117AE311CDD-7FF9\">Volume Emitter Attributes</a></span> for information on the volume emitter attributes. \n            </li>\n            <li>Click <span class=\"MenuCascade\" id=\"GUID-CCCE977E-5D78-4293-AB09-6854C063FA80\">Create</span>. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3287\"></a>The implicit shape of the volume emitter is displayed on the screen. You can move,\n                  rotate, scale, or shear the emitter. \n               </p> \n               <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3286\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n                     <p><a name=\"GUID-6EACB614-DF2C-479D-B175-C562767BE3B2\"></a>You can’t deform the volume or use an arbitrary volume. \n                     </p> \n                  </div>\n               </div> \n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3285\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3284\"></a> To hide the shape of the volume emitter\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the emitter and select <span class=\"char_link\"><a href=\"\">Display &gt; Hide</a></span> &gt; <span class=\"MenuCascade\" id=\"GUID-DFCB23DB-9B1C-4C27-854E-75719D83CEDF\">Hide Selection</span>. \n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3281\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3280\"></a> To hide the emitter icon that represents the emitter\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>In the workspace, select the emitter icon. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-327D\"></a>Sometimes it’s easier to select the emitter in the <span class=\"MenuCascade\" id=\"GUID-69BD63BE-A8B2-4234-BB2B-9643AF63AF2E\">Outliner</span>. If you are emitting from an object rather than position, the emitter is indented\n                  under the object’s name in the <span class=\"MenuCascade\" id=\"GUID-9A3AD894-9F7E-4A90-B10F-46D8FCC4E9D9\">Outliner</span>. \n               </p> \n            </li>\n            <li>Select <span class=\"char_link\"><a href=\"\">Display &gt; Hide</a></span> &gt; <span class=\"MenuCascade\" id=\"GUID-38BB4207-03C2-4DB2-BF2B-B4633833BA57\">Hide Selection</span>. \n            </li>\n            <li>To display the icon again, select <span class=\"MenuCascade\" id=\"GUID-CC153940-1D28-4216-A7E5-FBE9BE56E508\">Display &gt; Show &gt; Show Last Hidden</span>. \n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-327A\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3279\"></a>To delete an emitter\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the emitter. </li>\n            <li>Press  (Windows and Linux) or  (Mac OS X). \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3276\"></a>When you delete an emitter, the emitted particle object is not automatically deleted.\n                  If this particle object isn’t connected to other items in the scene, you can delete\n                  it also. Use the <span class=\"MenuCascade\" id=\"GUID-F62901B8-C598-4EE8-A4B6-0DD07929AD03\">Outliner</span> to delete it. \n               </p> \n               <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3274\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n                     <p><a name=\"GUID-0FCBE1B7-6869-4B57-B80B-5C8C5DA4137B\"></a>Emission begins only at the frame specified by the emitted particle object’s <span class=\"MenuCascade\" id=\"GUID-1822A647-8998-4C37-BE20-0C69D3202598\">Start Frame</span> attribute (by default, frame 1). For example, to emit particles at frame number -5,\n                        you must set the <span class=\"MenuCascade\" id=\"GUID-7F8E6986-93E4-46E9-B584-933E3CF02AAC\">Start Frame</span> of the emitted particle object to -5. \n                     </p> \n                  </div>\n               </div> \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";