var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-F9004DFD-F14F-4144-95B1-EAA35F4EE713\">\n      <meta name=\"indexterm\" content=\"goals: creating\">\n      <meta name=\"indexterm\" content=\"trimmed surfaces: goals\">\n      <meta name=\"indexterm\" content=\"goals: trimmed surfaces\">\n      <meta name=\"indexterm\" content=\"goals: adding multiple\">\n      <meta name=\"indexterm\" content=\"goals: using transform\">\n      <meta name=\"indexterm\" content=\"Use Transform as Goal\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Create goals</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-F9004DFD-F14F-4144-95B1-EAA35F4EE713\"></a><div class=\"head\">\n            <h1>Create goals</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3175\"></a> You can make a particle or nParticle object move towards one or more goal objects\n            with the following procedures. Note that you can create a soft body with its original\n            geometry as its goal (see <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Create_soft_bodies.htm\">Create soft bodies</a></span>).\n         </p>\n         <div><a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-63B4\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n               <p>The following sections are also applicable to goals that are created with nParticles.</p> \n            </div>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3173\"></a> If you make a trimmed NURBS surface a goal object, all its CVs become the goal, including\n            the CVs where the trimmed area exists. To correct this, convert the NURBS surface\n            to polygons with <span class=\"char_link\"><a href=\"\">Modify &gt; Convert &gt; NURBS to Polygons</a></span> and then add the goal.\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3171\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3170\"></a>To connect a particle object to a single goal object\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the particle object you want to be affected by the goal.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-316E\"></a>To select a soft body rather than a conventional particle object, you can select the\n                  soft body’s original geometry or its child particle object.\n               </p>\n            </li>\n            <li>Shift-select the object you want to become the goal.</li>\n            <li>Select <span class=\"char_link\"><a href=\"Particles__Goal.htm\">Particles &gt; Goal</a></span>. \n            </li>\n            <li>To adjust the goal’s influence, see <span class=\"char_link\"><a href=\"Particles_Edit_goal_attributes.htm\">Edit goal attributes</a></span>.\n            </li>\n            <li>Play the animation to see the particles move towards the goal.\n               <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3169\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n                     <p>To make particles follow the object’s transform rather than its particles, CVs, vertices,\n                        or lattice points, you must select <span class=\"char_link\"><a href=\"Particles__Goal.htm\">Particles &gt; Goal</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> to display the <span class=\"MenuCascade\" id=\"GUID-9EA8FC77-7592-43D6-A783-AE78EB39806A\">Goal options</span> window. Turn on <span class=\"MenuCascade\" id=\"GUID-3601EDD9-95F3-4657-B541-551B70ED2CED\">Use Transform as Goal </span>in the <span class=\"MenuCascade\" id=\"GUID-D9871294-2957-4869-ABA1-8EBFAA7B4292\">Goal Options</span> window before you add the goal.\n                     </p> \n                  </div>\n               </div>\n            </li>\n         </ol><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7F9E\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3168\"></a>   To connect a particle object to multiple goal objects:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the particle object or soft body you want to be affected by the goals.</li>\n            <li>In the workspace, shift-select one of the objects you want to become a goal.</li>\n            <li>Select <span class=\"char_link\"><a href=\"Particles__Goal.htm\">Particles &gt; Goal</a></span>. \n            </li>\n            <li>Deselect all objects and repeat the previous steps for the next object you want to\n               become a goal.\n            </li>\n            <li>To adjust the goal’s influence, see <span class=\"char_link\"><a href=\"Particles_Edit_goal_attributes.htm\">Edit goal attributes</a></span>.\n            </li>\n            <li>Play the animation to see the particles move towards the goal.</li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";