var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-EA83F58E-D81F-4B50-99BC-E455024B7083\">\n      <meta name=\"indexterm\" content=\"emitters: duplicating\">\n      <meta name=\"indexterm\" content=\"duplicating: emitters\">\n      <meta name=\"indexterm\" content=\"Current Time: incoming connection to emitter\">\n      <meta name=\"indexterm\" content=\"Connect to Time\">\n      <meta name=\"indexterm\" content=\"Seed: for duplicated emitted particle object\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Duplicate emitters</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-EA83F58E-D81F-4B50-99BC-E455024B7083\"></a><div class=\"head\">\n            <h1>Duplicate emitters</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3221\"></a> You can duplicate an emitter to reproduce the emission elsewhere. For example, you\n            can create an emitter that makes a cloud of particles, then create an identical cloud\n            elsewhere in the scene. You can make the duplicate with or without the original’s\n            connections to dynamic effects such as fields. Expressions applied to the emitted\n            particles are not duplicated.\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-321F\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-321E\"></a>To duplicate an emitter with connections to dynamic effects\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the emitting object (or positional emitter) and the emitted particle object.</li>\n            <li>Select <span class=\"char_link\"><a href=\"\">Edit &gt; Duplicate Special</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\">. \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-1DB47DD9-08E0-44C5-AA14-19184B03C02B\">Duplicate Special Options</span> window, turn on <span class=\"MenuCascade\" id=\"GUID-BECEF23F-1970-4DC4-B642-824092F2DD83\">Duplicate Input Connections</span>. \n            </li>\n            <li>Click <span class=\"MenuCascade\" id=\"GUID-E11E20FA-61B1-495A-B8EF-1C1934319AC7\">Duplicate Special</span>.\n            </li>\n            <li>Drag the copied emitted particles <em class=\"mild\">and</em> the copied emitting object away from the originals.\n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3218\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3217\"></a>To duplicate an emitter without connections to dynamic effects\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the emitting object (or positional emitter) and the emitted particle object.</li>\n            <li>Select <span class=\"char_link\"><a href=\"\">Edit &gt; Duplicate Special</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\">. \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-0178DE2B-F164-4352-8360-48A246A3127F\">Duplicate Special Options</span> window, click <span class=\"MenuCascade\" id=\"GUID-032106E9-31D4-41C3-AD4F-2A31EED2E2A7\">Edit &gt; Reset Settings </span>to turn on default options.\n            </li>\n            <li>Click <span class=\"MenuCascade\" id=\"GUID-C9FBC905-4B35-4BFA-B83C-2AAAA4C2BB5E\">Duplicate Special</span>.\n            </li>\n            <li>Select <span class=\"char_link\"><a href=\"Particles__Connect_To_Time.htm\">Particles &gt; Connect To Time</a></span>.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3211\"></a>Emitters have a hidden <span class=\"MenuCascade\" id=\"GUID-E83AFAF2-59BE-4948-99BE-330200AC08E1\">Current Time</span> attribute. For an emitter to work when you play an animation, it needs an incoming\n                  connection to its <span class=\"MenuCascade\" id=\"GUID-3C45AE6C-9268-4E02-B509-FF8C66D070ED\">Current Time</span> attribute. By default, the input to <span class=\"MenuCascade\" id=\"GUID-791DD1D9-B438-41A6-B032-E225CA7520D8\">Current Time</span> is provided by the scene’s predefined time variable. (See <span class=\"char_link\"><a href=\"Particles_Control_execution_time_of_particle_dynamics.htm#WS17956D7ADBC6E7361A342C07117AE3124CC-7FB9\">Understand the Current Time attribute</a></span> for details.) \n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-320F\"></a>If you select <span class=\"MenuCascade\" id=\"GUID-C2533CAA-B435-4BBE-BBEE-66D87FC58367\">Edit &gt; Duplicate</span> with default options, it doesn’t copy incoming connections to the new object, so\n                  its dynamics don’t work. This is why you select <span class=\"char_link\"><a href=\"Particles__Connect_To_Time.htm\">Particles &gt; Connect To Time</a></span>. \n               </p>\n            </li>\n            <li> Drag the copied emitted particles and the copied emitting object away from the originals.\n               <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-320C\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n                     <p>The Seed number of the duplicate emitted particle object is the same as the original.\n                        The duplicate’s emission randomness is therefore identical to the original, by default.\n                        For details on changing the randomness of emission, see <span class=\"char_link\"><a href=\"Particles_Work_with_emission_randomness.htm\">Work with emission randomness</a></span>.\n                     </p> \n                  </div>\n               </div>\n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";