var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-C3FDF2F1-3AB9-429E-8B30-2A125AA65D77\">\n      <meta name=\"indexterm\" content=\"Goal Weight\">\n      <meta name=\"indexterm\" content=\"goals: setting weight\">\n      <meta name=\"indexterm\" content=\"Goal Active\">\n      <meta name=\"indexterm\" content=\"goals: turning off or on\">\n      <meta name=\"indexterm\" content=\"Add Goal\">\n      <meta name=\"indexterm\" content=\"goalPP\">\n      <meta name=\"indexterm\" content=\"goals: setting weight of individual particles\">\n      <meta name=\"indexterm\" content=\"per-particle per-object goal weights\">\n      <meta name=\"indexterm\" content=\"goal weights: per-particle per-object\">\n      <meta name=\"indexterm\" content=\"goalU, V\">\n      <meta name=\"indexterm\" content=\"goals: setting NURBS UV position\">\n      <meta name=\"indexterm\" content=\"goalOffset\">\n      <meta name=\"indexterm\" content=\"goalOffset\">\n      <meta name=\"indexterm\" content=\"goals: setting offset\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Edit goal attributes</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-C3FDF2F1-3AB9-429E-8B30-2A125AA65D77\"></a><div class=\"head\">\n            <h1>Edit goal attributes</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-315E\"></a>The following sections describe how to edit attributes to tune the effect of goals\n            on trailing particle and nParticle objects.\n         </p>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7F9C\"></a> \n            <h2><a name=\"GUID-E39DE6CD-DCCC-4F63-BD82-CFA9B31436DD\"></a>Set goal weights on a per-object basis\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-315D\"></a>  When you add a goal to an object, Maya adds a corresponding goal weight attribute\n               to the trailing particle object. The goal weight sets how much all particles of the\n               trailing object are attracted to the goal. You can set the goal weight before you\n               create the goal using the <span class=\"MenuCascade\" id=\"GUID-80CB38B7-B418-4633-9D7B-51C582DF9FD8\">Goal options</span> window, or you can adjust the goal weight afterwards using the <span class=\"MenuCascade\" id=\"GUID-B88DE52C-B87A-4B81-92E0-BDF9BB41FE73\">Attribute Editor</span>.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-315A\"></a>You can set goal weight to a value between 0 and 1. A value of 0 means that the goal’s\n               position has no effect on the trailing particles. A value of 1 moves the trailing\n               particles to the goal object position immediately. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3159\"></a>A value between 0 and 1 causes the particles to move toward the goal as if bound to\n               it by an elastic spring. The closer to 1, the faster the trailing particles settle\n               at their final position. The goal weight value is 0.5 by default.\n            </p> \n            <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3158\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span>To make the trailing particle object follow the goal object with less oscillation,\n                  set the trailing particle object’s <span class=\"MenuCascade\" id=\"GUID-3A056ACB-0744-4946-A177-6DFE516DEFB9\">Conserve</span> attribute to a value less than 1, for instance, 0.8. A value of 0 prevents oscillation.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3157\"></a>You can turn the effect of a goal object off or on without setting goal weight. With\n                     the trailing particle object attributes displayed in the <span class=\"MenuCascade\" id=\"GUID-00E1471F-3B8F-4C27-931D-F7F12A3CCCA7\">Attribute Editor</span>, turn off the <span class=\"MenuCascade\" id=\"GUID-80BA792D-4F53-4CC2-835E-66441D09A426\">Goal Active</span> attribute associated with the goal object.\n                  </p>\n               </div>\n            </div> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3154\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3153\"></a>To display the <span class=\"MenuCascade\" id=\"GUID-2C3A16AF-D42E-4F14-A49A-23DAC83DA934\">Goal options</span> window:\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select <span class=\"char_link\"><a href=\"Particles__Goal.htm\">Particles &gt; Goal</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\">. The attributes in this window affect goals you create after you change an attribute\n                  setting.\n               </li>\n            </ol> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3151\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3150\"></a> To change the <span class=\"MenuCascade\" id=\"GUID-A6C2E1A5-08EE-4182-B237-1DDE6DFAD593\">goal weight </span>in the <span class=\"MenuCascade\" id=\"GUID-CD01DE11-7E8D-44B3-8A11-AC23F08AE009\">Attribute Editor</span></p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select the particles (or soft body particles) affected by the goal.</li>\n               <li>Display the <span class=\"MenuCascade\" id=\"GUID-06247004-D083-4356-B4C8-D91B103A15B0\">Attribute Editor</span>. \n               </li>\n               <li>Open the <span class=\"MenuCascade\" id=\"GUID-F3F3A073-56C8-4F0C-8287-C17F6542C6A8\">Goal Weights and Objects</span> section. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-314B\"></a>The goal weight is next to the name of the goal object. Change this weight to apply\n                     to the entire object. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-314A\"></a>(If you change any of the per-particle settings, this goal weight will no longer apply.)\n                  </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3149\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_GoalsAE.png\"></div>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3148\"></a>If the particle object has multiple goal objects, you’ll see a goal weight section\n                     for each object.\n                  </p>\n                  <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3147\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                        <p>In the <span class=\"MenuCascade\" id=\"GUID-322B2091-2918-4760-A89E-86B25BB207D2\">Channel Box</span>, the goal weight for the first goal object you added is <span class=\"MenuCascade\" id=\"GUID-A46A48FB-A469-44AC-B1B2-398278167269\">Goal Weight</span>[0]. The second is<span class=\"MenuCascade\" id=\"GUID-203491DD-68D6-41D3-AA55-623C57D5E475\"> Goal Weight</span>[1] and so on.\n                        </p> \n                     </div>\n                  </div>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7F9B\"></a> \n            <h2><a name=\"GUID-EAD7B460-C254-4127-963A-C23F360438BF\"></a>Set goal weights on a per-particle basis\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3146\"></a>  For more control of trailing particle motion, you can tune the goal weight on a per\n               particle basis. The per particle goal weight is controlled by the trailing object’s\n               <span class=\"MenuCascade\" id=\"GUID-B17D9C7F-4F92-4F1F-B7AB-EF53C3295F34\">Goal PP</span> attribute. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3143\"></a>The per-particle <span class=\"MenuCascade\" id=\"GUID-709653FE-DF78-4AA0-A816-70C7025BDABB\">Goal PP</span> attribute is used for <em class=\"mild\">every</em> goal object connected to the particles. By default, the <span class=\"MenuCascade\" id=\"GUID-8D70AB53-FF88-4DE7-A42B-1F4C30619055\">Goal PP</span> attribute has a value of 1 for each particle.\n            </p> \n            <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3142\"></a><div class=\"note-warning\"><span class=\"label\">WARNING:</span> \n                  <p>When using <span class=\"MenuCascade\" id=\"GUID-5DB87FCD-7BE7-46D2-8879-F4FC1D89FD32\">goalWeightPP</span>, (a goal-specific per-particle goal weights attribute) on particle systems attached\n                     to an emitter, ensure that the <span class=\"MenuCascade\" id=\"GUID-799318F1-50B8-4647-8F9C-BE7743D4A06C\">goalWeightPP</span> attribute values are initialized in the particle\'s creation expression, otherwise\n                     undesirable particle dynamic behavior will result. \n                  </p> \n               </div>\n            </div> \n            <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3141\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                  <p>Using the <span class=\"MenuCascade\" id=\"GUID-109F0774-01D6-498D-AB74-B8AD401CBD6A\">Paint Soft Body Weights Tool</span>, you can set goal weights on a soft body on a per particle basis by painting on the\n                     soft body surface (see <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Paint_Soft_Body_Weights_Tool.htm\">Paint Soft Body Weights Tool</a></span>). \n                  </p> \n               </div>\n            </div> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3140\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-313F\"></a>To set per particle goal weight\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select the trailing particle object and display the <span class=\"MenuCascade\" id=\"GUID-35F0B503-8DE0-4DFC-AF13-25A3E8B142AA\">Attribute Editor</span>.\n               </li>\n               <li>Locate the <span class=\"MenuCascade\" id=\"GUID-26DA31BA-0310-4230-B85C-C2E86D16C612\">Goal PP</span> attribute in the <span class=\"MenuCascade\" id=\"GUID-33F4797D-8253-4249-AB48-C58C074A1B41\">Per Particle (Array) Attributes</span> section of the <span class=\"MenuCascade\" id=\"GUID-0785080D-6577-40F5-82D8-23A58A7D63BA\">Attribute Editor</span>. See <span class=\"char_link\"><a href=\"Particles_Set_attributes_on_a_per_particle_basis.htm\">Set attributes on a per particle basis</a></span> for details on how to set per particle attributes.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-313C\"></a>The <span class=\"MenuCascade\" id=\"GUID-BC9624BF-C7A6-44CF-81E9-77C37A2EFDF6\">Goal PP</span> value is multiplied by the per object goal weight to create the total goal weight\n                     for each particle. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-313B\"></a>For example, if you have a per object goal weight of 0.5 and you add a per particle\n                     goal weight of 0.5 to some of the particles, the total goal weight of those particles\n                     is 0.25. If you have a second goal object and the corresponding per object goal weight\n                     is 0.1, the total goal weight of the particles is 0.05. \n                  </p>\n                  <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-313A\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n                        <p>If you create a ramp on goalPP, the ramp is mapped over the lifetime of the particles;\n                           it’s not mapped over the surface of the goal object. In addition, you cannot texture\n                           goals according to emission.\n                        </p> \n                     </div>\n                  </div>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3139\"></a> \n            <h2><a name=\"GUID-5440D1C5-25A5-4D72-BC00-49E91EF4001F\"></a>Set goal weights on a per-particle, per-object basis \n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3138\"></a> For each goal object associated with a particle system, Maya provides a <span class=\"MenuCascade\" id=\"GUID-013BE624-2F7E-420F-A10C-57609E1A1CCA\">Goal Weight </span>value that determines how strongly the particles will be attracted to that object.\n               The basic per-particle<span class=\"MenuCascade\" id=\"GUID-B1A6287A-7C1D-456C-A4B4-35650CAE00F9\"> Goal PP</span> attribute can be used to diminish the overall effect of goal forces on each particle,\n               but it cannot be used to selectively change the influence of a particular goal object\n               on a <em class=\"mild\">particular-particle</em> independently from other particle-object interactions—to make this change, you need\n               to use dynamic attributes that will allow you to specify per-particle goal weight\n               values for a particular goal object. These attributes are useful for creating varying\n               goal attractions within a particle system to one goal object.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3136\"></a>The dynamic attribute goalWeight<em class=\"mild\">N</em>PP provides per-particle goal weights for the <em class=\"mild\">N</em>th goal object. Goal objects are numbered according to their indices in the particle\n               system\'s sparse goalGeometry array. This ensures that per-particle goal weights will\n               be preserved while goal objects are being added to and removed from the particle system.\n               If no per-particle goal weight is found for a particular goal object, then the standard\n               goal weight value for that object (specified by the slider next to the object\'s name\n               in the particle <span class=\"MenuCascade\" id=\"GUID-515911B3-1F60-4285-A99C-8DA3EDCB3E53\">Attribute Editor</span>) is applied to all particles. \n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3135\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3134\"></a>To set up per-particle goal weight attributes\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Ensure that you’ve created a goal for an object to which the particles are attracted.\n                  (<span class=\"char_link\"><a href=\"Particles__Goal.htm\">Particles &gt; Goal</a></span>). For more information, see <span class=\"char_link\"><a href=\"Particles_Create_goals.htm\">Create goals</a></span> in the <em class=\"mild\">Dynamics</em> guide.\n               </li>\n               <li>In <span class=\"MenuCascade\" id=\"GUID-C06C685D-E1D3-4530-9B6F-9FC389BF86FA\">Component </span>mode, select the individual particles for which you’d like to edit per-particle goal\n                  weights.\n               </li>\n               <li>In the particle system node of the <span class=\"MenuCascade\" id=\"GUID-84A48DEA-635A-495F-9759-192C7D6E0697\">Attribute Editor</span>, go to the <span class=\"MenuCascade\" id=\"GUID-E65AD4F5-5918-4027-9748-71097B93C1D2\">Goals Weights and Objects</span> section and click the <span class=\"MenuCascade\" id=\"GUID-9CA6C0D5-9999-4184-A0AE-5819D823D473\">Create goalWeightNPP</span> button for the desired goal object.\n               </li>\n               <li>Do one of the following to open the <span class=\"MenuCascade\" id=\"GUID-A0124F82-0604-4392-887F-E7498C955F56\">Component Editor</span>:<a name=\"WS1A9193826455F5FF-6D855556117FACF922E-312F\"></a><ul>\n                     <li>Go to the <span class=\"MenuCascade\" id=\"GUID-2A9ABEAA-EC23-4BCE-9928-F228442737F3\">Per Particle (Array) Attributes </span>section, right-click the empty box next to the corresponding <span class=\"MenuCascade\" id=\"GUID-64289E33-E8D7-4218-A8CC-06436151E3E6\">Goal Weight N PP</span> attribute and select <span class=\"MenuCascade\" id=\"GUID-921C50F6-3B39-4F7D-840E-37010190F119\">Component Editor </span>from the pop-up menu.\n                     </li>\n                     <li>Select <span class=\"MenuCascade\" id=\"GUID-FE69D695-311B-4B44-B917-D9F90687E73B\">Window &gt; General Editors &gt; Component Editor</span>.\n                        <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-312C\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span>If the <span class=\"MenuCascade\" id=\"GUID-79A72665-485C-4101-8348-423DF609DF0B\">goalWeight</span> columns do not appear, in the <span class=\"MenuCascade\" id=\"GUID-72B734B5-E5E4-4E61-B77A-C5903A611FF2\">Component Editor</span> menu select <span class=\"MenuCascade\" id=\"GUID-A4B44524-BD44-4656-A75A-49214F952818\">Options &gt; Hide Zero Columns</span> (to show zero columns).\n                              <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-312B\"></a>Until you play the simulation, the values will be zero.\n                              </p>\n                           </div>\n                        </div>\n                     </li>\n                  </ul>\n               </li>\n               <li>Play the simulation. Optionally stop at certain frames and edit the <span class=\"MenuCascade\" id=\"GUID-5D6F1D74-CFCD-4304-A61A-A4A0628952D3\">goalWeight</span> values in the <span class=\"MenuCascade\" id=\"GUID-5E819BF1-0FA5-4AD1-95A0-32AEBA79D60E\">Component Editor</span>.\n               </li>\n            </ol> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3129\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3128\"></a>To turn off per-particle goal weight attributes\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>In the particle system node in the <span class=\"MenuCascade\" id=\"GUID-2D1B5EC7-F43B-4999-9667-4162A189C38C\">Attribute Editor</span>, go to the <span class=\"MenuCascade\" id=\"GUID-33F7FAB2-D28C-4476-BE9F-4C41F8668795\">Goals and Weights</span> section and click the <span class=\"MenuCascade\" id=\"GUID-68829BCD-7C42-4BCB-8847-5FB2D1AA526E\">Delete goalWeightNPP</span> button for the desired goal object.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3126\"></a>Now the particles take on the goal weight defined for the system, not the particular\n                     particle.\n                  </p>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3125\"></a> \n            <h2><a name=\"GUID-4890C08D-1874-40E3-BA6A-E58BD85D1A31\"></a>Examine goal point data per particle\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3124\"></a>After you’ve created goal objects, you can add several per-particle dynamic attributes\n               to the particle node. When the particle system is being attracted to goal objects,\n               these attributes are filled with data about the specific point on each goal object\n               to which each particle is being attracted. You can view this information in the <span class=\"MenuCascade\" id=\"GUID-5282C4E3-980A-4DC8-8276-16942BD9043C\">Particles</span> tab of the <span class=\"MenuCascade\" id=\"GUID-DD817F6D-DCB8-40B6-B97F-8037A5435788\">Component Editor</span>. While you cannot change this information (you can edit it, but the values will be\n               replaced once you re-run the simulation), you may find it useful for run-time particle\n               expressions. For example, you can change the particle color so that the color intensifies\n               as it approaches the goal object. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3123\"></a>Since a particle system can have multiple goal objects, these new attributes are numbered\n               to indicate to which goal object their data corresponds to. Goal objects are numbered\n               according to their indices in the particle system\'s sparse goalGeometry array. This\n               strategy ensures that these per-particle attributes do not change their meanings as\n               goal objects are added to and removed from the particle system. \n            </p> \n            <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3122\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3121\"></a>These attributes do not support animated UVs. If the UVs on a goal object are animated,\n                     the tangents generated will correspond to the original UV parameterization. Adding\n                     a slight deformation or control point animation to the mesh will trigger a refresh\n                     of the mesh data at every frame, thereby working around the problem. \n                  </p> \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3120\"></a>Many different types of objects can be used as goal objects for particle systems in\n                     Maya, but tangents and normals are only properly generated for NURBS surface and polygon\n                     surface goal objects. NURBS curves, other particle systems used as goal objects, or\n                     other control-point-based primitives will not generate proper normals and tangents.\n                     \n                  </p> \n               </div>\n            </div> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-311F\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-311E\"></a>To set up goal point data per-particle attributes\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Ensure that you’ve created a goal for an object to which the particles are attracted.\n                  (<span class=\"char_link\"><a href=\"Particles__Goal.htm\">Particles &gt; Goal</a></span>) For more information, see <span class=\"char_link\"><a href=\"Particles_Create_goals.htm\">Create goals</a></span> in the <em class=\"mild\">Dynamics</em> guide.\n               </li>\n               <li>In <span class=\"MenuCascade\" id=\"GUID-632EF828-8AF9-44C2-958D-A7F62220AAE5\">Component </span>mode, select the individual particles for which you’d like to view goal point per-particle\n                  attributes.\n               </li>\n               <li>In the particle system node of the <span class=\"MenuCascade\" id=\"GUID-09E6EB91-AC91-4E9E-8B29-56E11ACD9ED2\">Attribute Editor</span>, go to the <span class=\"MenuCascade\" id=\"GUID-4D9AF0B2-8D0A-46CF-94E0-E274DE07BEF2\">Goals Weights and Objects</span> section and, for the desired goal object, click the <span class=\"MenuCascade\" id=\"GUID-EA398B7A-B8E2-4472-B9A3-54C09E90B6CB\">Create</span> button next to the desired <span class=\"MenuCascade\" id=\"GUID-09321121-FC68-4CD9-9D9B-EDCBA88B3D63\">Goal Point</span> attribute (<span class=\"MenuCascade\" id=\"GUID-8FA6064B-0637-4C5D-905E-B15E9FCC212C\">Position</span>, <span class=\"MenuCascade\" id=\"GUID-EA669E49-541D-4E73-B737-EAD0588B3453\">Normal</span>, <span class=\"MenuCascade\" id=\"GUID-B7306112-5144-4BD8-A494-0C7F326FA858\">Tangent U</span>, <span class=\"MenuCascade\" id=\"GUID-71FBD2BF-61F8-40C8-B1D9-0E0C60A718DB\">Tangent V</span>).\n               </li>\n               <li>Do one of the following to open the <span class=\"MenuCascade\" id=\"GUID-3CD386E5-9EE8-4038-BE53-E62099296C68\">Component Editor</span>:<a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3119\"></a><ul>\n                     <li>Go to the <span class=\"MenuCascade\" id=\"GUID-456C4F4F-C3EE-42C9-819D-E056BFFA9B23\">Per Particle (Array) Attributes</span> section, right-click the empty box next to the corresponding <span class=\"MenuCascade\" id=\"GUID-52BCE4A6-2A71-4F16-8A43-999127DE7988\">goalWorldNPP</span> attribute and select <span class=\"MenuCascade\" id=\"GUID-D35DC454-FD74-4393-AE51-14A0D3672E22\">Component Editor</span> from the pop-up menu.\n                     </li>\n                     <li>Select <span class=\"MenuCascade\" id=\"GUID-9D1AE49B-DEDE-4482-A396-70CDD8C83CC8\">Window &gt; General Editors &gt; Component Editor</span>.\n                        <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3116\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span>If the <span class=\"MenuCascade\" id=\"GUID-59AB2FEF-AFBE-43CB-8F48-B1B21A867973\">goalWorld</span> columns do not appear, in the <span class=\"MenuCascade\" id=\"GUID-8A1A321D-B52F-4C7A-B72B-E3439C0587B6\">Component Editor</span> menu select <span class=\"MenuCascade\" id=\"GUID-A5DC9641-35BE-4856-81DA-BE2442D6584F\">Options &gt; Hide Zero Columns</span> (to show zero columns).\n                              <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3115\"></a>Until you play the simulation, the values will be zero.\n                              </p>\n                           </div>\n                        </div>\n                     </li>\n                  </ul>\n               </li>\n               <li>Play the simulation. Optionally stop at certain frames and view the <span class=\"MenuCascade\" id=\"GUID-A4B264FD-1C92-485B-B176-D5F5A30022D3\">goalWorld</span> values in the <span class=\"MenuCascade\" id=\"GUID-7981395C-1D72-4CD3-AD1E-583404B4FC49\">Component Editor</span>.\n               </li>\n            </ol> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3113\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3112\"></a>To turn off goal point data per-particle attributes\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>In the particle system node in the <span class=\"MenuCascade\" id=\"GUID-B1675152-DA77-46A6-AC7B-152C800A76B4\">Attribute Editor</span>, go to the <span class=\"MenuCascade\" id=\"GUID-66C9B3A6-4EBB-46B0-80F2-F665AD264BD8\">Goals and Weights</span> section and, for the desired goal object, click the <span class=\"MenuCascade\" id=\"GUID-39AFA49A-68F6-4D2A-8C8E-6F5E0A8C5D8A\">Delete</span> button next to the <span class=\"MenuCascade\" id=\"GUID-F4BB9E33-BADD-47DF-A908-931D09AE37C2\">Goal Point</span> attribute.\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3110\"></a> \n            <h2><a name=\"GUID-0ADECE2B-A573-4663-A69C-2B1E9FD18534\"></a>Specify NURBS or polygonal UV positions for goals\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-310F\"></a>  When you use the CVs of a NURBS or polygonal surface as a goal, the trailing particles\n               move directly to the CVs. The CVs, however, are usually positioned at distant or undesired\n               positions. You can make the particles move more directly or evenly to the surface\n               by adding and setting the predefined <span class=\"MenuCascade\" id=\"GUID-BE4B7639-F455-404A-93B8-9D5C52B1D236\">goalU</span> and <span class=\"MenuCascade\" id=\"GUID-89E40131-A1C0-402C-B25B-BF3129FD0006\">goalV</span> attributes of the trailing particle object’s shape node. These per particle attributes\n               set exact locations on a NURBS or polygonal surface where the particles are attracted.\n               \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-310C\"></a> You can also add and set the predefined <span class=\"MenuCascade\" id=\"GUID-644B13AD-99EA-4D4C-A3E7-68A54668DC4C\">goalOffset </span>attribute to more conveniently accomplish similar results (see <span class=\"char_link\"><a href=\"Particles_Edit_goal_attributes.htm#WS17956D7ADBC6E7361A342C07117AE3124CC-7F9A\">Specify an offset to goal positions</a></span>).\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-310A\"></a>If the trailing object has multiple goal objects, the same per particle U and V values\n               are used for each goal object.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3109\"></a>If the attributes don’t specify a valid position on the object, the closest position\n               on the surface or curve is used as the goal position instead. A position is invalid\n               if it is out of the object’s U and V range or it’s on a part of the curve or surface\n               that you’ve trimmed. To ensure the closest point is used, specify a value of -1. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3108\"></a>See <span class=\"char_link\"><a href=\"Particles_Work_with_particle_attributes.htm#WS17956D7ADBC6E7361A342C07117AE3124CC-7FEA\">Add dynamic attributes</a></span> for details on adding attributes. You can set the value of these attributes with\n               an expression, MEL script, or other attribute editing technique.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3107\"></a> \n            <h2><a name=\"GUID-482C0D71-4273-4A8F-8686-8F7F53E6305A\"></a>Work with polymesh goal objects\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3106\"></a>When per-particle <span class=\"MenuCascade\" id=\"GUID-2F514800-5388-457F-A51F-0798E860E23B\">goalU/goalV</span> attributes apply to polymesh goal objects, you specify particular points on the goal\n               mesh surface to which particles will be attracted. Animation of <span class=\"MenuCascade\" id=\"GUID-E639313C-2222-48AF-9A4C-72F69DAA3E8D\">goalU/goalV</span> values, as well as the goal object and its UV coordinates, is fully supported. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3105\"></a>For each polymesh object, a <span class=\"MenuCascade\" id=\"GUID-5BDE0DF0-F405-4AD9-BE1E-F344266E8133\">UV Set</span> control appears to let you decide which UV set to use when determining the goal position\n               of a particle given its <span class=\"MenuCascade\" id=\"GUID-E9A57AE8-7D10-4E25-8F19-B03453D6927C\">goalU/goalV</span> values.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3104\"></a>Since UV mappings on polymesh objects are arbitrary, it is possible that a given <span class=\"MenuCascade\" id=\"GUID-328CBA77-FDB7-4352-8DD0-A98C213C263F\">goalU/goalV</span> pair may map to more than one point on the goal surface. If there are multiple potential\n               goal points for a particle, Maya selects the point that is closest to the particle’s\n               current position in world space, and uses that as the goal position. This decision\n               is recomputed at every frame, so if the particle moves closer to one of the other\n               potential goal positions, the particle will be attracted to that goal position instead\n               of the original goal position.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3103\"></a>Similarly, it is also possible that no point on the object matches the specified <span class=\"MenuCascade\" id=\"GUID-9782A421-B76E-4E75-811D-492E1D9CD864\">goalU/goalV</span> values for a particular particle. In that case, the mesh vertex that is closest in\n               UV space to the specified goal point is used. This decision is updated at every frame.\n            </p> \n            <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3102\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n                  <p>For polymesh goal objects, if a particle’s <span class=\"MenuCascade\" id=\"GUID-5ABF4F6F-6DF6-4294-B2D5-53EC370D4E96\">goalU/goalV</span> values are not present on the goal surface (that is, they are unmapped), the particle\n                     is attracted to the vertex nearest to the specified values. This may lead to the particle\n                     hopping between vertices of the mesh if the goal UV values are animated through unmapped\n                     space.\n                  </p> \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7F9A\"></a> \n            <h2><a name=\"GUID-A47E9B80-7341-47E1-8CEE-A69B59F07564\"></a>Specify an offset to goal positions\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3101\"></a> If you add the predefined <span class=\"MenuCascade\" id=\"GUID-4DFE6E5C-8521-45F7-AE3C-948B93E56951\">goalOffset</span> attribute to the trailing particle object’s shape node, you can set an offset to\n               the world space position of the goal object. For example, if you have particles moving\n               towards a goal that consists of a curve’s CVs, the offset directs the particles to\n               each CV plus the goalOffset. The <span class=\"MenuCascade\" id=\"GUID-AD681E0A-928B-4295-8A64-2FC70F16523B\">goalOffset</span> attribute is a per particle vector attribute.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-30FF\"></a>See <span class=\"char_link\"><a href=\"Particles_Work_with_particle_attributes.htm#WS17956D7ADBC6E7361A342C07117AE3124CC-7FEA\">Add dynamic attributes</a></span> for details on adding attributes. You can set the value of this attribute with an\n               expression, MEL script, or other attribute editing technique.\n            </p> \n            <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-30FE\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                  <p>To create an evenly distributed attraction to an object with symmetrically positioned\n                     CVs, use a sphrand( ) function in an expression to assign random values to goalOffset.\n                  </p> \n               </div>\n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";