var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-30EEF03D-43F7-46CF-9279-98FA828C53A2\">\n      <meta name=\"indexterm\" content=\"particle collisions: emitting, killing, or splitting on contact\">\n      <meta name=\"indexterm\" content=\"particle collisions: events\">\n      <meta name=\"indexterm\" content=\"particle collision event\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Create particle collision events</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-30EEF03D-43F7-46CF-9279-98FA828C53A2\"></a><div class=\"head\">\n            <h1>Create particle collision events </h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-30A0\"></a> You can use the <span class=\"MenuCascade\" id=\"GUID-702B7B85-79BB-4AF3-BA0B-E292C566CC64\">Particle Collision Event Editor</span> to create events that occur when particles collide with geometry. Using a collision\n            event, you can create new particle objects that emit into the scene or kill particles\n            when they collide. You can create collision events for particle and nParticle objects.\n            \n         </p>\n         <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73D42\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n               <p><a name=\"GUID-0F777A63-AC52-4341-A25F-C60C7DEDBDD6\"></a>Collision events can only occur when particles from different particle or nParticle\n                  systems collide. Collision events can not occur when nParticles self-collide. \n               </p> \n            </div>\n         </div>\n         <p><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0EBE\"></a>You can also execute a MEL script when particles or nParticles collide. The actions\n            that occur after contact are called <em class=\"mild\">events</em>. See <span class=\"char_link\"><a href=\"GUID-F423BB37-7E63-4568-8928-5D54455683B2.htm\">Create a MEL procedure for collision events</a></span>. \n         </p>\n         <p><a name=\"WS73099CC142F48755F2FC9DF120970276F7-5F87\"></a>For more information about using nParticles with collision events, see <span class=\"char_link\"><a href=\"\">nParticle collision events</a></span>. \n         </p>\n         <div><a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-63E1\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n               <p><a name=\"GUID-8D9A5C91-9DC8-4EFC-9EB9-2F21F5D3F13E\"></a>When creating particle collision events using nParticles, be aware of the following:\n                  <a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-63E0\"></a><ul>\n                     <li>The collisionGeometryIndex output attribute is not supported for nParticles collision\n                        events in Maya 2013. \n                     </li>\n                     <li>nParticle collisions events pass the name of the Nucleus object that the nParticles\n                        are colliding with rather the geometry\'s name to the event callback. \n                     </li>\n                     <li>The Nucleus ground plane cannot be the target of an nParticle collision event. </li>\n                  </ul> \n               </p> \n            </div>\n         </div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-309D\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-309C\"></a> To create a particle or nParticle collision event\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the particle or nParticle object you want to use as the event source particle\n               object. \n            </li>\n            <li>Depending on the source particle type, do one of the following: <a name=\"WS1A9193826455F5FF-156C9AA7119D8906FDE-7620\"></a><ul>\n                  <li>For a classic particle object, in the <span class=\"MenuCascade\" id=\"GUID-E024B5A0-0641-4C84-9F68-17BE8C7BA20E\">Dynamics </span>menu set, select <span class=\"char_link\"><a href=\"Particles__Particle_Collision_Events_Editor.htm\">Particles &gt; Particle Collision Events Editor</a></span>. \n                  </li>\n                  <li>For an nParticle object, in the <span class=\"MenuCascade\" id=\"GUID-1A169F9D-A5E1-47C7-9236-0F41384747BD\">nDynamics</span> menu set, select <span class=\"char_link\"><a href=\"\">nParticles &gt; Particle Collision Event Editor</a></span>. \n                     <p><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-7E90\"></a>The <span class=\"MenuCascade\" id=\"GUID-C2386880-0FBC-4A5B-BF57-D455E9413AD0\">Particle Collision Event Editor</span> appears. \n                     </p> \n                  </li>\n               </ul> \n            </li>\n            <li>Click <span class=\"MenuCascade\" id=\"GUID-DB1B01A9-76D1-4D29-98F3-676B6F7567B6\">Create Event</span>. \n               <p><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-7E8E\"></a>The new event appears in the <span class=\"MenuCascade\" id=\"GUID-B7689C97-2F22-4CA2-A720-EE45B62028C6\">Events</span> panel. \n               </p> \n            </li>\n            <li>(Optional) Type a name for your event in the <span class=\"MenuCascade\" id=\"GUID-35860624-026C-41C0-8B20-163B6CADA7BB\">Set event name</span> field. \n            </li>\n            <li>Specify the frequency of the event by doing one of the following: <a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-7E8D\"></a><ul>\n                  <li>Turn on <span class=\"MenuCascade\" id=\"GUID-475C8AF5-D2C5-4849-9E6B-EF3A401E85DD\">All Collisions</span> if you want the event to execute on each particle collision. \n                  </li>\n                  <li>Specify at which collision you want the event to execute by setting the <span class=\"MenuCascade\" id=\"GUID-47D68A35-6AC3-45BA-9A62-40CA15999CE0\">Collision number</span>. \n                  </li>\n               </ul>Under <span class=\"MenuCascade\" id=\"GUID-27FE5637-B3CD-4DB8-B79E-646EA11186D9\">Event type</span>, specify the event settings by doing the following: <a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-7E8A\"></a><ul>\n                  <li>Turn on either <span class=\"MenuCascade\" id=\"GUID-60634DAC-3B80-401F-8F48-3A8A767B393B\">Emit</span> or <span class=\"MenuCascade\" id=\"GUID-EBCDCD80-2287-4939-8484-F1F7F795C2AE\">Split</span>. \n                     <p><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-7E88\"></a>When <span class=\"MenuCascade\" id=\"GUID-5ADEB583-ADCB-47E8-AC66-CD18FD183380\">Emit</span> is on, the source particle object continues to live after the collision event. The\n                        target particle age starts when the object is created. \n                     </p> \n                     <p><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-7E87\"></a>When <span class=\"MenuCascade\" id=\"GUID-308C35B5-8FA8-4B87-B3A8-3AA17E12EB61\">Split</span> is on, the source particle object dies after the collision event. The target particle\n                        inherits its age from the source particle. \n                     </p> \n                  </li>\n                  <li>If you want to create a random number of target particles, turn on <span class=\"MenuCascade\" id=\"GUID-18E29BB2-041D-43A5-B8EB-6F6F3E1B03E8\">Random # particles</span>. See <span class=\"char_link\"><a href=\"\">Random # Particles</a></span>. \n                  </li>\n                  <li>Specify the number of target particles you want to create for each particle collision\n                     by setting <span class=\"MenuCascade\" id=\"GUID-0EAE003E-1E70-47D5-82F9-3B4B2B925B0C\">Num particles</span>. \n                  </li>\n                  <li>Set the <span class=\"MenuCascade\" id=\"GUID-75DAFEEE-3D11-4ACE-8CED-2C324193A83F\">Spread</span> for the target particles. \n                  </li>\n                  <li>Specify the <span class=\"MenuCascade\" id=\"GUID-4C61D151-C152-4A4D-8E8C-223DBBC4CE3B\">Target particle</span> by typing the name of an existing particle or nParticle object. You can use either\n                     the name of the particle object’s shape node (<em class=\"mild\">particleShape</em> or <em class=\"mild\">nParticleShape</em>), or its transform node name (<em class=\"mild\">particle</em> or <em class=\"mild\">nParticle</em>). \n                     <p><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-7E82\"></a>If you do not specify a particle type, the target will be an nParticle object. \n                     </p> \n                  </li>\n               </ul> \n            </li>\n            <li>(Optional) To create another collision event, click <span class=\"MenuCascade\" id=\"GUID-E81F9111-F58D-4D7E-8527-8D39015CB770\">New Event</span>. \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";