var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-BC20A6FA-D5E6-48DE-A34B-217C1FA612CB\">\n      <meta name=\"indexterm\" content=\"emitters\">\n      <meta name=\"indexterm\" content=\"omni emitters\">\n      <meta name=\"indexterm\" content=\"emitters: omni\">\n      <meta name=\"indexterm\" content=\"directional emitters\">\n      <meta name=\"indexterm\" content=\"emitters: directional\">\n      <meta name=\"indexterm\" content=\"emitters: point\">\n      <meta name=\"indexterm\" content=\"point emitters\">\n      <meta name=\"indexterm\" content=\"emitters: surface\">\n      <meta name=\"indexterm\" content=\"surface emitters\">\n      <meta name=\"indexterm\" content=\"emitters: curve\">\n      <meta name=\"indexterm\" content=\"curve emitters\">\n      <meta name=\"indexterm\" content=\"emitters: volume\">\n      <meta name=\"indexterm\" content=\"volume emitters\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Emitters</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-BC20A6FA-D5E6-48DE-A34B-217C1FA612CB\"></a><div class=\"head\">\n            <h1>Emitters</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3794\"></a> Emitters generate moving or stationary particles as an animation plays. You can use\n            emitters to create smoke, fire, fireworks, rain, and similar objects.\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3792\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_rams04.png\"></div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3791\"></a>Maya includes the following types of emitters: \n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3790\"></a><ul>\n            <li>     <em class=\"mild\">Point emitters (directional and omni) </em>emit particles from a position in the workspace or from particles, vertices, CVs,\n               edit points, or lattice points. \n            </li>\n            <li>   <em class=\"mild\">Surface emitters</em> emit particles from random, evenly distributed positions on the outer faces of NURBS\n               or polygonal surfaces. \n            </li>\n            <li>   <em class=\"mild\">Curve emitters</em> emit particles from random, evenly distributed positions of a NURBS curve. \n            </li>\n            <li>   <em class=\"mild\">Volume emitters </em>emit particles from a closed volume. You can choose from cube, sphere, cylinder, cone,\n               and torus.\n            </li>\n         </ul>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3781\"></a>When you select a NURBS surface or curve and add a default emitter, you create a point\n            emitter that emits from all CVs. Most CVs do <em class=\"mild\">not</em> lie exactly on the surface of the object. When you select a polygonal surface and\n            add a default emitter, it emits from all vertices, which do lie on the surface of\n            the object. \n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3780\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_CV_EditPt.png\"></div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-377F\"></a>When you create any type of emitter, a particle object is automatically created and\n            connected to it. The connected particle object originally has no particles. As the\n            animation plays and the emitter generates particles, the particle count of the connected\n            particle object increases. We refer to the connected particle object as the emitted\n            particle object.\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-377E\"></a>The connection between the emitter and emitted particle object is not a spatial relationship.\n            The emitted particle object’s attributes define the appearance and other characteristics\n            of the emitted particles. The emitter’s attributes control the initial position, direction,\n            quantity, and velocity of the emitted particles.\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-377D\"></a><ul>\n            <li> <span class=\"char_link\"><a href=\"Particles_Create_emitters.htm\">Create emitters</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"Particles_Edit_attributes_of_an_emitter.htm\">Edit attributes of an emitter</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"Particles_Edit_attributes_of_emitted_particles.htm\">Edit attributes of emitted particles</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"Particles_Duplicate_emitters.htm\">Duplicate emitters</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"Particles_Connect_emitters_and_particles.htm\">Connect emitters and particles</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"Particles_Vary_emission_from_different_points_of_point_emitters.htm\">Vary emission from different points of point emitters</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"Particles_Use_a_texture_to_color_emission_or_scale_the_rate.htm\">Use a texture to color emission or scale the rate</a></span> \n            </li>\n         </ul>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";