var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-BCF2EDB8-8D46-4968-BF72-A2CD2C666CFC\">\n      <meta name=\"indexterm\" content=\"instancer: particle\">\n      <meta name=\"indexterm\" content=\"particles: instancer\">\n      <meta name=\"indexterm\" content=\"geometry replacement (see instancer)\">\n      <meta name=\"indexterm\" content=\"instancer: creating animated instances\">\n      <meta name=\"indexterm\" content=\"instancing: single object\">\n      <meta name=\"indexterm\" content=\"instancing: sequence of objects\">\n      <meta name=\"indexterm\" content=\"animation: instances\">\n      <meta name=\"indexterm\" content=\"Instanced Objects list\">\n      <meta name=\"indexterm\" content=\"createInstancerPivot\">\n      <meta name=\"indexterm\" content=\"instancer: changing rotation pivot\">\n      <meta name=\"indexterm\" content=\"Rotation pivot: instancer\">\n      <meta name=\"indexterm\" content=\"instancer: aiming instanced geometry\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Instance geometry to particles</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-BCF2EDB8-8D46-4968-BF72-A2CD2C666CFC\"></a><div class=\"head\">\n            <h1>Instance geometry to particles</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3409\"></a>  Using Maya particle instancing lets you animate many identical objects in a scene.\n            For example, you can use particle instancing to quickly create and animate a group\n            of flying bugs where only the placement and orientation of the bugs differ. You can\n            animate a single bug, then create instances of the bug’s geometry that move with the\n            position and orientation of animated particles. You can also use nParticle per-particle\n            attributes, such as per-particle rotations, with instanced geometry so that each object\n            rotates individually.\n         </p>\n         <div><a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-63B6\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n               <p>The following sections are also applicable to instancing geometry with nParticles.</p> \n            </div>\n         </div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3406\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C990D1F2-3D5E-493C-8DA2-75199E930CD3-low.png\"></div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3405\"></a>Instances of geometry are not duplicates of an object, but are references (not file\n            referencing) of the original object. Any changes you make to the original object also\n            apply to the instanced objects. You can control the motion of the individual instanced\n            objects by animating the per-particle attributes that control them. For example, you\n            can use the nParticle rotation per-particle attributes for creating the realistic\n            behavior of randomly moving objects, such flying debris in an explosion effect. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3404\"></a>The instanced geometry object, called the <em class=\"mild\">source geometry</em>, can be:\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3403\"></a><ul>\n            <li>a single object, animated or not animated.</li>\n            <li>a sequence of objects in different shapes or positions. An example of an object sequence\n               is a series of nearly identical bird objects in different wing-flapping positions.\n            </li>\n            <li>different objects to be displayed at different particles. </li>\n         </ul>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33FF\"></a>You can use object hierarchies instead of individual objects as the source geometry.\n            Do not instance lights; they’ll have no effect in rendering.\n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F487553BD5B66812435C29801-5438\"></a> \n            <h2><a name=\"GUID-E16117E5-54CF-41A1-BBE3-38F4BBAB0F94\"></a>Create animated instances\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33FD\"></a> You can instance a single object to a particle shape or a sequence of objects to a\n               particle shape.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33FB\"></a>Before creating the instance, you create the source geometry and apply shading groups\n               to it. You can animate the source geometry and the particles either before or after\n               instancing, and you can place the source geometry anywhere in the workspace. You can\n               optionally hide it as described in the procedure. You cannot control the color of\n               the instanced geometry on a per particle basis. \n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33FA\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33F9\"></a> To instance a single object to particles\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select source geometry.</li>\n               <li>Shift-select the particle shape.</li>\n               <li>Select <span class=\"char_link\"><a href=\"Particles__Instancer_Replacement.htm\">Particles &gt; Instancer (Replacement)</a></span>.\n               </li>\n               <li>To hide the source geometry, select the geometry and select <span class=\"MenuCascade\" id=\"GUID-8AE8BDB7-1BC9-4E1D-A4BE-870D9E7CBAEA\">Display &gt; Hide &gt; Hide Selection</span>.\n               </li>\n            </ol> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33F3\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33F2\"></a>  To instance a sequence of objects to particles\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select the source geometry.</li>\n               <li>Select <span class=\"char_link\"><a href=\"Particles__Instancer_Replacement.htm\">Particles &gt; Instancer (Replacement)</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\">.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33ED\"></a>The <span class=\"MenuCascade\" id=\"GUID-FD88FF4C-6EDC-48DE-B939-6929C3B3FEAB\">Particle Instancer Options</span> window appears. The selected source geometry is listed in the <span class=\"MenuCascade\" id=\"GUID-9B8FF813-D731-4C7D-A54B-C1E286A9B998\">Instanced Objects</span> list.\n                  </p>\n               </li>\n               <li>To instance different objects at different particles, include them all on the list.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33EA\"></a>To instance a sequence of objects, list the objects in the order you want them to\n                     appear in the sequence.\n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33E9\"></a>Use the <span class=\"MenuCascade\" id=\"GUID-42A63EF4-4ED8-4124-B1DA-9CE1235F93FF\">Move Up</span> and <span class=\"MenuCascade\" id=\"GUID-21EFC16F-0E2F-41BF-9237-1301F042CC42\">Move Down</span> buttons to change the order of the objects. Use <span class=\"MenuCascade\" id=\"GUID-69F3B2C8-66E0-41AE-80A1-4D56431DEAE3\">Add Selection</span> if you want to add selected objects to the list. Use <span class=\"MenuCascade\" id=\"GUID-52D6CD1E-CFE3-4B21-AB2C-70FC5E381E73\">Remove Items</span> to remove objects from the list. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33E8\"></a>For example, suppose you create four birds in different flapping positions:\n                  </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33E7\"></a><ul>\n                     <li>birdWingsHigh shows the wings over the bird’s head. </li>\n                     <li>birdWingsMid shows the wings at mid position. </li>\n                     <li>birdWingsLow shows the wings below its body. </li>\n                     <li>birdWingsMidCopy, is a copy of birdWingsMid. This object is necessary so the wings\n                        cycle from low to high and high to low positions. \n                     </li>\n                  </ul>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33E2\"></a>An appropriate ordering for the objects in the <span class=\"MenuCascade\" id=\"GUID-2D6C2046-C8B1-4367-A5D3-CFB9A89CB1B8\">Instanced Objects</span> list is:\n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33E1\"></a>0: birdWingsHigh 1: birdWingsMid 2: birdWingsLow 3: birdWingsMidCopy\n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33E0\"></a>The number to the left of the object indicates the sequence position. The 0 indicates\n                     the first object in the sequence.\n                  </p>\n               </li>\n               <li>From the <span class=\"MenuCascade\" id=\"GUID-B9DFBDA9-F4C9-47B0-A8FF-AA4BB336D21D\">Particle Object To Instance</span> menu in the <span class=\"MenuCascade\" id=\"GUID-1CE89483-07A6-4902-9BA6-51C1DD5D13ED\">Particle Instancer Options</span> window, select the animated particle object that the instances will follow.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33DE\"></a>Note that you can use emitted particles as the animated particles. When the particles\n                     emit, the instanced geometry appears with the particles.\n                  </p>\n               </li>\n               <li>Set the options as described in <span class=\"char_link\"><a href=\"Particles__Instancer_Replacement.htm\">Particles &gt; Instancer (Replacement)</a></span>, then click <span class=\"MenuCascade\" id=\"GUID-4AD6651A-211B-447D-BE6F-EB8169C0AFB8\">Create</span>.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33DC\"></a>Maya creates an instancer node that controls the instanced objects. This node is where\n                     you can alter the attribute settings you made in the <span class=\"MenuCascade\" id=\"GUID-8CDEB671-D34B-4CC4-A136-D34CB2FFBE68\">Particle Instancer Options</span> window. \n                  </p>\n               </li>\n               <li>To hide the source geometry, select the geometry and select <span class=\"MenuCascade\" id=\"GUID-EFDC0EB2-B072-4485-816C-53C78FACA6E3\">Display &gt; Hide &gt; Hide Selection</span>.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33DA\"></a>You might also choose to hide the particle object being instanced. The instancer doesn’t\n                     make the particles invisible. Note, however, that you don’t need to hide the particles\n                     if you will software render the animation. Particles don’t appear in software rendered\n                     images. \n                  </p>\n                  <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33D9\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                        <p>If you want to move the rotation pivot point of the source object, select the object\n                           and enter <em class=\"mild\">createInstancerPivot</em> in the <span class=\"MenuCascade\" id=\"GUID-FD98909C-E5D3-4CB2-BF4A-0FC0A43B295F\">Command Line</span>. Thereafter, when you manipulate the rotation pivot in the source geometry, the instanced\n                           geometry rotates the same. Maya reorients any animation you previously applied to\n                           the translate, rotate, scale, and shear attributes of the source object.\n                        </p> \n                     </div>\n                  </div>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F487553BD5B66812435C29801-5437\"></a> \n            <h2><a name=\"GUID-0766BEDE-32A9-4CBB-9366-D3E11038B697\"></a>Rotate instanced geometry\n            </h2> \n            <p><a name=\"WS73099CC142F487553BD5B66812435C29801-5435\"></a>If you are instancing geometry with nParticles, you can use <span class=\"MenuCascade\" id=\"GUID-9C756648-B7C3-4D57-A9E4-04F6C2831C5F\">rotationPP</span> to rotate instanced geometry on a per-particle basis. The rotation per-particle attribute\n               is automatically created on the nParticleShape node when <span class=\"MenuCascade\" id=\"GUID-8E40AFDB-2993-4C60-B776-D8A8E0BDE9A2\">Calculate Rotations</span> is on. See <span class=\"char_link\"><a href=\"\">Rotation</a></span> in the <span class=\"charspan-emphasis\">nDynamics</span> guide. \n            </p> <a name=\"WS73099CC142F487553BD5B66812435C29801-5434\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F487553BD5B66812435C29801-5433\"></a>To rotate instanced geometry\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>In the nParticleShape node <span class=\"MenuCascade\" id=\"GUID-45F92041-CE15-4358-BCDF-34518BAD1B06\">Attribute Editor</span> go to the <span class=\"MenuCascade\" id=\"GUID-2E3C24FE-9C3F-4C76-A2DC-CA42781E303F\">Rotation</span> section and turn on <span class=\"MenuCascade\" id=\"GUID-BA9F9E0C-7798-42F5-898D-3190476D66FC\">Compute Rotations</span>.\n                  <p><a name=\"WS1A9193826455F5FF61D1E3E812435C7CB1B-50C4\"></a><span class=\"MenuCascade\" id=\"GUID-0094258A-E2E1-4B84-83A7-6A7D3DCF3EF7\">RotationPP </span>is created on the nParticleShape node. \n                  </p>\n               </li>\n               <li>Instance either a single object or sequence of objects as described in <span class=\"char_link\"><a href=\"\">Create animated instances</a></span>.\n               </li>\n               <li>In the <span class=\"MenuCascade\" id=\"GUID-3F7A904B-B0EF-4057-A936-9628DD31FCAF\">Particle Instancer Options</span> window or the nParticle <span class=\"MenuCascade\" id=\"GUID-5E05D86F-B599-4CD7-83BB-570F969935B6\">Attribute Editor</span>, set the following:<a name=\"WS73099CC142F487553BD5B66812435C29801-542B\"></a><ul>\n                     <li>Turn on <span class=\"MenuCascade\" id=\"GUID-DA44A80B-2F29-43A9-9EF4-DDBF8B798162\">Allow all data types</span>.\n                        <p><a name=\"WS73099CC142F487552B5AC6C412649166E6E-1C2A\"></a>This lets you use scalar attributes, such as <span class=\"MenuCascade\" id=\"GUID-20BBE0F0-1131-43AB-96CE-C4D751653FF2\">radiusPP</span>, to set vector attributes such as<span class=\"MenuCascade\" id=\"GUID-4A1A10E2-F4F8-42A8-AB77-8D5FE9762F4D\"> Scale</span>.\n                        </p>\n                     </li>\n                     <li> In the <span class=\"MenuCascade\" id=\"GUID-0F40A402-974B-4DDE-A667-1E0519DA3131\">Rotation Options</span> section, select <span class=\"MenuCascade\" id=\"GUID-388A874E-2C92-4C08-B61C-19735F011285\">rotationPP</span> from the <span class=\"MenuCascade\" id=\"GUID-0A030F2F-F299-4976-8695-2BDA689D3571\">Rotation</span> list.\n                     </li>\n                     <li>In the <span class=\"MenuCascade\" id=\"GUID-E8DFF43A-C666-4889-803B-9F923972FDB2\">General Options</span> section, select <span class=\"MenuCascade\" id=\"GUID-4563AC90-22DE-424B-A730-F97F02EC56B2\">radiusPP</span> from the <span class=\"MenuCascade\" id=\"GUID-138C81D8-5CFE-4C57-8229-8E94AFBF76B1\">Scale</span> list. \n                        <p><a name=\"WS73099CC142F487553BD5B66812435C29801-5427\"></a>Selecting this ensures that your instanced geometry will be appropriately scaled to\n                           nParticle<span class=\"MenuCascade\" id=\"GUID-0F765545-19BB-4D52-8565-9E155AB36DD6\"> Radius</span>. See <span class=\"char_link\"><a href=\"\">Radius</a></span>.\n                        </p>\n                     </li>\n                  </ul>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FC4\"></a> \n            <h2><a name=\"GUID-DCFC39D4-4E21-4AAE-888E-0DC0258E438B\"></a>Aim instanced geometry\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33D6\"></a> The following general procedure is a way to aim instanced geometry. \n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33D4\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33D3\"></a>To aim instanced geometry\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Orient the geometry so the front points along the x-axis and the up-direction points\n                  along the y-axis.\n               </li>\n               <li>Group the geometry and instance the group.</li>\n               <li>Set the <span class=\"char_link\"><a href=\"Dynamics_Nodes_particleShape_node.htm#WS1A9193826455F5FF-6D855556117FACF922E-42DE\">AimDirection</a></span> or <span class=\"char_link\"><a href=\"Dynamics_Nodes_particleShape_node.htm#WS1A9193826455F5FF-6D855556117FACF922E-42DA\">AimPosition</a></span> options to the direction you want the instanced objects to aim. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33CF\"></a>For example, set <span class=\"MenuCascade\" id=\"GUID-295C7FAB-4593-4FEC-8652-FD92545F1105\">Aim Direction</span> to <span class=\"MenuCascade\" id=\"GUID-33F58ACB-7084-4EA9-8B0A-0704BD0A59C7\">Velocity</span> to aim the instanced objects in the direction of movement. See <span class=\"char_link\"><a href=\"Dynamics_Nodes_particleShape_node.htm\">particleShape node</a></span> for information.\n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33CE\"></a>The choices in the <span class=\"MenuCascade\" id=\"GUID-4F8C0017-3B05-4609-9A28-1582582BBCEF\">General Options</span> popup menus include all the per particle attributes. You can control the motion of\n                     the individual instanced objects by animating the per particle attributes that control\n                     them.\n                  </p>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33CD\"></a> \n            <h2><a name=\"GUID-B0C4B213-004E-4E15-86C4-9D87BF1079F3\"></a>Command-line instancing limitations\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33CC\"></a>The  command may fail to create instanced geometry when rendering arbitrary frames\n               in an animation. Adding a  setting before the runup creates the instanced geometry\n               properly; that is, if something like <span class=\"code\">runup -mxf 60;</span> does not create the proper results when rendering with instanced geometry, use:\n            </p> \n            <div class=\"codeBlock\"><pre>\ncurrentTime -e 1; \nrunup -mxf 60;\n</pre></div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33CB\"></a> \n            <h2><a name=\"GUID-F8E992C0-0DB8-43AE-814F-3A52A072C2B2\"></a>Particle instancing options\n            </h2> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33CA\"></a><ul>\n               <li> <span class=\"char_link\"><a href=\"Particles__Instancer_Replacement.htm\">Particles &gt; Instancer (Replacement)</a></span>.\n               </li>\n            </ul> \n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-DEB3A525-07B2-4C40-873C-984266B06736.htm\">Create animated instances</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D035B5F8-F88D-4B07-A390-E45D66FE7D6A.htm\">Rotate instanced geometry</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-E4064D12-DDE1-4177-A261-54476517E8F4.htm\">Aim instanced geometry</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";