var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-2F587872-8825-4FA0-8264-C3BC936E9043\">\n      <meta name=\"indexterm\" content=\"instancer: using Paint Effects strokes\">\n      <meta name=\"indexterm\" content=\"Instancer: centering strokes on particles\">\n      <meta name=\"indexterm\" content=\"Paint Effects strokes: instancing\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Instance strokes from Paint Effects</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-2F587872-8825-4FA0-8264-C3BC936E9043\"></a><div class=\"head\">\n            <h1>Instance strokes from Paint Effects</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33C8\"></a> You can use strokes from <span class=\"MenuCascade\" id=\"GUID-84A64C88-0724-4821-AAFA-7FB0455E4688\">Paint Effects</span> as instanced objects for particles. The image below was created using <span class=\"MenuCascade\" id=\"GUID-9E6DF21B-AF78-40D7-889B-CDA36EC5564A\">Paint Effects</span> strokes instanced to particles. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33C6\"></a>See the <em class=\"mild\">Paint Effects, Artisan and 3D Paint</em> guide for information on painting in your scene, and see <span class=\"char_link\"><a href=\"Particles_Instance_geometry_to_particles_single_and_animated.htm\">Instance geometry to particles (single and animated)</a></span> of this book for information on instancing.\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33C5\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-DA5D3A55-7B35-4E99-AC20-DE414E37C166-low.png\"></div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33C4\"></a> \n            <h2><a name=\"GUID-71265692-7547-4B36-84C3-5F4A3F36BC7F\"></a>Center strokes on particles\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33C3\"></a> When you instance an object to a particle, the local origin of the object is instanced\n               to the particle. With spheres and cubes, the local origin is the center of the object.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33C1\"></a>With the NURBS curves that comprise the strokes in Paint Effects, however, the local\n               origin is not directly related to the geometry of the curve. No matter where you actually\n               draw the curve, its origin is the world origin. For example, if you draw a short stroke\n               in the workspace at position 5,0,5 to get a single flower and instance it to a particle\n               object, the flowers will be offset from the particles by 5,0,5. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33C0\"></a>To center the <span class=\"MenuCascade\" id=\"GUID-34242028-BAFA-4232-B99C-866BF8156CEE\">Paint Effects</span> geometry on your particles, there’s a few things you can do. The obvious one is to\n               start your curve at the origin. Unfortunately, this is hard to do in regular <span class=\"MenuCascade\" id=\"GUID-985AE55F-1911-4CF3-BB19-5887A4A9ABAE\">Paint Effects</span> mode because you draw the curve, instead of placing down the CVs with grid snapping.\n               We suggest the following procedures:\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33BF\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33BE\"></a>To center instanced strokes on particles (method 1)\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Draw your curve near the origin.</li>\n               <li>Unhide the curve.</li>\n               <li>In component mode, select all of the CVs in the curve and use the <span class=\"MenuCascade\" id=\"GUID-3BFC7D9E-828D-4563-9D3F-C9018E17F940\">Translate</span> tool to move the CVs so the base of <span class=\"MenuCascade\" id=\"GUID-17BE62D6-8D41-4544-81DB-047818E72A10\">Paint Effects</span> geometry (like the base of the flower) is at the origin. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33BA\"></a>You move the CVs instead of the transform because the top-most translation and rotation\n                     of the instanced hierarchy is ignored. \n                  </p>\n               </li>\n            </ol> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33B9\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33B8\"></a>To center instanced strokes on particles (method 2)\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Group the stroke.</li>\n               <li>Move the transform of the stroke so that the base of the <span class=\"MenuCascade\" id=\"GUID-5DFD2CA7-1676-4187-B171-28304ABFA749\">Paint Effects</span> geometry is at the origin of the new group node. \n               </li>\n               <li>Instance the group instead of the stroke. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33B4\"></a>This has the same effect as moving the CVs.\n                  </p>\n                  <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-33B3\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                        <p>Turn on <span class=\"MenuCascade\" id=\"GUID-89508BA2-C11F-4DB3-A87B-6B41BBEFDBB1\">Tube Completion</span>. This lets you make a very short stroke while the tube continues to grow until it\n                           reaches the end of its number of segments.\n                        </p> \n                     </div>\n                  </div>\n               </li>\n            </ol> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";