var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-7F354182-5AE7-4805-B0C2-B80EBA95B084\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Particle Sampler Info node</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-7F354182-5AE7-4805-B0C2-B80EBA95B084\"></a><div class=\"head\">\n            <h1> Particle Sampler Info node</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-371E\"></a>The <span class=\"MenuCascade\" id=\"GUID-C6FE7007-0FD4-4540-8F1B-7690D97D05DA\">Particle Sampler Info</span> node is a particle utility that lets you: \n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-371D\"></a><ul>\n            <li>Use particle object attributes (including ramps and particle expressions) to drive\n               particle shader attributes on a per-particle basis. \n            </li>\n            <li>Use <span class=\"MenuCascade\" id=\"GUID-0190E00F-AA3D-484B-BC0A-5D325DB940C8\">rgbPP</span> and <span class=\"MenuCascade\" id=\"GUID-0BB56ED1-54DA-48BD-BA6F-D19203724740\">opacityPP</span> attributes in software rendering. Previously, you could use these attributes only\n               in hardware rendering.\n            </li>\n            <li>Have more control over texture placement nodes for particles, including the use of\n               per-particle attributes for texture coordinates. \n            </li>\n         </ul>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3719\"></a>The <span class=\"MenuCascade\" id=\"GUID-743D66BE-DBBA-4E7A-AB68-A73586360DD7\">Particle Sampler Info</span> node provides all the functionality of the particle color mapper, transparency mapper,\n            incandescence mapper, and age mapper. See <span class=\"char_link\"><a href=\"Dynamics_Nodes_Particle_Sampler_Info_node.htm\">Particle Sampler Info node</a></span> and <span class=\"char_link\"><a href=\"GUID-BA18E467-55EB-437D-838A-6DDEFB120532.htm\">Create a Particle Sampler Info node</a></span>.\n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3718\"></a> \n            <h2><a name=\"GUID-1678AB32-F65C-4086-9E12-325853CCE223\"></a>Using the <span class=\"MenuCascade\" id=\"GUID-EDD388E6-924D-4250-AF14-C30153659E7F\">Particle Sampler Info</span> node \n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3717\"></a>The <span class=\"MenuCascade\" id=\"GUID-3665B180-8424-456C-97F6-BB8D39E32C28\">Particle Sampler Info</span> node provides particle shape attributes to either a particle shader, texture, or\n               texture placement node for use in software rendering. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3716\"></a>When you use a <span class=\"MenuCascade\" id=\"GUID-E54C9A70-3E10-44F7-AEA0-891ADF863CC1\">Particle Sampler Info</span> node, you connect one or more of its outputs to attributes of a particle shader or\n               texture placement node. This tells the shader to get the per-particle information\n               from the <span class=\"MenuCascade\" id=\"GUID-439E0890-F024-4ACE-A8D0-348FD19B3EAC\">Particle Sampler Info</span> node. It also tells the <span class=\"MenuCascade\" id=\"GUID-424BE606-9652-4333-8570-14ACC5D01DFF\">Particle Sampler Info</span> node which attributes to get from the particle shape.\n            </p> \n            <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3715\"></a> \n               <h3><a name=\"GUID-016328B3-2F2F-4442-AC58-84E46FDDFA61\"></a>Types of outputs\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3714\"></a>The <span class=\"MenuCascade\" id=\"GUID-B135A29E-060C-4CE4-B3C5-EC1DE5474290\">Particle Sampler Info</span> node has the following types of outputs: \n               </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3713\"></a><ul>\n                  <li>A uv coordinate output designed to drive the uv coordinate input for texture placement\n                     nodes. This is somewhat like the output from the old particle utilities, but more\n                     powerful. See <span class=\"char_link\"><a href=\"Particles_Set_Particle_Sampler_Info_node_attributes.htm\">Set Particle Sampler Info node attributes</a></span> and <span class=\"char_link\"><a href=\"GUID-BA18E467-55EB-437D-838A-6DDEFB120532.htm\">Create a Particle Sampler Info node</a></span>.\n                  </li>\n                  <li>Outputs that correspond to predefined attributes of the particle shape, such as Rgb\n                     PP. These are used to drive attributes of shaders or textures on a per-particle basis.\n                     \n                  </li>\n                  <li>Ten predefined outputs for user-defined attributes that you can add to the particle\n                     shape. Five are scalar attributes and five are vector. See <span class=\"char_link\"><a href=\"Particles_Set_Particle_Sampler_Info_node_attributes.htm#WS1A9193826455F5FF-6D855556117FACF922E-2F36\">Add user-defined attributes</a></span>.\n                  </li>\n                  <li>Two outputs, birthPosition and worldBirthPosition, that correspond to two optional\n                     attributes (with the same name), which you can add to your particles. \n                     <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-370E\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n                           <p>You still have to add attributes to the particle shape, where applicable. The <span class=\"MenuCascade\" id=\"GUID-A45B3B2D-F408-468D-8B2E-A39AA6021022\">Particle Sampler Info</span> node just gets attribute values, if they are present. For example, making a connection\n                              from the <span class=\"MenuCascade\" id=\"GUID-57FE4F5B-E5A9-4F0E-AD1D-3E822E9B90ED\">Particle Sampler Info</span> node parentU to the shader tells the sampler info node to get parentU if it’s there,\n                              and use it in the shading. You still have to add parentU to the particle shape.\n                           </p> \n                        </div>\n                     </div>\n                  </li>\n               </ul> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-370D\"></a>The <span class=\"MenuCascade\" id=\"GUID-386AA43C-5263-4AD7-8D9F-1B239FA58DBE\">Particle Sampler Info</span> node has no association with any particular camera, unlike the <span class=\"MenuCascade\" id=\"GUID-06A869DE-4686-4EF4-9633-60A39F6A34B4\">samplerInfo</span> node. The two nodes are similar in that both provide data to shaders to use in shading\n                  samples. They are different in that much of the data the samplerInfo node provides\n                  is camera-dependent.\n               </p> \n            </div> \n            <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-370C\"></a> \n               <h3><a name=\"GUID-512BA8D8-04C2-4B6B-95D6-E47D32DAB708\"></a>Strategies for using the <span class=\"MenuCascade\" id=\"GUID-8CBA15CC-CDAB-4EFA-8912-8C7623D8D404\">Particle Sampler Info</span> node\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-370B\"></a>There are two basic strategies for using the <span class=\"MenuCascade\" id=\"GUID-8D58E225-45A0-4AE7-B7E3-12E15D5055FF\">Particle Sampler Info</span> node to control your particles: \n               </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-370A\"></a><ul>\n                  <li>The first strategy uses the <span class=\"MenuCascade\" id=\"GUID-EA9EB143-5AE2-45C1-9D13-5F20FB287146\">Particle Sampler Info</span> node to drive a texture placement node. The setup is:<a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3708\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_pg032.png\"></div>\n                  </li>\n               </ul> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3707\"></a>The advantage of this strategy is two-fold: you can use any type of texture, and you\n                  can use the controls on the texture placement node. \n               </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3706\"></a><ul>\n                  <li>The second strategy uses the <span class=\"MenuCascade\" id=\"GUID-6FD9E9A4-E9D9-41C2-99A2-D91173C7B3F3\">Particle Sampler Info</span> node to feed per-particle attributes, such as <span class=\"MenuCascade\" id=\"GUID-9B8E2125-6E7F-4B12-A50F-BC7AC4AEE1D0\">rgbPP</span>, directly to the shading or texture node. The setup is:<a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3704\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_pg033.png\"></div>\n                  </li>\n               </ul> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3703\"></a>The main advantage of this strategy is that it lets you control the <span class=\"MenuCascade\" id=\"GUID-210CCB27-0E35-40EB-9AB6-7EDAC2716467\">per-particle</span> attribute using expressions, ramps, or the <span class=\"MenuCascade\" id=\"GUID-F213EB43-CCD7-4070-9717-359B1D647E2B\">Component Editor</span> and see the result in the shading or texture node. \n               </p> \n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3702\"></a> \n            <h2><a name=\"GUID-C50D5328-A709-49BE-B555-C3DC608304A5\"></a>Use user-defined attributes\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3701\"></a>In addition to its many outputs for predefined attributes of the particle shape (such\n               as <span class=\"MenuCascade\" id=\"GUID-DE741690-FDF9-4773-8BE4-961B1F12E4CB\">position</span>, <span class=\"MenuCascade\" id=\"GUID-23BE14ED-26A6-4A32-BA4C-9A5FAC0293C7\">radiusPP</span>, and so on), the <span class=\"MenuCascade\" id=\"GUID-2F6F63A7-BFFC-41B8-97D2-36B4690DC3BD\">Particle Sampler Info</span> node includes ten predefined outputs for user-defined attributes, which you can add\n               to the particle shape.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3700\"></a>Five of these are scalar and five are type; they are called <span class=\"MenuCascade\" id=\"GUID-7F89ED1E-ED5D-43D1-A15C-EF753EC71399\">userScalar1PP</span>, <span class=\"MenuCascade\" id=\"GUID-E3036E32-FD42-4A3F-921D-0338A3FBD7B8\">userVector1PP</span>, and so on.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-36FF\"></a>If you connect one of these to a shading attribute, the <span class=\"MenuCascade\" id=\"GUID-559AA44C-9ACF-4C2B-BCDB-549A7F03F94E\">Particle Sampler Info</span> node looks for an attribute of the identical name on the particle shape, and fetches\n               those values. For example, if you connect <span class=\"MenuCascade\" id=\"GUID-3D5A2FA0-FA32-4678-B3C0-910688520949\">userScalar1PP</span> to shader noise, then the <span class=\"MenuCascade\" id=\"GUID-F4DE0F58-BD9D-4317-A19B-DA9C364BEFAF\">Particle Sampler Info</span> node looks for a <span class=\"MenuCascade\" id=\"GUID-C0A596B8-813B-46A1-99B9-4E036BFC3510\">userScalar1PP</span> attribute on the particle shape.\n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";