var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-7CF08FAE-1FD5-4363-84BB-08C8E7ADE6B9\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Particle objects</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-7CF08FAE-1FD5-4363-84BB-08C8E7ADE6B9\"></a><div class=\"head\">\n            <h1>Particle objects</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37C6\"></a>A <em class=\"mild\">particle object</em> is a collection of particles that share the same attributes. You can create particle\n            objects containing a single particle or millions of particles. Each particle in a\n            scene belongs to some particle object. An overview of how you create particle effects\n            follows:\n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37C5\"></a> \n            <h2><a name=\"GUID-230B1A3F-1380-4185-A2CD-5C690D9ACD98\"></a>Creating particles\n            </h2> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37C4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-D11E40CF-3741-445A-9D87-49EA98E19317-low.png\"></div> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37C3\"></a>You can create particles several ways: \n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37C2\"></a><ul>\n               <li>Place particles in the workspace with the <span class=\"MenuCascade\" id=\"GUID-C392D76E-CE53-434E-8B86-321908381613\">Particle Tool</span> (see <span class=\"char_link\"><a href=\"Particles_Create_particles.htm\">Create particles</a></span>).\n               </li>\n               <li>Create a particle emitter, which generates and animates the motion of particles automatically\n                  (see <span class=\"char_link\"><a href=\"Particles_Emitters.htm\">Emitters</a></span>). \n               </li>\n               <li>Cause particles that collide with geometry to create new particles upon contact (see\n                  <span class=\"char_link\"><a href=\"Particles_Particle_collisions_level.htm\">Particle collisions</a></span>).\n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37BE\"></a> \n            <h2><a name=\"GUID-6284DE3E-4D13-4ABD-A4AF-F534E84A7EAB\"></a>Set display attributes\n            </h2> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37BD\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-15ABEBD5-4B4B-4C78-98D3-8D00243AFCF8-low.png\"></div> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37BC\"></a>You change the way particles look with several techniques: \n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37BB\"></a><ul>\n               <li>Set the render type of the particle object to select its form. For example, you can\n                  display particles as small spheres or streaking tails (see <span class=\"char_link\"><a href=\"Particles_Choose_how_particles_render.htm\">Choose how particles render</a></span>).\n               </li>\n               <li>Illuminate particles with lights you add to the scene (see <span class=\"char_link\"><a href=\"Particles_Use_lights_reflections_refractions_and_shadows.htm\">Use lights, reflections, refractions, and shadows</a></span>).\n               </li>\n               <li>Color particles (see <span class=\"char_link\"><a href=\"Particles_Set_particle_color.htm\">Set particle color</a></span>).\n               </li>\n               <li>Give particles transparency (see <span class=\"char_link\"><a href=\"Particles_Set_particle_opacity.htm\">Set particle opacity</a></span>).\n               </li>\n               <li>Make particles disappear as they age (see <span class=\"char_link\"><a href=\"Particles_Set_particle_lifespan.htm\">Set particle lifespan</a></span>).\n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37B5\"></a> \n            <h2><a name=\"GUID-76C8463A-88D7-4E83-A90F-1F8353A12FC2\"></a>Animate the particles\n            </h2> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37B4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-3ADCF167-E586-4461-B2BB-6F7A2FC2812E-low.png\"></div> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37B3\"></a>You can animate particle motion several ways:\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37B2\"></a><ul>\n               <li>Set the position, velocity, or acceleration attributes of particles. You can also\n                  set keys to animate an entire particle object’s translate, scale, and rotate attributes.\n                  See <span class=\"char_link\"><a href=\"Particles_Animate_particles.htm\">Animate particles</a></span></li>\n               <li>Apply fields, such as gravity, to particles (see <span class=\"char_link\"><a href=\"Fields__Overview_of_fields.htm\">Overview of fields</a></span>).\n               </li>\n               <li>Turn geometry into a collision object and bounce particles off it (see <span class=\"char_link\"><a href=\"Particles_Particle_collisions_level.htm\">Particle collisions</a></span>).\n               </li>\n               <li>Make the particles follow a moving goal object (see <span class=\"char_link\"><a href=\"Particles_Goals.htm\">Goals</a></span>).\n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37AD\"></a> \n            <h2><a name=\"GUID-1F76A0C2-45C6-400D-8BFB-E33D864C88EE\"></a>Render the particles\n            </h2> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37AC\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-CA1488FA-6702-4262-89F7-A73281787A01-low.png\"></div> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-37AB\"></a>Rendering is the final step to creating particle effects. Depending on the render\n               type you select, you render the particles with hardware rendering or software rendering.\n               See <span class=\"char_link\"><a href=\"Particles_Choose_how_particles_render.htm\">Choose how particles render</a></span>.\n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";