var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-4549D5ED-4856-4BC5-8A92-2A83F12A1562\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Rendering particles</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-4549D5ED-4856-4BC5-8A92-2A83F12A1562\"></a><div class=\"head\">\n            <h1>Rendering particles</h1>\n         </div><a name=\"FIG_731ED038BF1640229A3BB0C1DFC4B1FF\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-18F963A9-A2D7-4CA7-B4B1-EDBC323666BF-low.png\"></div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3748\"></a>If your scene contains particles, the way you render your scene depends on the type\n            of particles it contains. There are two main types of particles: hardware particles\n            and software particles. \n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3747\"></a><ul>\n            <li>Hardware rendered particles have a render type of <span class=\"MenuCascade\" id=\"GUID-EC9E041B-444E-4158-B12E-98C18FC528E9\">MultiPoint</span>, <span class=\"MenuCascade\" id=\"GUID-5EEF9BC1-70E0-4814-8A31-817E9DF7228F\">MultiStreak</span>, <span class=\"MenuCascade\" id=\"GUID-B317170E-F38F-48F7-A826-68F12ADAE3F7\">Numeric</span>, <span class=\"MenuCascade\" id=\"GUID-B654DF04-F5EA-4629-AC50-A8A52A84BE66\">Points</span>, <span class=\"MenuCascade\" id=\"GUID-3ADE6590-BDD3-4C0F-AD06-1BB4E8C2942B\">Spheres</span>, <span class=\"MenuCascade\" id=\"GUID-3CEC1992-837D-494B-9090-EB9EDA70BA59\">Sprites</span>, or <span class=\"MenuCascade\" id=\"GUID-EA62D6AB-1940-4A95-9083-A7766B475405\">Streak</span>. \n            </li>\n            <li>Software rendered particles have a render type of <span class=\"MenuCascade\" id=\"GUID-DE09EE11-FE68-4B88-A12E-EBB44AEB26AC\">Blobby Surface</span>, <span class=\"MenuCascade\" id=\"GUID-B5C7AD76-6EEC-4B1A-93AE-73FAA712C1EC\">Cloud</span>, or <span class=\"MenuCascade\" id=\"GUID-C7F1E676-3EE7-4CAC-B48D-E59DD9937426\">Tube</span>. \n            </li>\n         </ul>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3744\"></a>For more information on setting particle render types, see <span class=\"char_link\"><a href=\"Particles_Choose_how_particles_render.htm\">Choose how particles render</a></span>. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3742\"></a> \n         </p>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FF2\"></a> \n            <h2><a name=\"GUID-6F4A2536-7A6F-4F6B-97B0-B6CA1BB25DC5\"></a>Rendering particles in mental ray for Maya\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3741\"></a>You can also render the following particle types with mental ray: Points, MultiPoint,\n               Spheres, Sprites, Streak, MultiStreak. The implementation builds on a geometry shader\n               that creates actual geometry from per-particle data which is then passed on to mental\n               ray for rendering. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3740\"></a>Hardware particles are shaded in a way that is similar to software particles: a shading\n               group must be assigned to the particle shape, and its surface shader completely determines\n               the appearance of the particles. This implies that none of the shading-related attributes\n               are supported when rendering hardware particles with mental ray. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3731\"></a> <span class=\"MenuCascade\" id=\"GUID-B1692DFF-C779-46DE-86EE-D2AC183C9051\">Motion blur</span> is supported for hardware particle rendering in mental ray. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3730\"></a> <span class=\"MenuCascade\" id=\"GUID-5192CF35-AE32-4C5D-B16E-423797DBCFAB\">spriteNumPP</span> is unsupported; therefore, assigning different sprites on a per-particle basis is\n               impossible. mental ray and Maya Hardware may render particles slightly differently.\n               \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-2ADE9D9118A20D4F81355A\"></a> \n            <h2><a name=\"GUID-DF15E252-361D-4CD3-8E5B-9F82DC5ACF50\"></a>Using custom mental ray shaders with particles\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-2ADE9D9118A20D4F81355C\"></a>If you are using custom mental ray shaders that work with particles and want to access\n               the particle user data, see <span class=\"code\">InternParticleData.txt</span> and <span class=\"code\">InternParticleExample.txt</span> in the devkit in the following directory for more information: <span class=\"code\">mentalray/devkit/docs/writingShaders</span>. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";