var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-8CCBC772-07BE-4722-9806-ECF8A972F0AD\">\n      <meta name=\"indexterm\" content=\"per particle attributes: setting with the Component Editor\">\n      <meta name=\"indexterm\" content=\"particles: selecting individual\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Set particle attributes with the Component Editor</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-8CCBC772-07BE-4722-9806-ECF8A972F0AD\"></a><div class=\"head\">\n            <h1>Set particle attributes with the Component Editor</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-34B9\"></a>The <span class=\"MenuCascade\" id=\"GUID-835FE3E3-E89C-4769-9CC3-546F9E22A355\">Component Editor</span> provides an intuitive way to set per particle attributes. You simply enter the desired\n            attribute values for one or more selected particles in the particle object. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-34B8\"></a>If necessary, add the per particle attribute you want to edit (see <span class=\"char_link\"><a href=\"Particles_Work_with_particle_attributes.htm#WS17956D7ADBC6E7361A342C07117AE3124CC-7FEA\">Add dynamic attributes</a></span> for information on adding attributes).\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-34B7\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-34B6\"></a> To set per particle attributes with the <span class=\"MenuCascade\" id=\"GUID-1188EE44-D360-4647-BED9-2ED93E890CE7\">Component Editor</span></p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the particle object.</li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-2F8C509A-6039-4430-90DB-9390A0B500B2\">Per Particle (Array) Attributes </span>section of the <span class=\"MenuCascade\" id=\"GUID-AEC5F538-CC41-49F7-9FA4-D1BBDF7B591A\">Attribute Editor</span>, right-click the attribute data box and choose <span class=\"MenuCascade\" id=\"GUID-4ACE509A-2B9A-4F72-B4F0-C8F84B499A72\">Component Editor</span>.\n            </li>\n            <li>Click <img src=\"../images/GUID-C317AD94-6C71-4D67-9619-42151460B7AC-low.png\"> (the <span class=\"MenuCascade\" id=\"GUID-B98183E7-4A6C-473C-9297-D1711ADA49CF\">Select by Component Type</span> icon). \n            </li>\n            <li>In the workspace, select the specific particles you want to edit, and click <span class=\"MenuCascade\" id=\"GUID-AA06BF13-BB61-4C1C-B1BF-3228C2B20CF5\">Load Components</span>.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-34B0\"></a>You can drag a selection box to select adjacent particles, or you can Shift-select\n                  non-adjacent particles. The particles turn yellow when selected. If the particles\n                  don’t become selected, make sure the selection mask is set correctly for particle\n                  selection. See Basics for details.\n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-34AE\"></a>After you select the particles, the <span class=\"MenuCascade\" id=\"GUID-4D12EE5E-4471-4D1A-8AE6-992F35495341\">Component Editor</span> displays the selected particles and per particle attributes you can set. The current\n                  attribute values are shown for each particle.\n               </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-34AD\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-56F3B924-4EBD-4299-82F3-E88C33C51FD0-low.png\"></div>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-34AC\"></a>The particles are abbreviated pt[0], pt[1], pt[2], and so on. The number in brackets\n                  is not the particleId. It’s an array index used internally by Maya. If you want to\n                  be certain you’re setting the value of the correct particle, select only that particle\n                  in the workspace. The <span class=\"MenuCascade\" id=\"GUID-B81FA29B-8BA4-42D3-8B04-1053D8C8EE7D\">Component Editor</span> displays only the selected particle.\n               </p>\n            </li>\n            <li>Click the entry box you want to edit and enter a value for the desired attribute.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-34AA\"></a>You can drag through multiple boxes in rows or columns to enter the same value for\n                  all. You can also click an attribute name to select and enter a value for all particles\n                  listed in the table. \n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-34A9\"></a>The value you enter becomes the initial state value—the value of the attribute at\n                  the first frame. Unless dynamic effects alter the value of the attribute, this value\n                  is used for the entire animation. See <span class=\"char_link\"><a href=\"Dynamic_Animation_Set_the_initial_state_of_dynamic_objects.htm\">Set the initial state of dynamic objects</a></span> for more details.\n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-34A8\"></a>Many per particle attributes have vector values. A vector is a related group of three\n                  components. For example, velocity is made of velocity X, velocity Y, and velocity\n                  Z components. As another example, rgbPP has a vector value made of R, G, and B components.\n                  These are labeled rgbPP[0], rgbPP[1], and rgpPP[2] in the <span class=\"MenuCascade\" id=\"GUID-52E4DCBA-C584-4A75-98F4-29FAF187F107\">Component Editor</span>.\n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-34A7\"></a>If you’re unfamiliar with how to use vector components to set position, velocity,\n                  or acceleration, experiment with the various component values until you develop an\n                  intuitive sense of their effect on motion.\n               </p>\n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";