var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-A01C6D87-1EC1-49CE-A270-B0D76647D6CC\">\n      <meta name=\"indexterm\" content=\"luminance: defined\">\n      <meta name=\"indexterm\" content=\"textures: scaling emission rate\">\n      <meta name=\"indexterm\" content=\"emitters: scaling rate with texture\">\n      <meta name=\"indexterm\" content=\"textures: on emitted particles\">\n      <meta name=\"indexterm\" content=\"emitted particles: coloring with texture\">\n      <meta name=\"indexterm\" content=\"Texture Emission Attributes\">\n      <meta name=\"indexterm\" content=\"Texture Rate\">\n      <meta name=\"indexterm\" content=\"Enable Texture Rate\">\n      <meta name=\"indexterm\" content=\"Emit From Dark\">\n      <meta name=\"indexterm\" content=\"Emit From Dark\">\n      <meta name=\"indexterm\" content=\"Emit From Dark\">\n      <meta name=\"indexterm\" content=\"luminance: defined\">\n      <meta name=\"indexterm\" content=\"Texture Emission Attributes\">\n      <meta name=\"indexterm\" content=\"Inherit Color\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Use a texture to color emission or scale the rate</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-A01C6D87-1EC1-49CE-A270-B0D76647D6CC\"></a><div class=\"head\">\n            <h1>Use a texture to color emission or scale the rate</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31D0\"></a>  When you create a NURBS or polygonal surface emitter, you can use a 2D or 3D texture\n            to scale the emission rate at parts of the surface. For instance, you can scale the\n            emitter Rate to 90% at the most luminous parts of a texture, and to 0% at the least\n            luminous parts. Luminance is the measurable brightness of a surface. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31CD\"></a> You can also color emitted particles with a 2D or 3D texture. The texture can be the\n            same as the underlying surface or any other texture you create in the scene. \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31CB\"></a> \n            <h2><a name=\"GUID-8CF1BC83-87AC-4602-8F06-65486838C75B\"></a>Use a 3D texture with emission\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31CA\"></a>You cannot use a 3D texture to control surface emission, but you can convert it to\n               a 2D texture and then use it to control surface emission For information on converting\n               a 3d texture to a 2D file texture, see <span class=\"char_link\"><a href=\"\">Convert a texture or shading network to a File Texture</a></span>. \n            </p> \n            <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31C9\"></a> \n               <h3><a name=\"GUID-E2B2F937-ED26-4008-A8C5-EEB967400693\"></a>Examples of how to use a texture with emission\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31C8\"></a>Examples of how to use a texture with emission follow: \n               </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31C7\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_checkerEmit.png\"></div> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31C6\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_diffTexture.png\"></div> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31C5\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_sphereTxtEmit.png\"></div> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31C4\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_rateTaper1.png\"></div> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31C3\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31C2\"></a>To use a texture to scale the emission rate\n               </p>\n               <ol type=\"1\" start=\"1\">\n                  <li>Add a surface emitter to the surface. </li>\n                  <li>Select the emitted particles and add a per particle color attribute (rgbPP) from the\n                     <span class=\"MenuCascade\" id=\"GUID-58FF6600-CCA9-45BE-A92E-E1F7A4961A05\">Add Dynamic Attributes</span> section of the <span class=\"MenuCascade\" id=\"GUID-1CF48783-6726-45EF-993F-FFDD7046216F\">Attribute Editor</span>. <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31BF\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_AddColorAttr.png\"></div> \n                  </li>\n                  <li>Select <span class=\"MenuCascade\" id=\"GUID-85399874-F62E-43B7-92F3-72830307DE23\">Window &gt; Rendering Editor &gt; Hypershade</span>. \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31BD\"></a>If you need to create the texture, do so now. See Rendering for details. You don’t\n                        need to make the texture a part of a shading group. After you create the texture,\n                        make sure it’s visible in the <span class=\"MenuCascade\" id=\"GUID-0F595769-F9C9-41BA-AE41-C7974BD6EADD\">Hypershade</span>. Leave the <span class=\"MenuCascade\" id=\"GUID-6072C183-BB0B-459A-A472-71FED9454C56\">Hypershade</span> displayed on your screen. \n                     </p> \n                  </li>\n                  <li>In the <span class=\"MenuCascade\" id=\"GUID-F8399E4D-5300-4DF3-8482-081F5A7B6C6C\">Outliner</span>, select the emitter; it’s indented under the emitting surface object. \n                  </li>\n                  <li> Display the <span class=\"MenuCascade\" id=\"GUID-294A1176-1F58-4B36-9209-219CC8D2CE9A\">Texture Emission Attributes</span> section of the <span class=\"MenuCascade\" id=\"GUID-D392BF8A-9423-4EF7-92AB-98EC228B3F64\">Attribute Editor</span>. \n                  </li>\n                  <li> Middle-drag the texture’s icon from the <span class=\"MenuCascade\" id=\"GUID-9893737D-5F0F-4842-A700-180AE8833DB4\">Hypershade</span> onto the <span class=\"MenuCascade\" id=\"GUID-6AA4F905-B471-4A37-9924-94C0BCAB47E2\">Texture Rate</span> attribute in the <span class=\"MenuCascade\" id=\"GUID-A74EA7D3-6B9B-4D85-878D-005496DDBDEF\">Attribute Editor</span>. \n                  </li>\n                  <li> Turn on <span class=\"MenuCascade\" id=\"GUID-6FBE0993-612B-4A1C-85F5-06E432B247A0\">Enable Texture Rate</span>. \n                  </li>\n                  <li> Set the <span class=\"MenuCascade\" id=\"GUID-BDA0B906-6A01-4126-A58A-131D1739C1CB\">Emit From Dark</span> attribute as desired: \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31B3\"></a>When <span class=\"MenuCascade\" id=\"GUID-64EF0327-7EC6-459A-BE4F-B82D14F74655\">Emit From Dark</span> is off, fully luminous parts of the texture emit at 100% of the specified emitter\n                        rate. Parts of the texture that lack luminance don’t emit at all. Other parts emit\n                        between 0 and 100% in proportion to the luminance. In simple terms, bright colors\n                        emit more than dark colors. \n                     </p> \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31B1\"></a>When <span class=\"MenuCascade\" id=\"GUID-46BA6C83-AA7A-4ED9-8449-0C66439A5FF0\">Emit From Dark</span> is turned on, the opposite luminance scheme applies. Parts of the texture that lack\n                        luminance emit at 100% of the specified rate, while fully luminous parts don’t emit\n                        at all. \n                     </p> \n                     <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31AF\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span>To emit at distinctly different rates from parts of the surface, use a texture with\n                           sharp contrast in luminance. For instance, use a striped black and white texture.\n                           \n                           <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31AE\"></a>If you see a few particles emitted from a seemingly wrong position of the texture,\n                              check that the coloring in that area has consistent luminance. \n                           </p> \n                           <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31AD\"></a>You can figure the exact luminance value of a color by adding its RGB components and\n                              dividing by 3. For instance, the luminance of RGB value 1, 0, 0 equals 1/3, or 0.33.\n                              The luminance of RGB value 0, 0, 1 also equals 1/3, or 0.33. In other words, a saturated\n                              red has the same luminance as a saturated blue. \n                           </p> \n                        </div>\n                     </div> \n                  </li>\n                  <li>Rewind and play the scene to see the texture-scaled emission rate. \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31AA\"></a>Note that you must turn on <span class=\"MenuCascade\" id=\"GUID-F5AC199A-2A95-4DAB-83B3-675211751EA8\">Shading &gt; Smooth Shade All</span> to see particle colors in your scene. \n                     </p> \n                  </li>\n               </ol> <a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FA2\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31A9\"></a>To color emitted particles with a texture\n               </p>\n               <ol type=\"1\" start=\"1\">\n                  <li>Add a surface emitter to the surface. </li>\n                  <li>Select the emitted particles and add a per particle color attribute (rgbPP) and a\n                     per particle opacity attribute (opacityPP) from the <span class=\"MenuCascade\" id=\"GUID-4C8009E2-3D41-41F0-BBDD-8D894F0D9D7D\">Add Dynamic Attributes</span> section of the <span class=\"MenuCascade\" id=\"GUID-719EAAB4-96BA-462F-A4E0-6E0272E1B7F8\">Attribute Editor</span>. <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31A6\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_AddColorAttr_1.png\"></div> \n                  </li>\n                  <li>Select<span class=\"MenuCascade\" id=\"GUID-75587B28-1F63-4E26-B0B8-606A16D3C7F4\"> Window &gt; Rendering Editor &gt; Hypershade</span>. \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31A4\"></a>If you need to create the texture, do so now. See Rendering for details. You don’t\n                        need to make the texture a part of a shading group. After you create the texture,\n                        make sure it’s visible in the <span class=\"MenuCascade\" id=\"GUID-E7C4C6CE-8101-4D02-8557-8FD1B2B34681\">Hypershade</span>. Leave the <span class=\"MenuCascade\" id=\"GUID-612A6D00-71A2-4607-BA52-F27E1E35286D\">Hypershade</span> displayed on your screen. \n                     </p> \n                  </li>\n                  <li>In the <span class=\"MenuCascade\" id=\"GUID-03166DFE-BF86-47A6-8E12-41508DD693D5\">Outliner</span>, select the emitter; it’s indented under the emitting surface object. \n                  </li>\n                  <li> Display the <span class=\"MenuCascade\" id=\"GUID-F2526CD8-7A0F-452D-9821-7C135B22297D\">Texture Emission Attributes</span> section of the <span class=\"MenuCascade\" id=\"GUID-8B67D0D4-5756-4A1B-BD35-4452814E7994\">Attribute Editor</span>. \n                  </li>\n                  <li>Middle-drag the texture’s icon from the <span class=\"MenuCascade\" id=\"GUID-B47B5BB5-A1F5-445B-AE15-56C764F976CA\">Hypershade</span> onto the <span class=\"MenuCascade\" id=\"GUID-5422C7D5-CCC4-45B3-A07A-B2809510FFAF\">Particle Color</span> attribute in the <span class=\"MenuCascade\" id=\"GUID-86FF65FD-183D-4B87-AFA7-0C9E12978756\">Attribute Editor</span>. \n                  </li>\n                  <li> Turn on <span class=\"MenuCascade\" id=\"GUID-6B1887B4-21D2-4A49-B81C-D7120E33BBF8\">Inherit Color</span>. \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-319D\"></a>When you rewind and play the scene, the particles emit from the texture with the same\n                        color and position as the texture. Note that you must turn on <span class=\"MenuCascade\" id=\"GUID-63740774-A7E4-47F7-81E2-18A9D64C61F4\">Shading &gt; Smooth Shade All</span> to see particle colors in your scene. \n                     </p> \n                  </li>\n                  <li>Turn on the following attributes as desired: <span class=\"MenuCascade\" id=\"GUID-82912EEA-C855-4537-8482-61412DDCC90E\">Inherit Opacity</span>, <span class=\"MenuCascade\" id=\"GUID-BA3E202E-F9B2-4CF4-AE53-C124CD5C1D63\">Use Luminance</span>, and <span class=\"MenuCascade\" id=\"GUID-7B95F347-7768-49DF-BD86-B9313C31BF38\">Invert Opacity</span>. \n                     <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-319B\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n                           <p><a name=\"GUID-72D7EDB5-411F-4D0C-8117-DC4920301DC8\"></a>If you set the <span class=\"MenuCascade\" id=\"GUID-FCA80B5F-5BBB-407A-A65D-9FA59EB9D230\">opacityPP</span> attribute of the emitted particle with an expression or other technique, the attribute\n                              value overrides the above attributes. \n                           </p> \n                        </div>\n                     </div> \n                  </li>\n               </ol> \n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";