var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-D21760B2-6DF6-4BA9-98F2-04373659D222\">\n      <meta name=\"indexterm\" content=\"emitted particles: varying rate per particle\">\n      <meta name=\"indexterm\" content=\"parentId\">\n      <meta name=\"indexterm\" content=\"emitters: obtaining parent particle ids\">\n      <meta name=\"indexterm\" content=\"emitterRatePP\">\n      <meta name=\"indexterm\" content=\"Per-Point Emission Rates\">\n      <meta name=\"indexterm\" content=\"Use Per-Point Rate attribute\">\n      <meta name=\"indexterm\" content=\"emitted particles: varying from geometry points\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Vary emission from different points of point emitters</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-D21760B2-6DF6-4BA9-98F2-04373659D222\"></a><div class=\"head\">\n            <h1>Vary emission from different points of point emitters</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31ED\"></a> You can use a different emission rate for each particle, CV, vertex, edit point, or\n            lattice point of Omni or Directional point emitters. For example, you can emit a ring\n            of fire from a circle’s edit points and vary the emission at each point to enhance\n            the irregularity found in natural fire. <em class=\"mild\">You cannot vary emission on a per-point basis for objects whose Emitter Type is either\n               Surface or Curve.</em></p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31EB\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_emitDiffPoints2.png\"></div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31EA\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_emitDiffPoints.png\"></div>\n         <div style=\"margin-top: 9pt;\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31E9\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span>  If you emit from a particle object, you can use an expression or MEL command to obtain\n               the id of all particles that emit the particles. You can use the id to query the emitting\n               object’s attribute values, for example, acceleration, velocity, and finalLifespanPP.\n               To do this, you must add the parentId attribute to the emitted particle shape node.\n               \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31E6\"></a>Note that if you use the MEL emit command to create the particles that emit, the parentId\n                  attribute of those emitted particles is always 0.\n               </p>\n            </div>\n         </div><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FA4\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31E5\"></a>To vary emission from particles\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Create and select the emitting particle object. </li>\n            <li>Select <span class=\"char_link\"><a href=\"Particles__PerPoint_Emission_Rates.htm\">Particles &gt; Per-Point Emission Rates</a></span>. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31E2\"></a>This creates an attribute named <em class=\"mild\">emitter</em>RatePP for the particle object that emits. This attribute lets you vary emission rates\n                  on a per particle basis. \n               </p>\n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-49305BB1-97E1-45F8-8E5E-C39EF489AB71\">Attribute Editor</span>, open the <span class=\"MenuCascade\" id=\"GUID-70D6993B-6574-4CDF-9725-C1A27C6C7A42\">Per Particle (Array) Attributes</span> section. \n            </li>\n            <li>Without breaking the connection to <em class=\"mild\">emittername</em>RatePP, right click the <em class=\"mild\">emitterName</em>RatePP box and select the desired method to set its value. See <span class=\"char_link\"><a href=\"Particles_Set_attributes_on_a_per_particle_basis.htm\">Set attributes on a per particle basis</a></span>.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31DD\"></a>Note that you can turn the emitter’s <span class=\"MenuCascade\" id=\"GUID-72BD1945-3F78-4CAD-944D-E47DF4260E1A\">Use Per-Point Rate</span> attribute on or off to toggle per-point emission rates. In the <span class=\"MenuCascade\" id=\"GUID-680E52D5-A5B2-48EC-BEBF-1ACA472C3384\">Outliner</span>, the emitter is indented under the emitting object.\n               </p>\n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31DB\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31DA\"></a> To vary emission from a NURBS or polygonal point emitter\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Finish modeling the geometry before adding a point emitter. </li>\n            <li>Select the emitting geometry.</li>\n            <li>Select <span class=\"char_link\"><a href=\"Particles__PerPoint_Emission_Rates.htm\">Particles &gt; Per-Point Emission Rates</a></span> .\n            </li>\n            <li>Select the emitting object’s shape node.</li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-4025E036-C859-4B7E-97EA-3761BEF114F0\">Extra Attributes</span> section of the <span class=\"MenuCascade\" id=\"GUID-D7291492-AA26-41F8-8681-A3DA699561C2\">Attribute Editor</span>, open the <em class=\"mild\">emitterName</em> Rate PP section.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31D3\"></a>For the <em class=\"mild\">emitterName</em>RatePP attributes, enter values in the <span class=\"MenuCascade\" id=\"GUID-ABD07118-40BA-45E4-A7F0-906628511881\">Attribute Editor</span> boxes corresponding to the CVs, vertices, edit points, or lattice points. To learn\n                  which box corresponds to a point, experiment with a large value in a box. You can\n                  also use an expression, ramp, or Artisan to set individual rates. \n               </p>\n               <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31D2\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span>If you add CVs, vertices, or edit points after you add and tune per-point emission\n                     rates, you can select <span class=\"MenuCascade\" id=\"GUID-83D41D93-BBD9-4AA2-99B4-C492AE1A4223\">Per-Point Emission Rates</span> a second time to set the additional entries for <em class=\"mild\">emitterName</em>RatePP. However, the Attribute Editor <em class=\"mild\">emitterName</em>RatePP entries no longer correspond to the same identifiers for CVs, vertices, or\n                     edit points. You’ll need to correct the <em class=\"mild\">emitterName</em>RatePP entries. \n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-31D1\"></a>If you delete CVs, vertices, or edit points, delete the emitter, create a new emitter,\n                        and choose <span class=\"MenuCascade\" id=\"GUID-991BFB05-EDE4-4C3D-8D16-33812D6558AC\">Per-Point Emission Rates</span> again. \n                     </p>\n                  </div>\n               </div>\n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";