var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-D1F03303-F297-457F-8BB2-E82736A79581\">\n      <meta name=\"indexterm\" content=\"Seed: emitted particles\">\n      <meta name=\"indexterm\" content=\"randomness: emitted particle\">\n      <meta name=\"indexterm\" content=\"emitted particles: randomness\">\n      <meta name=\"indexterm\" content=\"Emission Random Stream Seeds\">\n      <meta name=\"indexterm\" content=\"Emission In World\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Work with emission randomness</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-D1F03303-F297-457F-8BB2-E82736A79581\"></a><div class=\"head\">\n            <h1>Work with emission randomness</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3193\"></a>  If you create two emitters with identical attributes, the random positioning of the\n            emitted particles is identical, by default. You can cause each emitter to emit particles\n            in different random positions by giving each emitted particle object a different value\n            for its <span class=\"MenuCascade\" id=\"GUID-3515C368-1BED-4EE8-8788-453704CCCA63\">Seed </span>attribute. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3190\"></a>If a single emitter emits into several particle objects that have different Seed values,\n            the emission positioning differs for each. If they all have the same Seed value, the\n            positioning is the same.\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-318F\"></a>The default value for each Seed entry is the same (1), so if you want two identical\n            emitters to emit to different positions, you must set one of the Seed values to a\n            different number. A new <span class=\"MenuCascade\" id=\"GUID-40D778CE-B6AF-4C06-AC64-F4312AF3BBDA\">Seed </span>value takes effect only after you rewind. When you change the <span class=\"MenuCascade\" id=\"GUID-3476C807-9BBF-456A-8568-A0F6E9B98A14\">Seed </span>used by one emitted object, you won’t alter any other emission in the scene.\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-318E\"></a>The size of a <span class=\"MenuCascade\" id=\"GUID-5F971FA6-30A1-4641-9655-4F8FF09E8B02\">Seed </span>value has no significance. For instance, a <span class=\"MenuCascade\" id=\"GUID-9CC351F3-0F4B-49C7-9035-4FD460547C2D\">Seed </span>value of 2 doesn’t create twice as much randomness as a <span class=\"MenuCascade\" id=\"GUID-5924B705-D1F2-4E35-8BCA-E554A440B338\">Seed </span>value of 1. Each number, for example, 1, 17, or 1000, simply sets a different sequence\n            of random numbers.\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-318D\"></a> To set the value of the <span class=\"MenuCascade\" id=\"GUID-C21DA823-1E81-44D6-906B-553FC591A7F2\">Seed</span>, select the emitted particle object and open the <span class=\"MenuCascade\" id=\"GUID-83C7C4C4-2494-4EE4-929B-8BBA51EA4583\">Emission Random Stream Seeds</span> section of the <span class=\"MenuCascade\" id=\"GUID-3F4885B7-6C58-4628-8C14-5E4D1EB05EBB\">Attribute Editor</span>. You’ll see a data box and slider named for the associated emitter, for example,\n            <em class=\"mild\">emitter1</em>. If you use several emitters to emit into a single particle object, there is one\n            data box and slider for each emitter. (Though the attribute name is Seed, the name\n            doesn’t appear in the <span class=\"MenuCascade\" id=\"GUID-28293AEB-3E9D-49FD-A8AE-AA7357265847\">Attribute Editor</span>.)\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-318A\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_Seedsame.png\"></div>\n         <div style=\"margin-top: 9pt;\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3189\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> You can use one emitter to emit two identical streams of emission without having to\n               duplicate an emitter. First, connect two identical emitted particle objects to the\n               emitter. Next, make sure the <span class=\"MenuCascade\" id=\"GUID-8880111D-DE28-4241-A19A-7595C99F169E\">Seed </span>values are the same, and turn off <span class=\"MenuCascade\" id=\"GUID-92364CF9-F372-4C74-A426-150949BABB6C\">Emission In World</span> (in the <span class=\"MenuCascade\" id=\"GUID-7C8BDE0E-6E93-4899-A79C-48A4F7A474A5\">Emission Attributes</span> section of the <span class=\"MenuCascade\" id=\"GUID-5950A34E-D3FC-4CB8-9F83-F3C298181BA4\">Attribute Editor</span>) for both emitted particle objects. Finally, move one of the emitted particle objects\n               away from the other. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3187\"></a>If you connect several particle objects to multiple emitters and want to know which\n                  Seed corresponds to a particle object, examine the dependency graph in the <span class=\"MenuCascade\" id=\"GUID-F5F87D5A-872E-4308-AB1A-C24020885187\">Hypergraph</span>.\n               </p>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";