var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-0DE0C65C-1038-4712-82FA-B0368A45C453\">\n      <meta name=\"indexterm\" content=\"particle attributes: static\">\n      <meta name=\"indexterm\" content=\"static attributes\">\n      <meta name=\"indexterm\" content=\"particle attributes: dynamic\">\n      <meta name=\"indexterm\" content=\"dynamic attributes\">\n      <meta name=\"indexterm\" content=\"dynamic attributes: adding\">\n      <meta name=\"indexterm\" content=\"Add Attribute window\">\n      <meta name=\"indexterm\" content=\"particle attributes: custom\">\n      <meta name=\"indexterm\" content=\"custom attributes\">\n      <meta name=\"indexterm\" content=\"per object attributes\">\n      <meta name=\"indexterm\" content=\"particle attributes: per object and per particle\">\n      <meta name=\"indexterm\" content=\"per particle attributes\">\n      <meta name=\"indexterm\" content=\"per particle attributes: how to distinguish\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Work with particle attributes</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-0DE0C65C-1038-4712-82FA-B0368A45C453\"></a><div class=\"head\">\n            <h1>Work with particle attributes</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3683\"></a>You change the way particles look and behave by setting attributes. The type of attribute\n            affects how you work with it. \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3682\"></a> \n            <h2><a name=\"GUID-A81165E1-14D7-4AC1-9C34-A0ACC3DF3F18\"></a>Static attributes\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3681\"></a> Static attributes are attributes the particle object has by default. For example,\n               a particle object’s transform node has the static attributes <span class=\"MenuCascade\" id=\"GUID-646B410D-AA8E-4C25-934D-3D516A1DC831\">Translate X</span>, <span class=\"MenuCascade\" id=\"GUID-77F3026C-B8B8-4B09-9559-2E0AF0287414\">Rotate Y</span>, <span class=\"MenuCascade\" id=\"GUID-E1174DAF-1645-478A-AFC3-C3A976AE772B\">Scale Z</span>, and so on. A particle object’s shape node has many static attributes that are listed\n               in the <span class=\"MenuCascade\" id=\"GUID-E72FCD53-ABBF-4F09-A131-EFEEC6205379\">Particle Attributes</span> section of the <span class=\"MenuCascade\" id=\"GUID-4499A09C-D0EB-47D9-9544-FFB9912EFC57\">Attribute Editor</span>. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-367F\"></a>You can set the values of these attributes with the <span class=\"MenuCascade\" id=\"GUID-0DE8A9ED-11AC-407E-9F4C-1C25C314F6E3\">Attribute Editor</span>, expressions, and other techniques after you create the object. The values you specify\n               for static attributes apply to all particles in the particle object.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FEB\"></a> \n            <h2><a name=\"GUID-FD7F8ED1-D7F7-4C74-A40D-C000B4D8B1EF\"></a>Dynamic attributes\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-367E\"></a> Dynamic attributes have predefined names and purposes. Maya adds dynamic attributes\n               to the particle object in response to your user interface selections. An object has\n               no dynamic attributes unless your actions cause Maya to add them to the object. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-367C\"></a>You can set per object and per particle opacity and color of a particle object. The\n               procedures require you to add dynamic per particle or per object attributes for the\n               opacity and color. See <span class=\"char_link\"><a href=\"Particles_Work_with_particle_attributes.htm#WS17956D7ADBC6E7361A342C07117AE3124CC-7FE7\">Per particle and per object attributes</a></span> for details on per particle and per object attributes.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-367B\"></a>You can also add default dynamic attributes for tuning particle render types (see\n               <span class=\"char_link\"><a href=\"Particles_Work_with_particle_attributes.htm#WS17956D7ADBC6E7361A342C07117AE3124CC-7FEA\">Add dynamic attributes</a></span>). For example, suppose you select a particle object and display the <span class=\"MenuCascade\" id=\"GUID-A09F817D-52F0-4237-9571-7CC467CBF652\">Render Attributes</span> section of the <span class=\"MenuCascade\" id=\"GUID-AF8654ED-3548-4019-9AE4-B1DCE6C3EBAF\">Attribute Editor</span>. If you select <span class=\"MenuCascade\" id=\"GUID-5EDED9B1-195E-4717-AE27-AAB3F8633C18\">Spheres</span> as the <span class=\"MenuCascade\" id=\"GUID-BA750FAA-09D1-4D3F-B8C9-D40D0B56FCAD\">Particle Render Type</span> then click the <span class=\"MenuCascade\" id=\"GUID-A82CCEEE-4641-439F-8473-E6630DEACB8E\">Add Attributes For Current Render Type</span> button, Maya adds a <span class=\"MenuCascade\" id=\"GUID-3B62E116-1AC3-43AE-871C-718465FBE5A1\">Radius</span> attribute. The <span class=\"MenuCascade\" id=\"GUID-6B62528F-5CF9-49DC-A62A-607E7AADC2C9\">Radius</span> attribute appears at the bottom of the <span class=\"MenuCascade\" id=\"GUID-DA16EFD8-9589-4C3A-A6A4-BA31600EE4B2\">Render Attributes</span> section:\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-367A\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C309ECB5-5512-4BFA-B3B3-9BD772AB3173-low.png\"></div> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3679\"></a>By adding dynamic attributes when they’re needed, Maya runs faster. When a dynamic\n               attribute is added to an object, the attribute appears in the <span class=\"MenuCascade\" id=\"GUID-D703ABED-4C4E-4547-8FCB-44B49F377406\">Attribute Editor</span> for the selected object.\n            </p> \n            <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FEA\"></a> \n               <h3><a name=\"GUID-58B03D69-8393-46C1-B085-4EE185A16A7A\"></a>Add dynamic attributes\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3678\"></a> You can add dynamic attributes on an individual basis. For instance, after you become\n                  familiar with the attributes of a particle render type, you can selectively add only\n                  those you need without adding all the default attributes. By adding the fewest attributes\n                  necessary, you’ll prevent unnecessary processing and avoid cluttering the <span class=\"MenuCascade\" id=\"GUID-F27D8330-19EF-45D2-A2F6-26E1C9488150\">Attribute Editor</span>.\n               </p> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3676\"></a>For example, suppose you select the <span class=\"MenuCascade\" id=\"GUID-70253402-B94D-4C7B-976B-C9E84D02CF7C\">Points</span> render type and want to adjust only the point size of the particles. You can add\n                  only the attribute that sets the point size, while not adding any others. \n               </p> <a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FE9\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3675\"></a>To selectively add a dynamic attribute to a particle object\n               </p>\n               <ol type=\"1\" start=\"1\">\n                  <li>Select the particle object.</li>\n                  <li>In the <span class=\"MenuCascade\" id=\"GUID-4D0AFEF5-A1FE-4698-A599-9F45212E588D\">Add Dynamics Attributes</span> section of the <span class=\"MenuCascade\" id=\"GUID-BD9AA6CF-0491-4777-89E9-4153C93CA464\">Attribute Editor</span>, click the <span class=\"MenuCascade\" id=\"GUID-E6DE9C13-72AF-45E9-B691-03849966C1E5\">General </span>button.\n                     <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3672\"></a>The <span class=\"MenuCascade\" id=\"GUID-47117268-5864-4294-8DFE-2DD4722E5435\">Add Attribute</span> window is displayed.\n                     </p>\n                  </li>\n                  <li> In the <span class=\"MenuCascade\" id=\"GUID-7E8BC8EE-4AC2-463C-9C9B-32A2D3B94920\">Add Attribute</span> window, select the <span class=\"MenuCascade\" id=\"GUID-E0253959-B057-4CDF-BFAC-3EDF20300151\">Particle</span> tab.\n                  </li>\n                  <li>Select an attribute. <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-366E\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_AddAttr.png\"></div>\n                  </li>\n                  <li>Click <span class=\"MenuCascade\" id=\"GUID-AE28A144-1483-4BC9-B729-1B630A1C7BE2\">Add</span> to add an attribute. \n                  </li>\n                  <li>Click<span class=\"MenuCascade\" id=\"GUID-C45DFF66-C5C0-46D1-A334-6F71F4B97FFF\"> OK</span> when you are done adding attributes.\n                  </li>\n               </ol> \n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FE8\"></a> \n            <h2><a name=\"GUID-67D32DB2-9597-45C5-AAC5-8CD1758E6B5F\"></a>Add custom attributes\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-366B\"></a> Custom attributes are attributes you optionally add to an object, for example, by\n               selecting <span class=\"char_link\"><a href=\"\">Modify &gt; Add Attribute</a></span>. Although custom attributes are dynamically added to an object, we refer to them\n               as <em class=\"mild\">custom</em> to distinguish them from the static dynamic attributes.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3669\"></a>Custom attributes have no direct effect on any characteristic of an object in Maya.\n               A custom attribute is typically used in an expression to control a combination of\n               other attributes. See Expressions for details.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7361A342C07117AE3124CC-7FE7\"></a> \n            <h2><a name=\"GUID-FE47A08F-EA02-472F-BA4A-EFD3E65F146D\"></a>Per particle and per object attributes\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3668\"></a>  A <em class=\"mild\">per object attribute</em> lets you set the attribute value for all particles of the object collectively with\n               a single value. For instance, the per object opacity attribute lets you set a single\n               opacity value for all the particles in the object.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3665\"></a> A <em class=\"mild\">per particle attribute</em> lets you set the value of the attribute individually for each particle of the object.\n               For example, the <span class=\"MenuCascade\" id=\"GUID-621CF231-79CD-46C0-8AB7-929DD2FE5153\">per particle opacityPP</span> attribute lets you set a unique opacity value for each particle. Though there is\n               only one opacityPP attribute in a particle object, the attribute holds the value for\n               each particle’s opacity value. The attribute holds the values in an array. In simple\n               terms, an array is a list.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3663\"></a> Though per particle attributes are best for creating complex effects, you can’t keyframe\n               them. You <em class=\"mild\">can</em> keyframe per object attributes. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3661\"></a> <span class=\"char_link\"><a href=\"\">Dynamic attributes</a></span> describes how to add attributes to a particle object to enhance your control of the\n               behavior and appearance. After you add a per object attribute to a particle shape\n               node, the attribute appears in the <span class=\"MenuCascade\" id=\"GUID-990DAF49-96C4-43B8-A77F-A7A67A8D59AB\">particleShape</span> tab of the <span class=\"MenuCascade\" id=\"GUID-37CBBA50-2323-4C12-B895-7F9520B51953\">Attribute Editor</span>, for example, in the <span class=\"MenuCascade\" id=\"GUID-0FC2E404-BBD6-44F9-A9E9-791D1B7A0BAC\">Render Attributes</span> section. You typically set per object attribute values in the <span class=\"MenuCascade\" id=\"GUID-8770E86B-5CB3-4B73-A31B-07A1E19370C5\">Attribute Editor</span> or <span class=\"MenuCascade\" id=\"GUID-687A06D1-A07C-4032-A4C1-5888D5CAA8B5\">Channel Box</span>.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-3660\"></a>After you add a per particle attribute to a particle shape node, the attribute name\n               appears in the <span class=\"MenuCascade\" id=\"GUID-05FB3060-38C5-4D7C-9416-5366B0551CB7\">Per Particle (Array) Attributes</span> section of the <span class=\"MenuCascade\" id=\"GUID-A6914CB9-4699-4BE5-A3B2-177583111A6E\">particleShape</span> tab of the <span class=\"MenuCascade\" id=\"GUID-4027FDD5-A82A-46F0-8180-E122C686AD47\">Attribute Editor</span>. For details on setting values, see <span class=\"char_link\"><a href=\"Particles_Set_attributes_on_a_per_particle_basis.htm\">Set attributes on a per particle basis</a></span>.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-365F\"></a>Note that a static, dynamic or custom attribute can be a per particle or per object\n               attribute, not both. Also be aware that dynamically added per particle attributes\n               often have a name that ends in PP. PP stands for per particle. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";