var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-5C5A8ECA-1F9C-412B-8DD7-67FB4138A938\">\n      <meta name=\"indexterm\" content=\"impulse: setting keys\">\n      <meta name=\"indexterm\" content=\"rigid bodies: combining dynamics and keys\">\n      <meta name=\"indexterm\" content=\"Active attribute: rigid bodies\">\n      <meta name=\"indexterm\" content=\"Set Passive Key\">\n      <meta name=\"indexterm\" content=\"Set Active Key\">\n      <meta name=\"indexterm\" content=\"read-only attributes: rigid body solver\">\n      <meta name=\"indexterm\" content=\"read-only attributes: rigid body solver\">\n      <meta name=\"indexterm\" content=\"rigid bodies: getting contact data\">\n      <meta name=\"indexterm\" content=\"Contact Data\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Control complex motion and forces</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-5C5A8ECA-1F9C-412B-8DD7-67FB4138A938\"></a><div class=\"head\">\n            <h1>Control complex motion and forces</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D62\"></a>The following sections describe techniques for controlling complex motion and forces,\n            including,\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D61\"></a><ul>\n            <li> <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Control_complex_motion_and_forces.htm#WS17956D7ADBC6E7364F884DD8117AE312D19-7FE7\">Keying impulses to rigid bodies</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Control_complex_motion_and_forces.htm#WS17956D7ADBC6E7364F884DD8117AE312D19-7FE6\">Combine rigid body dynamics and keys</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Control_complex_motion_and_forces.htm#WS17956D7ADBC6E7364F884DD8117AE312D19-7FE5\">Get data on velocity, forces, and collisions</a></span> \n            </li>\n         </ul>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7364F884DD8117AE312D19-7FE7\"></a> \n            <h2><a name=\"GUID-43E7FC03-B741-40D4-8677-C26FC1BBC1A1\"></a>Keying impulses to rigid bodies\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D5D\"></a>You can key an impulse on and off to instantaneously change a rigid body’s velocity,\n               for instance, when a bat hits a baseball.\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D5C\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D5B\"></a> To key the impulse\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select the rigid body. </li>\n               <li>At the first frame of the animation, use the Attribute Editor to key the Impulse X,\n                  Y, Z and Spin Impulse X, Y, Z to 0, 0, 0. \n               </li>\n               <li>Go to the frame where you want the impulse.</li>\n               <li>Key new values for the Impulse X, Y, Z and Spin Impulse X, Y, Z.</li>\n               <li>Go to the frame after the one where you keyed the attributes.</li>\n               <li>Key Impulse X, Y, Z and Spin Impulse X, Y, Z to 0, 0, 0.</li>\n               <li>Set the tangents of all keys to stepped in the <span class=\"MenuCascade\" id=\"GUID-C2CDE558-A996-444C-852F-C199BA055471\">Graph Editor</span> or Time Slider. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D52\"></a>For example, select a keyframe in the Time Slider, select the attributes in the <span class=\"MenuCascade\" id=\"GUID-D61B5FA7-5FC6-424D-9B4C-3845227819E1\">Channel Box</span>, then right-click the Time Slider and select <span class=\"MenuCascade\" id=\"GUID-65CA38FB-A080-456E-9E38-58294CFB3230\">Tangents &gt; Stepped</span>. Repeat this for each keyframe.\n                  </p>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7364F884DD8117AE312D19-7FE6\"></a> \n            <h2><a name=\"GUID-BCCA7655-DD4E-4E88-B1FA-F04299DFBEF0\"></a>Combine rigid body dynamics and keys\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D51\"></a> When a rigid body is passive, you can animate it by keying its <span class=\"MenuCascade\" id=\"GUID-A6DB9427-51E1-4B55-9FEE-C63C89D588B9\">Translate</span> and <span class=\"MenuCascade\" id=\"GUID-8778C95E-0C23-4E70-A39C-4FB857E2564C\">Rotate</span> attributes. When the rigid body is active, you can animate it with dynamics, specifically\n               fields and collisions. Sometimes you’ll want to use a combination of keys and dynamics.\n               For instance, you can roll a ball off a table with keys then cause the ball to fall\n               with gravity.\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D4F\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_rigidPlusKeys1.png\"></div> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D4E\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D4D\"></a>To use dynamics after keys\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select the object.</li>\n               <li>Key the object’s <span class=\"MenuCascade\" id=\"GUID-FB571253-C75F-4F32-BA82-52BCA450E2EA\">Translate</span> and <span class=\"MenuCascade\" id=\"GUID-755A6345-966D-4507-A927-9CD26DCA459B\">Rotate</span> attributes to give the object motion.\n               </li>\n               <li>At the first frame of keyed motion, select <span class=\"char_link\"><a href=\"SoftRigid_Bodies__Set_Passive_Key.htm\">Soft/Rigid Bodies &gt; Set Passive Key</a></span>.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D49\"></a>This keys the Active attribute to the off setting and keys the object’s current <span class=\"MenuCascade\" id=\"GUID-4024C491-3CC9-4AD1-8021-A11292AD0224\">Translate</span> and <span class=\"MenuCascade\" id=\"GUID-78D2857C-77C0-45A2-922A-060BC1E58916\">Rotate</span> attribute values.\n                  </p>\n               </li>\n               <li>At the first frame where you want the dynamics to have control, select <span class=\"char_link\"><a href=\"SoftRigid_Bodies__Set_Active_Key.htm\">Soft/Rigid Bodies &gt; Set Active Key</a></span>. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D45\"></a>This keys the Active attribute to the on setting and keys the object’s current <span class=\"MenuCascade\" id=\"GUID-5ED4E650-EEA7-4F84-99E7-3349EFC24FFA\">Translate</span> and <span class=\"MenuCascade\" id=\"GUID-71242786-79A5-4816-8E24-997EC5A9B84C\">Rotate</span> attribute values. \n                  </p>\n               </li>\n               <li>Apply the dynamics to the object. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D42\"></a>At a subsequent frame, you can switch control from dynamics to <span class=\"MenuCascade\" id=\"GUID-1E6F3477-C159-4850-8B92-7C7255EBDCB9\">Translate</span> and <span class=\"MenuCascade\" id=\"GUID-FE6D0E16-9116-4CC9-88A6-75699529BBA4\">Rotate</span> keys by selecting <span class=\"char_link\"><a href=\"SoftRigid_Bodies__Set_Passive_Key.htm\">Soft/Rigid Bodies &gt; Set Passive Key</a></span>. \n                  </p>\n               </li>\n            </ol> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D41\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D40\"></a>To use keys after dynamics\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select the object.</li>\n               <li>Make the object a rigid body and use dynamics to control its motion.</li>\n               <li>At the first frame where dynamics control the motion, select <span class=\"char_link\"><a href=\"SoftRigid_Bodies__Set_Active_Key.htm\">Soft/Rigid Bodies &gt; Set Active Key</a></span>.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D3C\"></a>This keys the Active attribute to the on setting and keys the object’s current <span class=\"MenuCascade\" id=\"GUID-5A8462E0-1FAE-4760-A77A-F6DA6FADFC88\">Translate</span> and <span class=\"MenuCascade\" id=\"GUID-A7BA03C0-5A27-42E0-895C-BCBAF9AD2859\">Rotate</span> attribute values. \n                  </p>\n               </li>\n               <li>At the first frame where you want the <span class=\"MenuCascade\" id=\"GUID-EEA179E8-9306-488F-89ED-B1715D189FC8\">Translate</span> and <span class=\"MenuCascade\" id=\"GUID-BCF593FC-5F00-49D1-8BD4-45AB09A74149\">Rotate</span> keys to have control, select <span class=\"char_link\"><a href=\"SoftRigid_Bodies__Set_Passive_Key.htm\">Soft/Rigid Bodies &gt; Set Passive Key</a></span>. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D3A\"></a>This keys the Active attribute to the off setting and keys the object’s current <span class=\"MenuCascade\" id=\"GUID-DDF6CE3D-15DD-4F22-9392-1CC6941BC60F\">Translate</span> and <span class=\"MenuCascade\" id=\"GUID-52B1AC49-B6C4-46D8-94CA-31F8C5228F88\">Rotate</span> attribute values.\n                  </p>\n               </li>\n               <li>Set keys to control the motion. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D38\"></a>At a subsequent frame, you can switch control from <span class=\"MenuCascade\" id=\"GUID-BAC1298F-6D66-4E6A-9B6C-4A2C16B96FA1\">Translate</span> and <span class=\"MenuCascade\" id=\"GUID-E3CB8B26-AA3D-48B3-9BDD-A97F04B1F7E0\">Rotate</span> keys to dynamics by selecting <span class=\"char_link\"><a href=\"SoftRigid_Bodies__Set_Active_Key.htm\">Soft/Rigid Bodies &gt; Set Active Key</a></span>.\n                  </p>\n                  <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D37\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                        <p>When you animate rigid body motion with dynamics after keys, the velocity that exists\n                           immediately before the switch to dynamics is added to the dynamic motion. When you\n                           animate rigid body motion with dynamics followed by keys, the rigid body adopts the\n                           keyed position immediately when you switch to keys. The prior dynamic velocity is\n                           not added to the keyed motion.\n                        </p> \n                     </div>\n                  </div>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7364F884DD8117AE312D19-7FE5\"></a> \n            <h2><a name=\"GUID-6D25A11E-8043-4093-9970-2247980F8EB7\"></a>Get data on velocity, forces, and collisions\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D36\"></a> A rigid body has read-only attributes that contain its current velocity and any forces\n               and collisions applied to it. This section describes these attributes. \n            </p> \n            <div class=\"section\"><a name=\"WS17956D7ADBC6E7364F884DD8117AE312D19-7FE4\"></a> \n               <h3><a name=\"GUID-B68A51F4-0C40-40FB-9F13-7504D3B4734F\"></a>Force, velocity, spin, and torque attributes\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D34\"></a>When you select a rigid body, the <span class=\"MenuCascade\" id=\"GUID-195B809D-5A06-41AC-9A9E-0AC45885B0D0\">Attribute Editor</span> shows the current X, Y, and Z component values for <span class=\"MenuCascade\" id=\"GUID-289F0282-23A5-49B9-A804-D53B5E653087\">Velocity</span>, <span class=\"MenuCascade\" id=\"GUID-D9EF1788-9AFF-46CD-8422-B7B2F8941FB7\">Spin</span>, <span class=\"MenuCascade\" id=\"GUID-D67C10E1-C4AA-40E1-9077-093187FD4BF9\">Force</span>, and <span class=\"MenuCascade\" id=\"GUID-34FAE16E-0D3C-43BD-9C18-38B194A3EE36\">Torque</span>. You can also query these attributes in MEL commands or expressions by using the\n                  attribute names in the following table.\n               </p> \n            </div> \n            <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D33\"></a> \n               <h3><a name=\"GUID-E2D4FFE1-2421-4121-B0B1-F053DFF024C3\"></a>Example runtime expression\n               </h3> \n               <div class=\"codeBlock\"><pre>\nprint (velocityX + \"\\n\");\n</pre></div> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D32\"></a>This displays the contents of velocityX in the <span class=\"MenuCascade\" id=\"GUID-2290912A-11C0-429E-8CB3-DFED62F3D888\">Script Editor</span> each frame.\n               </p> \n            </div> \n            <div class=\"section\"><a name=\"WS17956D7ADBC6E7364F884DD8117AE312D19-7FE3\"></a> \n               <h3><a name=\"GUID-82101710-24B6-4F01-B48A-74A55ADB8B23\"></a>Contact attributes\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D31\"></a> A rigid body has read-only attributes that contain data on the contact made with it\n                  during collisions. You can query the attributes in MEL commands or expressions by\n                  using the attribute names in the table that follows.\n               </p> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D2F\"></a> To accumulate data in these attributes, select the solver that controls the rigid\n                  body, display the <span class=\"MenuCascade\" id=\"GUID-E4C95076-F28B-40F9-9066-F94EF0340066\">Rigid Solver States</span> section of the <span class=\"MenuCascade\" id=\"GUID-CD353DE9-6C0C-45AD-BEDE-26E43F2C923F\">Attribute Editor</span>, then turn on <span class=\"MenuCascade\" id=\"GUID-49CBEB59-F890-4690-8C66-7021F83EC750\">Contact Data</span> attribute. The attribute values are zeroed out each time you turn on <span class=\"MenuCascade\" id=\"GUID-5FDD23C3-D165-45E3-9A3C-1D1D40E42E3E\">Contact Data</span>. Turning on <span class=\"MenuCascade\" id=\"GUID-5C12645F-39A3-4F28-9030-A1CE6153C977\">Contact Data</span> slows playback.\n               </p> \n            </div> \n            <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D2D\"></a> \n               <h3><a name=\"GUID-887F6AF5-0CD9-4113-9EB6-7126CC0A5152\"></a>Example runtime expression\n               </h3> \n               <div class=\"codeBlock\"><pre>\nprint (rigidBody1.contactCount +\"\\n\");\n</pre></div> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D2C\"></a>This displays the number of contacts each frame.\n               </p> \n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";