var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-3ABA8DD9-D5DB-42D5-B5B5-899DCAE25021\">\n      <meta name=\"indexterm\" content=\"Barrier rigid body constraint\">\n      <meta name=\"indexterm\" content=\"rigid body constraints: barrier\">\n      <meta name=\"indexterm\" content=\"Set Initial Position: rigid body Barrier constraint\">\n      <meta name=\"indexterm\" content=\"Initial Orientation: rigid body Barrier constraint\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Create a Barrier constraint</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-3ABA8DD9-D5DB-42D5-B5B5-899DCAE25021\"></a><div class=\"head\">\n            <h1>Create a Barrier constraint</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CA3\"></a> A <span class=\"MenuCascade\" id=\"GUID-FD0342B5-B173-465A-AD2D-5FC69274A91E\">Barrier</span> constraint creates an infinite barrier plane beyond which the center of mass of the\n            rigid body will not move. You can use a <span class=\"MenuCascade\" id=\"GUID-A7E02DB5-BAC4-4784-A58B-F9FA38F7BCBE\">Barrier</span> constraint to create objects that block other objects, for instance, a wall or floor.\n            \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CA1\"></a>You can save processing time by using this type of constraint in place of a collision\n            effect. However, objects will deflect but not bounce off the plane. To constrain multiple\n            objects, you must create a <span class=\"MenuCascade\" id=\"GUID-CC27E401-9665-4173-8C96-A439514ADC9E\">Barrier</span> constraint for each object.\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CA0\"></a>This constraint works only with a single active rigid body; it does not constrain\n            a passive rigid body.\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2C9F\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2C9E\"></a>To create a <span class=\"MenuCascade\" id=\"GUID-9BD31BBA-46E9-4930-8A5C-8302B3EB2241\">Barrier</span> constraint\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the rigid body you want to constrain.</li>\n            <li>Select<span class=\"MenuCascade\" id=\"GUID-70C6AB9B-8137-49C4-A6B1-0A7B2DADD705\"> Soft/Rigid Bodies &gt; Create Barrier Constraint &gt; </span><img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> to display the options window.\n            </li>\n            <li>For the <span class=\"MenuCascade\" id=\"GUID-BDE5CFEF-2ADD-4070-96C7-AD9F3FC970CE\">Constraint Type</span>, select <span class=\"MenuCascade\" id=\"GUID-33E31A3C-32AC-48DA-8BC9-557F890D0E2C\">Barrier</span>.\n            </li>\n            <li> Turn on <span class=\"MenuCascade\" id=\"GUID-17CEEE23-CEDD-4CFB-BB30-8F17E88B8F65\">Set Initial Position</span> and enter X, Y, and Z values for the <span class=\"MenuCascade\" id=\"GUID-029BCDFE-F05B-450D-A6D8-E3ED6636CC4C\">Initial Position</span> of any position on the plane. The position is irrelevant because the <span class=\"MenuCascade\" id=\"GUID-F2DDEA5F-8006-4B9B-B463-B67AAE919025\">Barrier</span> is an infinite plane.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2C98\"></a>If you don’t turn on <span class=\"MenuCascade\" id=\"GUID-2E5E451F-2F9C-42FE-A843-75DB82683C66\">Set Initial Position</span>, the <span class=\"MenuCascade\" id=\"GUID-88B46CF7-8A41-4A03-88C4-A5C92641AD6F\">Barrier</span> plane is created at the origin and connected to the center of mass of the selected\n                  rigid body. The barrier plane is oriented on the XZ plane. \n               </p>\n            </li>\n            <li> If you want to set the initial orientation of the barrier plane, enter X, Y, and Z\n               values (in degrees, by default) for <span class=\"MenuCascade\" id=\"GUID-D89D7696-42F2-4B02-9572-CB15361BDDD1\">Initial Orientation</span>.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2C95\"></a>By default, the <span class=\"MenuCascade\" id=\"GUID-5DAC65C3-29DA-4F44-A305-1F8268560C18\">Barrier</span> constraint is oriented on the XZ plane.\n               </p>\n               <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2C94\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                     <p>After you create the constraint, you can use the <span class=\"MenuCascade\" id=\"GUID-79AAECD5-1F10-4A3F-B6CD-EDC4C8DFE123\">Move</span> and <span class=\"MenuCascade\" id=\"GUID-9793316E-CF01-49AC-822C-209744245689\">Rotate</span> tools to change its position and orientation conveniently in the workspace.\n                     </p> \n                  </div>\n               </div>\n            </li>\n            <li>Click <span class=\"MenuCascade\" id=\"GUID-37264287-C46E-427D-9A2B-98BEF4B4B6B0\">Create</span> in the <span class=\"MenuCascade\" id=\"GUID-10634B84-BFB2-4969-9E9B-E6E981A512F8\">Constraint Options</span> window.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2C92\"></a>An square icon appears in the workspace at the <span class=\"MenuCascade\" id=\"GUID-D9CCB0E3-1373-4380-8F3E-15FAF10BA750\">Barrier</span> plane position. \n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2C91\"></a>A perpendicular line sticking up from the <span class=\"MenuCascade\" id=\"GUID-9ED98D88-6D43-4049-98BD-690F0517DC9D\">Barrier</span> plane icon indicates the normal direction of the plane surface. Only this side of\n                  the surface constrains the rigid body. \n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2C90\"></a>To alter the constraint after creation, see <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Edit_constraints.htm\">Edit constraints</a></span>.\n               </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2C8F\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_Barrier2.png\"></div>\n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";