var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-2DBDB7B4-6560-4BD2-92BC-5E5606B43A3C\">\n      <meta name=\"indexterm\" content=\"rigid body constraints: hinge\">\n      <meta name=\"indexterm\" content=\"Hinge rigid body constraint\">\n      <meta name=\"indexterm\" content=\"Set Initial Position: rigid body Hinge constraint\">\n      <meta name=\"indexterm\" content=\"Initial Orientation: rigid body Hinge constraint\">\n      <meta name=\"indexterm\" content=\"directionalHinge\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Create a Hinge constraint</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-2DBDB7B4-6560-4BD2-92BC-5E5606B43A3C\"></a><div class=\"head\">\n            <h1>Create a Hinge constraint</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CD5\"></a>  A <span class=\"MenuCascade\" id=\"GUID-B0D9715E-1E96-4DF6-96B1-1E1E664954C0\">Hinge</span> constraint constrains rigid bodies along a specified axis by a hinge. You can use\n            a <span class=\"MenuCascade\" id=\"GUID-32BEF6C5-D7CC-4F16-8419-B860540E810E\">Hinge</span> constraint to create effects such as a door on a hinge, a link connecting train cars,\n            or a pendulum of a clock. You can create a hinge constraint between:\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CD2\"></a><ul>\n            <li>one active or passive rigid body and a position in the workspace.</li>\n            <li>two active rigid bodies.</li>\n            <li>an active and passive rigid body. </li>\n         </ul>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CCE\"></a>The <span class=\"MenuCascade\" id=\"GUID-472492B6-68E9-48CA-B7CC-3AE42FE9E54E\">Hinge</span> constraint is able to react to forces. Its axis rotates when torque is applied, which\n            gives it a realistic look when your hinge is flying through the air or bouncing against\n            other rigid bodies.\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CCD\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CCC\"></a>To create a <span class=\"MenuCascade\" id=\"GUID-5F2013CF-7FF4-4BC5-89C6-73294448DDD7\">Hinge</span> constraint\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the one or two rigid bodies you want to constrain.</li>\n            <li>Select <span class=\"MenuCascade\" id=\"GUID-786D9329-F7E6-4EC0-812F-9BA5AAD118D8\">Soft/Rigid Bodies &gt; Create Hinge Constraint &gt;</span><img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> to display the options window.\n            </li>\n            <li>For the <span class=\"MenuCascade\" id=\"GUID-AE5A14E6-62FC-44EC-A60C-69EAFC38B3B3\">Constraint Type</span>, select <span class=\"MenuCascade\" id=\"GUID-E724C27F-F74F-49C5-9F96-4BC68E6F150D\">Hinge</span>.\n            </li>\n            <li>If you are constraining two rigid bodies and want them to penetrate each other rather\n               than collide upon contact, turn on Interpenetrate. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CC7\"></a>If you turn on <span class=\"MenuCascade\" id=\"GUID-6B81D74B-F6EA-4B70-9315-8C38C6C8C90E\">Interpenetrate</span>, playback of rigid body animation is faster.\n               </p>\n            </li>\n            <li> Turn on <span class=\"MenuCascade\" id=\"GUID-B42748ED-323C-4244-A8DF-67044CB95103\">Set Initial Position</span> and enter X, Y, and Z values for the position.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CC4\"></a>If you don’t turn on <span class=\"MenuCascade\" id=\"GUID-8FFFB419-A26B-495F-AE81-8C88063BEC7F\">Set Initial Position</span> when you constrain a single rigid body to a position, the <span class=\"MenuCascade\" id=\"GUID-73497F59-8D67-4CCF-BA76-A2B991008800\">Hinge</span> constraint is created at the rigid body’s center of mass. \n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CC3\"></a>If you don’t turn on <span class=\"MenuCascade\" id=\"GUID-492C0EAA-160F-4C82-8D61-8724288C8F9C\">Set Initial Position</span> when you constrain a pair of rigid bodies, the constraint is created at the midpoint\n                  between their centers of mass. \n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CC2\"></a>Though a passive rigid body has a center of mass that Maya uses for default positioning\n                  of <span class=\"MenuCascade\" id=\"GUID-F886D876-3C1F-4664-934D-B47A1372CA85\">Hinge</span> constraints, Maya doesn’t use the center of mass in dynamic calculations of passive\n                  rigid bodies.\n               </p>\n               <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CC1\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                     <p>After you create the constraint, you can use the <span class=\"MenuCascade\" id=\"GUID-F624472E-3255-494F-82AC-CB5A9492AF65\">Move</span> and <span class=\"MenuCascade\" id=\"GUID-96881195-8839-4E24-9302-A6E606C178AD\">Rotate</span> tools to change its position and orientation conveniently in the workspace.\n                     </p> \n                  </div>\n               </div>\n            </li>\n            <li> To set the initial orientation of the constraint axis, enter X, Y, and Z values in\n               degrees for the <span class=\"MenuCascade\" id=\"GUID-54969B7A-CDE7-4546-BC25-DBFFC116D2A6\">Initial Orientation</span>.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CBE\"></a>By default, the hinge constraint lies parallel to the world space Z-axis.\n               </p>\n            </li>\n            <li>Click <span class=\"MenuCascade\" id=\"GUID-8C67DF16-8CCE-420F-A000-580AFF5C024B\">Create</span> in the <span class=\"MenuCascade\" id=\"GUID-6FBEBDAC-15AE-44F6-B16F-4161837BAB46\">Constraint Options</span> window. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CBC\"></a>To alter the constraint after creation, see <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Edit_constraints.htm\">Edit constraints</a></span>.\n               </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CBB\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_Hinge.png\"></div>\n               <div style=\"margin-top: 9pt;\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CBA\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                     <p>You can make a directional hinge, which always maintains the direction of its axis.\n                        This is how the original hinge constraint worked prior to Maya 4.5. After you create\n                        the hinge constraint, set the <span class=\"MenuCascade\" id=\"GUID-96E85504-3BF2-437C-95F1-BF96DF9521E8\">Constraint type</span> to directionalHinge in the <span class=\"MenuCascade\" id=\"GUID-82D5022D-33E1-4D43-9CA6-536B73CFBDB4\">Attribute Editor</span> or <span class=\"MenuCascade\" id=\"GUID-C2490213-CBE5-4511-A6D0-C66ED0F25957\">Channel Box</span>.\n                     </p> \n                  </div>\n               </div>\n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";