var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-10BDDD51-D85B-4ECF-8029-F9B0D6D5543E\">\n      <meta name=\"indexterm\" content=\"rigid body constraints: spring\">\n      <meta name=\"indexterm\" content=\"Set Initial Position: rigid body Spring constraint\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Create a Spring constraint</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-10BDDD51-D85B-4ECF-8029-F9B0D6D5543E\"></a><div class=\"head\">\n            <h1>Create a Spring constraint</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CB8\"></a> A <span class=\"MenuCascade\" id=\"GUID-FBCA4416-F985-43F8-AE41-4A0F470FBD7D\">Spring</span> constraint simulates an elastic cord. You can use a <span class=\"MenuCascade\" id=\"GUID-896C8285-DC5D-486D-8C99-496730EFAB3B\">Spring</span> constraint to create effects such as a man bungee-jumping off a building. You can\n            create a spring constraint between:\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CB6\"></a><ul>\n            <li>one active or passive rigid body and a position in the workspace.</li>\n            <li>two active rigid bodies.</li>\n            <li>an active and passive rigid body.</li>\n         </ul><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CB2\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CB1\"></a>To create a <span class=\"MenuCascade\" id=\"GUID-0F89608C-EF43-409B-ACD2-8BDD090B32B0\">Spring</span> constraint\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the one or two rigid bodies you want to constrain.</li>\n            <li>Select <span class=\"MenuCascade\" id=\"GUID-F387590A-0FD3-4894-A26A-DFBC66F8D6C1\">Soft/Rigid Bodies &gt; Create Spring Constraint &gt; </span><img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> to display the options window.\n            </li>\n            <li>For the <span class=\"MenuCascade\" id=\"GUID-A62D0244-95CA-4FD2-B7B5-9F75A8EAD557\">Constraint Type</span>, select <span class=\"MenuCascade\" id=\"GUID-58CBF2D4-1B17-4591-8249-2F22C11C405C\">Spring</span>.\n            </li>\n            <li>If you are constraining two rigid bodies and want them to penetrate each other rather\n               than collide upon contact, turn on <span class=\"MenuCascade\" id=\"GUID-C36237F9-E8ED-465A-8D6E-076BB7F6C20A\">Interpenetrate</span>. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CAC\"></a>If you turn on <span class=\"MenuCascade\" id=\"GUID-A25C68A6-9B1D-4131-B44E-A88A37CDDD28\">Interpenetrate</span>, playback of rigid body animation is faster.\n               </p>\n            </li>\n            <li> If you’re using a <span class=\"MenuCascade\" id=\"GUID-7BBAA721-6CC9-42BF-900D-55A4697F1F21\">Spring</span> constraint on a single rigid body, turn on <span class=\"MenuCascade\" id=\"GUID-B7C9914D-0DA2-48C7-B210-CBB467D6517E\">Set Initial Position</span> and enter X, Y, and Z values for the constraint’s position. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CA9\"></a>If you don’t turn on <span class=\"MenuCascade\" id=\"GUID-7BB6143B-C0CC-4121-9C05-17CEDD683102\">Set Initial Position</span> when you constrain a single rigid body to a position, the <span class=\"MenuCascade\" id=\"GUID-52BCEBAD-B794-4054-95F1-BF89AEC39E89\">Spring</span> is created at the rigid body’s center of mass. \n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CA8\"></a>If you create a <span class=\"MenuCascade\" id=\"GUID-21E2A5D4-66EB-41E8-9296-7A395839BA2E\">Spring</span> constraint for two rigid bodies, the constraint will extend from one center of mass\n                  to the other. The <span class=\"MenuCascade\" id=\"GUID-D85A58D1-11A9-4531-A893-1B2225D1EE0F\">Set Initial Position</span> option is invalid for <span class=\"MenuCascade\" id=\"GUID-B7216ED2-27CF-4B86-BFD3-19C7C3005100\">Spring</span> constraints between two rigid bodies. \n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CA7\"></a>Though a passive rigid body has a center of mass that Maya uses for default positioning\n                  of <span class=\"MenuCascade\" id=\"GUID-2D3FFF77-2537-4D43-9FF2-527241848AEB\">Spring</span> constraints, Maya doesn’t use the center of mass in dynamic calculations of passive\n                  rigid bodies.\n               </p>\n            </li>\n            <li>To set the attributes of the <span class=\"MenuCascade\" id=\"GUID-D3C53A00-AF78-42BA-B059-CD626E88226E\">Spring</span>, open the <span class=\"MenuCascade\" id=\"GUID-771F1816-FECD-4F50-8AC3-1F4C71934EFA\">Spring Attributes</span> section of the <span class=\"MenuCascade\" id=\"GUID-160A25F7-9D6A-4DE6-8826-93C28DF69930\">Constraint Options</span> window.\n            </li>\n            <li>Click <span class=\"MenuCascade\" id=\"GUID-49095505-1EB1-4561-B61C-9C8093D19837\">Create</span> in the <span class=\"MenuCascade\" id=\"GUID-48A3B440-738F-4B0C-924B-90A9F012F90B\">Constraint Options</span> window.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CA4\"></a>To alter the constraint after creation, see <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Edit_constraints.htm\">Edit constraints</a></span>.\n               </p>\n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";