var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-B8B142D8-B594-4C88-835E-6EE69F20774B\">\n      <meta name=\"indexterm\" content=\"rigid bodies: creating\">\n      <meta name=\"indexterm\" content=\"rigid bodies: multishape\">\n      <meta name=\"indexterm\" content=\"rigid bodies: creating automatically\">\n      <meta name=\"indexterm\" content=\"rigid bodies: deleting\">\n      <meta name=\"indexterm\" content=\"rigid bodies: trimmed surfaces\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Create rigid bodies</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-B8B142D8-B594-4C88-835E-6EE69F20774B\"></a><div class=\"head\">\n            <h1>Create rigid bodies</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DA4\"></a> You can create a passive or active rigid body from an object or hierarchy of objects.\n            To have multiple objects react as one rigid body, you must create a rigid body from\n            a hierarchy of objects. By default, Maya automatically makes an object an active rigid\n            body when you connect it to a field.\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DA2\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DA1\"></a>To create a rigid body from a single object\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the object. </li>\n            <li>Do one of the following:<a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D9E\"></a><ul>\n                  <li>Select <span class=\"char_link\"><a href=\"SoftRigid_Bodies__Create_Active_Rigid_Body.htm\">Soft/Rigid Bodies &gt; Create Active Rigid Body</a></span>.\n                  </li>\n                  <li>Select <span class=\"char_link\"><a href=\"SoftRigid_Bodies__Create_Passive_Rigid_Body.htm\">Soft/Rigid Bodies &gt; Create Passive Rigid Body</a></span>.\n                  </li>\n               </ul>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D9B\"></a>A rigid body is created with default settings. See <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Edit_attributes_of_a_rigid_body.htm\">Edit attributes of a rigid body</a></span>.\n               </p>\n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D9A\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D99\"></a> To create a rigid body from several objects\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Group the NURBS or polygonal objects under a parent node.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D96\"></a>For instance, select the objects and select <span class=\"char_link\"><a href=\"\">Edit &gt; Group</a></span>.\n               </p>\n            </li>\n            <li>Select the group node.</li>\n            <li>Do one of the following:<a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D93\"></a><ul>\n                  <li>Select <span class=\"char_link\"><a href=\"SoftRigid_Bodies__Create_Active_Rigid_Body.htm\">Soft/Rigid Bodies &gt; Create Active Rigid Body</a></span>.\n                  </li>\n                  <li>Select<span class=\"char_link\"><a href=\"SoftRigid_Bodies__Create_Passive_Rigid_Body.htm\">Soft/Rigid Bodies &gt; Create Passive Rigid Body</a></span>.\n                  </li>\n               </ul>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D90\"></a>A single rigid body is created for the group with default settings. See <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Edit_attributes_of_a_rigid_body.htm\">Edit attributes of a rigid body</a></span>.\n               </p>\n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D8F\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D8E\"></a> To turn off automatic creation of rigid bodies\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select <span class=\"char_link\"><a href=\"\">Window &gt; Settings/Preferences &gt; Preferences</a></span>.\n            </li>\n            <li>Click <span class=\"MenuCascade\" id=\"GUID-167AC561-8F18-4AE1-A2F0-B23515DFA36E\">Dynamics</span> in the <span class=\"MenuCascade\" id=\"GUID-739F566C-BA3D-48A6-9CCD-F9898F430E02\">Categories</span> list. \n            </li>\n            <li>Turn off <span class=\"MenuCascade\" id=\"GUID-E627E8BB-CE2B-4494-A079-8FC399872A2D\">Auto Create Rigid Body</span>.\n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D89\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D88\"></a> To delete a rigid body\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the rigid body (or parent group node).</li>\n            <li>Select<span class=\"MenuCascade\" id=\"GUID-AA97F0BC-6A7C-4E40-98DD-20299B2C9614\"> Edit &gt; Delete by Type &gt; Rigid Bodies.</span></li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D84\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D83\"></a>To delete all rigid bodies in a scene\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select <span class=\"MenuCascade\" id=\"GUID-E6D05349-C624-4804-8CA4-92E049C0C26F\">Edit &gt; Delete All by Type &gt; Rigid Bodies</span>.\n            </li>\n         </ol>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D81\"></a> \n            <h2><a name=\"GUID-EEB06B68-C1D5-401B-9A9B-35A7AC1EA6A2\"></a>Create rigid bodies from trimmed surfaces\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D80\"></a> If you’ve trimmed a <span class=\"MenuCascade\" id=\"GUID-B88AF483-36D5-4D71-999F-B87F8CAF4A0B\">NURBS surface</span> and made it a rigid body, unwanted collisions might occur on the trimmed part. To\n               prevent this, you can either convert the <span class=\"MenuCascade\" id=\"GUID-E1087140-C24F-4238-B1F6-30B3B4160F0D\">NURBS surface</span> to polygons or delete the construction history before making it a rigid body. For\n               information on how to convert <span class=\"MenuCascade\" id=\"GUID-58E100F8-131A-4692-8462-E6A4C8841639\">NURBS to polygons</span>, see the <em class=\"mild\">Polygonal Modeling</em> guide.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D7E\"></a> \n            <h2><a name=\"GUID-64BA770A-D572-4932-A7C8-9569AD0CF357\"></a>Create rigid bodies from objects with deformer, skin or flexor\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D7D\"></a>If you create a rigid body from an object that has a deformer, skin, or flexor applied\n               to it, Maya applies the rigid body to the original, undeformed object that is hidden\n               when you apply the deformer. When the rigid body collides, it might seem to do so\n               at the wrong time or wrong part of its surface.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D7C\"></a>For example, suppose you animate an active rigid body sphere bulging from a lattice\n               deformation. The bulging area penetrates rather than collides with a nearby passive\n               rigid body cube. You won’t see a collision until the original, undeformed part of\n               the sphere moves against the cube.\n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";