var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-DF7AA107-674D-4A24-80A6-B2392B7B9426\">\n      <meta name=\"indexterm\" content=\"springs: fixing problems\">\n      <meta name=\"indexterm\" content=\"springs: oscillating out of control\">\n      <meta name=\"indexterm\" content=\"Edit Oversampling\">\n      <meta name=\"indexterm\" content=\"Over Samples: springs\">\n      <meta name=\"indexterm\" content=\"Per-spring Rest Length\">\n      <meta name=\"indexterm\" content=\"Manage Particle Death\">\n      <meta name=\"indexterm\" content=\"dying particles: springs\">\n      <meta name=\"indexterm\" content=\"springs: dying particles\">\n      <meta name=\"indexterm\" content=\"springs: speeding animation play\">\n      <meta name=\"indexterm\" content=\"particles: death with springs\">\n      <meta name=\"indexterm\" content=\"springs: slow playback\">\n      <meta name=\"indexterm\" content=\"Over Samples: springs\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Fix playback problems</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-DF7AA107-674D-4A24-80A6-B2392B7B9426\"></a><div class=\"head\">\n            <h1>Fix playback problems</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BBB\"></a> This section explains solutions to a few problems you might have when using springs:\n         </p>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7364F884DD8117AE312D19-7FD0\"></a> \n            <h2><a name=\"GUID-A7ECD376-0224-4BCA-A2C3-E4D08ECF7F47\"></a>The springs expand and contract excessively\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BB9\"></a> You can often fix excessive spring expansion and contraction by increasing oversampling\n               of dynamic calculations. Increasing the oversampling slows down playback but increases\n               the stability of the springs. \n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BB7\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BB6\"></a>Do these steps to increase oversampling:\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select<span class=\"MenuCascade\" id=\"GUID-B9AA9AC1-01D8-46BD-BD3D-828875477159\"> Solvers &gt; Edit Oversampling or Cache Settings</span>.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BB4\"></a>This displays the <span class=\"MenuCascade\" id=\"GUID-62EB90C7-8E75-4837-AE7C-24DF295C9686\">Attribute Editor</span>.\n                  </p>\n               </li>\n               <li> Enter a value for <span class=\"MenuCascade\" id=\"GUID-E076EC48-145F-4A43-B4C7-58DA1150A5EE\">Over Samples</span>.\n                  <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BB0\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span>Increasing the oversampling intensifies the attractive force of goals. If you increase\n                        the oversampling in a scene that contains goals, you can compensate by decreasing\n                        the goal weights, if necessary. \n                        <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BAF\"></a>In some instances, Maya uses an Over Samples rate that is higher than the value you\n                           enter. This is necessary for internal computations.\n                        </p>\n                     </div>\n                  </div>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BAE\"></a> \n            <h2><a name=\"GUID-554024D0-8721-44D7-AEF4-661D7D172248\"></a>Springs don\'t move the particles, CVs, vertices, or points\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BAD\"></a> Either no force is acting on the particles or the Per-spring Rest Length is turned\n               on but you didn’t set any values for it. By default, each spring’s rest length equals\n               its original length. It won’t move unless an external force is applied to it. \n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BAB\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_restLengthBug.png\"></div> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BAA\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BA9\"></a>To make the springs take effect, do the appropriate action that follows:\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Animate the object, for example, with a field.</li>\n               <li>Use the <span class=\"MenuCascade\" id=\"GUID-C49A36F3-C028-4C20-B2A3-CBE7E7F12AE2\">Component Editor</span> to alter <span class=\"MenuCascade\" id=\"GUID-C79FFB24-2038-4779-846D-0CBE9C4E00D8\">Per-spring restLength</span>. See <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Edit_spring_operation.htm#WS17956D7ADBC6E7364F884DD8117AE312D19-7FD5\">Edit per spring rest length, stiffness, and damping</a></span>.\n               </li>\n               <li>Change to per object rest length. </li>\n               <li>If the springs are on particles and you broke the default connection from time to\n                  the particle shape node’s <span class=\"MenuCascade\" id=\"GUID-6497895F-BD21-4B15-BB65-9B0FA3CA6005\">Current Time</span> attribute, reconnect the input to <span class=\"MenuCascade\" id=\"GUID-2ED44360-27C9-4890-8883-A51A08203495\">Current Time</span>. A simple way to reconnect the time input is to select the particle object, select\n                  the <span class=\"MenuCascade\" id=\"GUID-8C2414BB-99A2-495F-AA88-D5050BF70C7F\">Current Time</span> attribute in the <span class=\"MenuCascade\" id=\"GUID-D37EEA37-3131-4770-A850-F95F95B5C9EC\">Channel Box</span>, then select <span class=\"MenuCascade\" id=\"GUID-14696CC0-6957-44EC-92EF-B46C2D6388FB\">Particles &gt; Connect to Time</span>.\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BA4\"></a> \n            <h2><a name=\"GUID-02E6E70D-BF60-4E96-876A-CB482ABB2740\"></a>An animation with many springs plays slowly\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BA3\"></a>  If the age of any or all particles exceeds the lifespan, Maya removes the particles\n               from the object. For brevity, we describe such particles as dying particles. If a\n               scene has a particle object with many springs and no dying particles, the animation\n               plays needlessly slow because of complex calculations. You can turn off the attribute\n               <span class=\"MenuCascade\" id=\"GUID-7BAE27F6-08AC-4D70-86BE-2DAC58C68DB3\">Manage Particle Death</span> to eliminate the calculations and enhance the playback efficiency.\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BA0\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_ManageDeath.png\"></div> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B9F\"></a>In short, it’s helpful to turn off <span class=\"MenuCascade\" id=\"GUID-7DD48ACA-9ABF-407E-A9B4-DFD373BE3CA8\">Manage Particle Death</span> for the spring object associated with the following objects if they have undying\n               particles:\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B9E\"></a><ul>\n               <li>soft bodies</li>\n               <li>objects made with the <span class=\"MenuCascade\" id=\"GUID-1ED572D4-6800-4714-855A-416916AD87A5\">Particle Tool</span></li>\n               <li>emitted particles</li>\n            </ul> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B9A\"></a>Do not turn off <span class=\"MenuCascade\" id=\"GUID-702E8D9F-510B-4052-B0EE-BE3FBA6F832A\">Manage Particle Death</span> if any particles in the object die. <span class=\"MenuCascade\" id=\"GUID-C1776104-3E21-4D38-B1E9-77F58B567E49\">Springs</span> attached to the particles won’t work correctly. This is true if particles have <em class=\"mild\">ever</em> died in the object. If you set current attribute values of the particles for initial\n               state operation at a point where no more particles die, you still must not turn off\n               <span class=\"MenuCascade\" id=\"GUID-50ADC622-35AC-4913-BC31-DD82E0F6F7F1\">Manage Particle Death</span>.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B99\"></a>To turn off <span class=\"MenuCascade\" id=\"GUID-A543A0F9-9425-47AE-884D-7BFBB1AFB037\">Manage Particle Death</span>, select the spring object and display the <span class=\"MenuCascade\" id=\"GUID-3FA22F83-49E0-474C-9956-5A7519A22C2C\">Attribute Editor</span>. Turn off the <span class=\"MenuCascade\" id=\"GUID-B738EC5E-825F-4B7B-87DD-0241DEA2175E\">Manage Particle Death</span> attribute in the <span class=\"MenuCascade\" id=\"GUID-FF84D96A-E76E-4ABA-8AB6-3F9F534AD982\">Spring Attributes</span> section.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B98\"></a> \n            <h2><a name=\"GUID-EF50F9B8-BD6D-4298-BD40-059FF1DC839B\"></a>You edit per spring attributes but the editing doesn\'t take effect\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B97\"></a>You might have turned off <span class=\"MenuCascade\" id=\"GUID-53890946-D34E-4A2D-B547-DE4830730DBB\">Per-spring Stiffness</span>, <span class=\"MenuCascade\" id=\"GUID-C41511B9-B8CF-4B20-B649-8D6834D0BE9D\">Per-spring Damping</span>, or <span class=\"MenuCascade\" id=\"GUID-442C93C2-5BE2-4755-A1BD-75D612F18F38\">Per-spring Rest Length</span>, which means Maya uses the per object counterpart attribute instead. Turn on the\n               appropriate <span class=\"MenuCascade\" id=\"GUID-BD4DF196-DE5B-4799-94BB-6F6CEF3A76C7\">Use</span> attribute. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7364F884DD8117AE312D19-7FCF\"></a> \n            <h2><a name=\"GUID-43143F49-F0E4-4119-965A-DC9F517DFC84\"></a>A polygonal or NURBS soft body with springs slows playback and has unrealistic spring\n               behavior\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B96\"></a> If you put springs on a polygonal soft body or a NURBS soft body with many vertices\n               (and particles), your animation will play slowly and the springs might contract and\n               expand unrealistically. \n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B94\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B93\"></a>To avoid this problem, put springs on a low-resolution copy of the object as follows:\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Duplicate the polygonal (or NURBS object) with default options.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B91\"></a>Note that copy must exist at the same locations as the original for the entire animation.\n                  </p>\n               </li>\n               <li>Decrease the surface resolution of the object to roughly 10-50% of its original resolution.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B8F\"></a>For a polygonal object, decrease the <span class=\"MenuCascade\" id=\"GUID-EC3D7877-5306-417A-965A-9169F0FACCDD\">Subdivisions X</span> and Y values. For a NURBS object, decrease the <span class=\"MenuCascade\" id=\"GUID-62F0E25D-FF4C-42F0-9457-ECE477AC637D\">Spans</span> and <span class=\"MenuCascade\" id=\"GUID-84E2F43E-AB4E-4E6B-A7A8-02CFC354DDDF\">Sections</span> values.\n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B8E\"></a>In the remaining steps, the original object is called the low-resolution object, and\n                     the copy is called the high-resolution object.\n                  </p>\n               </li>\n               <li>Make the low-resolution object a soft body with default options. </li>\n               <li>Select the soft body’s particles and connect them to the desired dynamics.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B8B\"></a>For example, connect the particles to gravity and make them collide with another object.\n                     \n                  </p>\n               </li>\n               <li>Create springs on the soft body particles with default options.</li>\n               <li>Tune the appearance of the soft body animation.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B88\"></a>You’ll likely need to set spring <span class=\"MenuCascade\" id=\"GUID-72D80EC6-934D-4A7D-BE2A-7A300E845325\">Stiffness</span> to over 100. You’ll also likely need to select <span class=\"MenuCascade\" id=\"GUID-55F15AE6-0B40-468F-B265-A925E9C59BE3\">Solvers &gt; Edit Oversampling </span>or <span class=\"MenuCascade\" id=\"GUID-8BC5A01C-015B-45D2-9BB8-29F1C683469C\">Cache Settings</span> and set <span class=\"MenuCascade\" id=\"GUID-1151EB5F-2988-4572-9042-45B0A50A234C\">Over Samples</span> to between 2 and 4. Use the lowest value that gives a desirable appearance to the\n                     soft body deformations.\n                  </p>\n               </li>\n               <li> Using the <span class=\"MenuCascade\" id=\"GUID-E2C976D2-C302-4E08-BF58-541F7648B8BD\">Outliner</span>, select the transform node of the high-resolution object, then Ctrl-select (Linux\n                  and Windows) or Command-select (Mac OS X) the low-resolution object.\n               </li>\n               <li>From the <span class=\"MenuCascade\" id=\"GUID-DF9B3213-CD15-4B0D-B359-F08AC9914A9F\">Animation</span> menu set, select<span class=\"MenuCascade\" id=\"GUID-9674BD55-24B8-44AA-96D8-1C525C66395F\"> Create Deform &gt; Wrap</span>.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B84\"></a>This forces the high-resolution object to deform the same as the low-resolution object\n                     when you play the animation.\n                  </p>\n               </li>\n               <li>Hide the low-resolution object.</li>\n            </ol> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";