var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-EAD36098-8A05-4C40-ACC0-3090CD310C88\">\n      <meta name=\"indexterm\" content=\"rigid bodies: fixing problems\">\n      <meta name=\"indexterm\" content=\"rigid bodies: errors upon creation\">\n      <meta name=\"indexterm\" content=\"rigid bodies: failure to collide\">\n      <meta name=\"indexterm\" content=\"rigid bodies: failure to collide\">\n      <meta name=\"indexterm\" content=\"rigid bodies: caching warning message\">\n      <meta name=\"indexterm\" content=\"rigid bodies: disconnection warning message\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Fix rigid body problems</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-EAD36098-8A05-4C40-ACC0-3090CD310C88\"></a><div class=\"head\">\n            <h1>Fix rigid body problems</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BE8\"></a> As you work with rigid bodies and rigid body constraints, you might see warning or\n            error messages in response to your actions. Common messages and solutions follow.\n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BE6\"></a> \n            <h2><a name=\"GUID-85DC9BEA-64F8-4802-B7AF-9E3893515D86\"></a>Errors when you create a rigid body\n            </h2> <a name=\"WS73099CC142F487551D68DD061249D36330F-61F5\"></a><ul>\n               <li> Error: Attempting to create a rigid body from the shape or hierarchy ‘object’ which\n                  already contains a rigid body. \n                  <p><a name=\"WS73099CC142F487551D68DD061249D36330F-61F3\"></a>This message means you tried to create a rigid body from an object or object group\n                     that already has a rigid body created for it. You can create only one rigid body for\n                     an object or object group. \n                  </p>\n                  <p><a name=\"WS73099CC142F487551D68DD061249D36330F-61F1\"></a>Solution: Delete the rigid body of the object and recreate it. \n                  </p>\n               </li>\n               <li> Warning: The surface of rigid body ’rigidBody1’ may be reversed. Reversing the surface\n                  may avoid interpenetration errors. \n                  <p><a name=\"WS73099CC142F487551D68DD061249D36330F-61EF\"></a>This message occurs if the rigid body solver calculates that the surface of a rigid\n                     body is facing the wrong way. Only one side of an rigid body’s surface can collide\n                     with another rigid body’s surface—the side with normals pointing outward.\n                  </p>\n                  <p><a name=\"WS73099CC142F487551D68DD061249D36330F-61ED\"></a>Solution: Reverse the NURBS surface or polygonal object’s normals.\n                  </p>\n               </li>\n               <li> Error: The rigid body cannot be created because the selected shape contains polygons\n                  which do not have unique vertices. Use the polygon tools to determine bad polygons.\n                  \n                  <p><a name=\"WS73099CC142F487551D68DD061249D36330F-61EB\"></a>This message means you tried to create a rigid body from an object that has at least\n                     one polygon with two or more coincident vertices. For example, the object might contain\n                     a triangle with four vertices. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BDE\"></a>Solution: Use polygonal modeling tools to fix the polygon. \n                  </p>\n               </li>\n               <li> Warning: Selected item \"rigidBody1\" is not deformable.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BDD\"></a>This message occurs when you create a rigid body from an object that has a deformer,\n                     skin, or flexor applied to it. Because rigid bodies cannot deform, Maya applies the\n                     rigid body to the original, undeformed object that is hidden when you apply the deformer\n                     to it. The resulting rigid body might seem to collide at the wrong time. \n                  </p>\n                  <p><a name=\"WS73099CC142F487551D68DD061249D36330F-61E9\"></a>For example, suppose you animate an active rigid body sphere bulging from a lattice\n                     deformation. The bulging area penetrates rather than collides with a nearby passive\n                     rigid body cube. You won’t see a collision until the original, undeformed part of\n                     the sphere moves against the cube.\n                  </p>\n               </li>\n            </ul> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BDB\"></a>This message is for your awareness only.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BDA\"></a> \n            <h2><a name=\"GUID-515A71F7-243A-4BAE-BF7A-1C6BA7D88E8D\"></a>Warning when you set the center of mass\n            </h2> <a name=\"WS73099CC142F487551D68DD061249D36330F-61E8\"></a><ul>\n               <li>Warning: The center of mass is locked. To edit the center of mass, set the ’lock center\n                  of mass’ attribute to false. \n                  <p><a name=\"WS73099CC142F487551D68DD061249D36330F-61E6\"></a>If you turn on an object’s <span class=\"MenuCascade\" id=\"GUID-C7E32365-D203-45B1-8816-27A5C6182A47\">Lock Center of Mass</span> attribute and try to change the <span class=\"MenuCascade\" id=\"GUID-BC1913C5-864D-4EC4-BE6D-DBBCC5B0F11C\">Center of Mass</span>, the above message occurs. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BD8\"></a>If you want to change the <span class=\"MenuCascade\" id=\"GUID-A2469404-E9AC-43A1-B160-E8A6D6467841\">Center of Mass</span>, select the rigid body, display the <span class=\"MenuCascade\" id=\"GUID-03FD96D3-9985-429A-AAEE-FA029ED2B46B\">Attribute Editor</span>, and turn off <span class=\"MenuCascade\" id=\"GUID-9FAEA923-47A5-49FD-BE2A-ADCA9621196B\">Lock Center of Mass</span>.\n                  </p>\n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BD7\"></a> \n            <h2><a name=\"GUID-7595F42F-29C9-4FB8-96D8-8BE162EEFED8\"></a>Error when rigid bodies fail to collide\n            </h2> <a name=\"WS73099CC142F487551D68DD061249D36330F-61E5\"></a><ul>\n               <li> Warning: Rigid Body interpenetration occurred between ’rigidBody1’ and ’rigidBody2’.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BD6\"></a>Only one side of an rigid body’s surface can collide with another rigid body’s surface—the\n                     side with normals pointing outward. Interpenetration occurs when two or more rigid\n                     bodies pass through each other. This typically occurs when one body passes through\n                     the wrong side of another. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BD4\"></a>Though it’s valid and often desirable for one passive rigid body to penetrate another,\n                     it’s invalid for an active rigid body to penetrate another rigid body, whether passive\n                     or active. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BD3\"></a>If you’re unsure which objects interpenetrate, look in the <span class=\"MenuCascade\" id=\"GUID-DA9D5417-C39F-4585-86B0-0B5A53222874\">Outliner</span>. Maya selects and highlights the objects after the warning message occurs. You can\n                     also do the following:\n                  </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BD2\"></a><ul>\n                     <li>Make sure no rigid bodies overlap at rewind.</li>\n                     <li>Reverse the <span class=\"MenuCascade\" id=\"GUID-E54D9599-FE8B-43CB-9809-B437112AFA12\">NURBS surface</span> or polygonal normals of one of the interpenetrating rigid bodies. If this doesn’t\n                        fix the problem, undo the reversal and try reversing the other object’s surface or\n                        normals.\n                     </li>\n                  </ul>\n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BCF\"></a> \n            <h2><a name=\"GUID-FBB27E32-C2D7-4EC7-A245-2EEDCD9C4971\"></a>Warning when you cache rigid bodies\n            </h2> <a name=\"WS73099CC142F487551D68DD061249D36330F-61E3\"></a><ul>\n               <li> Warning: The rigid body is currently cached. Changing an attribute will have no affect\n                  until the cache is manually deleted via the Solvers-&gt;SceneCaching-&gt;Delete menu.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BCE\"></a>This message occurs if you’ve selected <span class=\"MenuCascade\" id=\"GUID-90F42015-CC2E-4C3B-BF78-362FAA2ABC58\">Solvers &gt; Memory Caching &gt; Enable </span>for a rigid body, then you change attributes on the rigid body that affect the rigid\n                     body’s translation or rotation. Because the rigid body is cached, it gets the translation\n                     and rotation information for the rigid body from the cache. You won’t see any effect\n                     on the rigid body until you delete the cache. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BCD\"></a>Select the rigid body and select <span class=\"MenuCascade\" id=\"GUID-9D38F85E-2627-49AD-873B-3FA2B00AA723\">Solvers &gt; Memory Caching &gt; Delete</span>.\n                  </p>\n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BCB\"></a> \n            <h2><a name=\"GUID-90BFE0BF-59C7-4947-A1FB-BC349FBFC741\"></a>Error when a solver computes rigid body dynamics\n            </h2> <a name=\"WS73099CC142F487551D68DD061249D36330F-61E1\"></a><ul>\n               <li> Error: Error detected in rigid solver computation. Solution may be invalid. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BCA\"></a>An invalid internal computation occurred, possibly because of conflicting rigid body\n                     constraint forces. This message typically occurs with a message warning of an incorrectly\n                     positioned constraint. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BC9\"></a>Solution: If rigid body constraints are forcing a rigid body to interpenetrate with\n                     another rigid body, reposition the constraints or rigid bodies. \n                  </p>\n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7364F884DD8117AE312D19-7FD3\"></a> \n            <h2><a name=\"GUID-D816E5FB-5148-49A9-822D-462F18DF9528\"></a>Warning when you delete rigid body connections\n            </h2> <a name=\"WS73099CC142F487551D68DD061249D36330F-61DF\"></a><ul>\n               <li>Warning: Cannot disconnect: ’rigidBody1.choice’ from ’rigidBody_tx.selector’. To force\n                  the disconnection, set the ’Allow Disconnection’ attribute in the attribute editor.\n                  \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BC8\"></a>In the dependency graph, a rigid body node controls the transform node of the rigid\n                     body object with connections through several choice nodes. The choice nodes let you\n                     key passive rigid body <span class=\"MenuCascade\" id=\"GUID-20CB036D-E42E-48EA-BD7E-CF12F74EDF4C\">Translate</span> and <span class=\"MenuCascade\" id=\"GUID-2ADA814F-B579-47EA-9641-5D5D98FA3A57\">Rotate</span> attributes so you can switch from keys to dynamic influences and vice versa.\n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BC6\"></a>Maya usually lets you break the connections to a transform node’s <span class=\"MenuCascade\" id=\"GUID-A6BEB93A-CF2D-4078-BB15-36728BA9663C\">Translate</span> and <span class=\"MenuCascade\" id=\"GUID-87730EA0-71B2-42BB-9DEB-C389C34273C2\">Rotate</span> attributes, for example, by selecting the attribute in the <span class=\"MenuCascade\" id=\"GUID-5A28AF12-09DB-425B-9539-5AEF07943E02\">Channel Box</span> then selecting <span class=\"MenuCascade\" id=\"GUID-8DB2C166-4095-4750-9904-F618546E63AA\">Channels &gt; Break Connections</span>. For rigid body transform nodes, breaking such connections would cause the rigid\n                     body to lose control of the transform node. Because of this, Maya prevents you from\n                     breaking the connections in the usual way.\n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BC5\"></a>To remove the keyframe connection to the rigid body, select<span class=\"MenuCascade\" id=\"GUID-DA1EBF8B-B11E-4A0F-AFBC-6AA0F5BDC9DD\"> Soft/Rigid Bodies &gt; Break Rigid Body Connections</span>. This removes any connection to the rigid body not specifically used by the rigid\n                     body, for instance, connections to keyframes. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2BC4\"></a>To break the connections from the rigid body to the choice nodes or rigid body solver,\n                     you must first select the rigid body or rigid body solver, display the <span class=\"MenuCascade\" id=\"GUID-2DC078C8-B3C8-430E-A8F7-92D4ADC0A934\">Attribute Editor</span>, and turn on <span class=\"MenuCascade\" id=\"GUID-07CB1D06-9C0D-4358-8579-ECEADA1FE56C\">Allow Disconnection</span>. Breaking these connections might cause unexpected results. \n                  </p>\n               </li>\n            </ul> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";