var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-A385C529-78DE-4AD3-9495-CAB717F1B95B\">\n      <meta name=\"indexterm\" content=\"collisions: rigid bodies\">\n      <meta name=\"indexterm\" content=\"rigid bodies\">\n      <meta name=\"indexterm\" content=\"rigid bodies: passive\">\n      <meta name=\"indexterm\" content=\"rigid bodies: active\">\n      <meta name=\"indexterm\" content=\"rigid bodies: collisions within\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Rigid bodies</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-A385C529-78DE-4AD3-9495-CAB717F1B95B\"></a><div class=\"head\">\n            <h1>Rigid bodies</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E91\"></a> A rigid body is a polygonal or <span class=\"MenuCascade\" id=\"GUID-E18F00E2-8867-462F-BD96-E5E5D5095937\">NURBS surface</span> converted to an unyielding shape. Unlike conventional surfaces, rigid bodies collide\n            rather than pass through each other during animation. To animate rigid body motion,\n            you use fields, keys, expressions, rigid body constraints, or collisions with particles.\n            \n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E8F\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_RigidBodies.png\"></div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E8E\"></a>  Maya has two kinds of rigid bodies—active and passive. An <em class=\"mild\">active</em> rigid body reacts to dynamics—fields, collisions, and springs—not to keys. A <em class=\"mild\">passive</em> rigid body can have active rigid bodies collide with it. You can key its Translate\n            and Rotate attributes, but dynamics have no effect on it. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E8B\"></a>For instance, to bounce a ball on a floor, you would make the ball an active rigid\n            body because it needs to fall with gravity and rebound after colliding with the floor.\n            You would make the floor a passive rigid body so it doesn’t careen away from the ball\n            when the ball bounces off it. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E8A\"></a>Dynamic animation of rigid bodies is controlled by a Maya component called a rigid\n            body solver. Dynamic animation of rigid bodies is motion created by fields and collisions.\n         </p>\n         <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E89\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E88\"></a><ul>\n                  <li>You can create only one rigid body per object or object group.</li>\n                  <li>Only one side of a rigid body surface can collide—the side with normals facing outward.\n                     Error messages occur if rigid bodies penetrate each other.\n                  </li>\n                  <li>Do not animate the scale or other deformations of a rigid body.</li>\n                  <li>A curve cannot be a rigid body.</li>\n                  <li>A subdivision surface cannot be a rigid body.</li>\n                  <li> You can make a rigid body collide inside another. Place the object inside the other\n                     object, reverse the normals or surface of the outer object, then animate the inner\n                     object in an outward direction.\n                  </li>\n                  <li>When you key a passive rigid body’s <span class=\"MenuCascade\" id=\"GUID-A5C16366-E6C6-4068-9106-41FB11BFEE9C\">Translate</span> and <span class=\"MenuCascade\" id=\"GUID-02175FC8-1DE0-4288-B6B0-29BEBB38A353\">Rotate</span> attributes, the Time Slider doesn’t show key markers. Use the <span class=\"MenuCascade\" id=\"GUID-3C4C7385-CB9E-4C76-93F7-B4DB06FBCFB7\">Graph Editor</span> to see the keys. You cannot remove keys on these attributes with the usual techniques.\n                     See <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Fix_rigid_body_problems.htm#WS17956D7ADBC6E7364F884DD8117AE312D19-7FD3\">Warning when you delete rigid body connections</a></span>.\n                  </li>\n                  <li>With rigid bodies, avoid using the <span class=\"char_link\"><a href=\"\">Edit &gt; Duplicate</a></span> menu item with <span class=\"MenuCascade\" id=\"GUID-A495B8C2-475E-4BEE-BBAF-F46A90328754\">Duplicate Input Connections</span> or <span class=\"MenuCascade\" id=\"GUID-86CD027A-DA74-49D6-A548-5E2E3EC24F6A\">Duplicate Input Graph</span>. Use the <span class=\"MenuCascade\" id=\"GUID-486E8610-CA82-46D4-B6F2-19A868F47E7C\">Dynamics Relationship</span> Editor to connect the duplicate rigid body and fields.\n                  </li>\n               </ul> \n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";