var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-A3AEEC35-EA12-4BCB-9BB6-83ECE5489088\">\n      <meta name=\"indexterm\" content=\"rigid bodies: lessening processing time\">\n      <meta name=\"indexterm\" content=\"rigid body solvers: multiple\">\n      <meta name=\"indexterm\" content=\"Create Rigid Body Solver\">\n      <meta name=\"indexterm\" content=\"rigid body solvers: creating\">\n      <meta name=\"indexterm\" content=\"Current Rigid Solver\">\n      <meta name=\"indexterm\" content=\"rigid bodies: assigning to solver\">\n      <meta name=\"indexterm\" content=\"rigid bodies: moving to different solver\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Segregate collisions with multiple solvers</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-A3AEEC35-EA12-4BCB-9BB6-83ECE5489088\"></a><div class=\"head\">\n            <h1>Segregate collisions with multiple solvers</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D0F\"></a>  You can create multiple solvers, one for each collection of colliding objects. By\n            using the same solver only for objects that collide with each other, each rigid body\n            solver avoids tracking the presence of unnecessary objects and therefore uses less\n            processing time.\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D0B\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_multiRigSolve.png\"></div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D0A\"></a>When you create the first rigid body in a scene, Maya creates a rigid body solver\n            that controls that rigid body and all others you create thereafter unless you create\n            a different solver. If you create a different solver, it controls rigid bodies you\n            create thereafter. Each solver has its own independent attributes that affect the\n            behavior of the rigid bodies it controls. Note that you can connect a field to any\n            rigid bodies, regardless of the solver. \n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D09\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D08\"></a>To create a new solver\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select <span class=\"MenuCascade\" id=\"GUID-98FEBEDE-158B-48FE-A4C9-3E79F1C7A256\">Solvers &gt; Create Rigid Body Solver</span>.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D06\"></a>The Solver receives a default name such as rigidSolver1. The name appears at the bottom\n                  of the list displayed when you select <span class=\"MenuCascade\" id=\"GUID-6D44925F-15AC-456C-9161-4FD1B3CA919B\">Solvers &gt; Current Rigid Solver &gt; </span><em class=\"mild\">rigidSolver#</em>.\n               </p>\n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D04\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2D03\"></a> To assign a rigid body to a solver\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the solver from the list in <span class=\"MenuCascade\" id=\"GUID-E37DBFD7-133D-4833-A2F2-8B803EF885FE\">Solvers &gt; Current Rigid Solver &gt;</span><em class=\"mild\">rigidSolver#</em>.\n            </li>\n            <li> Create the rigid body.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CFE\"></a>The rigid body is controlled by the solver selected in the prior step. For example,\n                  if you select rigidSolver3 then make a sphere an active rigid body, the sphere is\n                  controlled by rigidSolver3.\n               </p>\n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CFD\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CFC\"></a>To move rigid bodies to a different solver\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li> Select the rigid bodies.</li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-9AE0AE67-7C00-4F42-8A65-DCA3809E4685\">Command Line</span> or <span class=\"MenuCascade\" id=\"GUID-CFD5E1A9-913A-4186-8DEF-85DB7DBB99D3\">Script Editor</span>, enter this command:\n               <div class=\"codeBlock\"><pre>\nrigidBody -edit -solver <div class=\"codeBlock\"><pre> <em class=\"codeEmphasisMild\">solverName</em></pre></div> </pre></div>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2CF8\"></a>where <em class=\"mild\">solverName</em> is the name of the solver to be used by the rigid bodies.\n               </p>\n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";