var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-20790C1E-D32E-457C-A867-BC2345EF707C\">\n      <meta name=\"indexterm\" content=\"soft bodies\">\n      <meta name=\"indexterm\" content=\"soft bodies: attributes in common with particles\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Soft bodies</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-20790C1E-D32E-457C-A867-BC2345EF707C\"></a><div class=\"head\">\n            <h1>Soft bodies</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E9C\"></a> You can recreate a geometric object as a flexible object called a soft body. You can\n            use various animation techniques to make the soft body bend, ripple, and bulge like\n            soft objects in nature. \n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E9A\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_Flag.png\"></div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E99\"></a>When you make a soft body from geometry or a lattice, Maya creates a corresponding\n            particle object. The particle object is indented under the geometry in the <span class=\"MenuCascade\" id=\"GUID-32C22200-0B2C-46EB-8EF8-505582B3696B\">Outliner</span>. The combination of the geometry and particles is a soft body. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E98\"></a>The particle object has one particle for each CV or vertex in the geometry. For a\n            polygonal object, the particles exist at the vertices. For a NURBS object, the particles\n            exist at the CVs and are visible in the workspace.\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E97\"></a>When a field, collision, or expression moves the particles, the corresponding CVs\n            or vertices move in response to the movement of the counterpart particles. You do\n            not render the particles; they exist only so you can influence the geometry with dynamics.\n            You render the geometry (see <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Render_soft_bodies_with_motion_blur.htm\">Render soft bodies with motion blur</a></span> for additional information).\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E96\"></a> Because a soft body includes a particle object, it has the same static and dynamic\n            attributes as a particle object. You can set these attributes the same as for other\n            particle objects.\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E94\"></a>You can make the soft body trail or move towards a goal object made from the original\n            or duplicate geometry. Using the <span class=\"MenuCascade\" id=\"GUID-0A6863F0-235B-4CE0-97A7-1BF67D9E3395\">Paint Soft Body Weights Tool</span>, you can set goal weights on a soft body on a per particle basis by painting on the\n            soft body surface (see <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Paint_Soft_Body_Weights_Tool.htm\">Paint Soft Body Weights Tool</a></span>). \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E93\"></a>You can create springs on a soft body to alter its deformations and resilience. If\n            you select only the soft body and create the springs, the springs exist between its\n            particles. You can also create springs between the soft body particles and other particle\n            objects or geometry. See <span class=\"char_link\"><a href=\"Soft_and_Rigid_Bodies_Springs.htm\">Springs</a></span>.\n         </p>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E92\"></a>Note also that you can emit particles from the soft body’s surface or particles. Select\n            the appropriate item before you use <span class=\"char_link\"><a href=\"Particles__Create_Emitter.htm\">Particles &gt; Create Emitter</a></span>. Emitting from the particles is the same as emitting from its CVs. See <span class=\"char_link\"><a href=\"Particles_Emitters.htm\">Emitters</a></span>.\n         </p>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";