var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-92A39508-69C0-4CBB-9763-43A1EB37E6D6\">\n      <meta name=\"indexterm\" content=\"soft bodies: special uses\">\n      <meta name=\"indexterm\" content=\"soft bodies: deformed skin\">\n      <meta name=\"indexterm\" content=\"skin: soft bodies\">\n      <meta name=\"indexterm\" content=\"soft bodies: lattices\">\n      <meta name=\"indexterm\" content=\"lattices: making soft bodies\">\n      <meta name=\"indexterm\" content=\"soft bodies: wires\">\n      <meta name=\"indexterm\" content=\"wires: as soft bodies\">\n      <meta name=\"indexterm\" content=\"soft bodies: IK spline curves\">\n      <meta name=\"indexterm\" content=\"IK spline curves: making soft bodies\">\n      <meta name=\"indexterm\" content=\"soft bodies: motion paths\">\n      <meta name=\"indexterm\" content=\"motion paths: making soft body\">\n      <meta name=\"indexterm\" content=\"soft bodies: creating new geometry\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Special uses of soft bodies</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-92A39508-69C0-4CBB-9763-43A1EB37E6D6\"></a><div class=\"head\">\n            <h1>Special uses of soft bodies</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E02\"></a> This section suggests ways to use soft bodies with other Maya features. For details\n            on the features themselves, see the applicable documentation.\n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2E00\"></a> \n            <h2><a name=\"GUID-8066E129-2CA1-45D8-8F1E-4F47DDD57D7F\"></a>Make a skin a soft body\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DFF\"></a>  A skin is geometry that deforms with the movement of a skeleton. You can make the\n               skin a soft body to cause it to jiggle with the movement of the skeleton.\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DFC\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DFB\"></a>To make a skin a soft body\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select the skin.</li>\n               <li>Select <span class=\"char_link\"><a href=\"SoftRigid_Bodies__Create_Soft_Body.htm\">Soft/Rigid Bodies &gt; Create Soft Body</a></span><img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> to display the options window.\n               </li>\n               <li>From the <span class=\"MenuCascade\" id=\"GUID-6ADD7375-1C3A-41FB-B4CA-97F7A770B6BC\">Soft Options</span> menu, select <span class=\"MenuCascade\" id=\"GUID-B189B350-69B1-4940-84AB-678F1D96DD5E\">Duplicate, Make Copy Soft</span>. \n               </li>\n               <li>Turn on <span class=\"MenuCascade\" id=\"GUID-772F84AE-F70C-4508-8771-14B1964F9614\">Hide Non-Soft Objec</span>t and <span class=\"MenuCascade\" id=\"GUID-2F56F229-D756-4B0E-9779-64A34700A78A\">Make Non-Soft a Goal</span>.\n               </li>\n               <li>Set <span class=\"MenuCascade\" id=\"GUID-9BAC61B6-FFE5-4B0E-A1F4-F11CD312BAF6\">Weight</span> less than 1. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DF5\"></a>The lower the <span class=\"MenuCascade\" id=\"GUID-24990ABB-69E1-4DBE-B071-F28CAEEB3291\">Weight</span>, the more the skin jiggles.\n                  </p>\n               </li>\n               <li>Click the <span class=\"MenuCascade\" id=\"GUID-9F0BD6B6-C8E3-44A1-B608-BEF9ED2D7074\">Create</span> button.\n               </li>\n               <li>To increase jiggle in certain areas, add per particle goal weights to the soft body\n                  and decrease the goal weights in those areas. See <span class=\"char_link\"><a href=\"Particles_Edit_goal_attributes.htm#WS17956D7ADBC6E7361A342C07117AE3124CC-7F9C\">Set goal weights on a per-object basis</a></span> for details. \n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7364F884DD8117AE312D19-7FEF\"></a> \n            <h2><a name=\"GUID-2D6C7098-BE26-49F9-875A-7127888E6A95\"></a>Make a lattice a soft body\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DF2\"></a>  To add an overall jiggle to an object, you can add a lattice to it and make the lattice\n               a soft body. When the lattice is a soft body, it is affected by fields. The lattice\n               deforms the object according to the field affecting it. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DEF\"></a>By making the lattice a soft body rather than the object itself, Maya calculates dynamics\n               faster. Also, it is easier for you to add springs to a lattice than to complex geometry.\n            </p> \n            <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DEE\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                  <p>If you are going to use the lattice as a collision object, match the size of the lattice\n                     closely to the size of the object’s bounding box.\n                  </p> \n               </div>\n            </div> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DED\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DEC\"></a>To make a lattice a soft body\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select the lattice.</li>\n               <li>Select <span class=\"char_link\"><a href=\"SoftRigid_Bodies__Create_Soft_Body.htm\">Soft/Rigid Bodies &gt; Create Soft Body</a></span><img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> to display the options window.\n               </li>\n               <li>From the <span class=\"MenuCascade\" id=\"GUID-91FB72A3-E45B-497B-999E-5B95C00F2FC5\">Soft Options</span> menu, select <span class=\"MenuCascade\" id=\"GUID-FCE1690F-F453-4632-8DAD-B43CAE3000B5\">Make Soft</span>.\n               </li>\n               <li>Click the <span class=\"MenuCascade\" id=\"GUID-506C8059-062C-44F1-9CB1-AA3F385603AB\">Create</span> button.\n               </li>\n               <li>Connect the soft body to the field you want to use to deform the object.</li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DE6\"></a> \n            <h2><a name=\"GUID-2F2262A4-A9DE-41A7-B187-6B6D8644201E\"></a>Make a wire a soft body\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DE5\"></a>  A wire is a curve that deforms an object. If you make a wire a soft body, you can\n               connect it to fields to deform it.\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DE2\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DE1\"></a>To make a wire a soft body\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select the wire.</li>\n               <li>Select <span class=\"char_link\"><a href=\"SoftRigid_Bodies__Create_Soft_Body.htm\">Soft/Rigid Bodies &gt; Create Soft Body</a></span><img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> to display the options window.\n               </li>\n               <li>From the <span class=\"MenuCascade\" id=\"GUID-825F55B6-6215-415E-B2F9-4FB3400C9422\">Soft Options</span> menu, select <span class=\"MenuCascade\" id=\"GUID-762EFE4E-5FB5-4E61-BF42-818A6F382601\">Make Soft</span>.\n               </li>\n               <li>Click the <span class=\"MenuCascade\" id=\"GUID-A24315BA-4437-498A-B544-3EA9077849D7\">Create</span> button.\n               </li>\n               <li>Connect the soft body to the field you want to use to deform the object.</li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E7364F884DD8117AE312D19-7FEE\"></a> \n            <h2><a name=\"GUID-C665DF48-65AD-435E-BC9B-D70FD5BE0762\"></a>Make an IK spline curve a soft body\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DDB\"></a>  An IK spline curve is a curve that controls a skeleton. If you make an IK spline curve\n               a soft body, you can use fields to affect its motion. \n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DD8\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DD7\"></a>To make an IK spline curve a soft body\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select the IK spline curve.</li>\n               <li>Select <span class=\"char_link\"><a href=\"SoftRigid_Bodies__Create_Soft_Body.htm\">Soft/Rigid Bodies &gt; Create Soft Body</a></span><img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> to display the options window.\n               </li>\n               <li>From the <span class=\"MenuCascade\" id=\"GUID-B6467C78-C292-4066-BDD9-A405EAD7B3ED\">Soft Options</span> menu, select <span class=\"MenuCascade\" id=\"GUID-4061522B-0A1A-48EE-BCD6-57F2A8D3D30E\">Make Soft</span>.\n               </li>\n               <li>Click the <span class=\"MenuCascade\" id=\"GUID-66D302D0-DEDF-41FD-9A90-FCA23F1ED82D\">Create</span> button.\n               </li>\n               <li>Connect the soft body to the field you want to use to deform the motion.</li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DD1\"></a> \n            <h2><a name=\"GUID-AE5E3A5C-BC9F-4F06-82BD-475FF052B371\"></a>Make a motion path a soft body\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DD0\"></a>  A motion path is a curve that controls the motion of an object. If you make a motion\n               path a soft body, you can connect it to fields to change the motion. \n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DCD\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DCC\"></a>To make a motion path a soft body\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select the motion path.</li>\n               <li>Select <span class=\"char_link\"><a href=\"SoftRigid_Bodies__Create_Soft_Body.htm\">Soft/Rigid Bodies &gt; Create Soft Body</a></span><img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> to display the options window.\n               </li>\n               <li>From the <span class=\"MenuCascade\" id=\"GUID-0870CBBA-5908-46AA-B463-96315C8694FF\">Soft Options</span> menu, select <span class=\"MenuCascade\" id=\"GUID-51A3DED5-FADE-4D77-A865-86845A099DFF\">Make Soft</span>.\n               </li>\n               <li>Click the <span class=\"MenuCascade\" id=\"GUID-745DFB54-A0C5-4C50-AFA0-E017D6D797D7\">Create</span> button.\n               </li>\n               <li>Connect the soft body to the field you want to use to deform the motion.</li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DC6\"></a> \n            <h2><a name=\"GUID-24E01083-27BA-45AC-9C6C-447A6058E239\"></a>Make a model from a soft body\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DC5\"></a> If you make an object a soft body, you can use fields or expressions to deform the\n               object, then duplicate the deformed object at a frame to create a new object.\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DC3\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DC2\"></a>To make a model from a soft body:\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select the object.</li>\n               <li>Select <span class=\"char_link\"><a href=\"SoftRigid_Bodies__Create_Soft_Body.htm\">Soft/Rigid Bodies &gt; Create Soft Body</a></span><img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> to display the options window.\n               </li>\n               <li>From the <span class=\"MenuCascade\" id=\"GUID-4EF18CF9-6B29-48CA-8704-4406A12B301D\">Soft Options</span> menu, select <span class=\"MenuCascade\" id=\"GUID-9266A8AC-2AF0-4CE5-9EDF-46C114992C97\">Make Soft</span>.\n               </li>\n               <li>Use a field or expression to deform the soft body.</li>\n               <li>Play the animation and stop it when the soft body is deformed as desired.</li>\n               <li>Select the soft body.</li>\n               <li>Select <span class=\"char_link\"><a href=\"\">Edit &gt; Duplicate</a></span><img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\"> to display the options window.\n               </li>\n               <li>In the options window, turn off <span class=\"MenuCascade\" id=\"GUID-57E9A58E-AA48-4899-B9B1-F3C4A9EF2422\">Duplicate Input Graph</span> and turn off <span class=\"MenuCascade\" id=\"GUID-5471E852-A789-47E2-AD9A-B4F9BB1ADB54\">Duplicate Input Connections</span>, then click the <span class=\"MenuCascade\" id=\"GUID-E9A8234A-F4DC-4E34-8374-0C4A1780B15B\">Duplicate</span> button.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DB9\"></a>The copy is a snapshot of the soft body at the current frame. \n                  </p>\n               </li>\n               <li>In the <span class=\"MenuCascade\" id=\"GUID-5D2FFCC8-7917-43AB-ABAE-F86D665A12B3\">Outliner</span>, delete the particle object indented under the copy.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DB7\"></a>You can continue to adjust the field or expression to make additional copies.\n                  </p>\n               </li>\n            </ol> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";