var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-18558B4E-8CA7-49B5-AF51-F9CD123653F2\">\n      <meta name=\"indexterm\" content=\"Enforce Count From History\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Use attributes for advanced applications</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-18558B4E-8CA7-49B5-AF51-F9CD123653F2\"></a><div class=\"head\">\n            <h1>Use attributes for advanced applications</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DB6\"></a>The following soft body attributes are for API developers and other advanced users:\n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DB5\"></a><ul>\n            <li> <span class=\"MenuCascade\" id=\"GUID-57EAE3A5-4DC5-427C-9C55-97BC98A2DE57\">Enforce Count From History</span> \n            </li>\n            <li> <span class=\"MenuCascade\" id=\"GUID-E1DA955A-6368-4D4C-B9B5-88DE20FA9E1C\">Input Geom Space</span> \n            </li>\n            <li> <span class=\"MenuCascade\" id=\"GUID-4AD24AB3-7A2A-44FE-B7F8-9A14BB3E3DBE\">Target Geom Space</span> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DB1\"></a>The attributes are available in the <span class=\"MenuCascade\" id=\"GUID-2C28951F-BAD0-4978-A1E6-B76B600C4015\">Soft Body Attributes</span> section of the <span class=\"MenuCascade\" id=\"GUID-1744A614-BFF9-4D8A-A8B7-A448FB3D8591\">Attribute Editor</span> when you select the particle object of the soft body.\n               </p> \n            </li>\n         </ul><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DB0\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DAF\"></a>To emit a soft body into view\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Set the <span class=\"MenuCascade\" id=\"GUID-2EE8A61E-0A36-4B60-B24C-39887E52CCA4\">Lifespan Mode</span> to <span class=\"MenuCascade\" id=\"GUID-BF329D3B-8AD6-4AFF-8EB0-82CE42B24ECC\">Constant</span> and the lifespan of the emitted particles to 0.\n            </li>\n            <li>Play the animation to remove the particles and soft body geometry.</li>\n            <li>Select the particles and choose <span class=\"MenuCascade\" id=\"GUID-030E4CF2-1330-48A5-8F27-5E0A76293488\">Solvers &gt;</span><span class=\"MenuCascade\" id=\"GUID-EF2FA95B-B91A-4221-8A66-996091E5FD99\">Initial State</span> &gt; <span class=\"MenuCascade\" id=\"GUID-669FF172-2925-4CF4-8538-A9A7D259B57C\">Set For Selected</span>.\n            </li>\n            <li> Turn off <span class=\"MenuCascade\" id=\"GUID-8B45FF04-CCC0-4BE3-BE35-90B34539942A\">Enforce Count From History</span>.\n            </li>\n            <li>Set the lifespan of the particles to some positive value so they don’t die immediately.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DA8\"></a>When Maya updates the number of particles, any springs that you previously applied\n                  to the particles will no longer work as before. You’ll need to create new springs.\n                  If you wrote an expression that uses the value of the particle object’s particleId\n                  attribute, you’ll need to rewrite the expression.\n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DA7\"></a>To avoid unexpected results, do not animate the original geometry’s construction history\n                  in a way that alters the number of CVs, vertices, or lattice points over time. You\n                  can edit, but not animate, the construction history.\n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DA6\"></a><span class=\"MenuCascade\" id=\"GUID-8484AB9D-60A2-4CDB-BB6D-CF44F5E24B4D\">Enforce Count From History</span> is turned on by default.\n               </p>\n               <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2DA5\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n                     <p>In the following explanations, the term <em class=\"mild\">world space transformation </em>refers to the values Maya uses internally to calculate an object’s translate, rotate,\n                        scale, and shear in world space. The term <em class=\"mild\">points </em>refers to CVs, vertices, or lattice points.\n                     </p> \n                  </div>\n               </div>\n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";