var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-20EEB5DF-13C0-4DBA-877C-AB9514F46E73\">\n      <meta name=\"indexterm\" content=\"memory caching\">\n      <meta name=\"indexterm\" content=\"caching: in memory\">\n      <meta name=\"indexterm\" content=\"cache: turning off or on for object\">\n      <meta name=\"indexterm\" content=\"rigid bodies: cache\">\n      <meta name=\"indexterm\" content=\"cache: deleting\">\n      <meta name=\"indexterm\" content=\"Cache Data\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Memory caching</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-20EEB5DF-13C0-4DBA-877C-AB9514F46E73\"></a><div class=\"head\">\n            <h1>Memory caching </h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B07\"></a>  Memory caching saves the motion of objects in memory (not to disk, see <span class=\"char_link\"><a href=\"Solvers_and_caching_Use_particle_disk_caching.htm\">Particle disk caching</a></span> for information on caching to disk). You can use memory caching to cache certain\n            objects in your scene. \n         </p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B04\"></a><div class=\"figure-anchor\"><img src=\"../images/comp_scrubbing1.png\"></div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B03\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B02\"></a> To turn memory caching on (or off) for an object\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the objects. \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2AFF\"></a>Note that, for an emitter, you must select the particle object into which the emitter\n                  emits. For a soft body, you can select the geometry or the particles.\n               </p>\n            </li>\n            <li>Select <span class=\"MenuCascade\" id=\"GUID-2CB8BA71-D9C7-42A8-AB46-A502CBC75A3E\">Solvers &gt; Memory Caching &gt; Enable</span>. \n            </li>\n            <li>Select <span class=\"char_link\"><a href=\"\">Window &gt; Settings/Preferences &gt; Preferences</a></span> to display the Preferences window.\n            </li>\n            <li>Click <span class=\"MenuCascade\" id=\"GUID-95864C31-D847-4300-A4DB-5996DE089EE1\">Dynamics</span> in the <span class=\"MenuCascade\" id=\"GUID-369DBC22-9015-4C2A-B1A8-945CE74763B7\">Categories</span> list in the <span class=\"MenuCascade\" id=\"GUID-D3D90B30-C036-4569-A50A-F872AE21D832\">Preferences</span> window. \n            </li>\n            <li>Make sure <span class=\"MenuCascade\" id=\"GUID-2A1D0CF8-0C21-4D00-B7D0-A01A0534C133\">Run Up to Current Time</span> is turned off.\n            </li>\n            <li>Rewind and play the animation.\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2AF9\"></a>Maya caches all attribute values for the selected objects in all frames you play.\n                  If you no longer need to scrub or play in reverse you can resume normal frame-by-frame\n                  calculations by selecting <span class=\"MenuCascade\" id=\"GUID-74CEB0EA-820F-4F28-81A8-285617849854\">Solvers &gt; Memory Caching &gt; Disable</span>. Note that if you set the start frame of the Time Slider to a lower number, Maya\n                  automatically deletes the cache. \n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2AF8\"></a>If you change an attribute that affects the translation or rotation of a cached rigid\n                  body, you must delete the cache for the animation to play with the changes reflected\n                  (see below).\n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2AF5\"></a>You can alternatively turn memory caching on or off in the <span class=\"MenuCascade\" id=\"GUID-5358B63D-73AC-471B-9955-72F9621C1908\">Attribute Editor</span> by turning off the <span class=\"MenuCascade\" id=\"GUID-92E22E5C-415E-40B2-9BBE-E7BD2D454DBF\">Cache Data</span> attribute. The location of the attribute in the Attribute Editor depends on the type\n                  of object. If you turn caching on for a rigid body, Maya also turns caching on for\n                  all rigid bodies in that rigid body’s solver.\n               </p>\n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2AF3\"></a>If you cache data in memory for emitted particles and later change the rate or another\n                  attribute of the emitter or emitted particles, you must disable the cache to see the\n                  effect of the attribute change.\n               </p>\n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2AF2\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2AF1\"></a>To delete the current object cache\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the object.</li>\n            <li>Select <span class=\"MenuCascade\" id=\"GUID-3BE413F7-5540-4B56-A038-90456F50EDCC\">Solvers &gt; Memory Caching &gt; Delete</span>. \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";