var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-399458E4-1B31-4BD1-B7DA-380814C4635A\">\n      <meta name=\"indexterm\" content=\"article start-up caching\">\n      <meta name=\"indexterm\" content=\"caching: particle start-up\">\n      <meta name=\"indexterm\" content=\"start-up caches: using with batch rendering\">\n      <meta name=\"indexterm\" content=\"caching: using start-up with batch rendering\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Particle startup caching</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-399458E4-1B31-4BD1-B7DA-380814C4635A\"></a><div class=\"head\">\n            <h1>Particle startup caching</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B1E\"></a> The particle startup cache lets you save files at frames greater than the start frame\n            without doing a run-up. It saves a copy of the particle shape’s attribute values in\n            a different file than the particle disk cache files.\n         </p>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E73613E60095117AE312FF7-7FEC\"></a> \n            <h2><a name=\"GUID-A4D8F13B-AF75-4DE7-AEA4-2BA49C484D34\"></a>Using the startup cache\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B1C\"></a>Using the startup cache lets you save and quickly re-load scenes at frames greater\n               than the start frames of your particle objects. If you always save your files at the\n               particles’ start frames, you can turn off <span class=\"MenuCascade\" id=\"GUID-10885BA7-B7F5-4080-B22C-8153371D7DD3\">Save Startup Cache for Particles</span> to save disk space.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B1B\"></a>The disk space used for the particle cache is determined by how many particles are\n               in your scene at the frame saved, and how many attributes they have. Likewise, the\n               time savings at file load is determined by how heavy your scene is and how long it\n               takes to play back. There is no simple formula—you must assess the trade-off between\n               file size and time savings. Because of this, we made this a preference you can turn\n               on or off. It is turned on by default.\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B1A\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B19\"></a>To use the startup cache\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select <span class=\"char_link\"><a href=\"\">Window &gt; Settings/Preferences &gt; Preferences</a></span>.\n               </li>\n               <li>Select the <span class=\"MenuCascade\" id=\"GUID-762F2CC1-6D90-478E-8BEC-C16A5E8DD1E7\">Dynamics</span> category and turn on <span class=\"MenuCascade\" id=\"GUID-9BB36338-64A9-4726-9E01-0DED2A086570\">Save Startup Cache for Particles</span>. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B16\"></a>When this option is turned on (the default), Maya automatically saves the startup\n                     cache for all your particles every time you save the file. Unlike particle disk caches,\n                     you don’t have to create the startup cache explicitly every time. \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B15\"></a>When the file is loaded (in either interactive or batch mode), the particle shape’s\n                     current state is read from the startup cache and no run-up occurs. If Maya cannot\n                     find or read the cache file, it gives you a warning and then runs the scene up. This\n                     would happen, for example, if you copied the file into a different workspace and did\n                     not also copy the startup cache. If you re-save the scene at that point, Maya re-creates\n                     the startup cache.\n                  </p>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E73613E60095117AE312FF7-7FEB\"></a> \n            <h2><a name=\"GUID-3E0F9681-F34C-466F-A014-110035D5AA08\"></a>Location and names of startup cache files \n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B14\"></a>Startup cache files are kept in a subdirectory of your workspace particles directory.\n               Each scene has a separate startup cache directory. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B13\"></a>Normally, Maya names this directory by appending <em class=\"mild\">_startup </em>to your scene name. For example, if your scene is called <em class=\"mild\">myScene</em>, Maya puts the startup cache in a directory called <em class=\"mild\">myScene_startup</em>. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B12\"></a>However, if you have created a particle disk cache for that scene, Maya uses the name\n               of that particle disk cache directory in place of your scene name. For example, if\n               you store your particle disk cache in a directory <em class=\"mild\">safePlace</em>, Maya calls the startup cache <em class=\"mild\">safePlace_startup</em>. (By default, the disk cache directory name is the same as the scene name.) \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B11\"></a>If you first disk cache the scene under one name, then rename the scene, any startup\n               file written uses the first name (because that’s the name your disk cache was created\n               under). We recommend that you name your scene when you start and don’t change it.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E73613E60095117AE312FF7-7FEA\"></a> \n            <h2><a name=\"GUID-4359404A-CBA3-4B2D-A1C7-24EBE8B89C4C\"></a>Using startup caches with batch rendering\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B10\"></a> Maya uses the startup cache in batch rendering only when you are rendering the exact\n               frame for which the startup cache was saved. It does not use the startup cache when\n               you are rendering other frames. When rendering sequences, or rendering in distributed\n               or multiprocessor fashion, we recommend that you use the particle disk cache and not\n               rely on the startup cache. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E73613E60095117AE312FF7-7FE9\"></a> \n            <h2><a name=\"GUID-1245D20A-9215-4F38-BF26-125D30A84C47\"></a>Using disk caches and startup caches\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B0E\"></a>If you have both a particle disk cache (a complete sequence) and a startup cache,\n               the particle disk cache takes precedence. Maya searches for caches in the following\n               order:\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B0D\"></a><ul>\n               <li>Maya first looks for a particle disk cache. </li>\n               <li>If it can’t find a particle disk cache, it looks for a startup cache. </li>\n               <li>If it can’t find either, it runs the scene up <em class=\"mild\">(only when rendering</em>). \n               </li>\n            </ul> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B09\"></a>If you have a particle disk cache, but you want to save a state that is different\n               from what’s stored in the particle disk cache, be sure to turn off <span class=\"MenuCascade\" id=\"GUID-4F944145-6F1B-4FBC-BDC6-6229FAD79837\">Use Particle Disk Cache</span> before saving the file. Otherwise, Maya saves what was in the disk cache, using that\n               cache until you specify not to use it.\n            </p> \n            <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B08\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span> \n                  <p>If you believe you have rendering problems that are due to the startup cache, create\n                     a particle disk cache for the complete sequence.\n                  </p> \n               </div>\n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";