var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MAYAUL\">\n      <meta name=\"release\" content=\"2015\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2014-06-26\">\n      <meta name=\"topicid\" content=\"GUID-84735697-416C-47F2-81C9-81D34DE99532\">\n      <meta name=\"indexterm\" content=\"particle disk cache: creating\">\n      <meta name=\"indexterm\" content=\"cache: creating for particles\">\n      <meta name=\"indexterm\" content=\"particle disk cache\">\n      <meta name=\"indexterm\" content=\"particle disk cache: setting options\">\n      <meta name=\"indexterm\" content=\"cache settings for particles: options\">\n      <meta name=\"indexterm\" content=\"cache settings for particles: editing\">\n      <meta name=\"indexterm\" content=\"particle disk cache: editing\">\n      <meta name=\"indexterm\" content=\"caching particles: playing back\">\n      <meta name=\"indexterm\" content=\"particle disk cache: playing back\">\n      <meta name=\"indexterm\" content=\"caching: recreating the cache\">\n      <meta name=\"indexterm\" content=\"particle disk cache: recreating\">\n      <meta name=\"indexterm\" content=\"caching: tips\">\n      <meta name=\"indexterm\" content=\"particle disk cache: tips\">\n      <meta name=\"indexterm\" content=\"cache files: deleting\">\n      <meta name=\"indexterm\" content=\"particle disk cache: deleting\">\n      <meta name=\"indexterm\" content=\"caching: single particle object\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Particle disk caching</title><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\"><a name=\"GUID-84735697-416C-47F2-81C9-81D34DE99532\"></a><div class=\"head\">\n            <h1>Particle disk caching</h1>\n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B71\"></a> \n            <h2><a name=\"GUID-C6AC5568-E199-489E-8A8C-1F91D05599D0\"></a>Specify where the cache files are stored\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B70\"></a>Maya has a workspace directory for particles. By default, this is given the name <em class=\"mild\">particles</em>. You can specify your workspace particles directory using the <span class=\"MenuCascade\" id=\"GUID-5736BCBB-25D9-49DA-A24F-7BB4D454ED07\">Project Editor</span>, the same as for all the other workspace directories. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B6F\"></a>If you are using an old workspace from a previous version of Maya, Maya creates the\n               particles directory for you the first time you create a particle disk cache. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B6E\"></a>The disk cache files are stored in subdirectories of the particles directory. You\n               can specify what subdirectory name you want to use by entering the name in the <span class=\"MenuCascade\" id=\"GUID-A80ED5D1-7CA6-471B-83B8-1998BE8642FC\">Cache Directory</span> box of the <span class=\"MenuCascade\" id=\"GUID-E2C4EE83-514A-4E74-AA8B-C000355BC092\">Particle Render Cache Options</span> window (see <span class=\"char_link\"><a href=\"Solvers_and_caching_Use_particle_disk_caching.htm#WS17956D7ADBC6E73613E60095117AE312FF7-7FF7\">Setting particle disk cache options</a></span>). Before each new caching operation, Maya automatically deletes any cache files existing\n               in the specified subdirectory. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E73613E60095117AE312FF7-7FFA\"></a> \n            <h2><a name=\"GUID-E89240A3-9008-4D1F-8920-D352ADD102C2\"></a>Determine the frame range\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B6D\"></a>If Maya can’t find a cache file for the given frame, but finds cache files both for\n               frames greater and lesser than the current frame it is evaluating, it interpolates\n               between them. If the frame difference is large, you see the results of interpolation\n               rather than the results of solving frame by frame. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B6C\"></a>In simple cases, to evaluate a given frame, Maya usually needs the particle cache\n               files only for that frame. However, Maya may need to access the state of particles\n               at some other frame in order to resolve expressions, rigid body motion, motion blur,\n               etc. If you are in doubt, we recommend caching out all frames. For example, if you\n               want to render starting at frame 100, cache all frames up to 100 as well.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B6A\"></a> \n            <h2><a name=\"GUID-387740C4-8724-4880-889D-01FD86C8E7CA\"></a>Create a particle disk cache\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B69\"></a>  After you have created a particle disk cache, Maya uses the cached particle data,\n               no matter what changes you make to your scene, until you <em class=\"mild\">explicitly</em> tell it not to. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B66\"></a>For example, if you cache the scene, then apply a gravity field to a particle object,\n               you will not see any effect from that field because Maya is using the cached particle\n               motion. To see the effect, you must turn off <span class=\"MenuCascade\" id=\"GUID-889DB282-873F-4FDA-9175-C2AD0D35C396\">Use Particle Disk Cache</span> (see <span class=\"char_link\"><a href=\"Solvers_and_caching_Use_particle_disk_caching.htm#WS17956D7ADBC6E73613E60095117AE312FF7-7FF6\">Editing particle disk cache settings</a></span>).\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B65\"></a>However, if you make a change that does not alter per-particle attributes, such as\n               changing the render type from blobby to streak, you will see the change without turning\n               off <span class=\"MenuCascade\" id=\"GUID-2B6BB24A-A4F3-4EE5-98B1-E306173CF25A\">Use Particle Disk Cache</span>.\n            </p> \n            <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B64\"></a><div class=\"note-tip\"><span class=\"label\">TIP:</span>Before creating a particle disk cache, make sure the <em class=\"mild\">particle shape</em> name is unique from other particle shape names. Since the disk cache file will use\n                  the particle shape name, you won\'t get the correct results when creating the disk\n                  cache if the same name is used for other particle shapes. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B63\"></a>We suggest you name your scene before creating a particle disk cache; otherwise, Maya\n                     saves the particles in a directory named <em class=\"mild\">untitled</em>.\n                  </p>\n               </div>\n            </div> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B62\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B61\"></a>To create a particle disk cache\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select <span class=\"char_link\"><a href=\"Solvers__Create_Particle_Disk_Cache_.htm\">Solvers &gt; Create Particle Disk Cache</a></span>. \n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B5F\"></a>Maya plays through the scene once using the current time slider playback range and\n                     writes out cache files. Maya does not re-draw the screen during this playback. If\n                     you want to cache a different range, you can either change the current range of your\n                     time slider or turn on <span class=\"MenuCascade\" id=\"GUID-3A5C3EAA-8EEA-4B72-8B25-5FD8CCC4B33C\">Use render settings range</span> (see <span class=\"char_link\"><a href=\"Solvers__Create_Particle_Disk_Cache_.htm#WS1A9193826455F5FF-6D855556117FACF922E-3909\">Use Render Settings Range</a></span>). \n                  </p>\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B5E\"></a>Maya must play the scene through once to create the cache. If you don’t want to wait\n                     through the playback, you can interrupt it by pressing the Esc key, but the cache\n                     won’t be created. \n                  </p>\n               </li>\n               <li>After creating the cache, save your scene so any settings you made to the <span class=\"MenuCascade\" id=\"GUID-4EF8A511-5DD3-4E87-BC78-EE4290BFAE9A\">Particle Render Cache Option</span> window get saved with the scene. Otherwise Maya might not know to look for your cache\n                  or might not be able to find it.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B5C\"></a>When you create the cache in the above manner, Maya creates a cache for <em class=\"mild\">all</em> particles in the scene. If you want to cache some particles objects and not others,\n                     see <span class=\"char_link\"><a href=\"Solvers_and_caching_Use_particle_disk_caching.htm#WS17956D7ADBC6E73613E60095117AE312FF7-7FEE\">Caching a single particle object</a></span>.\n                  </p>\n                  <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B5B\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n                        <p>Be sure to save your scene after creating the cache. Otherwise, Maya won’t know about\n                           the cache when batch rendering.\n                        </p> \n                     </div>\n                  </div>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E73613E60095117AE312FF7-7FF7\"></a> \n            <h2><a name=\"GUID-4AADA07B-D8B2-497D-A35B-7C37065E6CC7\"></a>Setting particle disk cache options\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B5A\"></a> You can set the following particle disk cache options before creating the cache. These\n               options affect all subsequent caching operations.\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B58\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B57\"></a>To set the particle disk cache options:\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select <span class=\"char_link\"><a href=\"Solvers__Create_Particle_Disk_Cache_.htm\">Solvers &gt; Create Particle Disk Cache</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\">.\n               </li>\n               <li>Set the following options:<a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B54\"></a><ul>\n                     <li> <span class=\"char_link\"><a href=\"Solvers__Create_Particle_Disk_Cache_.htm\">Solvers &gt; Create Particle Disk Cache</a></span> \n                     </li>\n                  </ul>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E73613E60095117AE312FF7-7FF6\"></a> \n            <h2><a name=\"GUID-764031D2-A926-4EC1-BDEB-AC5CE8BB51DB\"></a>Editing particle disk cache settings\n            </h2> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B52\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B51\"></a>  To edit particle disk cache settings\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select <span class=\"char_link\"><a href=\"Solvers__Edit_Oversampling_of_Cache_Settings.htm\">Solvers &gt; Edit Oversampling or Cache Settings</a></span>.\n                  <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B4D\"></a>The <span class=\"MenuCascade\" id=\"GUID-33FDF4AB-4717-4B0F-A356-277833E50C34\">Attribute Editor</span> for the <span class=\"MenuCascade\" id=\"GUID-C2EE40DE-2961-4BF4-82B7-484E537EB557\">dynGlobals</span> node is displayed. \n                  </p>\n               </li>\n               <li>In the <span class=\"MenuCascade\" id=\"GUID-87EF77C8-F0FA-4F8E-9DFF-475AE09E59B1\">Particle Disk Cache</span> section, set the settings. See <span class=\"char_link\"><a href=\"Dynamics_Nodes_dynGlobals.htm#WS17956D7ADBC6E7366AFCBC43117AE312086-7FEA\">Particle Disk Cache</a></span>. \n                  <div><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B4B\"></a><div class=\"note-note\"><span class=\"label\">NOTE:</span> \n                        <p>Be sure to save your scene after editing any of these values. Otherwise, Maya won’t\n                           know about them when batch rendering.\n                        </p> \n                     </div>\n                  </div>\n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E73613E60095117AE312FF7-7FF5\"></a> \n            <h2><a name=\"GUID-882B567F-3E15-4E6F-B543-DD9E98CE7AF1\"></a>Play back different caches\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B4A\"></a> You can use particle disk caching to create different caches for the same scene. This\n               lets you create and quickly play back variations on a scene.\n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B48\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B47\"></a>To create and play back different caches\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Create your scene and name it.</li>\n               <li>Select <span class=\"char_link\"><a href=\"Solvers__Create_Particle_Disk_Cache_.htm\">Solvers &gt; Create Particle Disk Cache</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\">.\n               </li>\n               <li>Enter a name for the <span class=\"MenuCascade\" id=\"GUID-9F050D88-8427-4AFC-B4D0-24E821390045\">Cache Directory</span> or leave the default name, which is the scene name.\n               </li>\n               <li>Click <span class=\"MenuCascade\" id=\"GUID-D5EE9AC7-5658-4DAC-97FB-8D4CB417035E\">Create</span> to create the cache.\n               </li>\n               <li>Make any changes to your particles.</li>\n               <li>Select <span class=\"char_link\"><a href=\"Solvers__Create_Particle_Disk_Cache_.htm\">Solvers &gt; Create Particle Disk Cache</a></span> &gt; <img src=\"../images/GUID-96432FB8-EBE9-4D1A-8DED-5173E032EBC0-low.png\">.\n               </li>\n               <li>Enter a new name for the <span class=\"MenuCascade\" id=\"GUID-51D9D8AD-1839-4954-83E6-94B06563F83B\">Cache Directory</span> and click <span class=\"MenuCascade\" id=\"GUID-2EDB4F51-45BF-4EF6-BF60-73A2D46D85BE\">Create</span>.\n               </li>\n               <li>Continue this process to create as many caches as you want.</li>\n               <li>To choose a cache for playback, select <span class=\"char_link\"><a href=\"Solvers__Edit_Oversampling_of_Cache_Settings.htm\">Solvers &gt; Edit Oversampling or Cache Settings</a></span>, and enter the cache name in the <span class=\"MenuCascade\" id=\"GUID-41A4AE0C-3143-4257-9AEA-D9F86D05039F\">Cache Directory</span> box.\n               </li>\n               <li>Press the play button to see the scene play back from the specified cache.</li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E73613E60095117AE312FF7-7FF4\"></a> \n            <h2><a name=\"GUID-CF6BED5A-C4A5-4141-B163-041AFDC8CD3E\"></a>Re-create the cache\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B3C\"></a> Once you have created the cache, Maya uses that cache until you tell it not to. It\n               ignores any changes in emission, forces, etc. on that particle object.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B3A\"></a>If you change something in the scene that alters per-particle attributes, you must\n               re-create your cache in order to get correct renders. Maya writes out the disk cache\n               only when you select <span class=\"MenuCascade\" id=\"GUID-15ED1A44-D5ED-4F10-8B43-70A39B2850EC\">Create Particle Disk Cache</span>. That menu item does not turn on a “caching state.” This is an important difference\n               between memory caching and disk caching. Maya does not automatically update or re-create\n               your disk cache. \n            </p> <a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B39\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B38\"></a>To re-create your cache\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Select <span class=\"char_link\"><a href=\"Solvers__Create_Particle_Disk_Cache_.htm\">Solvers &gt; Create Particle Disk Cache</a></span>. \n               </li>\n            </ol> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B36\"></a>You don’t need to re-create the cache if you make a change that does not alter per-particle\n               attributes. For example, you could change a particle shape’s render type from blobby\n               to cloud, save the file, and re-render. Or you could change keyframed colorRed/colorBlue/colorGreen\n               attributes. In both these examples, you would not need to re-create the cache because\n               the attributes involved are not per-particle.\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B35\"></a>Be careful, however, because attributes such as colorRed can indirectly affect per-particle\n               attributes. In the previous examples, if you had a per-particle expression on some\n               particle object that made use of the render type or colorRed as an input, the results\n               of that expression would be affected, so you would need to re-create the cache.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E73613E60095117AE312FF7-7FF3\"></a> \n            <h2><a name=\"GUID-C118C5D7-2BBF-43A6-83FA-5AB9AD320D58\"></a>Particle disk cache files\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B34\"></a>Maya saves cache files for each particle shape for each frame. If oversampling is\n               turned on, it saves multiple disk caches at different times within a frame depending\n               on the oversampling rate.These binary files have the extension .pdc, which stands\n               for particle data cache. Maya uses the <em class=\"mild\">dynExport</em> command to write these files. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B33\"></a>You can’t read .pdc files. If you want to output particle data files you can read,\n               see the online documentation in the <em class=\"mild\">dynExpor</em>t command for information on outputting .pda and .pdb files, and also the <span class=\"code\">ExploreMe/particlesreadpdb</span> directory on the Maya DVD. See Appendix <span class=\"char_link\"><a href=\"PDC_File_Format_Use_the_PDC_File_Format.htm\">Use the PDC File Format</a></span> for information on writing your own reader.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E73613E60095117AE312FF7-7FF2\"></a> \n            <h2><a name=\"GUID-9D5F6853-8022-4D4C-A6B0-C52A865B0F59\"></a>Deleting cache files\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B32\"></a>  There is no way to delete cache files or directories from within Maya. Delete them\n               using your operating system.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS17956D7ADBC6E73613E60095117AE312FF7-7FF1\"></a> \n            <h2><a name=\"GUID-F18EFC87-7D0B-4683-A081-47B6D65AED24\"></a>Caching tips\n            </h2> \n            <div class=\"section\"><a name=\"WS17956D7ADBC6E73613E60095117AE312FF7-7FF0\"></a> \n               <h3><a name=\"GUID-E19DF2CC-F260-4511-BC69-50FBEE60D4FE\"></a>Ramps\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B2F\"></a>If you are animating per-particle rendering attributes by ramps, and you change those\n                  ramps, you’ll see the change in playback even if the cache is enabled. This also applies\n                  to changes in hardware display/rendering attributes such as pointSize. To avoid any\n                  confusion, turn off the <span class=\"MenuCascade\" id=\"GUID-9F00B210-0940-475C-800D-BF96362A25C5\">Use Particle Disk Cache</span> attribute before you make changes to your scene, and re-create your cache just before\n                  you render.\n               </p> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B2E\"></a>If you are animating any attribute with expressions, or animating rampPosition, rampVelocity,\n                  or rampAcceleration with ramps, any changes you make to those expressions or ramps\n                  will not be visible in playback as long as the cache is enabled. Turn off <span class=\"MenuCascade\" id=\"GUID-4E59F68C-C4FF-4241-8C09-8A7DB60DB288\">Use Particle Disk Cache</span>.\n               </p> \n            </div> \n            <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B2D\"></a> \n               <h3><a name=\"GUID-381068FD-189A-49C4-81B0-E6EDCE8356D2\"></a>Particle collisions with rigid bodies\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B2C\"></a>If you have a rigid body being driven by particle collisions, and you disk-cache the\n                  particles, the rigid bodies will no longer evaluate correctly. In effect, the caching\n                  takes away the dynamic properties that allow the rigid bodies to evaluate and they\n                  can’t detect the collisions any more. To cache such a scene, first bake out the rigid\n                  bodies (see <span class=\"char_link\"><a href=\"Solvers_and_caching_Use_particle_disk_caching.htm#WS17956D7ADBC6E73613E60095117AE312FF7-7FEF\">Baking rigid bodies</a></span> below), then disk-cache the particles. The same limitation and same workaround apply\n                  to in-memory caching as well.\n               </p> \n            </div> \n            <div class=\"section\"><a name=\"WS17956D7ADBC6E73613E60095117AE312FF7-7FEF\"></a> \n               <h3><a name=\"GUID-F005D8A4-2232-47BE-9E43-FC0179964353\"></a>Baking rigid bodies\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B2B\"></a>The particle disk cache always applies to particles only. It does not apply to rigid\n                  bodies. In most cases, rigid bodies can compute their positions without needing to\n                  do a run-up. If you encounter any problems in this area, you can resolve them by baking\n                  out your rigid bodies, using the <em class=\"mild\">bakeResults</em> command. \n               </p> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B2A\"></a>For example, to bake out <em class=\"mild\">rigidBody1</em> for frames 1 to 100, do this:\n               </p> \n               <div class=\"codeBlock\"><pre>\nbakeResults -t \"1:100\" -simulation true rigidBody1;\n</pre></div> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B29\"></a>You can’t use the <em class=\"mild\">bakeResults</em> command to bake out particle motion. It bakes out animation channels, such as translateX/Y/Z,\n                  not particle positions.\n               </p> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B28\"></a>Even if unbaked rigid bodies do cause a run-up, the run-up will go faster if your\n                  particles are cached, because the particles are loaded from the disk cache instead\n                  of being recomputed.\n               </p> \n            </div> \n            <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B27\"></a> \n               <h3><a name=\"GUID-88894835-7EA1-41E5-B961-27916690C1A6\"></a>Caching a sequence in two parts\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B26\"></a>You may find it necessary to cache two parts of a sequence separately. For example,\n                  if you cache frames 1 to 45 in one place, and frames 46 to 90 in another place, you\n                  must be sure that the two caches “line up” so there is no discontinuity from 45 to\n                  46. \n               </p> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B25\"></a>Make sure that the animation and dynamics the first time you cache are consistent\n                  with the second. Make sure you didn’t add or change anything, or have something changed\n                  for you. \n               </p> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B24\"></a>In particular, if you have expressions that use the MEL rand() function, you must\n                  make sure your expressions are properly reseeded (see <span class=\"char_link\"><a href=\"\">Reproduce randomness</a></span><span class=\"char_link\"><a href=\"\">Reproduce randomness</a></span> in the <em class=\"mild\">MEL and Expressions</em> guide).\n               </p> \n            </div> \n            <div class=\"section\"><a name=\"WS17956D7ADBC6E73613E60095117AE312FF7-7FEE\"></a> \n               <h3><a name=\"GUID-9005FE75-9151-4881-AD7E-7DAC5454E079\"></a>Caching a single particle object\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B23\"></a> Using <span class=\"char_link\"><a href=\"Solvers__Create_Particle_Disk_Cache_.htm\">Solvers &gt; Create Particle Disk Cache</a></span> caches all particle objects in the scene. You can cache a specified object from the\n                  command line using the <em class=\"mild\">dynExport</em> command (see the online Command documentation for information on the <em class=\"mild\">dynExport</em> command). \n               </p> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B21\"></a>You can also get this same result by using your operating system to delete the cache\n                  files for all objects you don’t want read from the cache.\n               </p> \n            </div> \n            <div class=\"section\"><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B20\"></a> \n               <h3><a name=\"GUID-156CC78C-C93F-497C-B932-7823B8E5CAF0\"></a>Caching only certain attributes\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-6D855556117FACF922E-2B1F\"></a>By default, all attributes are cached. However, you can cache only certain attributes\n                  using the <em class=\"mild\">dynExport </em>command (see the online Command documentation for information on the <em class=\"mild\">dynExport</em> command). \n               </p> \n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";